/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(141)
	var __weex_style__ = __webpack_require__(142)
	var __weex_script__ = __webpack_require__(143)

	__weex_define__('@weex-component/d979b4e29db54535fa0d657a11933904', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})

	__weex_bootstrap__('@weex-component/d979b4e29db54535fa0d657a11933904',undefined,undefined)

/***/ },

/***/ 4:
/***/ function(module, exports) {

	/**
	 * 获取当前asset路径地址，分不同平台截取；
	 * Created by samy on 16/8/1.
	 */


	/**
	 * 获取host地址；
	 *
	 * @param {any} bundleUrl
	 * @returns
	 */
	function getHost(bundleUrl) {
	    var host = 'localhost:12580';
	    var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
	    if (matches && matches.length >= 2) {
	        host = matches[1];
	    }
	    return host;
	}

	/**
	 * PS:目前这个方法只能用于H5方法，location；
	 * APP不能使用；
	 * 获取Url中，从其他界面跳转过来，传递过来的参数;
	 *
	 * @param {any} key 通过key获取
	 * @returns
	 */
	// getUrlParam: function(key) {
	function getUrlParam(key) {
	    var reg = new RegExp('[?|&]' + key + '=([^&]+)');
	    var match = location.search.match(reg);
	    return match && match[1];
	}

	/**
	 * APP获取参数的方法；
	 * 获取Url中，从其他界面跳转过来，传递过来的参数;
	 *
	 * @param {any} name 通过name获取
	 * @param {any} url
	 * @returns
	 */
	function getParameterByName(name, url) {
	    name = name.replace(/[\[\]]/g, "\\$&");
	    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
	        results = regex.exec(url);
	    if (!results) return null;
	    if (!results[2]) return '';
	    return decodeURIComponent(results[2].replace(/\+/g, " "));
	}

	/**
	 * 目前这能用于自己Mac上才有用；
	 * 在代理模式(包含测试环境)下，替换路径；192.168.0.2:8888 test.wgmf.com
	 */
	function formatReplaceUrl(url) {
	    if (url.indexOf("192.168.") > -1) {
	        var start = url.indexOf("192.168."); //7
	        var end = start + 11 + 5;
	        var host = url.substring(start, end);
	        console.log(host);
	        url = url.replace(host, "test.wgmf.com");
	        console.log(url);
	    }
	    // url = url.replace(/(\d{3}).(\d{3}).([0-3]).([0-3]):(\d{4})/, "test.wgmf.com");//1-3个占位符还没没有处理；
	    return url;
	}

	exports.getUrlParam = getUrlParam;
	exports.getParameterByName = getParameterByName;
	exports.formatReplaceUrl = formatReplaceUrl;
	// export default formatReplaceUrl;
	// module.export = formatReplaceUrl;

/***/ },

/***/ 5:
/***/ function(module, exports) {

	/**
	 * APP常量配置；PS处理；localstorage;
	 * Created by samy on 16/8/1.
	 */

	/**
	 * 数据库相关
	 */
	var DB = {
	    REALM_DB_NAME: "trade_steward"
	};

	/**
	 * 文件路径
	 */
	var Paths = {
	    IMAGE_LOADER_CACHE_PATH: "/images/"
	};


	/**
	 * PreferHelper(Storage) key值 ;本来可以包含APIEnvironment的；
	 */
	var PrefKeys = {
	    USER_BEAN: "USER_BEAN"
	};

	/**
	 * 用于界面跳转传值时的Extra_Key
	 */
	var ExtraKeys = {
	    /**界面跳转Title */
	    PAGE_TITLE: "title",
	    /**URL */
	    PAGE_URL: "url",
	    /**因JS的特殊原因，设置不了，只能是默认自己一个个设置，界面跳转，传递的Json数据头格式 */
	    JS_EXTRAS: "js_extras",
	    /**是否是从发展新会员界面进入 */
	    IS_FROM_DEVELOP_NEW_MEMBER: "isFromDevelopNewMember",
	    /**手机号码 */
	    PHONE_NUM: "phoneNum",
	};

	exports.DB = DB;
	exports.Paths = Paths;
	exports.PrefKeys = PrefKeys;
	exports.ExtraKeys = ExtraKeys;

/***/ },

/***/ 6:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Toast工具类
	 */

	var AppConfig = __webpack_require__(7);

	var modal;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    modal = __weex_require__('@weex-module/modal')
	});

	function toastDebug(self, content) {
	    if (AppConfig.debug) {
	        toast(self, content);
	    }
	}

	function toast(self, content) {
	    //  self.$call('modal', 'toast', {
	    //       'message': content,
	    //       'duration': 2.0
	    //  });
	    modal.toast({
	        'message': content,
	        'duration': 2.0
	    });
	}

	exports.toastDebug = toastDebug;
	exports.toast = toast;

/***/ },

/***/ 7:
/***/ function(module, exports) {

	/**
	 * 路径总控制开关
	 * APP配置
	 * Created by samy on 16/8/1.
	 *  本机调试，直接http://localhost:8888/
	 * 端口跟serve的得对应上；
	 * nginx配置到:http://localhost:9999/index.html
	 * sudo nginx -c /usr/local/etc/nginx/nginx.conf
	 */

	var debugProxyConfig = {

	    /**是否启用代理调试(web),手机不能用代理*/
	    isProxyNginx: true,


	    /**是否是Debug默认,
	     *【用于切换接口环境，和toast提示控制】
	     */
	    debug: false,

	    /**
	     * 打包复制到本地，一定要记得修改；目前区别是都多了个assets目录(true情况下);
	     * 是否是在线模式(用于是否放在手机本地也还是在线,修改img和h5路径)
	     * 【用于配置打包在APP离线数据；】
	     */
	    isOnLineMode: false, //跟debug对立；
	}

	/**
	 * 理解总的四种开发模式：
	 * 1：在线模式；缺点：费流量和带宽；
	 * 2：热修复模式，把要更新的界面.js，下载到本地,而不加载assets下的有问题的旧.js,跟这里的版本号对应上;【推荐】
	 * 3：离线模式(跟原生上线后的中的,assets),第一次打包的自带的原js,缺点：有问题不好修复
	 * 4: 降级模式；出现Native界面改动较大，通过webview加载h5(weex),达到临时备用；
	 */
	var pathConfig = {
	    //正常和Native调用;
	    // baseUrlIpPort: 'http://localhost:8888/', //本机调试；
	    baseUrlIpPort: 'http://192.168.0.2:8888', //App调试；
	    // baseUrlIpPort: '192.168.31.197:8888', //App调试；
	    //nginx代理H5调用;(记得把nginx启动)
	    baseUrlIpPortProxy: 'http://192.168.0.2:9999',
	    // baseUrlIpPortProxy: '192.168.31.197:8888', //http://192.168.31.197:8888/assets/imgs/

	    //H5;
	    // baseH5IpPort:'http://192.168.0.2:8888',
	    //img
	    // baseImgIpPort:'http://192.168.0.2:8888'
	}

	/**
	 * 常用路径配置(跟UrlUtils对应上,后期优化)
	 * 跟assets中的目录对象上；
	 * 1:app(weex原文件)
	 * 2:h5(自己写的h5)
	 * 3:imgs(图片资源)
	 */
	var appConfig = {
	    /**图片*/
	    // baseImageUrl: 'http://7xuxy3.com1.z0.glb.clouddn.com/trade/img/'
	    baseImageUrl: getBaseImgPath() + 'imgs/',

	    /**H5地址(自己写的)*/
	    baseH5Url: getBaseH5Path() + 'h5/html/',

	    /*资源和访问Url*/
	    baseSrcUrl: getBaseUrl() + "app/",
	};

	/**
	 * ip端口的路径(全局的)
	 */
	function getBaseUrlIpPort() {
	    // 方式一：通过bundleUrl，自动获取
	    // var host = 'localhost:12580';
	    // var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
	    // if (matches && matches.length >= 2) {
	    //     host = matches[1];
	    // }
	    //方式二：手动设置；
	    var base = pathConfig.baseUrlIpPort; // in Native
	    if ((typeof window === 'object') && (debugProxyConfig.isProxyNginx)) {
	        base = pathConfig.baseUrlIpPortProxy; // in Browser or WebView
	    }
	    return base;
	}


	/**
	 * imgs的路径
	 * 放在本地时
	 * (选填，做平台处理),目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseImgPath() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/";
	    } else {
	        return "assets://"; //assets目录下的；
	    }
	}

	/**
	 * H5的路径
	 * 放在本地时
	 * (选填，做平台处理)目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseH5Path() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/"; //后期设置assets可以配置使用；
	    } else {
	        return "file:///android_asset/"; //assets目录下的；
	        // file:///sdcard/ or file:/sdcard (sdcard目录下的)
	        //file:///storage/emulated/0/Android/data/com.alibaba.weex/cache/
	    }

	}

	/**
	 * Url的路径（特殊性，在线的是自动生产在不同位置上）
	 * tabbar 用的直接是jsbundle 的路径
	 */
	function getBaseUrl(isTabBar) {
	    var tempUrl = getBaseUrlIpPort();
	    if (debugProxyConfig.isOnLineMode) {
	        if (typeof window === 'object') {
	            return isTabBar ? "/dist/" : tempUrl + '/index.html?page=./dist/'; //(weex h5方式访问,跳转时用到)
	        } else {
	            return tempUrl + "/dist/"; //webpack方式访问,APP访问服务器js情况；
	        }
	    }
	    return ""; //本地+/app
	}


	/**更Routers.js对应上；
	 * 文件跳转时，得用上；
	 * 当前Url的全路径，完整路径；
	 * 此处需注意一下,tabbar 用的直接是jsbundle 的路径,但是navigator是直接跳转到新页面上的.
	 * 最新，最全的方法处理；
	 */
	function getCurrentPathUrl(self, currentDir, isTabBar) {
	    var config = self.$getConfig();
	    var bundleUrl = config.bundleUrl;
	    console.log('appConfig-->getCurrentPathUrl--bundleUrl->', bundleUrl);
	    var env = config.env; //appName必须设置全局中设置对；
	    var base;
	    //也可以通过env判断;
	    var isAndroidAssets = bundleUrl.indexOf('file://assets/') >= 0;
	    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf(env.appName) > 0;
	    if (isAndroidAssets) { //Android 离线模式
	        base = 'file://assets/';
	    } else if (isiOSAssets) { //iOS 离线模式
	        base = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
	    } else { //web或者App访问模式
	        base = getBaseUrl(isTabBar);
	    }
	    base = base + "app/" + currentDir;
	    console.log('appConfig-->getCurrentPathUrl--->', base);
	    return base;
	}



	exports.debug = debugProxyConfig.debug;
	exports.isProxyNginx = debugProxyConfig.isProxyNginx;

	exports.baseUrlIpPort = getBaseUrlIpPort();

	exports.baseSrcUrl = appConfig.baseSrcUrl;
	exports.baseH5Url = appConfig.baseH5Url;
	exports.baseImageUrl = appConfig.baseImageUrl;

	exports.getCurrentPathUrl = getCurrentPathUrl;

/***/ },

/***/ 10:
/***/ function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(11), __esModule: true };

/***/ },

/***/ 11:
/***/ function(module, exports, __webpack_require__) {

	var core  = __webpack_require__(12)
	  , $JSON = core.JSON || (core.JSON = {stringify: JSON.stringify});
	module.exports = function stringify(it){ // eslint-disable-line no-unused-vars
	  return $JSON.stringify.apply($JSON, arguments);
	};

/***/ },

/***/ 12:
/***/ function(module, exports) {

	var core = module.exports = {version: '2.4.0'};
	if(typeof __e == 'number')__e = core; // eslint-disable-line no-undef

/***/ },

/***/ 98:
/***/ function(module, exports, __webpack_require__) {

	var storage;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    storage = __weex_require__('@weex-module/storage')
	});

	var ToastUtil = __webpack_require__(6);
	/**
	 * 存储工具类封装，其实在原生中的实现是sqlite实现的；
	 * 这个引入是有问题；we被引入了两次；
	 */
	// var storage = require('../../../utils/BaseWXHead').requireWeexModule("storage");



	/**
	 * 储存值key
	 *  callback.'e' is an object that contains 'result' and 'data'. e.result indicate whether `setItem` is succeed.
	 *  e.data will return 'undefined' if success or 'invalid_param' if your key/value is ""/null.
	 */
	function setItem(key, value, callback) {
	    console.log("key" + key);
	    console.log("value" + value);
	    if (callback) {
	        storage.setItem(key, value, callback);
	    } else {
	        storage.setItem(key, value, function(params) {
	            console.log(params);
	            return e; //目前这里返回，当前存储总的数据；可以跟getAllKeys对应上；
	        });
	    }
	}


	/**
	 * 获取key对应的值(要有回调才有用)
	 *  callback.'e' is an object that contains 'result' and 'data'.
	 *  use 'e.data' to fetch the value of the key,if not found,'undefined' will return.
	 */
	function getItem(key, callback) {
	    if (callback) {
	        storage.getItem(key, callback);
	    } else {
	        storage.getItem(key, function(params) {
	            // ToastUtil.toastDebug(params);
	            return params.data;
	        });
	    }
	}


	/**
	 * 移除key值
	 *  callback. 'e' is an object that contains 'result' and 'data'.
	 *  e.result will return 'success' or 'failed' according to the executing result.
	 *  e.data will always return 'undefined' in this function if success.
	 */
	function removeItem(key, callback) {
	    if (callback) {
	        storage.removeItem(key, callback);
	    } else {
	        storage.removeItem(key, function(params) {
	            ToastUtil.toastDebug(params);
	            return params.result;
	        });
	    }
	}



	/**
	 * 获取所有key值
	 *  callback. 'e' is an object that contains 'result' and 'data'.
	 *  e.data will return that array of keys.
	 */
	function getAllKeys(callback) {
	    if (callback) {
	        storage.getAllKeys(callback);
	    } else {
	        storage.getAllKeys(function(params) {
	            ToastUtil.toastDebug(params);
	            return params.data;
	        });
	    }
	}



	/**
	 * 当前keys中的总长度
	 * callback. 'e' is an object that contains 'result' and 'data'.
	 * e.data will return that number.
	 */
	function currentLength(callback) {
	    if (callback) {
	        storage.length(callback);
	    } else {
	        storage.length(function(params) {
	            ToastUtil.toastDebug(params);
	            return params.data;
	        });
	    }
	}

	exports.setItem = setItem;
	exports.getItem = getItem;
	exports.removeItem = removeItem;
	exports.getAllKeys = getAllKeys;
	exports.currentLength = currentLength;

/***/ },

/***/ 99:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 跳转工具类
	 * Created by samy on 16/8/1.
	 */
	var StringUtil = __webpack_require__(100);
	var AppConfig = __webpack_require__(7);
	var AppConstants = __webpack_require__(5);
	var ApiUrls = __webpack_require__(101);
	var ToastUtil = __webpack_require__(6);
	var IntentUtil = __webpack_require__(103);
	// var Log = require('./Log');

	var navigator;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    if (typeof window === 'object') { // H5请求下还是用SDK里面的；
	        return navigator = __weex_require__('@weex-module/navigator');
	    } else { //原生请求下用自定义的；
	        // return navigator = __weex_require__('@weex-module/WxNavigatorModule');
	        return navigator = __weex_require__('@weex-module/navigator');
	    }
	});

	/**
	 * 传值情况下：默认带的数据：url+title;
	 * h5
	 * 自带的navigator.push方法；
	 *   web container
	 * native
	 *   com.zsy.***(.class)
	 *   ui/**(.we)
	 */
	function push(self, url, title, jsExtras, isFinish) {
	    console.log("====push==url==>" + url);
	    if (url) { //url不为空才处理
	        if (url.indexOf("com.") >= 0) {
	            pushToNative(url, jsExtras, isFinish);
	        } else {
	            pushToWx(self, url, title);
	        }
	    }
	}

	function pushToWx(self, url, title) {
	    console.log("====pushToWx====>" + url);
	    if (url.indexOf(ApiUrls.H5Path.EnvPort) > -1) {
	        pushToH5(self, url, title);
	    } else {
	        pushDefault(self, url, title);
	    }
	}

	/**
	 * 跳转到.we的H5容器；处理H5的界面；
	 */
	function pushToH5(self, url, title, jsExtras) {
	    console.log("====pushToH5====>" + url);
	    if (url.indexOf("storeName") > -1) {
	        url = url.replace("{storeName}", self.userBean.storeName);
	    }
	    if (url.indexOf("storeId") > -1) {
	        url = url.replace("{storeId}", self.userBean.storeId);
	    }
	    if (url.indexOf("accountNo") > -1) {
	        url = url.replace("{accountNo}", self.userBean.accountNo);
	    }
	    // url = "ui/base/WebContainer.js?" + AppConstants.ExtraKeys.PAGE_URL + "=" + url + "&" + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title;
	    url = "ui/base/WebContainer.js?" + AppConstants.ExtraKeys.PAGE_URL + "=" + url;
	    // if (!typeof window === 'object') { //APP传值一种方式；
	    //     var jsExtras = {
	    //         "title": title,
	    //         "url": url,
	    //     }
	    // }
	    pushDefault(self, url, title, jsExtras);
	}


	/**
	 * 默认的跳转
	 * 简单数据之间用url拼接传递；(如：WebContainer)
	 * 复制数据多的情况下，用jsExtras传递；
	 */
	function pushDefault(self, url, title, jsExtras) {
	    console.log("====pushDefault====>" + url);
	    url = StringUtil.trim(url, true);
	    console.log("====pushDefault==filterUrl==>" + url);
	    url = url + ((url.indexOf(".js?") > -1) ? "&" : "?"); //表示已经有参数了就直接加&,没有参数加?
	    var params = {
	        'url': AppConfig.getCurrentPathUrl(self, "") + url + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title,
	        // 'url': AppConfig.getCurrentPathUrl(self, "") + url,
	        'animated': 'true',
	    };
	    // if (!jsExtras && typeof(jsExtras) != "undefined" && jsExtras != 0) {
	    if (!typeof(jsExtras) == "undefined") {
	        params.protype.jsExtras = jsExtras;
	    }
	    console.log("--pushDefault-params--->" + JSON.stringify(params));
	    navigator.push(params, function(e) {
	        console.log("--pushDefault-callback--->" + e);
	    });
	}


	/**
	 * 跳转到指定的原生的.class
	 */
	function pushToNative(className, jsExtras, isFinish) {
	    console.log("----pushToNative--className-->" + className + "--jsExtras-->" + JSON.stringify(jsExtras) + "--isFinish-->" + isFinish);
	    IntentUtil.startActivityFromJS(className, jsExtras, isFinish);
	}


	/**
	 * 跳转到Home;
	 */
	function pushToNativeHome() {
	    IntentUtil.goHomeTab();
	}

	function pop(self) {
	    var params = {
	        'animated': 'true',
	    }
	    navigator.pop(params, function(e) {
	        //callback
	    });
	}


	exports.push = push;
	exports.pop = pop;
	exports.pushToH5 = pushToH5;
	exports.pushToNative = pushToNative;
	exports.pushToNativeHome = pushToNativeHome;

/***/ },

/***/ 100:
/***/ function(module, exports) {

	/**
	 * 字符串去掉空格
	 * @param str
	 * @param isGlobal
	 * @returns {XML|void|string|*}
	 */
	function trim(str, isGlobal) {
	    var result;
	    result = str.replace(/(^\s+)|(\s+$)/g, "");
	    if (isGlobal) {
	        result = result.replace(/\s/g, "");
	    }
	    return result;
	}

	exports.trim = trim;

/***/ },

/***/ 101:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * ====================接口Url地址========================
	 * http://test.wgmf.com/crmserver
	 * crmserver子目录下
	 * 原来crmserver现在分成四大子模块；
	 * app-manage
	 * app-saler
	 * app
	 *
	 *
	 * H5模块
	 */

	var AppConfig = __webpack_require__(7);
	var ApiConstants = __webpack_require__(102);


	var CRMSERVER = {
	    /** EnvPort */
	    EnvPort: "/crmserver/",
	}

	/**
	 * 管理模块
	 */
	var APPMANAGE = {
	    EnvPort: "/app-manage/",
	}

	/**
	 * 销售模块
	 */
	var APPSALER = {
	    EnvPort: "/app-saler/",
	}

	/**
	 * 会员模块
	 */
	var APP = {
	    EnvPort: "/app/",
	    /**体验装派发数*/
	    userQueryStock: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/queryStock";
	    },
	    /**获取门店任务*/
	    // getStoreTaskInfo: APP.EnvPort()+ "information/getStoreTaskInfo",
	    getStoreTaskInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "information/getStoreTaskInfo";
	    },
	    /**以老带新,获取统计汇总数据 */
	    getOldAndNewSum: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "datastatistics/getOldAndNewSum";
	    },
	    /**订单中心 */
	    getOrderInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/getOrderInfo";
	    },
	    /**预约确认*/
	    verifyReserve: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/verifyReserve";
	    },
	    /**检查手机是否可以参加体验装*/
	    canMemberEx: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/CanMemberEx";
	    },
	    /**领取体验装*/
	    memberexChange: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/memberexchange";
	    },
	}

	/**
	 * 活动
	 * http://test.wgmf.com/promotion
	 * promotion子目录下
	 */
	var PROMOTION = {}

	/***
	 * ================================H5部分=================================
	 */

	/**
	 * 文件路径
	 */
	var H5Path = {
	    /**
	     * H5人员写的H5
	     */
	    EnvPort: "/crmserver-front/html/",
	    /**新客数据查询**/
	    newCustomerStatic: function(shopName, shopId) {
	        return ApiConstants.baseApi() + this.EnvPort + "newCustomerStatic/newCustomerStatic.html?shopName=" + shopName + "&shopId=" + shopId;
	    },

	    /**初心蜜销售提成展示(微商品销售)*/
	    firstHeartHoneyIndex: function(storeName, storeId, userId) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/firstHeartHoneyIndex.html?storeName=" + storeName + "&storeId=" + storeId + "&userId=" + userId;
	    },

	    /**会员商品提成查询*/
	    memberProductSale: function(storeName, storeId, autoSearch) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/memberProductSale.html?storeName=" + storeName + "&storeId=" + storeId + "&autoSearch" + autoSearch; //autoSearch=1时进入查询界面，0时直接进入查询结果
	    },



	    /**
	     * 自己写的H5
	     */
	    index_top_carousel: AppConfig.baseH5Url + "index_top_carousel.html",
	};


	exports.CRMSERVER = CRMSERVER;
	exports.APPMANAGE = APPMANAGE;
	exports.APPSALER = APPSALER;
	exports.APP = APP;
	exports.H5Path = H5Path;

/***/ },

/***/ 102:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 接口地址,环境切换配置
	 */
	var AppConfig = __webpack_require__(7);

	var apiBaseURL = {
	    releaseEnvServer: 'https://app.wgmf.com',
	    releaseEnvPort: "/procrmserver",

	    // testEnvServer: "http://test.wgmf.com",
	    //代理是用这个地址；
	    testEnvServer: getTestEnvServer(),
	    testEnvPort: "/crmserver"
	};

	function getTestEnvServer() {
	    if (AppConfig.isProxyNginx) {
	        return AppConfig.baseUrlIpPort;
	    }
	    return "http://test.wgmf.com";
	}

	/**
	* 这种模式要求传递模块(三大模块)；
	*/
	function baseApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvServer;//测试环境
	     }else{
	     	return apiBaseURL.releaseEnvServer;//正式环境
	     }
	}

	function baseOldApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvPort;//测试环境
	     }else{
	        return apiBaseURL.releaseEnvServer+apiBaseURL.releaseEnvPort;//正式环境
	     }
	}

	// exports.apiBaseURL = apiBaseURL;
	exports.baseApi = baseApi;


/***/ },

/***/ 103:
/***/ function(module, exports) {

	    /**
	     * 跟原生中的配置对应上；
	     */
	    var intentModule
	    __weex_define__('@weex-temp/x', function(__weex_require__) {
	        intentModule = __weex_require__('@weex-module/intentModule')
	    })


	    /**
	     *跳转到原生，并携带数据；
	     */
	    function startActivityFromJS(className, jsExtras, isFinish) {
	        intentModule.startActivityFromJS(className, jsExtras, function(ts) {
	            console.log("activity is open at " + ts);
	        });
	    }

	    /**
	     * 进入首页
	     */
	    function goHomeTab() {
	        intentModule.goHomeTab();
	    }



	    /**
	     * 拨打电话功能
	     */
	    function callPhone(phoneNum) {
	        intentModule.callPhone(phoneNum);
	    }



	    /**
	     * 进入会员首页,临时用；
	     */
	    function goMemberHome(phoneNum) {
	        intentModule.goMemberHome(phoneNum);
	    }


	    exports.startActivityFromJS = startActivityFromJS;
	    exports.goHomeTab = goHomeTab;
	    exports.callPhone = callPhone;
	    exports.goMemberHome = goMemberHome;

/***/ },

/***/ 126:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(127)
	var __weex_template__ = __webpack_require__(131)
	var __weex_style__ = __webpack_require__(132)
	var __weex_script__ = __webpack_require__(133)

	__weex_define__('@weex-component/ext-navpage', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },

/***/ 127:
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(128)
	var __weex_style__ = __webpack_require__(129)
	var __weex_script__ = __webpack_require__(130)

	__weex_define__('@weex-component/ext-navbar', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },

/***/ 128:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "container"
	  ],
	  "style": {
	    "height": function () {return this.height},
	    "backgroundColor": function () {return this.backgroundColor}
	  },
	  "attr": {
	    "dataRole": function () {return this.dataRole}
	  },
	  "children": [
	    {
	      "type": "text",
	      "classList": [
	        "left-text"
	      ],
	      "style": {
	        "color": function () {return this.leftItemColor}
	      },
	      "attr": {
	        "naviItemPosition": "left",
	        "value": function () {return this.leftItemTitle}
	      },
	      "shown": function () {return !this.leftItemSrc},
	      "events": {
	        "click": "onclickleftitem"
	      }
	    },
	    {
	      "type": "image",
	      "classList": [
	        "left-image"
	      ],
	      "attr": {
	        "naviItemPosition": "left",
	        "src": function () {return this.leftItemSrc}
	      },
	      "shown": function () {return this.leftItemSrc},
	      "events": {
	        "click": "onclickleftitem"
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "center-text"
	      ],
	      "style": {
	        "color": function () {return this.titleColor}
	      },
	      "attr": {
	        "naviItemPosition": "center",
	        "value": function () {return this.title}
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "right-text"
	      ],
	      "style": {
	        "color": function () {return this.rightItemColor}
	      },
	      "attr": {
	        "naviItemPosition": "right",
	        "value": function () {return this.rightItemTitle}
	      },
	      "shown": function () {return !this.rightItemSrc},
	      "events": {
	        "click": "onclickrightitem"
	      }
	    },
	    {
	      "type": "image",
	      "classList": [
	        "right-image"
	      ],
	      "attr": {
	        "naviItemPosition": "right",
	        "src": function () {return this.rightItemSrc}
	      },
	      "shown": function () {return this.rightItemSrc},
	      "events": {
	        "click": "onclickrightitem"
	      }
	    }
	  ]
	}

/***/ },

/***/ 129:
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "flexDirection": "row",
	    "position": "fixed",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "width": 750
	  },
	  "right-text": {
	    "position": "absolute",
	    "bottom": 28,
	    "right": 32,
	    "textAlign": "right",
	    "fontSize": 32,
	    "fontFamily": "'Open Sans', sans-serif"
	  },
	  "left-text": {
	    "position": "absolute",
	    "bottom": 28,
	    "left": 32,
	    "textAlign": "left",
	    "fontSize": 32,
	    "fontFamily": "'Open Sans', sans-serif"
	  },
	  "center-text": {
	    "position": "absolute",
	    "bottom": 25,
	    "left": 172,
	    "right": 172,
	    "textAlign": "center",
	    "fontSize": 36,
	    "fontWeight": "bold"
	  },
	  "left-image": {
	    "position": "absolute",
	    "bottom": 22,
	    "left": 28,
	    "width": 50,
	    "height": 50
	  },
	  "right-image": {
	    "position": "absolute",
	    "bottom": 22,
	    "right": 28,
	    "width": 50,
	    "height": 50
	  }
	}

/***/ },

/***/ 130:
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	    data: function () {return {
	        dataRole: 'navbar',

	        backgroundColor: 'black',

	        height: 88,

	        title: "",

	        titleColor: 'black',

	        rightItemSrc: '',

	        rightItemTitle: '',

	        rightItemColor: 'black',

	        leftItemSrc: '',

	        leftItemTitle: '',

	        leftItemColor: 'black'
	    }},
	    methods: {
	        onclickrightitem: function onclickrightitem(e) {
	            this.$dispatch('naviBar.rightItem.click', {});
	        },
	        onclickleftitem: function onclickleftitem(e) {
	            this.$dispatch('naviBar.leftItem.click', {});
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 131:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "wrapper"
	  ],
	  "children": [
	    {
	      "type": "ext-navbar",
	      "attr": {
	        "dataRole": function () {return this.dataRole},
	        "height": function () {return this.height},
	        "backgroundColor": function () {return this.backgroundColor},
	        "title": function () {return this.title},
	        "titleColor": function () {return this.titleColor},
	        "leftItemSrc": function () {return this.leftItemSrc},
	        "leftItemTitle": function () {return this.leftItemTitle},
	        "leftItemColor": function () {return this.leftItemColor},
	        "rightItemSrc": function () {return this.rightItemSrc},
	        "rightItemTitle": function () {return this.rightItemTitle},
	        "rightItemColor": function () {return this.rightItemColor}
	      }
	    },
	    {
	      "type": "div",
	      "classList": [
	        "wrapper"
	      ],
	      "style": {
	        "marginTop": function () {return this.height}
	      },
	      "children": [
	        {
	          "type": "content"
	        }
	      ]
	    }
	  ]
	}

/***/ },

/***/ 132:
/***/ function(module, exports) {

	module.exports = {
	  "wrapper": {
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "bottom": 0,
	    "width": 750
	  }
	}

/***/ },

/***/ 133:
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	var UrlUtil = __webpack_require__(4);
	var AppConstants = __webpack_require__(5);
	var AppConfig = __webpack_require__(7);
	var BaseImageUrl = AppConfig.baseImageUrl;
	var NaviUtil = __webpack_require__(99);
	module.exports = {
	    data: function () {return {
	        dataRole: 'navbar',
	        backgroundColor: '#5f462d',
	        height: 100,
	        title: "",
	        titleColor: 'white',
	        rightItemSrc: '',
	        rightItemTitle: '',
	        rightItemColor: 'black',
	        leftItemSrc: BaseImageUrl + 'title_left_src_ic.png',
	        leftItemTitle: '',
	        leftItemColor: 'black'
	    }},
	    created: function created() {
	        if (this.leftItemSrc) {
	            this.$on('naviBar.leftItem.click', function (e) {
	                NaviUtil.pop();
	            });
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 140:
/***/ function(module, exports, __webpack_require__) {

	var ApiConstants = __webpack_require__(102);
	var ToastUtil = __webpack_require__(6);

	var stream;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    stream = __weex_require__('@weex-module/stream')
	});

	/**
	 * GET请求部分；
	 */
	function requestGet(url, callback, isOldTypePort) {
	    requestGetWithBody(url, null, callback, isOldTypePort);
	}

	function requestGetWithBody(url, body, callback, isOldTypePort) {
	    console.log('NetApi-requestGetWithBody--request:---> ' + url);
	    stream.fetch({
	        method: 'GET',
	        url: url,
	        type: 'json',
	        body: body
	    }, function(ret) {
	        var resultObj = ret;
	        console.log('NetApi---requestGetWithBody--response:--->' + url + "---data---->" + JSON.stringify(ret.data));
	        if (!ret.ok) { // true if status code is bewteen 200～299.
	            ToastUtil.toast(this, "网络请求失败");
	        } else {
	            if (ret.data.msgCode != 0) {
	                if (isOldTypePort) {
	                    ToastUtil.toast(this, ret.data.msgContent);
	                } else {
	                    ToastUtil.toast(this, ret.data.msgInfo);
	                }
	            } else {
	                if (typeof resultObj == 'string') {
	                    resultObj = JSON.parse(resultObj);
	                }
	                var responseData = resultObj.data;
	                if (typeof serverResultData == 'string') {
	                    responseData = JSON.parse(responseData);
	                }
	                nativeLog('responseData  = ' + responseData);
	                callback(responseData);
	            }
	        }
	    }, function(progress) {
	        nativeLog('get in progress:' + progress.length);
	    })
	}

	/**
	 * POST请求部分；
	 */
	function requestPost(url, callback) {
	    requestPostWithBody(url, null, callback);
	}

	function requestPostWithBody(url, body, callback) {
	    stream.fetch({
	        method: 'POST',
	        url: ApiConstants.baseApi() + url,
	        type: 'json',
	        body: body
	    }, function(ret) {
	        var resultObj = ret;
	        nativeLog('resultObj  = ' + ret);
	        if (typeof resultObj == 'string') {
	            resultObj = JSON.parse(resultObj);
	        }
	        var serverResultData = resultObj.data;
	        if (typeof serverResultData == 'string') {
	            serverResultData = JSON.parse(serverResultData);
	        }
	        nativeLog('serverResultData  = ' + serverResultData);
	        callback(serverResultData);
	    }, function(progress) {
	        nativeLog('get in progress:' + progress.length);
	    })
	}

	/**
	 * 组装请求地址；
	 */
	function stringfyParam(obj) {
	    var arr = [];
	    for (var item in obj) {
	        if (obj.hasOwnProperty(item)) {
	            arr.push(item + "=" + obj[item]);
	        }
	    }
	    return arr.join("&");
	}
	//示例
	// var from = {
	//     mobile: this.mobile,
	//     type: 2
	// }
	// var formParam = stringfyParam();

	exports.requestGet = requestGet;
	exports.requestGetWithBody = requestGetWithBody;
	exports.requestPost = requestPost;
	exports.requestPostWithBody = requestPostWithBody;

/***/ },

/***/ 141:
/***/ function(module, exports) {

	module.exports = {
	  "type": "ext-navpage",
	  "attr": {
	    "title": function () {return this.title},
	    "dataRole": "none"
	  },
	  "children": [
	    {
	      "type": "div",
	      "classList": [
	        "container"
	      ],
	      "children": [
	        {
	          "type": "div",
	          "classList": [
	            "content"
	          ],
	          "children": [
	            {
	              "type": "div",
	              "classList": [
	                "content_detail"
	              ],
	              "children": [
	                {
	                  "type": "div",
	                  "classList": [
	                    "des"
	                  ],
	                  "children": [
	                    {
	                      "type": "text",
	                      "classList": [
	                        "des_title"
	                      ],
	                      "attr": {
	                        "value": "营养早餐1+1+1体验装"
	                      }
	                    },
	                    {
	                      "type": "text",
	                      "style": {
	                        "marginTop": 30,
	                        "marginBottom": 30,
	                        "fontSize": 30
	                      },
	                      "attr": {
	                        "value": function () {return '今天可剩余派发数:' + (this.dispatchNum)}
	                      }
	                    },
	                    {
	                      "type": "text",
	                      "classList": [
	                        "phone_num"
	                      ],
	                      "attr": {
	                        "value": function () {return '会员手机号：' + (this.phoneNum)}
	                      }
	                    }
	                  ]
	                },
	                {
	                  "type": "text",
	                  "classList": [
	                    "button",
	                    "comfirm"
	                  ],
	                  "events": {
	                    "click": "immediatelyRedeem"
	                  },
	                  "attr": {
	                    "value": "立即领取"
	                  }
	                }
	              ]
	            },
	            {
	              "type": "text",
	              "classList": [
	                "content_tips"
	              ],
	              "attr": {
	                "value": "注意：一个手机号只能领取一份体验装"
	              }
	            }
	          ]
	        },
	        {
	          "type": "text",
	          "id": "bottom_btn",
	          "classList": [
	            "button",
	            "bottom_loc"
	          ],
	          "events": {
	            "click": "goSell"
	          },
	          "attr": {
	            "value": "去销售"
	          }
	        }
	      ]
	    }
	  ]
	}

/***/ },

/***/ 142:
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "position": "relative",
	    "backgroundColor": "#f5f5f5"
	  },
	  "content": {
	    "backgroundColor": "#FFFFFF",
	    "padding": 30,
	    "marginTop": 30
	  },
	  "content_detail": {
	    "flexDirection": "row"
	  },
	  "des": {
	    "flex": 2
	  },
	  "des_title": {
	    "color": "#3399ff",
	    "fontSize": 30,
	    "fontWeight": "bold"
	  },
	  "content_tips": {
	    "marginTop": 30,
	    "color": "#c3c3c3",
	    "fontSize": 30
	  },
	  "phone_num": {
	    "fontSize": 30
	  },
	  "button": {
	    "height": 90,
	    "backgroundColor": "#3399ff",
	    "borderRadius": 15,
	    "padding": 15,
	    "marginLeft": 50,
	    "marginRight": 50,
	    "color": "#ffffff",
	    "alignItems": "center",
	    "justifyContent": "center",
	    "textAlign": "center",
	    "fontSize": 40,
	    "borderWidth": 0.5,
	    "borderColor": "#FFFF00"
	  },
	  "comfirm": {
	    "flex": 1,
	    "marginTop": 20
	  },
	  "bottom_loc": {
	    "marginTop": 30
	  }
	}

/***/ },

/***/ 143:
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	var _stringify = __webpack_require__(10);

	var _stringify2 = _interopRequireDefault(_stringify);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	__webpack_require__(126);
	var UrlUtil = __webpack_require__(4);
	var ToastUtil = __webpack_require__(6);
	var IntentUtil = __webpack_require__(103);

	var NetApi = __webpack_require__(140);
	var StorgeHelper = __webpack_require__(98);
	var AppConstants = __webpack_require__(5);
	var ApiUrls = __webpack_require__(101);
	var Router = __webpack_require__(218);

	module.exports = {
	    data: function () {return {
	        title: "派发体验装",
	        dispatchNum: 0,
	        phoneNum: "",
	        userBean: ""
	    }},
	    created: function created() {
	        console.log('created', "created");
	        var self = this;
	        StorgeHelper.getItem(AppConstants.PrefKeys.USER_BEAN, function (result) {
	            console.log("登录成功:--->" + (0, _stringify2.default)(result.data));
	            self.userBean = JSON.parse(result.data);
	            self.todayDispatchNum();
	        });

	        var bundleUrl = this.$getConfig().bundleUrl;

	        self.phoneNum = decodeURI(UrlUtil.getParameterByName(AppConstants.ExtraKeys.PHONE_NUM, bundleUrl));
	    },
	    methods: {
	        todayDispatchNum: function todayDispatchNum() {
	            var self = this;
	            var GET_URL = ApiUrls.APP.userQueryStock() + '?storeid=' + self.userBean.storeId;
	            NetApi.requestGet(GET_URL, function (serverResultData) {
	                self.dispatchNum = serverResultData.resultStr;
	            }, true);
	        },
	        immediatelyRedeem: function immediatelyRedeem(event) {
	            var self = this;
	            var GET_URL = ApiUrls.APP.memberexChange() + '?storeid=' + self.userBean.storeId + "&mobile=" + self.phoneNum + "&accountno=" + self.userBean.accountNo;
	            NetApi.requestGet(GET_URL, function (serverResultData) {
	                ToastUtil.toast(self, "领取成功");
	            }, true);
	        },
	        goSell: function goSell(argument) {
	            IntentUtil.goMemberHome(this.phoneNum);
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 218:
/***/ function(module, exports, __webpack_require__) {

	var AppConfig = __webpack_require__(7);
	var AppConstants = __webpack_require__(5);
	var BaseImageUrl = AppConfig.baseImageUrl;
	// var H5Path = require('../api/ApiUrls').H5Path;
	var routers = {
	    //   Index: {
	    // index: 0,
	    // title: '首页',
	    // titleColor: '#000000',
	    // icon: '',
	    // image: BaseImageUrl + "btn_bottom_home_normal.png",
	    // selectedImage: BaseImageUrl + "btn_bottom_home_selected.png",
	    // src: 'ui/index/Index.js',
	    // visibility: 'visible',
	    // subRouters: {
	    InputNumber: {
	        name: '会员录单',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'android':
	                    return platformUrl + "ui/view/fragment/login/LoginFragment";
	            }
	        },
	    },
	    NewCustomerThridTride: {
	        name: '新客三响炮',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'android':
	                    return platformUrl + "ui/view/fragment/login/LoginFragment";
	            }
	        },
	    },
	    RedeemPoints: {
	        name: '积分兑换',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'android':
	                    return platformUrl + "ui/view/fragment/login/LoginFragment";
	            }
	        },
	    },
	    DevelopNewMember: { //发展新会员
	        InputPhoneNum: {
	            name: '派发体验装',
	            src: 'ui/index/InputPhoneNum.js',
	            icon: BaseImageUrl + "experience_equipment.png",
	            desc: "",
	        },
	        GrantEZine: {
	            name: '发放电子杂志',
	            src: '',
	            icon: BaseImageUrl + "e_zine_normal.png",
	            expectTips: "敬请期待",
	            desc: "",
	        },
	        GrantECard: {
	            name: '发放电子会员',
	            src: '',
	            icon: BaseImageUrl + "e_card_normal.png",
	            expectTips: "敬请期待",
	            desc: "",
	        },
	    },
	    OrderCenter: {},
	    ScanPlusPowder: {
	        name: '扫描加粉',
	        src: 'com.urovo.activity.home.ErWeiMaEntryActivity',
	    },
	    MemberHome: {
	        name: '会员主页',
	        src: 'com.urovo.activity.home.ErWeiMaEntryActivity',//目前还是用FraContainerAct去装；目前之处理Activity.获取处理Fragment;
	    },

	    // }
	}
	exports.routers = routers;

/***/ }

/******/ });