package com.urovo.wgmf.db.dao.dao;

import android.database.Cursor;

import com.urovo.wgmf.db.dao.entitys.XXWKDb;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.ArrayList;
import java.util.List;

/**
 * 学习文库数据库操作类
 * 
 * @author XP
 * 
 */
public class XXWKOperate {

	public static Boolean Insert(XXWKDb model) {
		Boolean result = false;
		Cursor cursor = null;
		try {
			cursor = BaseAppManager.database().rawQuery(
					"select * from XXWK WHERE XXWKNO = '" + model.articleId
							+ "'", new String[] {});
			if (!cursor.moveToNext()) {
				String strSql = "insert into XXWK(XXWKNO,XXWKTYPE,XXWKTITLE,XXWKCONTENT,XXWKURL,REDDATE,INVALID,XXWKTIME)"
						+ " values(?,?,?,?,?,?,?,?)";
				BaseAppManager.database().execSQL(strSql, new String[] {
						model.articleId, model.imageUrl, model.title,
						model.title, model.articleUrl, model.createTime,
						model.invalid, model.createTime, });
				result = true;
			}
		} catch (Exception e) {
			BaseAppManager.loger().info("[XXWKOperate.Insert]" + e);

		} finally {
			if (null != cursor)
				cursor.close();
		}
		return result;
	}

	public static Boolean update(XXWKDb model) {
		Boolean result = false;
		try {
			String strSql = "update XXWK set INVALID = 'yes'  where XXWKNO = '"
					+ model.articleId + "'";
			BaseAppManager.database().execSQL(strSql);
			result = true;
		} catch (Exception e) {
			BaseAppManager.loger().info("[XXWKOperate.Insert]" + e);

		}
		return result;
	}

	public static List<XXWKDb> selectValid() {
		return selectBy("WHERE INVALID IS NULL");
	}

	public static List<XXWKDb> selectBy(String sql) {
		List<XXWKDb> list = new ArrayList<XXWKDb>();
		Cursor cursor = null;
		try {
			String strSql = "select * from XXWK ";
			if (sql != null) {
				strSql += sql;
			}
			cursor = BaseAppManager.database().rawQuery(strSql, new String[] {});
			while (cursor.moveToNext()) {
				XXWKDb cell = new XXWKDb();
				cell.articleId = cursor.getString(cursor
						.getColumnIndex("XXWKNO"));
				cell.imageUrl = cursor.getString(cursor
						.getColumnIndex("XXWKTYPE"));
				cell.title = cursor.getString(cursor
						.getColumnIndex("XXWKTITLE"));
				cell.title = cursor.getString(cursor
						.getColumnIndex("XXWKCONTENT"));
				cell.articleUrl = cursor.getString(cursor
						.getColumnIndex("XXWKURL"));
				cell.createTime = cursor.getString(cursor
						.getColumnIndex("REDDATE"));
				cell.invalid = cursor.getString(cursor
						.getColumnIndex("INVALID"));
				cell.createTime = cursor.getString(cursor
						.getColumnIndex("XXWKTIME"));

				list.add(cell);
			}
		} catch (Exception e) {
			BaseAppManager.loger().info(e);

		} finally {
			if (null != cursor)
				cursor.close();
		}
		return list;
	}

	public static Boolean deleteBy(String sql) {
		Boolean result = false;
		try {
			String strSql = "delete from XXWK";
			if (sql != null) {
				strSql += sql;
			}
			BaseAppManager.database().execSQL(strSql);
			result = true;
		} catch (Exception e) {

			BaseAppManager.loger().info(e);
		}
		return result;
	}

}
