package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.data.DateUtil;

import java.util.Date;

/**
 * 会员礼品兑换实体类
 * 
 * @author Administrator
 *
 */
public class LPItem {

	private String LPItemId = ""; // 礼品编码
	private String ItemId = ""; // 产品编码(非礼品编码)
	// / 产品角色：固定写P-普通产品
	public String ItemMode = "P";
	private String LPItemName = ""; // 礼品名称
	private int Seq_No = 0; // 插入序列号
	private double Quantity = 0; // 份数
	private double EHD_KG = 1;
	private double Price = 0; // 零售价格
	private double TotalUseJF = 0; // 所需总积分：数量*所需积分
	private double UseJF = 0; // 所需积分
	private double inv=0;   //库存
	private boolean showInv; //是否显示库存
	private String LPUom = ""; // 礼品单位
	private String Rule = ""; // 兑换规则
	private String SaleManId = ""; // 促销\销售员 编号
	private String SaleEmpName = ""; // 促销\销售员 名称
	private String OrderDate = DateUtil.getDate(new Date()); // 兑换日期
	private String OrderBillId = ""; // 兑换单号
	private String DHDateS = DateUtil.getDate(new Date()); // 开始兑换日期
	private String DHDateE = DateUtil.getDate(new Date()); // 截止兑换日期(兑换时间在开始时间和截止时间之内的都可以兑换)
	private boolean checked;

	public boolean isChecked() {
		return checked;
	}

	public void setChecked(boolean checked) {
		this.checked = checked;
	}

	public String getLPItemId() {
		return LPItemId;
	}

	public void setLPItemId(String lPItemId) {
		LPItemId = lPItemId;
	}

	public String getItemId() {
		return ItemId;
	}

	public void setItemId(String itemId) {
		ItemId = itemId;
	}

	public String getItemMode() {
		return ItemMode;
	}

	public void setItemMode(String itemMode) {
		ItemMode = itemMode;
	}

	public String getLPItemName() {
		return LPItemName;
	}

	public void setLPItemName(String lPItemName) {
		LPItemName = lPItemName;
	}

	public int getSeq_No() {
		return Seq_No;
	}

	public void setSeq_No(int seq_No) {
		Seq_No = seq_No;
	}

	public double getQuantity() {
		return Quantity;
	}

	public void setQuantity(double quantity) {
		Quantity = quantity;
	}

	public double getEHD_KG() {
		return EHD_KG;
	}

	public void setEHD_KG(double eHD_KG) {
		EHD_KG = eHD_KG;
	}

	public double getPrice() {
		return Price;
	}

	public void setPrice(double price) {
		Price = price;
	}

	public double getTotalUseJF() {
		return TotalUseJF;
	}

	public void setTotalUseJF(double totalUseJF) {
		TotalUseJF = totalUseJF;
	}

	public double getUseJF() {
		return UseJF;
	}

	public void setUseJF(double useJF) {
		UseJF = useJF;
	}

	public String getLPUom() {
		return LPUom;
	}

	public void setLPUom(String lPUom) {
		LPUom = lPUom;
	}

	public String getRule() {
		return Rule;
	}

	public void setRule(String rule) {
		Rule = rule;
	}

	public String getSaleManId() {
		return SaleManId;
	}

	public void setSaleManId(String saleManId) {
		SaleManId = saleManId;
	}

	public String getSaleEmpName() {
		return SaleEmpName;
	}

	public void setSaleEmpName(String saleEmpName) {
		SaleEmpName = saleEmpName;
	}

	public String getOrderDate() {
		return OrderDate;
	}

	public void setOrderDate(String orderDate) {
		OrderDate = orderDate;
	}

	public String getOrderBillId() {
		return OrderBillId;
	}

	public void setOrderBillId(String orderBillId) {
		OrderBillId = orderBillId;
	}

	public String getDHDateS() {
		return DHDateS;
	}

	public void setDHDateS(String dHDateS) {
		DHDateS = dHDateS;
	}

	public double getInv() {
		return inv;
	}

	public void setInv(double inv) {
		this.inv = inv;
	}

	public boolean isShowInv() {
		return showInv;
	}

	public void setShowInv(boolean showInv) {
		this.showInv = showInv;
	}


	public String getDHDateE() {
		return DHDateE;
	}

	public void setDHDateE(String dHDateE) {
		DHDateE = dHDateE;
	}

	@Override
	public String toString() {
		return "LPItem{" +
				"LPItemId='" + LPItemId + '\'' +
				", ItemId='" + ItemId + '\'' +
				", ItemMode='" + ItemMode + '\'' +
				", LPItemName='" + LPItemName + '\'' +
				", Seq_No=" + Seq_No +
				", Quantity=" + Quantity +
				", EHD_KG=" + EHD_KG +
				", Price=" + Price +
				", TotalUseJF=" + TotalUseJF +
				", UseJF=" + UseJF +
				", inv=" + inv +
				", showInv=" + showInv +
				", LPUom='" + LPUom + '\'' +
				", Rule='" + Rule + '\'' +
				", SaleManId='" + SaleManId + '\'' +
				", SaleEmpName='" + SaleEmpName + '\'' +
				", OrderDate='" + OrderDate + '\'' +
				", OrderBillId='" + OrderBillId + '\'' +
				", DHDateS='" + DHDateS + '\'' +
				", DHDateE='" + DHDateE + '\'' +
				", checked=" + checked +
				'}';
	}
}
