package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;

public class LearningCenterDetailEntityList implements Serializable {
	private static final long serialVersionUID = 1L;
	public String articleId;// 文章的主键
	public String title;// 标题
	public String imageUrl;// 缩略图片，为空字符串时，表示没有
	public String articleUrl;//
	public String createTime;// 日期
	public String invalid;//
	/**已阅读次数*/
	public int readTimesCount;
	public int readStatus;//是否已读 0已读,1未读 ,

	public String originType;

	public String isNeedTest;

	public String testLink;

	public String articleEditorExternalLink;

	@Override
	public String toString() {
		return "LearningCenterDetailEntityList{" +
				"articleId='" + articleId + '\'' +
				", title='" + title + '\'' +
				", imageUrl='" + imageUrl + '\'' +
				", articleUrl='" + articleUrl + '\'' +
				", createTime='" + createTime + '\'' +
				", invalid='" + invalid + '\'' +
				", readTimesCount=" + readTimesCount +
				", readStatus=" + readStatus +
				", originType='" + originType + '\'' +
				", isNeedTest='" + isNeedTest + '\'' +
				", testLink='" + testLink + '\'' +
				", articleEditorExternalLink='" + articleEditorExternalLink + '\'' +
				'}';
	}

	/**
	 * @return the articleId
	 */
	public String getArticleId() {
		return articleId;
	}

	/**
	 * @param articleId
	 *            the articleId to set
	 */
	public void setArticleId(String articleId) {
		this.articleId = articleId;
	}

	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @param title
	 *            the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * @return the imageUrl
	 */
	public String getImageUrl() {
		return imageUrl;
	}

	/**
	 * @param imageUrl
	 *            the imageUrl to set
	 */
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	/**
	 * @return the articleUrl
	 */
	public String getArticleUrl() {
		return articleUrl;
	}

	/**
	 * @param articleUrl
	 *            the articleUrl to set
	 */
	public void setArticleUrl(String articleUrl) {
		this.articleUrl = articleUrl;
	}

	/**
	 * @return the createTime
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * @param createTime
	 *            the createTime to set
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * @return the invalid
	 */
	public String getInvalid() {
		return invalid;
	}

	/**
	 * @param invalid
	 *            the invalid to set
	 */
	public void setInvalid(String invalid) {
		this.invalid = invalid;
	}

	public String getOriginType() {
		return originType;
	}

	public void setOriginType(String originType) {
		this.originType = originType;
	}

	public String getIsNeedTest() {
		return isNeedTest;
	}

	public void setIsNeedTest(String isNeedTest) {
		this.isNeedTest = isNeedTest;
	}

	public String getTestLink() {
		return testLink;
	}

	public void setTestLink(String testLink) {
		this.testLink = testLink;
	}

	public String getArticleEditorExternalLink() {
		return articleEditorExternalLink;
	}

	public void setArticleEditorExternalLink(String articleEditorExternalLink) {
		this.articleEditorExternalLink = articleEditorExternalLink;
	}
}
