package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.response.Base3Response;

import java.util.List;


/**
 * @ClassName: ReportProblemsErrorListEntity
 * @Description: 到货误差 反馈结果
 * @author Sasuke
 * @date 2016/12/16.
 */
public class ReportProblemsErrorListEntity extends Base3Response {
    List<ProblemItem> resultInfo;

    public class ProblemItem implements ReportItemInterface {
        int problemType;//问题类型
        int status;//0:所有，1：未处理和处理中，2：已处理
        String submitTime;//提交时间 eg.2016-12-06 10:47:04
        String problemName;//问题名称
        String reply;//处理意见（如果是0则是无意见）
        String handler;//处理人
        String peisbch;//配送波次号
        String submiter;//提交人

        public int getProblemType() {
            return problemType;
        }

        @Override
        public int getStatus() {
            return status;
        }

        public String getSubmitTime() {
            return submitTime;
        }

        public String getProblemName() {
            return problemName;
        }

        public String getReply() {
            return reply;
        }

        public String getHandler() {
            return handler;
        }

        public String getPeisbch() {
            return peisbch;
        }
    }

    public List<ProblemItem> getResultList() {
        return resultInfo;
    }
}
