package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.util.List;

/**
 * @ClassName: SalesDetialsEntity
 * @Description: 销售明细实体类
 * @author XP
 * @date 2015-10-23 下午5:04:18
 */
public class SalesDetialsEntity extends BaseOldResponse {

	public ProductsReturnBean returnBean;// 数量

	@Override
	public String toString() {
		return "SalesDetialsEntity [sysCode=" + sysCode + ", sysContent=" + sysContent + ", msgCode=" + msgCode + ", msgContent=" + msgContent + ", returnBean=" + returnBean + "]";
	}

	public class ProductsReturnBean {
		public List<ProductsreturnList> returnList;
		public String totalAmount;// 总计金额
		public String totalConsNum;// 总计消费单数

		@Override
		public String toString() {
			return "ProductsReturnBean [returnList=" + returnList + ", totalAmount=" + totalAmount + ", totalConsNum=" + totalConsNum + "]";
		}

	}

	public class ProductsreturnList {
		public List<SaleProductList> saleProductList;
		public String cusMobile;// 手机号码
		public String consAmount;// 本单金额
		public String saleDateStr;// 销售时间
		public String saleType;// 销售类型
		public String storeId;// 门店id
		public String consId;// 消费单号
		public String salerName;//经办人
		public String storeName;//购买门店
		//public String isNewMember;//'1'是新客单 '0','-'等其它为非新客单

		@Override
		public String toString() {
			return "ProductsreturnList [saleProductList=" + saleProductList + ", cusMobile=" + cusMobile + ", consAmount=" + consAmount + ", saleDateStr=" + saleDateStr + ", saleType=" + saleType + ", storeId=" + storeId + ", consId=" + consId + "]";
		}

	}
}
