package com.urovo.wgmf.db.dao.entitys

import java.io.Serializable

/**
 * @author Sasuke on 2018-11-9.
 * 新的库存明细查询
 */
data class StockGoodsDetailEntity(var brandList: List<BrandList>,//品牌列表，有哪些品牌
                                  var detailList: List<DetailList>): Serializable {
        data class BrandList(var brandId: Int,//品牌分类标识
                             var brandName: String)//品牌名字

        data class DetailList(var currentQty: Double,
                              var oneMonthQty: Double,
                              var stockQty: Double,
                              var stockDays: Int,
                              var shouHuoQty: Double,
                              var proCanDH: String,
                              var proCanPD: String,
                              var proCanSale: String,
                              var productCate: String,
                              var productName: String,
                              var productNo: String,
                              var productUom: String,
                              var proLqQty: Double ,//即将临期数量
                              var brandId: Int)
}