package com.urovo.wgmf.db.dao.entitys

import com.urovo.wugumofang.response.Base3Response

/**
 * @author Sasuke on 2018/2/7.
 * 销售明细实体
 */
data class XiaoFeiRes(var resultInfo: List<ResultInfo>): Base3Response() {
    data class ResultInfo(var consId: String,
                          var storeName: String,//门店名称
                          var salerName: String,//录单员
                          var saleDate: String,//销售时间
                          var saleAmount: String,//销售金额
                          var saleProductList: List<SaleProductList>/*订单明细 */,
                          var isActOrder: Int,//是否活动单  1是  0不是
                          var actId: String/*活动id*/) {
        data class SaleProductList(var consDetId: Any,
                                   var productId: Any,//产品id
                                   var productNo: String,//产品编号
                                   var productName: String,//产品名称
                                   var unitName: Any,
                                   var productNum: String,//数量
                                   var amount: String,//金额
                                   var unitPrice: Double,
                                   var isgift:String, //是否是赠品
                                   var amountRate: Any)
    }
}