package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;
import java.util.List;

/**
 * 资材配入单主表---对应于后台的ZCPS001表
 * 
 * @author Administrator
 *
 */
public class ZCPS001Entity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	// / 配送单号
	public String BILL;
	// / 配出工厂编号
	public String STOREID;
	// / 配出工厂名称
	public String STOREName;
	// / 配出仓库编号
	public String ZCWHSID;
	// / 配送类型：1-配送 2-红冲 3-返仓
	public String PSTYPE;
	// / 配入门店编码
	public String TSTOREID;
	// / 配入仓库编码
	public String TZCWHSID;
	// / 制单日期
	public String WDATE;
	// / 制单人
	public String LR_NAME;
	// / 制单人编号
	public String OPER_LR;
	// / 审核日期
	public String BDATE;
	// / 审核人
	public String SH_NAME;
	// / 审核人编号
	public String OPER_SH;
	// / 状态 0-制单 1-审核
	public String STATUS;
	// / 收货状态：0-未收货1-已收货
	public String SHSTATUS;
	// / 是否通讯
	public String YN_TX;
	// / 备注
	public String COMM;
	// / 收货日期
	public String RKDATE;
	// / 收货人
	public String RK_NAME;
	// / 收货人编号
	public String OPER_RK;
	// / 资产明细
	public List<ZCPS002Entity> ZCDetails;
	// / 是否已上传
	public boolean IsUpload;
	// / 终端上是否已做收货处理
	public boolean IsProcessed;

}
