package com.urovo.wugumofang.constants;

public class BusinessID {
    /**
     * 每个业务分配消息大小
     */
    private static final int MSG_SECTION_SIZE = 100;
    /**
     * 终端陈列
     */
    public static final class TerminalDisplay {

        private static final int MSG_BASE = 24 * MSG_SECTION_SIZE;
        /**
         * get /terminalDisCorrective/findTerminalDisShop 查询终端陈列整改门店
         */
        public static final int MSG_ON_FIND_TERMINAL_DISSHOP  = MSG_BASE + 1;
        /**
         * post /exhibit/queryMissionByStoreNo 查询门店陈列任务
         */
        public static final int MSG_ON_QUERY_MISSION_BY_STORENO = MSG_BASE + 2;
        /**
         * post /exhibit/addSubmition 新增提报数据
         */
        public static final int MSG_ON_ADD_SUBMITION = MSG_BASE + 3;
        /**
         * post /exhibit/updateSubmition 修改提报数据
         */
        public static final int MSG_ON_UPDATE_SUBMITION = MSG_BASE + 4;
    }
}
