package com.zsy.libcore.model.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * @author samy(hongfeiliuxing @ gmail.com)
 * @datetime 2015-09-05 23:36
 */
public class Base implements Serializable, Parcelable {
    public String id;
    public String name;

    public Base() {
    }

    public Base(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public static final Creator<Base> CREATOR = new Creator<Base>() {
        @Override
        public Base createFromParcel(Parcel in) {
            return new Base(in);
        }

        @Override
        public Base[] newArray(int size) {
            return new Base[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id);
        dest.writeString(this.name);
    }

    protected Base(Parcel in) {
        this.id = in.readString();
        this.name = in.readString();
    }

    @Override
    public String toString() {
        return "Base{" + "id='" + id + '\'' + ", name='" + name + '\'' + '}';
    }
}
