package com.zsy.libcore.model.bean;

import java.io.Serializable;

public class Request2Result<T> implements Serializable {
    /**
     * sysCode : 0
     * sysContent : 请求成功
     * msgCode : 0
     * msgContent : 成功
     * returnBean : {"extra":null,"returnList":[{"currentDate":"2017-06-13","saleAmountTask":"--","currentSaleAmount":"0","remainSaleAmount":"--","monthSaleAmount":"15142.92","pkStroreMonthSaleAmount":null,"pkStroreName":null,"saleNumTask":"--","currentSaleNum":0,"newMemberNum":0,"oldMemberNum":0,"weMemberDaySum":0,"weMemberTargetSum":"165","weMemberMonthSum":"60","base":"0.0","commission":"0.0","assess":"0.0","total":"0.00"}]}
     * resultStr : null
     */

    /**
     * 操作提示码 0.操作成功
     */
    public int sysCode;

    public String sysContent;

    public int msgCode;

    public String msgContent;

    /**
     * 返回成功实体
     */
    public T returnBean;

    public T resultStr;

    @Override
    public String toString() {
        return "Request2Result{" +
                "sysCode=" + sysCode +
                ", sysContent='" + sysContent + '\'' +
                ", msgCode=" + msgCode +
                ", msgContent='" + msgContent + '\'' +
                ", returnBean=" + returnBean +
                ", resultStr=" + resultStr +
                '}';
    }
}