package com.zsy.libcore.model.bean;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class RequestResult<T> implements Serializable {
    /**
     * 操作提示码 0.操作成功
     */
    @SerializedName(value = "msgCode", alternate = {"code"})
    public int msgCode;
    /**
     * 操作提示语
     */
    @SerializedName(value = "msgInfo", alternate = {"message"})
    public String msgInfo;
    /**
     * 返回成功实体
     */
    public T resultInfo;
    /**
     * 新返回成功实体
     */
    public T payload;

    @Override
    public String toString() {
        return "RequestResult{" +
                "msgCode=" + msgCode +
                ", msgInfo='" + msgInfo + '\'' +
                ", resultInfo=" + resultInfo +
                '}';
    }
}