package com.zsy.libcore.model.bean;

import android.widget.Toast;
import com.zsy.libcore.LibCoreApp;
import java.net.SocketTimeoutException;
import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;

/**
 * 也可以特殊的情况;公共回调;
 *封装公共处理网络错误情况;
 *Created by samy on 16/8/21.
 */
public class ResultBaseCallback<T> implements Callback<T> {

  @Override
  public void onResponse(Call<T> call, Response<T> response) {

  }

  @Override public void onFailure(Call<T> call, Throwable t) {
    String msgTips = "网络访问异常";
    if (t instanceof SocketTimeoutException) {
      msgTips = "网络请求超时";
    }
    toastNetTips(msgTips);
  }

  protected void toastNetTips(String msgTips) {
    //Toast.makeText(LibCoreApp.getInstance(), msgTips, Toast.LENGTH_LONG).show();
  }
}