package com.zsy.libext.ui.fra;

import com.zsy.libext.R;
import com.zsy.libext.widgets.AutoLoadRecyclerView;

import java.util.ArrayList;
import java.util.List;

import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;


/**
 * RecyclerView下拉刷新基类
 *
 * @author samy(hongfeiliuxing@gmail.com)
 * @datetime 2015-09-12 17:52
 */
public abstract class BaseRecyclerViewFra<E> extends BaseFra implements SwipeRefreshLayout.OnRefreshListener, AutoLoadRecyclerView.OnLoadListener {
	// 在抽象方法中不能处理注解，后期得做自己的注解框架
	// @InjectView(R.id.swipe_container) SwipeRefreshLayout mSwipeRefreshLayout;
	// @InjectView(R.id.articles_recycler_view) AutoLoadRecyclerView mRecyclerView;

	// protected SwipeRefreshLayout mSwipeRefreshLayout;
	// protected AutoLoadRecyclerView mRecyclerView;
	final protected List<E> mDataSet = new ArrayList<E>();

	/**
	 * 根据RefreshMode拉取数据
	 */
	// abstract protected void requestData(RefreshMode mode);
	@Override
	protected int getContentViewLayoutID() {
		return R.layout.fra_base_recyclerview;
	}

	public enum RefreshMode {
		/**
		 * 刷新最新
		 */
		refresh, /**
				  * 拉取更多
				  */
		refreshMore, /**
					  * 重设数据
					  */
		reset,
	}

	// @Override protected void initWidgetsAndEvents(View rootView) {
	// //mSwipeRefreshLayout = (SwipeRefreshLayout) rootView.findViewById(R.id.swipe_container);
	// mSwipeRefreshLayout.setOnRefreshListener(this);
	// mSwipeRefreshLayout.setRefreshing(true);
	//
	// //mRecyclerView = (AutoLoadRecyclerView) rootView.findViewById(R.id.articles_recycler_view);
	// mRecyclerView.setLayoutManager(new LinearLayoutManager(getActivity().getApplicationContext()));
	// mRecyclerView.setHasFixedSize(true);
	// mRecyclerView.setVisibility(View.VISIBLE);
	// mRecyclerView.setOnLoadListener(this);
	// }
	//
	// @Override protected View getLoadingTargetView() {
	// return mSwipeRefreshLayout;
	// }

	// @Override public void showLoading(String msg) {
	// mSwipeRefreshLayout.setRefreshing(true);
	// }
	//
	// @Override public void hideLoading() {
	// mSwipeRefreshLayout.setRefreshing(false);
	// }
	//
	//// 重新父类的方法
	// @Override public void showEmpty() {
	// toggleShowEmpty(true, "", null);
	// }
	//
	// @Override public void showError(String msg) {
	// if (null != mSwipeRefreshLayout) {
	// mSwipeRefreshLayout.setRefreshing(false);
	// }
	// }
}
