package com.urovo.activity.attendancemanagement.signinandout.presenter

import android.content.Intent
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 * @author Sasuke on 2018-12-29.
 */
interface SignInAndOutContract {
    interface presenter : BasePresenter

    interface view : BaseView<presenter> {
        fun init()

        fun isPda(): Boolean

        fun isHaveInternet(): Boolean

        fun startActivityForResult(data: Intent?, type: Int)

        fun showMsg(msg: String?)

        fun afterSignInAndOut()

        fun showSignFlagDialog(signType: String, flag: String)

    }
}