package com.urovo.activity.betasuggestion.pre

import com.urovo.activity.betasuggestion.model.BetaSuggesData
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 * Created by Sasuke on 2017/7/23.
 */
interface BetaSuggestionCon {
    interface pre : BasePresenter

    interface view : BaseView<pre>{
        fun init()

        fun packPhotoPaths(): List<String>

        fun packSuggestions(urls: List<String>?): HashMap<String,String>

        fun showProgressBar(msg: String)

        fun dismissProgressBar()

        fun showMsg(msg: String )

        fun finish()

        fun downloadApp(appUrl: String)

    }
}