package com.urovo.activity.careertraining.presenter

import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView
import com.urovo.wugumofang.ui.TabRvSyncDominator


/**
 * @author Sasuke on 2019-10-16 0016.
 */
interface CareerTrainingContract {
    interface view: BaseView<pre> {
        fun initUI()

        fun showLoadWait(state: Int)

        fun showLoadWaitMsg(msg: String)

        fun dismissLoadWait()

        fun refreshRv()

        fun refreshTabLayout(titleList: List<TabRvSyncDominator.TabInfo>, dataTypeList: List<String>)

        fun refreshTitleUI(staffName: String,workDate: String)

        fun finish()
    }

    interface pre: BasePresenter {

    }

}