package com.urovo.activity.common;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import com.urovo.wgmf.db.dao.dao.UserdtrDbOperate;
import com.urovo.wgmf.db.dao.entitys.BsyyEntity;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;

import java.util.ArrayList;
import java.util.List;

/**
 * 报损原因选择
 * 
 * @author Administrator
 * 
 */
public class BsyySelectorActivity extends BaseActivity {

	public static final int RESULTCODE = 10;
	private TextView title;
	private ListView listview;
	private List<BsyyEntity> list;
	private List<String> listValue = new ArrayList<String>();

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.store_list);
		init();
		initTitle();
	}

	private void init() {
		title = (TextView) findViewById(R.id.text_title);
		title.setText("请选择报损原因");
		Intent intent = getIntent();
		list = UserdtrDbOperate.GetBsyy();
		//上面那个数据库都已经没了，于是写死
		list = new ArrayList<>();
		list.add(new BsyyEntity("0","产品品质问题报损"));
		list.add(new BsyyEntity("1","产品受潮发霉报损"));
		list.add(new BsyyEntity("2","产品过期报损"));
		list.add(new BsyyEntity("3","促销员磨坏报损"));
		list.add(new BsyyEntity("4","试机后报损"));
		list.add(new BsyyEntity("5","顾客退货报损"));


		for (BsyyEntity ent : list) {
			listValue.add(ent.name);
		}
		listview = (ListView) findViewById(R.id.listview);
		listview.setAdapter(new ArrayAdapter<String>(this, R.layout.store_list_item, R.id.store_item_text, listValue));
		listview.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				BsyyEntity se = list.get(position);
				Intent intent = new Intent();
				intent.putExtra("entity", se);
				setResult(RESULTCODE, intent);
				BsyySelectorActivity.this.finish();
			}
		});

	}

}
