package com.urovo.activity.common;

import java.util.Arrays;
import java.util.List;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

/**
 * 学历选择
 * 
 * @author Administrator
 * 
 */
public class EducationSelectorActivity extends BaseActivity {

	public static final int RESULTCODE = 105;
	private TextView title;
	private ListView listview;
	private List<String> list;

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.store_list);
		init();
		initTitle();
	}

	private void init() {
		title = (TextView) findViewById(R.id.text_title);
		title.setText("请选择学历");
		Intent intent = getIntent();
		list = Arrays.asList(getResources().getStringArray(R.array.education));
		listview = (ListView) findViewById(R.id.listview);
		listview.setAdapter(new ArrayAdapter<String>(this, R.layout.store_list_item, R.id.store_item_text, list));
		listview.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				String info = list.get(position);
				Intent intent = new Intent();
				intent.putExtra("education", info);
				setResult(RESULTCODE, intent);
				EducationSelectorActivity.this.finish();
			}
		});

	}

}
