package com.urovo.activity.common;

import java.util.ArrayList;
import java.util.List;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

/**
 * 门店选择
 * 
 * @author Administrator
 * 
 */
public class ReviewStatusActivity extends BaseActivity {

	public static final int RESULTCODE = 100;
	private TextView title;
	private ListView listview;
	private List<String> listValue = new ArrayList<String>();

	@Override
	protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.store_list);
		init();
		initTitle();
	}

	private void init() {
		title = (TextView) findViewById(R.id.text_title);
		title.setText("请选择状态");
		listValue.add("全部");
		listValue.add("审核");
		listValue.add("未审核");
		listview = (ListView) findViewById(R.id.listview);
		listview.setAdapter(new ArrayAdapter<String>(this, R.layout.store_list_item, R.id.store_item_text, listValue));
		listview.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				String se = listValue.get(position);
				Intent intent = new Intent();
				intent.putExtra("status", se);
				setResult(RESULTCODE, intent);
				ReviewStatusActivity.this.finish();
			}
		});

	}

}
