package com.urovo.activity.customerlabel.service

import com.urovo.activity.customerlabel.model.*
import com.urovo.wugumofang.constants.ApiUrls
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call
import retrofit2.http.*

/**
 * 顾问标签接口
 * @author LW
 */
interface ApiService {
    /**
     * post /crm-api/basic/label/option/list 标签列表
     */
    @POST(ApiUrls.CrmApi.LABEL_LIST)
    fun labelList(
        @Body queryRequest: CustomerLabelReqEntity
    ): Call<RequestResult<List<CustomerLabelEntity>>>

    /**
     * post /exhibit/addSubmition 新增标签数据
     */
    @POST(ApiUrls.CrmApi.LABEL_DETAIL_SAVE)
    fun saveLabelDetail(@Body saveRequestList: List<CustomerLabelSubmitEntity>?): Call<RequestResult<Any>>

}