package com.urovo.activity.data.queryproductsales.model;


import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.urovo.activity.data.queryproductsales.adapter.ExpandableItemAdapter;

/**
 * @author chenji
 * @date 2018/03/11
 */
public class Level1Item implements MultiItemEntity {
    /**
     * 产品名称
     */
    public String productName;
    /**
     * 产品ID
     */
    public String productId;
    /**
     * 产品销售额
     */
    public String amount;
    /**
     * 产品销售数量
     */
    public String productNum;
    /**
     * 产品销售额占比
     */
    public String amountRate;

    public Level1Item(String... proInfo) {
        this.productName = proInfo[0];
        this.productId = proInfo[1];
        this.amount = proInfo[2];
        this.productNum = proInfo[3];
        this.amountRate = proInfo[4];
    }

    @Override
    public int getItemType() {
        return ExpandableItemAdapter.TYPE_LEVEL_1;
    }
}