package com.urovo.activity.data.querysales.model;

import java.io.Serializable;

/**
 * Created by chenji on 2017/6/23.
 * 销售业绩----月销量查询
 */

public class MonthSaleEntity implements Serializable {
/*RetInfo«MonthConsumptionInfo» {
msgCode (integer, optional): 状态码,状态码等于0说明成功 ,
msgInfo (string, optional): 状态说明 ,
resultInfo (MonthConsumptionInfo, optional): 结果集
}MonthConsumptionInfo {
compareToLastMonth (string, optional): 环比 ,
compareToLastYear (string, optional): 同比 ,
financeSalaryAmount (string, optional): 财务工资销量 ,
finishRate (string, optional): 完成率 ,
lastMonthAmount (string, optional): 环比销量 ,
lastYearAmount (string, optional): 同比销量 ,
onLineAmount (string, optional): 线上销售 总计完成销量 ,
otherSaleAmount (string, optional): 其他商品销量 ,
shortSalaryAmount (string, optional): 工资销量差 ,
shouldFinishRate (string, optional): 应完成百分比 ,
storeAmount (string, optional): 线下销售 ,
taskAmount (string, optional): 任务销量 ,
vipSaleAmount (string, optional): 会员商品销量
}*/
    /**
     * financeSalaryAmount : --
     * shortSalaryAmount : --
     * storeAmount : 17287
     * onLineAmount : 68.45
     * vipSaleAmount : 839224.36
     * otherSaleAmount : 319820.16
     * taskAmount : --
     * finishRate : --
     * lastYearAmount : 13932.4
     * compareToLastYear : 24.08
     * lastMonthAmount : 19950.2
     * compareToLastMonth : -13.35
     * shouldFinishRate : 90.00%
     */

    public String financeSalaryAmount;
    public String shortSalaryAmount;
    public String storeAmount;
    public String onLineAmount;
    public String vipSaleAmount;//会员商品销量
    public String vipSaleConsCount;//会员商品 销售单数
    public String vipSaleCusNum;//会员商品 下单客户数
    public String otherSaleAmount;
    public String taskAmount;
    public String finishRate;
    public String lastYearAmount;
    public String compareToLastYear;
    public String lastMonthAmount;
    public String compareToLastMonth;
    public String shouldFinishRate;

    @Override
    public String toString() {
        return "MonthSaleEntity{" +
                "financeSalaryAmount='" + financeSalaryAmount + '\'' +
                ", shortSalaryAmount='" + shortSalaryAmount + '\'' +
                ", storeAmount='" + storeAmount + '\'' +
                ", onLineAmount='" + onLineAmount + '\'' +
                ", vipSaleAmount='" + vipSaleAmount + '\'' +
                ", otherSaleAmount='" + otherSaleAmount + '\'' +
                ", taskAmount='" + taskAmount + '\'' +
                ", finishRate='" + finishRate + '\'' +
                ", lastYearAmount='" + lastYearAmount + '\'' +
                ", compareToLastYear='" + compareToLastYear + '\'' +
                ", lastMonthAmount='" + lastMonthAmount + '\'' +
                ", compareToLastMonth='" + compareToLastMonth + '\'' +
                ", shouldFinishRate='" + shouldFinishRate + '\'' +
                '}';
    }
}
