package com.urovo.activity.goodsmanager.model

/**
 * 订货查询实体类
 */
data class OrderGoodsQueryEntity(
    val brandName: String?,
    val brandId: Int,
    val orderDate: String?,
    val ordererName: String?,
    val totalAmount: Double,
    val totalQty: Double,
    val orderGoodBill: String?,
    var goodDetailList: List<OrderGoodsDetailBean>?
) {
    data class OrderGoodsDetailBean(
        val goodAmount: Double,
        val goodCode: String?,
        val goodName: String?,
        val goodPrice: Double,
        val goodQty: Double,
        val orderGoodBill: String?,
        val ordererName: String?
    )
}