package com.urovo.activity.goodsmanager.viewmodel

import android.app.Application
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.urovo.activity.goodsmanager.service.OrderGoodsRepository

class OrderGoodsFactory(val repo: OrderGoodsRepository, val app: Application) : ViewModelProvider.NewInstanceFactory() {

    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        return OrderGoodsViewModel(repo, app) as T
    }
}