package com.urovo.activity.labelprinter.net;

import com.urovo.activity.labelprinter.ent.LabelPrinterEnt;
import com.urovo.wgmf.more.ent.MoreOnlineBean;
import com.urovo.wugumofang.constants.ApiUrls;
import com.zsy.libcore.model.bean.RequestResult;

import java.util.List;
import java.util.Map;

import retrofit2.Call;
import retrofit2.http.POST;
import retrofit2.http.QueryMap;

/**
 * @author chenji last on 2018/2/6 15:28
 */
public interface ILabelPrinterNet {
    /**
     * 标签打印列表
     *
     * @param map ...
     * @return ...
     */
    @POST(ApiUrls.APPMANAGE.XDY_LABEL)
    Call<RequestResult<List<LabelPrinterEnt>>> getLabelPrinterList(@QueryMap Map<String, String> map);
}
