package com.urovo.activity.learning.model

/**
 * 考试档案详情信息
 * @author LW
 */
data class ExamArchiveEntity(
    val staffId: String?,  //工号
    val staffName: String?,  //姓名
    val isOnService: String?,  //是否在职
    val wgmfWorkDate: String?,  //	入职日期
    val archiveDetailList: List<ArchiveDetailBean>?
) {
    data class ArchiveDetailBean(
        val id: Int,
        val examId: Int,  //考试档案id
        val staffId: String?, //工号
        val staffName: String?,  //姓名
        val examName: String?,
        val areaId: Int,   //大区id
        val officeId: Int,  //办事处id
        val shopId: String?,   //门店id
        val areaName: String?,  //大区名称
        val officeName: String?,  //办事处名称
        val shopName: String?,  //门店名称
        val score: Int,   //得分
        val isClearance: Int,  //是否通关
        val examCourse: Int,  //考试科目
        val examCourseName:String,
        val isOnService: Int,  //是否在职
        val wgmfWorkDate: String?,  //入职日期
        val createTime: String?,   //创建时间
        val updateTime: String?,   //修改时间
        val clearanceDate:String   //通关时间
    )
}