package com.urovo.activity.login.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by Sasuke on 2016/10/26.
 */

public class LoginData {
    public static final int MAX_STORE_ORG_NUM = 5;//最大保存门店数
    private Map<String, String> params = new HashMap<String, String>();
    private String userid;
    private String password;
//    private boolean isShowWelcome = false;//是否在登陆后显示欢迎界面
//    private boolean isShowAdvertise = false;//是否在登陆后显示
    private HashMap<String,Boolean> newGuideSignal = new HashMap<>();//在跳转到NewGuideAct界面后，应该使用哪些界面
    private List<String> declarationTexts = new ArrayList<>();
    public HashMap<String, Boolean> getGuideSignal() {
        return newGuideSignal;
    }

    /**
     * 利用接口返回的做标记
     */
    public void putGuideSignal(String key,boolean value){
        newGuideSignal.put(key,value);
    }

    /**按行存储职业宣言*/
    public void addDeclarationLine(String text){
        declarationTexts.add(text);
    }

    public List<String> getDeclarationTexts() {
        return declarationTexts;
    }

    /**
     * 判断是否需要跳newGuide欢迎界面
     * @return
     */
    public boolean isShowGuidePage(){
        if(newGuideSignal.size() == 0){
            return false;
        }
        for(String key : newGuideSignal.keySet()){
            if(newGuideSignal.get(key)){//只要有一个是true，那就要跳那个界面
                return true;
            }
        }
        return false;
    }

    //    public boolean isShowAdvertise() {
//        return isShowAdvertise;
//    }
//
//    public void setShowAdvertise(boolean showAdvertise) {
//        isShowAdvertise = showAdvertise;
//    }

//    public boolean isShowWelcome() {
//        return isShowWelcome;
//    }
//
//    public void setShowWelcome(boolean showWelcome) {
//        isShowWelcome = showWelcome;
//    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUserid() {
        return userid;
    }

    public String getPassword() {
        return password;
    }
}
