package com.urovo.activity.machinerepairact.model

import android.app.Application
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.urovo.activity.machinerepairact.repository.MachineCallRepo

/**
 * @author Sasuke on 2019/4/27.
 */
class MachineCallFactory(val repo: MachineCallRepo,val app: Application): ViewModelProvider.NewInstanceFactory() {
    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        return MachineCallModel(repo,app) as T
    }
}