package com.urovo.activity.machinerepairact.net

import com.urovo.wugumofang.response.Base3Response
import java.io.Serializable

/**
 * Created by Sasuke on 2019-08-08
 */
data class LightProblemRes(var resultInfo: ResultInfo): Base3Response() {
    data class ResultInfo(var arrangeNum: Int,// 管辖门店数量
                          var reportNum: Int,//提报门店数量
                          var lightNum: Int,//亮灯门店数量
                          var notlightNum: Int,//不亮灯门店数量
                          var lightRate: Double,//亮灯率
                          var reportRate: Double,//提报率
                          var detailList: List<DetailList>,
                          var notSubmitList: List<ResultInfo.NotSubmitList>): Serializable {
                data class DetailList(
                        var lampId: String,
                        var storeNo: String,//门店号
                        var storeName: String,//门店名
                        var address: String,
                              var url: List<String>)//图片url
                data class NotSubmitList(var storeName: String,
                                  var storeNo: String)
    }
}