package com.urovo.activity.machinerepairact.net

import com.urovo.wugumofang.response.Base3Response
import java.io.Serializable

/**
 * Created by Sasuke on 2019-05-01
 */
data class MachinRepairHistoryRes(var resultInfo: List<ResultInfo>) : Base3Response(),Serializable {
    data class ResultInfo(var mroNo: String,//机修工单号
                          var mroId: Int,//工单id
                          var status: Int,// 工单状态,0待处理,1待评价,2已评价
                          var applyTime: String,//申请时间
                          var applyReason: String): Serializable {
        //申请原因
        fun getStatusText(): String {
            return when (status) {
                0 -> "工单状态：   待处理"
                1 -> "工单状态：   待评价"
                2 -> "工单状态：   已评价"
                else -> ""
            }
        }
    }
}