package com.urovo.activity.machinerepairact.net

import androidx.databinding.ObservableField
import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-09-23
 */
data class PatrolItemListRes(var resultInfo: List<ResultInfo>) : Base3Response() {
    data class ResultInfo(var listName: String,
                          var shopList: List<PatrolShop>?) {
        @Transient
        var isChecked: ObservableField<Boolean>? = ObservableField(false)//自建字段，记录选取状态

        data class PatrolShop(var patrolStatus: String,//(integer, optional):巡店状态,0本月待巡检，1待巡检，2已巡检 ,
                              var storeLevel: String, //storeLevel (string, optional):门店级别,A类,B类,C类,D类,E类 ,
                              var storeName: String, //(string, optional): 门店名称 ,
                              var storeNo: String)//(string, optional):门店号)//项目结果，0正确,1异常
    }
}