//package com.urovo.activity.membererweima.ui
//
//import android.content.Context
//import android.content.Intent
//import android.view.LayoutInflater
//import android.view.View
//import android.view.ViewGroup
//import android.widget.*
//import com.squareup.picasso.Picasso
//import com.urovo.activity.memberGoodsShare.view.MemberGoodsQrCodeAct
//import com.urovo.activity.membererweima.model.MemGoodsListData
//import com.urovo.wugumofang.R
//import com.urovo.wugumofang.ui.BitmapUtil
//import org.jetbrains.anko.find
//
//
//
///**
// * @author Sasuke on 2018/1/18.
// */
//class MemGoodsExAdapter(val context: Context, val proList: MutableList<MemGoodsListData.FirstLevel>) : BaseExpandableListAdapter() {
//    override fun getGroupView(groupPos: Int, isExpanded: Boolean, convertView: View?, parent: ViewGroup?): View {
//        val groupItem: MemGoodsListData.FirstLevel = getGroup(groupPos)
//
//        val holder: GroupHolder
//        var view: View
//        if (convertView == null) {
//            holder = GroupHolder()
//            view = LayoutInflater.from(context).inflate(R.layout.ll_member_goods_group, parent, false)
//            holder.groupTitle = view.find(R.id.mem_group_title)
//            view.setTag(holder)
//        } else {
//            view = convertView
//            holder = convertView.getTag() as GroupHolder
//        }
//        //设置一级标题的显示
//        holder.groupTitle.apply {
//            text = when (groupItem.title1) {
//                MemGoodsListData.NORMAL_SELL -> "常规转发（${groupItem.count}）"
//                MemGoodsListData.PURCHASE -> "代下单转发（${groupItem.count}）"
//                else -> ""
//            }
//        }
//        view.visibility = if (holder.groupTitle.text.isNullOrEmpty()) View.GONE else View.VISIBLE
//
//        //设置子元素（相当于子列表吧）
//        return view
//    }
//
//    override fun getChildView(groupPos: Int, childPos: Int, isLastChild: Boolean, convertView: View?, parent: ViewGroup?): View {
//        val childItem = getChild(groupPos, childPos)//这里获取的就是二级标题了（即 SecondLevel这个元素
//        val holder: ChildHolder
//        var view: View
//
//        if (convertView == null) {
//            holder = ChildHolder()
//            view = LayoutInflater.from(context).inflate(R.layout.ll_member_goods_child, parent, false)
//            holder.childTitle = view.find(R.id.childTitle)
//            holder.secondContainer = view.find(R.id.secondContainer)
//            view.tag = holder
//        } else {
//            view = convertView
//            holder = view.getTag() as ChildHolder
//        }
//
//        //设置标题和点击监听、默认展开
//        val title2 = childItem.data.firstOrNull {it ->  !it.productGroupName.isNullOrEmpty() }?.productGroupName?.plus("（${childItem.count}）") ?: ""
//        holder.childTitle.apply {
//            visibility = if(title2.isNullOrEmpty()) View.GONE else View.VISIBLE
//            setText(title2)
//            isChecked = childItem.isExpanded
//            setOnClickListener {
//                childItem.isExpanded = !childItem.isExpanded
//                holder.secondContainer.visibility = if (childItem.isExpanded) View.VISIBLE else View.GONE
//                notifyDataSetChanged()//不要忘了刷新
//            }
//        }
//        //把container里添加更下级的子列表
//        holder.secondContainer.removeAllViews()
//        childItem.data.forEach { data ->
//            val view: View = LayoutInflater.from(context).inflate(R.layout.ll_member_goods_list_item, parent, false)
//            //产品名
//            view.find<TextView>(R.id.mem_goods_name).text = data.productTemplateName
//            //图片
//            val memImg = view.find<ImageView>(R.id.mem_goods_img)
//            if (!data.imageUrl.isNullOrEmpty()) {//防空
//                Picasso.with(context).load(data.imageUrl)/*.resize(120,120)*/.into(memImg)
//            } else {
//                memImg.setImageResource(R.drawable.wgmf_logo)
//            }
//            //分享按钮
//            view.find<Button>(R.id.mem_goods_share).setOnClickListener {
//                val intent = Intent(context, MemberGoodsQrCodeAct::class.java)
//                intent.putExtra(MemberGoodsQrCodeAct.ENTITY, data.apply {
//                    memImg.getDrawable()?.let { data.image = BitmapUtil.imageView2Bitmap(memImg) }
//                })
//                context.startActivity(intent)
//            }
//            holder.secondContainer.addView(view)
//        }
//
//        return view
//    }
//
//    override fun getChildrenCount(groupPos: Int): Int {
//        return proList[groupPos].secondList?.size ?: 0
//    }
//
//    override fun getGroup(groupPos: Int): MemGoodsListData.FirstLevel {
//        return proList[groupPos]
//    }
//
//    override fun getChild(groupPos: Int, childPos: Int): MemGoodsListData.FirstLevel.SecondLevel {
//        return proList[groupPos].secondList[childPos]//这里为空才特么出了鬼了，初始化都吃屎去了
//    }
//
//    override fun getGroupId(pos: Int): Long {
//        return pos.toLong()
//    }
//
//    override fun getChildId(groupPosition: Int, childPos: Int): Long {
//        return childPos.toLong()
//    }
//
//    override fun getGroupCount(): Int {
//        return proList.size
//    }
//
//    override fun isChildSelectable(groupPosition: Int, childPosition: Int): Boolean {
//        return true
//    }
//
//    override fun hasStableIds(): Boolean {
//        return false
//    }
//
//    //Holder们
//    class GroupHolder() {
//        lateinit var groupTitle: TextView
//    }
//
//    class ChildHolder() {
//        lateinit var childTitle: RadioButton
//        lateinit var secondContainer: LinearLayout
//    }
//
////    fun createCell(): View {
////
////    }
//}