package com.urovo.activity.nativemanager;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.widget.ListView;

import com.urovo.wgmf.db.dao.entitys.CanCheckRes;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wgmf.adapter.UnUpDetailQueryAdapter;
import com.urovo.wgmf.db.dao.bill.DalDingHuoExamine;
import com.urovo.wgmf.db.dao.dao.CheckDetailDbOperate;
import com.urovo.wgmf.db.dao.dao.CxykqDbOperate;
import com.urovo.wgmf.db.dao.dao.Djbh001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djbh002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdb001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djdb002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djpd001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djsc001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djsc002DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs001DbOperate;
import com.urovo.wgmf.db.dao.dao.Djxs002DbOperate;
import com.urovo.wgmf.db.dao.dao.Item001DbOperate;
import com.urovo.wgmf.db.dao.dao.Zhxx001DbOperate;
import com.urovo.wgmf.db.dao.entitys.CXYKQEntity;
import com.urovo.wgmf.db.dao.entitys.DiaoBoChuHuoEntity;
import com.urovo.wgmf.db.dao.entitys.DingHuoEntity;
import com.urovo.wgmf.db.dao.entitys.DingHuoExamineDetailEntity;
import com.urovo.wgmf.db.dao.entitys.DingHuoExamineEntity;
import com.urovo.wgmf.db.dao.entitys.PanDianEntity;
import com.urovo.wgmf.db.dao.entitys.ProductEntity;
import com.urovo.wgmf.db.dao.entitys.ShiChiEntity;
import com.urovo.wgmf.db.dao.entitys.UntreatedOrderDetailEntity;
import com.urovo.wgmf.db.dao.entitys.XiaoShouEntity;
import com.urovo.wgmf.db.dao.entitys.ZHXX001Entity;
import com.urovo.wgmf.constants.UploadParam;
import com.urovo.wugumofang.R;

import java.util.ArrayList;
import java.util.List;

/**
 * 未上传明细
 * (怎么感觉好像没什么用了)
 * @author Administrator
 *
 */
public class UntreatedOrderDetail extends BaseActivity {

	@Override
    protected void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.untreated_orderdetail);
		initTitle();
		init();
	}

	private void init() {
		ListView listview = (ListView) findViewById(R.id.listview);
		Intent intent = getIntent();
		String type = intent.getStringExtra("str");
		ArrayList<UntreatedOrderDetailEntity> listData = new ArrayList<UntreatedOrderDetailEntity>();
		if(UploadParam.KAOQIN.equals(type)) {
			titleTextView.setText("未上传考勤明细");
			List<CXYKQEntity> list = CxykqDbOperate.GetUnUpload();
			for (CXYKQEntity p : list) {
				UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
				ent.bill = p.BILL;
				ent.type = UploadParam.KAOQIN;
				ent.info1 = p.KQDATE;
				ent.info2 = p.KQNO;
				ent.info3 = p.KQTYPE;
				ent.info4 = p.SKYID;
				listData.add(ent);
			}
		}
		else
			if(UploadParam.DINGHUO.equals(type)) {
				titleTextView.setText("未上传订货明细");
				List<DingHuoEntity> list = Djbh001DbOperate.GetUnUpload();
				for (DingHuoEntity d : list) {
					List<ProductEntity> pro = Djbh002DbOperate.GetBillDetail(d.getBill());
					for (ProductEntity p : pro) {
						UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
						ent.bill = d.getBill();
						ent.type = UploadParam.DINGHUO;
						ent.info1 = p.getItemId();
						ent.info2 = "";
						ent.info3 = p.getTQTY() + "";
						ent.info4 = p.getAmount() + "";
						listData.add(ent);
					}
				}
			}
			else
				if(UploadParam.DINGHUOSHENHE.equals(type)) {
					titleTextView.setText("未上传订货审核明细");
					List<DingHuoExamineEntity> list = DalDingHuoExamine.GetUnUpload();
					for (DingHuoExamineEntity d : list) {
						List<DingHuoExamineDetailEntity> pro = DalDingHuoExamine.GetBillDetail(d.getBill());
						for (DingHuoExamineDetailEntity p : pro) {
							UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
							ent.bill = d.getBill();
							ent.type = UploadParam.DINGHUOSHENHE;
							ent.info1 = Item001DbOperate.GetProductName(p.getItemid());
							ent.info2 = Item001DbOperate.GetProductPack(p.getItemid()) + "";
							ent.info3 = "XXX";
							ent.info4 = "";
							listData.add(ent);
						}
					}
				}
				else
					if(UploadParam.DIAOBO.equals(type)) {
						titleTextView.setText("未上传调拨明细");
						List<DiaoBoChuHuoEntity> list = Djdb001DbOperate.GetUnUpload();
						for (DiaoBoChuHuoEntity d : list) {
							List<ProductEntity> pro = Djdb002DbOperate.GetBillDetail(d.getBill());
							for (ProductEntity p : pro) {
								UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
								ent.bill = d.getBill();
								ent.type = UploadParam.DIAOBO;
								ent.info1 = p.getItemName();
								ent.info2 = "";
								ent.info3 = p.getTQTY() + "";
								ent.info4 = p.getAmount() + "";
								listData.add(ent);
							}
						}
					}
					else
						if(UploadParam.PANDIAN.equals(type)) {
							titleTextView.setText("未上传盘点明细");
							List<PanDianEntity> list = Djpd001DbOperate.GetUnUpload();
							for (PanDianEntity d : list) {
								List<CanCheckRes.Product> pro = CheckDetailDbOperate.GetBillDetail(d.getBill());
								for (CanCheckRes.Product p : pro) {
									UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
									ent.bill = d.getBill();
									ent.type = UploadParam.PANDIAN;
									ent.info1 = p.getProName();
									ent.info2 = "";
									ent.info3 = p.getPdQty() + "";
									ent.info4 = p.getPdAmount() + "";
									listData.add(ent);
								}
							}
						}
						else
							if(UploadParam.SHICHI.equals(type)) {
								titleTextView.setText("未上传试吃明细");
								List<ShiChiEntity> list = Djsc001DbOperate.GetUnUpload();
								for (ShiChiEntity d : list) {
									List<ProductEntity> pro = Djsc002DbOperate.GetBillDetail(d.getBill());
									for (ProductEntity p : pro) {
										UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
										ent.bill = d.getBill();
										ent.type = UploadParam.SHICHI;

										ent.info1 = TextUtils.isEmpty(p.getItemName()) ? "试吃杯" : p.getItemName();
										ent.info2 = "";
										ent.info3 = p.getTQTY() + "";
										ent.info4 = p.getAmount() + "";
										listData.add(ent);
									}
								}
							}
							else
								if(UploadParam.XIAOSHOU.equals(type)) {
									titleTextView.setText("未上传销售明细");
									List<XiaoShouEntity> list = Djxs001DbOperate.GetUnUpload();
									for (XiaoShouEntity d : list) {
										boolean saleBack = ("2".equals(d.getXSTYPE()));
										List<ProductEntity> pro = Djxs002DbOperate.QueryXiaoShouDetail(d.getBill(), saleBack);
										for (ProductEntity p : pro) {
											UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
											ent.bill = d.getBill();
											ent.type = UploadParam.XIAOSHOU;
											ent.info1 = p.getItemName();
											ent.info2 = "";
											ent.info3 = p.getTQTY() + "";
											ent.info4 = p.getAmount() + "";
											listData.add(ent);
										}
									}
								}
								else
									if(UploadParam.ZHILIANJIANDU.equals(type)) {
										titleTextView.setText("未上传上报反馈明细");
										List<ZHXX001Entity> list = Zhxx001DbOperate.GetUnUploadALL(null);
										for (ZHXX001Entity d : list) {
											UntreatedOrderDetailEntity ent = new UntreatedOrderDetailEntity();
											ent.bill = d.getBillId();
											ent.type = UploadParam.ZHILIANJIANDU;
											ent.info1 = d.getXXNO() + "";
											ent.info2 = d.getXXZT();
											ent.info3 = d.getReportInfo();
											ent.info4 = "";
											listData.add(ent);
										}
									}
		listview.setAdapter(new UnUpDetailQueryAdapter(listData, this));

	}

}
