package com.urovo.activity.personalcenter.model

import com.chad.library.adapter.base.entity.MultiItemEntity

class VoucherMultipleItem<T> : MultiItemEntity {
    private var itemType: Int
    var spanSize = 0
    var content: String? = null
    var list: List<T>? = null
    var stringArray: Array<out String>? = null
    var t: T? = null
    var count = 0
    var typeId = 0


    /**
     * 用于后台返回数据里面绑定的id
     */
    constructor(itemType: Int, vararg contents: String) {
        this.itemType = itemType
        stringArray = contents
    }

    constructor(itemType: Int, content: String?) {
        this.itemType = itemType
        this.content = content
    }

    constructor(itemType: Int, t: T) {
        this.itemType = itemType
        this.t = t
    }

    constructor(itemType: Int, t: T, typeId: Int, content: String?) {
        this.itemType = itemType
        this.t = t
        this.typeId = typeId
        this.content = content
    }

    constructor(itemType: Int, t: T, content: String?) {
        this.itemType = itemType
        this.t = t
        this.content = content
    }

    constructor(itemType: Int, spanSize: Int, typeId: Int, t: T, vararg contents: String) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.typeId = typeId
        this.t = t
        stringArray = contents
    }

    constructor(
        itemType: Int,
        spanSize: Int,
        typeId: Int,
        count: Int,
        t: T,
        vararg contents: String
    ) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.typeId = typeId
        this.count = count
        this.t = t
        stringArray = contents
    }

    constructor(itemType: Int, spanSize: Int, typeId: Int, count: Int, t: T, content: String?) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.typeId = typeId
        this.count = count
        this.t = t
        this.content = content
    }

    constructor(itemType: Int, spanSize: Int, typeId: Int, vararg contents: String) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.typeId = typeId
        stringArray = contents
    }

    constructor(itemType: Int, spanSize: Int, content: String?) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.content = content
    }

    constructor(itemType: Int, spanSize: Int, t: T) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.t = t
    }

    constructor(itemType: Int, spanSize: Int, count: Int) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.count = count
    }

    constructor(itemType: Int, spanSize: Int, t: T, count: Int) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.t = t
        this.count = count
    }

    constructor(itemType: Int, spanSize: Int, list: List<T>?) {
        this.itemType = itemType
        this.spanSize = spanSize
        this.list = list
    }

    constructor(itemType: Int, spanSize: Int) {
        this.itemType = itemType
        this.spanSize = spanSize
    }

    override fun getItemType(): Int {
        return itemType
    }

    companion object {
        /**
         * 不用布局的type类型
         */
        const val PURCHASE_CARD_RECORD = 0
        const val CONVER_RECORD = 1
        const val MEGER_RECORD = 2
    }


}
