package com.urovo.activity.qualityBackAct.model;

/**
 * Created by Sasuke on 2016/11/28.
 */

public class QBackMenu {
    MenuItem [] mainMenu ;//上报反馈主目录。
    MenuItem [] productMenu ;//上报反馈产品质量问题的下级目录。
    /**
     * 构造or获取菜单各项数据源array
     */
    public MenuItem[] getMainMenu() {
        if(mainMenu ==  null){
            mainMenu = new MenuItem[]{
                    new MenuItem(QTYPE.PRODUCT, new QTYPE[]{QTYPE.PRODUCT, QTYPE.URGENT_EVENT}),
                    new MenuItem(QTYPE.ARRIVE_ERROR, null),
                    new MenuItem(QTYPE.CABINET_MATERIAL, new QTYPE[]{QTYPE.CABINET, QTYPE.MATERIAL}),
                    new MenuItem(QTYPE.OVERDUE,null),
                    new MenuItem(QTYPE.LOGISTICS, null),
//                    new MenuItem(QTYPE.SHOPPE, null),
//                    new MenuItem(QTYPE.COMPLAIN, new QTYPE[]{QTYPE.CPLN_WORKFLOW, QTYPE.CPLN_PHONE, QTYPE.CPLN_WECHAT}),
                    new MenuItem(QTYPE.MACHINE, new QTYPE[]{QTYPE.MACHINE, QTYPE.URGENT_ISSUE}),
//                    new MenuItem(QTYPE.SUGGESTION, null),
            };
        }
        return mainMenu;
    }

    /**
     * 构造or获取菜单各项数据源array
     */
    public MenuItem[] getProductMenu() {
        if(productMenu == null){
            productMenu = new MenuItem[]{
                    new MenuItem(QTYPE.PACKAGE_BOX, null),//包装盒破损
                    new MenuItem(QTYPE.PACKAGE_BAG, null),//包装袋破损
                    new MenuItem(QTYPE.DATE_IDENTIFY, null),//日期标识问题
                    new MenuItem(QTYPE.SHORTAGE, null),//含量短缺
                    new MenuItem(QTYPE.FOREIGN, null),//异物杂物
                    new MenuItem(QTYPE.BUG,null),//虫害（产品中有虫类）
                    new MenuItem(QTYPE.SMELL, null),//异味
                    new MenuItem(QTYPE.LOOK_BAD, null),//外观/口感不良
                    new MenuItem(QTYPE.STORE_REASON, null),//门店原因
                    new MenuItem(QTYPE.NO_PRODUCT, null),//非产品质量原因
                    new MenuItem(QTYPE.OTHER, null)//其它
            };
        }
        return productMenu;
    }


}
