package com.urovo.activity.qualityBackAct.net;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * Created by Sasuke on 2016/12/13.
 */

public class ArriveErrorJsonEntity implements BaseEntity{
//    public String orderId;//单号（防重复单）

    public String title;//如 “到货误差流程”

    public List<String> url = new ArrayList<>();//七牛图片url

    public Table1 tb1 = new Table1();//到货误差前面的写死的表。

    public List<Table2Item> tb2list = new ArrayList<>();//可扩展的表项

//    public void setOrderId(String orderId) {
//        this.orderId = orderId;
//    }

    @Override
    public void addAll2List(List<String> urlList) {
        if(urlList != null){
            this.url.addAll(urlList);
        }
    }

    @Override
    public HashMap<String, String> makeNetParam() {
        return new HashMap<>();
    }

    public class Table1{
        String peisbch = "";//配送波次号
        String mendmc = "";//门店名称
        //String fahsj = "";//发货时间
        String shouhsj = "";//收货时间
        String shouhrjlxfs = "";//收货人
        String lianxfs = "";//联系方式
        String yingsxs = "";//应收箱数
        String shisxs = "";//实收箱数
        //以下Spinner的数值，都要减1再赋，因为这里的Spinner的0位是 “--请选择--”
        int waixbzpscd;//外箱包装破损程度(0:无破损 1:有破损 2:严重破损)
        int waixbssfwz;//外箱标识是否完整 (0:完整 1:不完整)
       // int shifdhyc;//是否到货延迟 (0:是 1:否)
        int wuldqsqk;//物流单签收情况(0:已备注破损情况 1:未备注破损情况)
        String  wucyy; //误差原因

        public void setPeisbch(String peisbch) {
            this.peisbch = peisbch;
        }

        public void setMendmc(String mendmc) {
            this.mendmc = mendmc;
        }

//        public void setFahsj(String fahsj) {
//            this.fahsj = fahsj;
//        }

        public void setShouhsj(String shouhsj) {
            this.shouhsj = shouhsj;
        }

        public void setShouhrjlxfs(String shouhrjlxfs) {
            this.shouhrjlxfs = shouhrjlxfs;
        }

        public void setLianxfs(String lianxfs) {
            this.lianxfs = lianxfs;
        }

        public void setWaixbzpscd(int waixbzpscd) {
            this.waixbzpscd = waixbzpscd;
        }

        public void setWaixbssfwz(int waixbssfwz) {
            this.waixbssfwz = waixbssfwz;
        }

        public void setYingsxs(String yingsxs) {
            this.yingsxs = yingsxs;
        }

        public void setShisxs(String shisxs) {
            this.shisxs = shisxs;
        }
        //        public void setShifdhyc(int shifdhyc) {
//            this.shifdhyc = shifdhyc;
//        }

        public void setWuldqsqk(int wuldqsqk) {
            this.wuldqsqk = wuldqsqk;
        }

        public String getWucyy() {
            return wucyy;
        }

        public void setWucyy(String wucyy) {
            this.wucyy = wucyy;
        }
    }


    public class Table2Item{
        String chanpmc= "";//产品名称
        String produceDate= "";//生产日期
        String huodsl= "";//货单数量
        String shifsl = "";//实收数量
        String duanqqk = "";//短缺情况
        String jingsr = "";//经手人
        String waixbh = "";//外箱编码
        String jiandsm = "";//简短说明
        String wuldm = "";//物料代码(产品ID)
        String chanpjg = "";//产品价格
        //String beiz;//备注


        public void setChanpjg(String chanpjg) {
            this.chanpjg = chanpjg;
        }

        public void setChanpmc(String chanpmc) {
            this.chanpmc = chanpmc;
        }

        public void setHuodsl(String huodsl) {
            this.huodsl = huodsl;
        }

        public void setShifsl(String shifsl) {
            this.shifsl = shifsl;
        }

        public void setDuanqqk(String duanqqk) {
            this.duanqqk = duanqqk;
        }

        public void setJingsr(String jingsr) {
            this.jingsr = jingsr;
        }

        public void setWaixbh(String waixbh) {
            this.waixbh = waixbh;
        }

        public void setJiandsm(String jiandsm) {
            this.jiandsm = jiandsm;
        }

        public void setWuldm(String wuldm) {
            this.wuldm = wuldm;
        }

        public String getProduceDate() {
            return produceDate;
        }

        public void setProduceDate(String produceDate) {
            this.produceDate = produceDate;
        }
    }

    public void setTitle(String title) {
        this.title = title;
    }

}
