package com.urovo.activity.qualityBackAct.net

import java.util.*

/**
 * @author Sasuke on 2018/8/14.
 */
class OverdueEntity : BaseEntity {
    var amount: String = ""//总金额
    var description: String = ""//描述
    var manager: String = ""//主管名字？
    var mobile: String = ""//联系电话
    var shopId: String = ""//门店ID
    var shopName: String = ""//门店名字
    var submiter: String = ""//提交人
    var title: String = ""//标题
    var details: MutableList<Details> = mutableListOf()//每个产品的详情
    var url: MutableList<String> = mutableListOf()//图片

    class Details {
        var amount: String = ""
        var date: String = ""
        var price: String = ""
        var prodName: String = ""
        var prodNo: String = ""
        var sum: String = ""
        var numberUnit: String = ""
    }

    override fun addAll2List(urlList: MutableList<String>?) {
        if (urlList != null) {
            this.url.addAll(urlList)
        }
    }

    override fun makeNetParam(): HashMap<String, String> {
        return HashMap()
    }
}