package com.urovo.activity.ra90listact.presenter

import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 * @author SASUKE on 2018/3/17.
 */
interface Ra90ListCon {
    interface pre : BasePresenter

    interface view : BaseView<pre> {
        fun init()

        fun showMsg(msg: String)

        fun finish()

        /**显示正在加载*/
        fun showLoading()

        /**显示网络错误*/
        fun showNetError()

        /**显示暂无数据*/
        fun showNoData()

        fun showData(clientType: Int)

        fun dismissLoadWait()
    }
}