package com.urovo.activity.receiveGoodsTabMenu.net;

import com.urovo.wugumofang.response.Base3Response;

import java.util.List;

/**
 * Created by Sasuke on 2017/4/7.
 * 就是配送收货右边那个标签的请求的返回，即配送收货明细
 */

public class PeiSongDetailRes extends Base3Response {

    private List<ResultInfoBean> resultInfo;

    public List<ResultInfoBean> getResultInfo() {
        return resultInfo;
    }

    public static class ResultInfoBean {
        /**
         * dispatchDetailList : [{"proName":"提子燕麦伴侣560g","proCode":"2.40143","proPrice":57.6,"proQty":12,"proSumAmount":691.2,"dispatchBill":"991701060391","dispachePerson":null}]
         * allProSumQty : 12
         * allProSumAmount : 691.2
         * dispatchDate : 2017-1-7 23:00:36
         * dispatchPerson : null
         * dispatchStatus : 1
         * dispatchType："主动配送"
         */

        private double allProSumQty;
        private double allProSumAmount;
        private String takeGoodDate;
        private String dispatchPerson;
        private String waveNo;
        private String dispatchType;//配送类型（主动配送、配送返仓、被动配送）
        private String dispatchStatus;//配送状态  0:未收货 1:待审核 2:已收货 ,
        private String dispatchReason;
        private int boxReceivedNum;
        private int boxUnreceivedNum;
        private String dispatchDate;
        private List<DispatchDetailListBean> dispatchDetailList;

        public String getDispatchType() {
            return dispatchType;
        }

        public double getAllProSumQty() {
            return allProSumQty;
        }

        public void setAllProSumQty(int allProSumQty) {
            this.allProSumQty = allProSumQty;
        }

        public double getAllProSumAmount() {
            return allProSumAmount;
        }

        public void setAllProSumAmount(double allProSumAmount) {
            this.allProSumAmount = allProSumAmount;
        }

        public String getDispatchDate() {
            return dispatchDate;
        }

        public void setDispatchDate(String dispatchDate) {
            this.dispatchDate = dispatchDate;
        }

        public String getDispatchPerson() {
            return dispatchPerson;
        }

        public void setDispatchPerson(String dispatchPerson) {
            this.dispatchPerson = dispatchPerson;
        }

        public String getDispatchStatus() {
            return dispatchStatus;
        }

        public void setDispatchStatus(String dispatchStatus) {
            this.dispatchStatus = dispatchStatus;
        }

        public List<DispatchDetailListBean> getDispatchDetailList() {
            return dispatchDetailList;
        }

        public void setDispatchDetailList(List<DispatchDetailListBean> dispatchDetailList) {
            this.dispatchDetailList = dispatchDetailList;
        }

        public void setAllProSumQty(double allProSumQty) {
            this.allProSumQty = allProSumQty;
        }

        public String getTakeGoodDate() {
            return takeGoodDate;
        }

        public void setTakeGoodDate(String takeGoodDate) {
            this.takeGoodDate = takeGoodDate;
        }

        public String getWaveNo() {
            return waveNo;
        }

        public void setWaveNo(String waveNo) {
            this.waveNo = waveNo;
        }

        public void setDispatchType(String dispatchType) {
            this.dispatchType = dispatchType;
        }

        public String getDispatchReason() {
            return dispatchReason;
        }

        public void setDispatchReason(String dispatchReason) {
            this.dispatchReason = dispatchReason;
        }

        public int getBoxReceivedNum() {
            return boxReceivedNum;
        }

        public void setBoxReceivedNum(int boxReceivedNum) {
            this.boxReceivedNum = boxReceivedNum;
        }

        public int getBoxUnreceivedNum() {
            return boxUnreceivedNum;
        }

        public void setBoxUnreceivedNum(int boxUnreceivedNum) {
            this.boxUnreceivedNum = boxUnreceivedNum;
        }

        public static class DispatchDetailListBean {
            /**
             * proName : 提子燕麦伴侣560g
             * proCode : 2.40143
             * proPrice : 57.6
             * proQty : 12
             * proSumAmount : 691.2
             * dispatchBill : 991701060391
             * dispachePerson : null
             */

            private String proName;//产品名
            private String proCode;//产品编码
            private double proPrice;//产品价格
            private double proQty;//产品数量
            private double proSumAmount;//产品总金额
            private String dispatchBill;//单号
            private String dispachePerson;//操作人员

            public String getProName() {
                return proName;
            }

            public void setProName(String proName) {
                this.proName = proName;
            }

            public String getProCode() {
                return proCode;
            }

            public void setProCode(String proCode) {
                this.proCode = proCode;
            }

            public double getProPrice() {
                return proPrice;
            }

            public void setProPrice(double proPrice) {
                this.proPrice = proPrice;
            }

            public double getProQty() {
                return proQty;
            }

            public void setProQty(int proQty) {
                this.proQty = proQty;
            }

            public double getProSumAmount() {
                return proSumAmount;
            }

            public void setProSumAmount(double proSumAmount) {
                this.proSumAmount = proSumAmount;
            }

            public String getDispatchBill() {
                return dispatchBill;
            }

            public void setDispatchBill(String dispatchBill) {
                this.dispatchBill = dispatchBill;
            }

            public String getDispachePerson() {
                return dispachePerson;
            }

            public void setDispachePerson(String dispachePerson) {
                this.dispachePerson = dispachePerson;
            }
        }
    }
}
