package com.urovo.activity.receiveraddress.net

import java.io.Serializable

/**
 * @author Sasuke on 2019-7-25 0025.
 *     /**在提交新建收货地址时，不可以传openId和id，传了就会失败，所以再建一个内部类专门来转存这个*/

 */
data class AddrSubmitNewBean(var receiverName: String,//收货人姓名
                             var receiverPhone: String,//收货人电话
                             var additional: String,//详细地址（街道、房号等） ,
                             var provinceId: Int,//省份id
                             var cityId: Int,//城市id
                             var districtId: Int//城区、县id
) : Serializable