package com.urovo.activity.report.service

import com.urovo.activity.report.model.LogisticsSpecialistEntity
import com.urovo.activity.report.model.LogisticsSpecialistReqEntity
import com.urovo.wugumofang.constants.ApiUrls
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call
import retrofit2.http.*

/**
 * 物流专员信息
 * @author LW
 */
interface ApiService {

    /**
     * post /sygj/app/logistics/specialist/info/list 物流专员信息请求对象
     */
    @POST(ApiUrls.SYGJ.LOGISTICS_SPECIALIST_LIST)
    fun queryLogisticsSpecialistList( @Body queryRequest: LogisticsSpecialistReqEntity): Call<RequestResult<List<LogisticsSpecialistEntity>>>

}