package com.urovo.activity.resetpassword.model;

import java.io.Serializable;

/**
 * Created by Sasuke on 2016/6/14.
 */
public class PassData implements Serializable{
    public final int COUNT_DOWN = 60;
    private String userId = "";
    private String userPassword = "";
    private String verifyCode = "";//短信验证码（用于本地校验，如果用网络校验就不需要了）
    private int countDown = COUNT_DOWN;//重新获取验证码之前的倒计时
    //private long codeStartTime;//获取验证码的时间（有效期为10分钟，后面与该时间相减判断即可）
    private String userPhone;

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public int getCountDown() {
        return countDown;
    }

    /**
     * 复位
     */
    public void initContDown(){
        this.countDown = COUNT_DOWN;
    }

    /**
     * 倒计时专用
     */
    public void countDown() {
        this.countDown--;
        if(this.countDown <= 0){
            this.countDown = 0;
        }
    }

   /* public long getCodeStartTime() {
        return codeStartTime;
    }

    public void setCodeStartTime(long codeStartTime) {
        this.codeStartTime = codeStartTime;
    }*/

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }
}
