package com.urovo.activity.resetpassword.presenter;

import com.urovo.activity.resetpassword.model.PassData;
import com.urovo.wgmf.base.BasePresenter;
import com.urovo.wgmf.base.BaseView;

/**
 * Created by Sasuke on 2016/6/14.
 */
public interface ResetPassContract {
    public interface View extends BaseView{
        public String getIntentPass();

        public void setUserIdInput(String userId);

        public void showCountDown(int countDown);

        public void changeCountBtnState(boolean clickable);
    }

    public interface Presenter extends BasePresenter{
        public PassData getData();

        public void requestCode(String idInput,String phoneInput);

        public void checkCode(String code,String userId,String phone);

        public void set10minStart(long startTime);

        public void startCountDown();
    }
}
