package com.urovo.activity.saleDatas.model;

import com.zsy.libcore.ui.ada.quickadapter.ISelectable;

import java.util.List;

/**
 * 业绩菜单配置界面
 *
 * @author chenji
 * @date 18/4/16
 */
public class SaleMenuBean {

    /**
     * msgCode : 0
     * msgInfo : 成功
     * resultInfo : [{"typeId":0,"typeName":"本机销售记录","typePic":"","imageId":0,"privaligeName":"QuerySalesDetailNative","android":{"link":"com.urovo.activity.data.QuerySalesDetailNative","linkType":"native"}},{"typeId":1,"typeName":"产品销售查询","typePic":"","imageId":0,"privaligeName":"QueryFinalProductSales","android":{"link":"com.urovo.activity.data.QueryFinalProductSales","linkType":"native"}},{"typeId":2,"typeName":"销售明细查询","typePic":"","imageId":0,"privaligeName":"QuerySalesDetailNet","android":{"link":"com.urovo.activity.data.QuerySalesDetailNet","linkType":"native"}},{"typeId":3,"typeName":"月销量查询","typePic":"","imageId":0,"privaligeName":"MonthSaleAct","android":{"link":"com.urovo.activity.data.querysales.view.MonthSaleAct","linkType":"native"}},{"typeId":4,"typeName":"产品月销量查询","typePic":"","imageId":0,"privaligeName":"MonthSaleProductAct","android":{"link":"com.urovo.activity.data.queryproductsales.view.MonthSaleProductAct","linkType":"native"}},{"typeId":5,"typeName":"客单数查询","typePic":"","imageId":0,"privaligeName":"QueryGuestFolio","android":{"link":"com.urovo.activity.data.QueryGuestFolio","linkType":"native"}}]
     */

    private int msgCode;
    private String msgInfo;
    private List<ResultInfoBean> resultInfo;

    public int getMsgCode() {
        return msgCode;
    }

    public void setMsgCode(int msgCode) {
        this.msgCode = msgCode;
    }

    public String getMsgInfo() {
        return msgInfo;
    }

    public void setMsgInfo(String msgInfo) {
        this.msgInfo = msgInfo;
    }

    public List<ResultInfoBean> getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(List<ResultInfoBean> resultInfo) {
        this.resultInfo = resultInfo;
    }

    public static class ResultInfoBean implements ISelectable {
        /**
         * typeId : 0
         * typeName : 本机销售记录
         * typePic :
         * imageId : 0
         * privaligeName : QuerySalesDetailNative
         * android : {"link":"com.urovo.activity.data.QuerySalesDetailNative","linkType":"native"}
         */

        private int typeId;
        private String typeName;
        private String typePic;
        private int imageId;
        private String privaligeName;
        private AndroidBean android;

        public int getTypeId() {
            return typeId;
        }

        public void setTypeId(int typeId) {
            this.typeId = typeId;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getTypePic() {
            return typePic;
        }

        public void setTypePic(String typePic) {
            this.typePic = typePic;
        }

        public int getImageId() {
            return imageId;
        }

        public void setImageId(int imageId) {
            this.imageId = imageId;
        }

        public String getPrivaligeName() {
            return privaligeName;
        }

        public void setPrivaligeName(String privaligeName) {
            this.privaligeName = privaligeName;
        }

        public AndroidBean getAndroid() {
            return android;
        }

        public void setAndroid(AndroidBean android) {
            this.android = android;
        }

        @Override
        public boolean isISelected() {
            return false;
        }

        @Override
        public void setISelected(boolean selected) {

        }

        public static class AndroidBean {
            /**
             * link : com.urovo.activity.data.QuerySalesDetailNative
             * linkType : native
             */

            private String link;
            private String linkType;

            public String getLink() {
                return link;
            }

            public void setLink(String link) {
                this.link = link;
            }

            public String getLinkType() {
                return linkType;
            }

            public void setLinkType(String linkType) {
                this.linkType = linkType;
            }
        }
    }
}
