package com.urovo.activity.salesmanager;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.ToActivity;
import com.urovo.wugumofang.R;

/**
 * @author XP
 * @ClassName: TaskManagerActivity
 * @Description: 任务管理
 * @date 2015-11-16 下午3:01:56
 */
public class TaskManagerActivity extends BaseActivity implements OnClickListener {

    private LinearLayout daytask, marktask;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_salemanager_task);
        initView();
        initTitle();
        titleTextView.setText("任务管理");

    }

    private void initView() {
        daytask = (LinearLayout) findViewById(R.id.ll_day_task);// 日任务管理
        marktask = (LinearLayout) findViewById(R.id.ll_mark_store);// 标杆门店
        daytask.setOnClickListener(this);
        marktask.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.ll_day_task:
                ToActivity.toActivity(this, DayTaskActivity.class);
                break;
            case R.id.ll_mark_store:
                ToActivity.toActivity(this, MarkStoreActivity.class);
                break;
            default:
                break;
        }
    }
}
