package com.urovo.activity.sanxiangpao.model;

import com.urovo.activity.MemberProfile.model.MemberProfileData;

import java.io.Serializable;

/**
 * 会员关怀列表实体类
 *
 * @author chenji
 * @date 2017/11/8
 */

public class SanXiangPaoListEntity implements Serializable, MemberProfileData {

    /**
     * phoneCare : null
     * phoneCareTime : null
     * phoneCareOpno : null
     * smsCare : null
     * smsCareTime : null
     * smsCareOpno : null
     * shareCare : null
     * shareTime : null
     * shareOpno : null
     * wechatCare : null
     * wechatCareTime : null
     * wechatCareOpno : null
     * openId : oxIF2jgFYNtJarT0eEkrm5ht1jFc
     * customerMobile : 15812570679
     * customerName : 会员
     * hasCommunication : null
     */
//    private String statisticsDate = "";//统计时间
    private String phoneCare = "";//电话关怀 1已关怀
    private String phoneCareTime = "";//最后的电话关怀时间
    private String phoneCareOpno = "";//电话关怀人工号
    private String smsCare = "";//短信关怀 1已关怀 0未关怀
    private String smsCareTime = "";//最后短信关怀时间
    private String smsCareOpno = "";// 短信关怀人
    private String shareCare = "";//分享关怀 1已关怀 0未关怀
    private String shareTime = "";// 最后分享关怀时间
    private String shareOpno = "";//分享关怀人
    private String wechatCare = "";//微信关怀 1已关怀 0未关怀
    private String wechatCareTime = "";//最后微信关怀时间
    private String wechatCareOpno = "";//最后微信关怀人
    private String openId = "";// openid
    private String customerMobile = "";// 会员手机号
    private String customerName = "";// 会员名称
    private String hasCommunication = "";// 1: 已回访; 0:未回访

    @Override
    public String getFeedback() {
        return "";
    }

    @Override
    public String getPhoneCare() {
        return phoneCare;
    }

    @Override
    public void setPhoneCare(String phoneCare) {
        this.phoneCare = phoneCare;
    }

    public String getPhoneCareTime() {
        return phoneCareTime;
    }

    public void setPhoneCareTime(String phoneCareTime) {
        this.phoneCareTime = phoneCareTime;
    }

    public String getPhoneCareOpno() {
        return phoneCareOpno;
    }

    public void setPhoneCareOpno(String phoneCareOpno) {
        this.phoneCareOpno = phoneCareOpno;
    }

    @Override
    public String getSmsCare() {
        return smsCare;
    }

    @Override
    public void setSmsCare(String smsCare) {
        this.smsCare = smsCare;
    }

    public String getSmsCareTime() {
        return smsCareTime;
    }

    public void setSmsCareTime(String smsCareTime) {
        this.smsCareTime = smsCareTime;
    }

    public String getSmsCareOpno() {
        return smsCareOpno;
    }

    public void setSmsCareOpno(String smsCareOpno) {
        this.smsCareOpno = smsCareOpno;
    }

    @Override
    public String getShareCare() {
        return shareCare;
    }

    @Override
    public void setShareCare(String shareCare) {
        this.shareCare = shareCare;
    }

    public String getShareTime() {
        return shareTime;
    }

    public void setShareTime(String shareTime) {
        this.shareTime = shareTime;
    }

    public String getShareOpno() {
        return shareOpno;
    }

    public void setShareOpno(String shareOpno) {
        this.shareOpno = shareOpno;
    }

    @Override
    public String getWechatCare() {
        return wechatCare;
    }

    @Override
    public void setWechatCare(String wechatCare) {
        this.wechatCare = wechatCare;
    }

//    @Override
//    public String getStatisticsDate() {
//        return statisticsDate;
//    }
//
//    public void setStatisticsDate(String statisticsDate) {
//        this.statisticsDate = statisticsDate;
//    }

    public String getWechatCareTime() {
        return wechatCareTime;
    }

    public void setWechatCareTime(String wechatCareTime) {
        this.wechatCareTime = wechatCareTime;
    }

    public String getWechatCareOpno() {
        return wechatCareOpno;
    }

    public void setWechatCareOpno(String wechatCareOpno) {
        this.wechatCareOpno = wechatCareOpno;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    @Override
    public String getCustomerMobile() {
        return customerMobile;
    }

    public void setCustomerMobile(String customerMobile) {
        this.customerMobile = customerMobile;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    @Override
    public String getHasCommunication() {
        return hasCommunication;
    }

    @Override
    public void setHasCommunication(String hasCommunication) {
        this.hasCommunication = hasCommunication;
    }

    @Override
    public String toString() {
        return "SanXiangPaoListEntity{" +
//                "statisticsDate='" + statisticsDate + '\'' +
                ", phoneCare='" + phoneCare + '\'' +
                ", phoneCareTime='" + phoneCareTime + '\'' +
                ", phoneCareOpno='" + phoneCareOpno + '\'' +
                ", smsCare='" + smsCare + '\'' +
                ", smsCareTime='" + smsCareTime + '\'' +
                ", smsCareOpno='" + smsCareOpno + '\'' +
                ", shareCare='" + shareCare + '\'' +
                ", shareTime='" + shareTime + '\'' +
                ", shareOpno='" + shareOpno + '\'' +
                ", wechatCare='" + wechatCare + '\'' +
                ", wechatCareTime='" + wechatCareTime + '\'' +
                ", wechatCareOpno='" + wechatCareOpno + '\'' +
                ", openId='" + openId + '\'' +
                ", customerMobile='" + customerMobile + '\'' +
                ", customerName='" + customerName + '\'' +
                ", hasCommunication='" + hasCommunication + '\'' +
                '}';
    }
}
