package com.urovo.activity.sanxiangpaoData.model;

import com.urovo.activity.sanxiangpaoData.web.SXPBackListEntity;
import com.urovo.wugumofang.data.DateUtil;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Sasuke on 2016/6/7.
 */
public class SXPQueryData{
    private String dateBegin = "";//起始查询日期
    private String dateEnd = "";//终结查询日期
    private SimpleDateFormat riqiSdf = new SimpleDateFormat("yyyy年MM月dd日");
    private List<SXPBackListEntity> SXPBackList;

    public List<SXPBackListEntity> getSXPBackList() {
        return SXPBackList == null? new ArrayList<>():SXPBackList;
    }

    public void setSXPBackList(List<SXPBackListEntity> SXPBackList) {
        if(this.SXPBackList == null){
            this.SXPBackList = new ArrayList<>();
        }
        this.SXPBackList.clear();
        this.SXPBackList.addAll(SXPBackList);
    }

    public void setDateBegin(String dateBegin) {
        this.dateBegin = dateBegin;
    }

    public void setDateEnd(String dateEnd) {
        this.dateEnd = dateEnd;
    }

    public String getDateBegin(){
        return dateBegin;
    }

    public String getDateEnd(){
        return dateEnd;
    }

    /**
     * @return 返回 年-月-日 汉字版日期
     */
    public String getRiQiBegin(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日");
        return sdf.format(DateUtil.parseDate(dateBegin));
    }

    /**
     * @return 返回 年-月-日 汉字版日期
     */
    public String getRiQiEnd(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日");
        return sdf.format(DateUtil.parseDate(dateEnd));
    }



}
