package com.urovo.activity.slidemenu;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.widget.Button;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ScrollView;
import android.widget.TextView;

import com.urovo.wgmf.AsyncTask.HuiYuanDetailTask;
import com.urovo.wgmf.adapter.MyBaseAdapter;
import com.urovo.wgmf.db.dao.entitys.JiFenMingXiEntity;
import com.urovo.wgmf.entity.response.HuiYuanDetailResponse;
import com.urovo.wgmf.entity.response.JifenMingXiResponse;
import com.urovo.wgmf.uirefresh.PullToRefreshBase;
import com.urovo.wgmf.uirefresh.PullToRefreshBase.OnRefreshListener;
import com.urovo.wgmf.uirefresh.PullToRefreshScrollView;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.constants.ApiUrls;
import com.urovo.wugumofang.constants.AppRetCodeMap;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.net.OkHttpDominator;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.ui.DialogHelper;
import com.urovo.wugumofang.ui.ViewUtil;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.Unbinder;
import okhttp3.Request;

/**
 * 积分明细
 *
 * @author ...
 */
public class JifenMingXiActivity extends BaseActivity {
    //    private ImageButton goback;
    @BindView(R.id.btn_jifen)
    Button mBtnJifenDuihuan;

    @BindView(R.id.btn_extra)
    Button mBtnJifenEwai;

    // private ListView mLvJifenMingxi;
    private ListView mLvJifenMingxi;
    private List<JiFenMingXiEntity> jifenDetail = new ArrayList<>();
    private List<JiFenMingXiEntity> jifenInvalidDetail;
    private HuiYuanDetailResponse hydResponse;
    private TextView mTvJifenYouxiao;
    private TextView mTvJifenZong;
    private TextView mTvJifenGuoqi;
    private TextView mTvMobile;
    /**
     * 会员等级
     */
    private TextView cusGrade;
    private TextView mTextViewInvalidTotal;
    private ListView mListViewInvalid;
    // private TextView tv_jifen_zs_shengyu;
    // private TextView tv_jifen_zs_zonggong;
    // private TextView tv_jifen_zs_yisong;
    // private Button btn_jifen_zengsong;

//    private LinearLayout ll_content;
//    private RelativeLayout layout_title;

    private String huiyuan;
    private boolean jinyongHuiyuan = false;

    private ScrollView mScrollView;

    @BindView(R.id.jifenprsv)
    PullToRefreshScrollView mPullScrollView;
    /**
     * "1"是10天积分过期、"2"是30天积分过期
     */
    private int mType;
    /**
     * 关怀类型 默认1新客三响炮 2积分到期提醒 3砖石会员
     */
    private String careType;
    /**
     * 用于上拉加载更多，记录当前页码
     */
    private int mPageNo = 0;
    JifenMingxiAdapter jifenMingxiAdapter;
    private Unbinder unbinder;

    @Override
    protected void onResume() {
        super.onResume();
        refresh();
        /*new HuiYuanDetailTask(this, "正在验证会员", true, huiyuan).execute("");

        new QueryJiFenMingXiTask(this, "正在查询积分明细", true, huiyuan).execute("");*/
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_jifen);
        unbinder = ButterKnife.bind(this);
        Intent intent = getIntent();
        huiyuan = intent.getStringExtra("huiyuan");
        mType = getIntent().getIntExtra("mType", 2);
        careType = getIntent().getStringExtra("careType");

        initTitle();

//        titleTextView = (TextView) findViewById(R.id.text_title);
//        goback = (ImageButton) findViewById(R.id.goback);
//        layout_title = (RelativeLayout) findViewById(R.id.layout_title);
//        mPullScrollView = (PullToRefreshScrollView) findViewById(R.id.jifenprsv);
        mPullScrollView.setPullLoadEnabled(true);
        mPullScrollView.setOnRefreshListener(new OnRefreshListener<ScrollView>() {

            @Override
            public void onPullDownToRefresh(PullToRefreshBase<ScrollView> refreshView) {
                refresh();
                setLastUpdateTime();

                // new HuiYuanDetailTask(JifenMingXiActivity.this, "正在验证会员",
                // false, huiyuan).execute("");
                //
                // new QueryJiFenMingXiTask(JifenMingXiActivity.this,
                // "正在查询积分明细", false, huiyuan).execute("");
            }

            @Override
            public void onPullUpToRefresh(PullToRefreshBase<ScrollView> refreshView) {
                queryCustPtsDetail();
            }
        });

        mScrollView = mPullScrollView.getRefreshableView();
        LayoutParams params = mScrollView.getLayoutParams();
        params.height = LayoutParams.MATCH_PARENT;
        mScrollView.setLayoutParams(params);
        View llJifenmingxi = View.inflate(this, R.layout.jifenmingxi_scroll, null);

//        ll_content = (LinearLayout) llJifenmingxi.findViewById(R.id.ll_content);
//        mBtnJifenDuihuan = (Button) findViewById(R.id.btn_jifen);
//        mBtnJifenEwai = (Button) findViewById(R.id.btn_extra);
        mLvJifenMingxi = (ListView) llJifenmingxi.findViewById(R.id.lv_jifen_mingxi);
        jifenMingxiAdapter = new JifenMingxiAdapter(this, jifenDetail);
        mLvJifenMingxi.setAdapter(jifenMingxiAdapter);

        mTextViewInvalidTotal = (TextView) llJifenmingxi.findViewById(R.id.textViewInvalidTotal);
        mListViewInvalid = (ListView) llJifenmingxi.findViewById(R.id.listViewInvalid);
        // btn_jifen_zengsong = (Button) findViewById(R.id.btn_extra);
        // tv_jifen_zs_shengyu = (TextView)
        // ll_jifenmingxi.findViewById(R.id.tv_jifen_zengsong);
        // tv_jifen_zs_zonggong = (TextView)
        // ll_jifenmingxi.findViewById(R.id.tv_jifen_zengsong_zong);
        // tv_jifen_zs_yisong = (TextView)
        // ll_jifenmingxi.findViewById(R.id.tv_jifen_yizengsong);
        // btn_jifen_zengsong.setEnabled(false);

//        titleTextView.setText("积分明细");
//        goback.setOnClickListener(new OnClickListener() {
//
//            @Override
//            public void onClick(View v) {
//                finish();
//            }
//        });

        mBtnJifenDuihuan.setEnabled(false);

        mBtnJifenDuihuan.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {
                Intent intent = new Intent(JifenMingXiActivity.this, JifenActivity.class);
                // Bundle bundle=new Bundle();
                // bundle.putString("name",
                // vipResponse.getVipEntity().getVipName());
                // bundle.putString("id",
                // vipResponse.getVipEntity().getVipId());
                // bundle.putString("sex",
                // vipResponse.getVipEntity().getVipSex());
                // bundle.putDouble("youxiao",
                // vipResponse.getVipEntity().getYXJF());
                if (hydResponse != null && "0".equals(hydResponse.getRet()) && hydResponse.getDatalist() != null && hydResponse.getDatalist().size() > 0) {
                    intent.putExtra("vip", huiyuan);
                    //到积分兑换里面会判断这个是不是空，不是空就会setResult,才能激发本activity中的onActivityResult
                    intent.putExtra("CODE_CHECK", "CODE_CHECK");
                    //startActivity(intent);
                    startActivityForResult(intent, 1);
                } else {
                    showMsg("会员验证失败");
                }
            }
        });
        mBtnJifenEwai.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(JifenMingXiActivity.this, JifenEWaiActivity.class);
                intent.putExtra("huiyuan", huiyuan);
                startActivity(intent);
            }
        });
        mTvJifenYouxiao = (TextView) llJifenmingxi.findViewById(R.id.tv_jifen_youxiao);
        mTvJifenZong = (TextView) llJifenmingxi.findViewById(R.id.tv_jifen_zong);
        mTvJifenGuoqi = (TextView) llJifenmingxi.findViewById(R.id.tv_jifen_guoqi);
        mTvMobile = (TextView) llJifenmingxi.findViewById(R.id.tv_mobile);
        cusGrade = (TextView) llJifenmingxi.findViewById(R.id.cusGrade);

        mScrollView.addView(llJifenmingxi);

        setLastUpdateTime();
    }

    @Override
    public void initTitle() {
        super.initTitle();
        titleTextView.setText("积分明细");
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (unbinder != null) {
            unbinder.unbind();
        }
    }

    private void refresh() {
        mPageNo = 0;
//        jifenDetail.clear();
        new HuiYuanDetailTask(this, "正在验证会员", true, huiyuan).execute("");

        //new QueryJiFenMingXiTask(this, "正在查询积分明细", true, huiyuan).execute("");

        //并没有对应zengsong_query的对获取数据的处理嘛。。。那这里还请求个蛋啊。。。
/*Map<String, String> p = new HashMap<String, String>();
Date date = new Date();
SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
p.put("userId", SystemHelper.LoginUserId);
p.put("startTimeStr", sdf.format(date));
p.put("endTimeStr", sdf.format(date));
new BaseYinXiaoServerTask("zengsong_query", GuWenZhangHuResponse.class, this, "正在查询可赠送积分...", true, "/information/getConsultantAcount", p).execute("");*/
    }


    /**
     * 获取积分详情
     */
    private void queryCustPtsDetail() {
        HashMap<String, String> params = new HashMap<>(16);
        params.put("phoneNo", huiyuan);
        params.put("pageNo", (mPageNo + 1) + "");
        params.put("pageSize", "10");
        ViewUtil.showProgress(this, "请稍等", "正在查询积分明细...");
        OkHttpDominator.postAsyn(NetParam.YINXIAOBU_SERVER + ApiUrls.APP.QUERY_CUST_PTS_DETAIL,
                params,
                new OkHttpDominator.ResultCallback<JifenMingXiResponse>() {
                    @Override
                    public void onError(Request request, Exception e) {
                        ViewUtil.dismissProgress();
                    }

                    @SuppressLint("SetTextI18n")
                    @Override
                    public void onResponse(final JifenMingXiResponse jfmxResponse) {
                        ViewUtil.dismissProgress();
//                        JifenMingXiResponse jfmxResponse = res;
                        //只有第一页的时候才需要，因为第一次请求后，它会自动把List滚到底，我们要把它手动scroll回来。
                        //mPageNo在这里还未++，所以上第一次请求后，到这里应该还是0，不要搞错了
                        if (mPageNo == 0) {
                            mScrollView.smoothScrollTo(0, 0);
                        }

                        if (jfmxResponse != null) {
                            setLastUpdateTime();
                            if ("0".equals(jfmxResponse.getRet())) {
                                //10天积分过期
                                if (!TextUtils.isEmpty(careType) && "2".equals(careType) && mType == 1) {
                                    if (jfmxResponse.getWillInValidPointlist10() != null && jfmxResponse.getWillInValidPointlist10().size() > 0) {
                                        mListViewInvalid.setVisibility(View.VISIBLE);
                                        jifenInvalidDetail = jfmxResponse.getWillInValidPointlist10();
                                        mListViewInvalid.setAdapter(new JifenInvalidMingxiAdapter(JifenMingXiActivity.this, jifenInvalidDetail));
                                        setListHeight(mListViewInvalid);
                                        mTextViewInvalidTotal.setText(String.format("10天内将过期的积分:%s", jfmxResponse.getWillInValidPoint10()));
                                    } else {//如果10天过期列表为空或者长度为0
                                        mTextViewInvalidTotal.setText("10天内将过期的积分:0");
                                        mListViewInvalid.setVisibility(View.GONE);
                                        mScrollView.invalidate();
                                    }
                                } else {//30天积分过期
                                    if (jfmxResponse.getWillInValidPointlist() != null && jfmxResponse.getWillInValidPointlist().size() > 0) {
                                        mListViewInvalid.setVisibility(View.VISIBLE);
                                        jifenInvalidDetail = jfmxResponse.getWillInValidPointlist();
                                        mListViewInvalid.setAdapter(new JifenInvalidMingxiAdapter(JifenMingXiActivity.this, jifenInvalidDetail));
                                        setListHeight(mListViewInvalid);
                                        mTextViewInvalidTotal.setText("30天内将过期的积分:" + jfmxResponse.getWillInValidPoint());
                                    } else {
                                        mTextViewInvalidTotal.setText("30天内将过期的积分:" + "0");
                                        mListViewInvalid.setVisibility(View.GONE);
                                        mScrollView.invalidate();
                                    }
                                }

                                if (jfmxResponse.getallPointlist() != null && jfmxResponse.getallPointlist().size() > 0) {
//                                    jifenDetail.addAll(jfmxResponse.getallPointlist());
//                                    jifenMingxiAdapter.notifyDataSetChanged();

                                    JifenMingXiActivity.this.runOnUiThread(new Runnable() {
                                        @Override
                                        public void run() {
                                            mPageNo++;
                                            if (jfmxResponse.getallPointlist() != jifenDetail) {
                                                //为1时，说明++前是0，而refresh()方法里有赋0操作，说明应该是第一次或者全局refresh()刷新数据
                                                //所以mPageNo==1的时候才清掉老数据List从第1页开始显示
                                                if (mPageNo == 1) {
                                                    jifenDetail.clear();
                                                }
                                                jifenDetail.addAll(jfmxResponse.getallPointlist());
                                            }
                                            jifenMingxiAdapter.notifyDataSetChanged();
                                            setListHeight(mLvJifenMingxi);
                                        }
                                    });

                                } else {
                                    showMsg("没有更多了");
                                }
                            } else {
                                showMsg(jfmxResponse.getRetInfo());
                            }
                        } else {
                            showMsg("会员验证失败");
                            mBtnJifenDuihuan.setEnabled(false);
                        }
                        mPullScrollView.onPullDownRefreshComplete();
                        mPullScrollView.onPullUpRefreshComplete();
                    }
                });
    }

    private class JifenMingxiAdapter extends MyBaseAdapter<JiFenMingXiEntity, ListView> {

        JifenMingxiAdapter(Context context, List<JiFenMingXiEntity> jifenDetail) {
            super(jifenDetail, context);
        }

        @Override
        public View getView(final int position, View convertView, ViewGroup parent) {
            View view;
            final ViewHolder holder;
            if (convertView == null) {
                view = View.inflate(context, R.layout.listview_item_jifen_mingxi, null);
                holder = new ViewHolder();
                holder.tvDate = (TextView) view.findViewById(R.id.tv_date);
                holder.tvType = (TextView) view.findViewById(R.id.tv_type);
                holder.tvJifenChange = (TextView) view.findViewById(R.id.tv_jifen_change);

                view.setTag(holder);
            } else {
                view = convertView;
                holder = (ViewHolder) view.getTag();
            }

            holder.tvDate.setText(lists.get(position).getPtsGetDate());
            holder.tvType.setText(lists.get(position).getPtsType());
            if (lists.get(position).getPtsNumber() >= 0) {
                holder.tvJifenChange.setTextColor(Color.rgb(88, 189, 38));
                holder.tvJifenChange.setText(String.format("+%s", lists.get(position).getPtsNumber()));
            } else {
                holder.tvJifenChange.setTextColor(Color.rgb(255, 84, 0));
                holder.tvJifenChange.setText(String.format("%s", lists.get(position).getPtsNumber()));
            }

            return view;
        }
    }

    private class JifenInvalidMingxiAdapter extends MyBaseAdapter<JiFenMingXiEntity, ListView> {

        JifenInvalidMingxiAdapter(Context context, List<JiFenMingXiEntity> jifenDetail) {
            super(jifenDetail, context);
        }

        @Override
        public View getView(final int position, View convertView, ViewGroup parent) {
            View view;
            if (convertView == null) {
                convertView = View.inflate(context, R.layout.listview_item_jifen_guoqi, null);
            }
            TextView jifen = (TextView) convertView.findViewById(R.id.textViewJiFen);
            TextView time = (TextView) convertView.findViewById(R.id.textViewTime);

            jifen.setText(String.format("积分：%s", lists.get(position).getValidPoint()));
            //time.setText("过期时间："+lists.get(position).getPtsGetDate());
            time.setText(String.format("过期时间：%s", lists.get(position).getPtsValid()));
            return convertView;
        }
    }

    static class ViewHolder {
        public TextView tvDate;
        public TextView tvType;
        public TextView tvJifenChange;
    }

    @Override
    public void displayResult(String tag, BaseResponse response) {
        super.displayResult(tag, response);

        if (HuiYuanDetailTask.TAG.equals(tag)) {
            hydResponse = (HuiYuanDetailResponse) response;
            if ("0".equals(hydResponse.getRet())) {
                if (hydResponse.getDatalist() != null && hydResponse.getDatalist().size() > 0) {
                    mBtnJifenDuihuan.setEnabled(true);
                    mTvJifenYouxiao.setText(hydResponse.getDatalist().get(0).getValidPoints());
                    mTvJifenZong.setText(hydResponse.getDatalist().get(0).getTotalPoints());
                    mTvJifenGuoqi.setText(String.format("%s(单笔积分一年有效)", hydResponse.getDatalist().get(0).getInvalidPTS()));
                    cusGrade.setText(hydResponse.getDatalist().get(0).getCusGrade());

                    mTvMobile.setText(huiyuan);

                    if (("1".equals(hydResponse.getDatalist().get(0).getCustomerStatus()) || "2".equals(hydResponse.getDatalist().get(0).getCustomerStatus())) && !jinyongHuiyuan) {
                        jinyongHuiyuan = true;
                        String content = AppRetCodeMap.statusDbMap("4002", "该会员已被禁用，无法获得或使用积分，如有疑问请咨询400客服解禁！");
                        DialogHelper.AlertNotCanceable(this, "提示", content, null, (dialog, which) -> finish());
                    }
                }
                //先验证用户再查询明细，要不然两个Progress挤在一起它根本都不显示了
//                new QueryJiFenMingXiTask(this, "正在查询积分明细", true, huiyuan).execute("");
                queryCustPtsDetail();
            } else {
                showMsg(hydResponse.getRetInfo());
                mBtnJifenDuihuan.setEnabled(false);
            }
        }
//        else if (QueryJiFenMingXiTask.TAG.equals(tag)) {
//            JifenMingXiResponse jfmxResponse = (JifenMingXiResponse) response;
//            mScrollView.smoothScrollTo(0, 0);
//            mPullScrollView.onPullDownRefreshComplete();
//            setLastUpdateTime();
//
//            if (jfmxResponse != null) {
//                setLastUpdateTime();
//                if ("0".equals(jfmxResponse.getRet())) {
//                    if (!TextUtils.isEmpty(careType) && careType.equals("2") && mType == 1) {//10天积分过期
//                        if (jfmxResponse.getWillInValidPointlist10() != null && jfmxResponse.getWillInValidPointlist10().size() > 0) {
//                            mListViewInvalid.setVisibility(View.VISIBLE);
//                            jifenInvalidDetail = jfmxResponse.getWillInValidPointlist10();
//                            mListViewInvalid.setAdapter(new JifenInvalidMingxiAdapter(this, jifenInvalidDetail));
//                            setListHeight(mListViewInvalid);
//                            mTextViewInvalidTotal.setText("10天内将过期的积分:" + jfmxResponse.getWillInValidPoint10());
//                        } else {//如果10天过期列表为空或者长度为0
//                            mTextViewInvalidTotal.setText("10天内将过期的积分:" + "0");
//                            mListViewInvalid.setVisibility(View.GONE);
//                            mScrollView.invalidate();
//                        }
//                    } else {//30天积分过期
//                        if (jfmxResponse.getWillInValidPointlist() != null && jfmxResponse.getWillInValidPointlist().size() > 0) {
//                            mListViewInvalid.setVisibility(View.VISIBLE);
//                            jifenInvalidDetail = jfmxResponse.getWillInValidPointlist();
//                            mListViewInvalid.setAdapter(new JifenInvalidMingxiAdapter(this, jifenInvalidDetail));
//                            setListHeight(mListViewInvalid);
//                            mTextViewInvalidTotal.setText("30天内将过期的积分:" + jfmxResponse.getWillInValidPoint());
//                        } else {
//                            mTextViewInvalidTotal.setText("30天内将过期的积分:" + "0");
//                            mListViewInvalid.setVisibility(View.GONE);
//                            mScrollView.invalidate();
//                        }
//                    }
//
//                    if (jfmxResponse.getallPointlist() != null && jfmxResponse.getallPointlist().size() > 0) {
//                        jifenDetail = jfmxResponse.getallPointlist();
//                        mLvJifenMingxi.setAdapter(new JifenMingxiAdapter(this, jifenDetail));
//                        setListHeight(mLvJifenMingxi);
//                    }
//                } else {
//                    showMsg(jfmxResponse.getRetInfo());
//                }
//            } else {
//                showMsg("会员验证失败");
//                mBtnJifenDuihuan.setEnabled(false);
//            }
//        }
        // else if ("zengsong_query".equals(tag))
        // {
        // GuWenZhangHuResponse res = (GuWenZhangHuResponse) response;
        // List<GuWenZhangHuEntity> list = res.getList();
        // if (null != list && list.size() > 0)
        // {
        // tv_jifen_zs_shengyu.setText(list.get(0).validPoint);
        // tv_jifen_zs_zonggong.setText(list.get(0).totalPoint);
        // tv_jifen_zs_yisong.setText(list.get(0).usedPoint);
        // int validPoint = Integer.parseInt(list.get(0).validPoint);
        // if (validPoint > 0) btn_jifen_zengsong.setEnabled(true);
        // else btn_jifen_zengsong.setEnabled(false);
        // }
        // }
        else if ("zengsong_request".equals(tag)) {
            if ("0".equals(response.ret)) {
                refresh();
            }
            showMsg(response.retInfo);
        }
    }


    private void setLastUpdateTime() {
        String text = DateUtil.format(new Date(), "MM-dd HH:mm");
        if (mPullScrollView != null) {
            mPullScrollView.setLastUpdatedLabel(text);
        }
    }

    private void setListHeight(ListView view) {
        ListAdapter listAdapter = view.getAdapter();
        if (listAdapter == null) {
            return;
        }

        int totalHeight = 0;
        for (int i = 0; i < listAdapter.getCount(); i++) {
            View listItem = listAdapter.getView(i, null, view);
            listItem.measure(0, 0);
            totalHeight += listItem.getMeasuredHeight();
        }

        LayoutParams params = view.getLayoutParams();
        params.height = totalHeight + (view.getDividerHeight() * (listAdapter.getCount() - 1));

        view.setLayoutParams(params);
    }
}
