package com.urovo.activity.tabMenu.home.pre;

import com.urovo.activity.tabMenu.home.ent.HomeMenuOnlineBean;
import com.urovo.activity.tabMenu.home.net.HomeNet;
import com.urovo.wugumofang.net.CommonController;
import com.urovo.wugumofang.response.CommonEntity;

import java.util.List;
import java.util.Map;

/**
 * @author chenji
 * @date 18/1/12
 */
public class HomeMenuPre implements CommonController.HomeMenuPre<List<List<HomeMenuOnlineBean.ResultInfoBean>>> {
    private CommonController.HomeMenuView<List<List<HomeMenuOnlineBean.ResultInfoBean>>> mHomeMenuView;
    private HomeNet mHomeNet;

    public HomeMenuPre(CommonController.HomeMenuView<List<List<HomeMenuOnlineBean.ResultInfoBean>>> homeMenuView) {
        this.mHomeMenuView = homeMenuView;
        this.mHomeNet = new HomeNet();
    }

    @Override
    public void onStart2requestData4Menu(Map<String, String> params) {
        mHomeNet.start2request4Menu(this, params);
    }

    @Override
    public void onResponseSuccess4Menu(CommonEntity<List<List<HomeMenuOnlineBean.ResultInfoBean>>> resultInfo) {
        mHomeMenuView.onResponseSuccess4Menu(resultInfo);
    }


    @Override
    public void onFailure4Menu(String failInfo) {
        mHomeMenuView.onFailure4Menu(failInfo);
    }
}
