package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.HuiYuanDetailResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class HuiYuanDetailTask extends BaseActivityTask {
	private String resultStr;
	private HuiYuanDetailResponse response;
	public static final String TAG = "HuiYuanDetailTask";
	private String vip;

	public HuiYuanDetailTask(BaseActivity context, String message, boolean toShowProgressBar, String vip) {
		super(context, message, toShowProgressBar);
		this.vip = vip;
	}

	public HuiYuanDetailTask(BaseActivity context, String message, boolean toShowProgressBar, List<String> tags, String vip) {
		super(context, message, toShowProgressBar, tags);
		this.vip = vip;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		Map<String, String> params = new HashMap<String, String>();
		params.put("custId", "");
		params.put("phoneNo", vip);
		resultStr = ResultTool.access(UrlBaseAppService + "/custpts/brief", params);
		response = checkResult(resultStr, HuiYuanDetailResponse.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else
			if(response != null) {
				context.displayResult(TAG, response);
			}
			else {
				showMessage("访问异常");
			}
	}
}
