package com.urovo.wgmf.AsyncTask;

import android.content.Context;

import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.constants.NetParam;

import java.util.HashMap;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;

/**
 * 如果绑定极光推送到公司服务器失败，就回调这个
 * Created by Sasuke on 2016/6/13.
 */
public class JPushYinXiaoBindCallback {
    Context context;
    public JPushYinXiaoBindCallback(Context context) {
        this.context = context;
    }
    //绑定失败
    public void retry(){
            new Timer().schedule(new TimerTask() {
                @Override
                public void run() {
                    Map<String,String> p = new HashMap<>();//给公司后台绑
                    if (SystemHelper.IsAdmin) {//是不是营养顾问模式（目前只给营养顾问发推送）
                        p.put("tag","admin");
                    } else {
                        p.put("tag","staff");
                    }
                    p.put("staffId",SystemHelper.LoginUserId);
                    p.put("alias",SystemHelper.LoginUserId);
                    p.put("platform","android");
                    p.put("type","2");

                    new Thread(new JPushYinXiaoBindTask(
                            context, NetParam.JPUSH_YINXIAO_BIND_PATH,p,new JPushYinXiaoBindCallback(context))).start();
                }
            },60000);
    }


}
