package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.db.dao.entitys.DayTaskStatusEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryDayTaskStatusTask extends BaseActivityTask {
	public static final String TAG = QueryDayTaskStatusTask.class.getName();
	private String resultStr;
	private DayTaskStatusEntity response;
	private Map<String, String> params;

	public QueryDayTaskStatusTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(UrlDayTaskStatus, params);
		response = checkResult(resultStr, DayTaskStatusEntity.class);
	}

	@Override
	public void afterTask() {
		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
