package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.db.dao.entitys.SalesProductsEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryDingXinChanPinTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = QueryXiaoLiangChaXunTask.class.getName();
	private String sql;
	private SalesProductsEntity response;
	private Map<String, String> params;

	public QueryDingXinChanPinTask(BaseActivity context, String message, boolean toShowProgressBar, String sql) {
		super(context, message, toShowProgressBar);
		
		this.sql = sql;
	}

	public QueryDingXinChanPinTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		// 请求产品销售新接口
		resultStr = ResultTool.access(UrlProducts, params);
		// 新的返回数据
		response = checkResult(resultStr, SalesProductsEntity.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
