package com.urovo.wgmf.AsyncTask;

import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wgmf.entity.response.KaoQinQueryResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

/**
 * 考勤查询
 * 
 * @author Administrator
 *
 */
public class QueryKaoQinTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = "QueryKaoQinTask";
	private KaoQinQueryResponse response;
	private String sql;

	public QueryKaoQinTask(BaseActivity context, String message, boolean toShowProgressBar, String sql) {
		super(context, message, toShowProgressBar);
		
		this.sql = sql;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		String action = NetParam.Action_RequestQuery;
		String method = NetParam.RequestQuery_KaoQin;
		String content = sql;
		resultStr = ResultTool.access(Url, action, method, content);
		response = checkResult(resultStr, KaoQinQueryResponse.class);

	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}

	@Override
	protected void noNetAfter() {

		super.noNetAfter();
		context.displayNoNet(TAG);
	}

}
