package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.db.dao.entitys.ChangJianWenTiEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryWenTiSerchTask extends BaseActivityTask {
	private String resultStr;
	public static final String TAG = QueryWenTiSerchTask.class.getName();
	private ChangJianWenTiEntity response;
	private Map<String, String> params;

	public QueryWenTiSerchTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(UrlSerchChangJianWenTi, params);
		response = checkResult(resultStr, ChangJianWenTiEntity.class);
	}

	@Override
	public void afterTask() {
		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
