package com.urovo.wgmf.AsyncTask.uploadcases

import android.os.Handler
import android.os.Looper
import com.google.gson.Gson
import com.urovo.wgmf.db.dao.dao.Djsc001DbOperate
import com.urovo.wgmf.db.dao.dao.Djsc002DbOperate
import com.urovo.wgmf.db.dao.entitys.ShiChiUploadEntity
import com.urovo.wugumofang.constants.ApiUrls
import com.urovo.wugumofang.constants.NetParam
import com.urovo.wugumofang.net.OkHttpDominator
import com.urovo.wugumofang.response.BaseSimpleResponse
import org.jetbrains.anko.doAsync

/**
 * @author HUANGSHI-PC on 2020-02-14 0014.
 */
class ShichiUploadCase(val callback: ((String) -> Unit)? = null) : UploadBaseCase() {

    override fun dowork() {
        doAsync {
            if (Djsc001DbOperate.GetUnUploadCount() > 0) {
//            isValues = true
                //                String method = NetParam.RequestUpload_ShiChi;
                //                List<ShiChiEntity> newlist = new ArrayList<ShiChiEntity>();
                val list = Djsc001DbOperate.GetAllUnUpload()
                for (ent in list) {
                    val array = Djsc002DbOperate.GetBillDetail(ent.bill).toTypedArray()
                    ent.productDetails = array

                    val bean = ShiChiUploadEntity()
                    bean.proCode = ent.bill
                    bean.proId = "186"//默认传186就对了，别管为什么
                    bean.storeNo = ent.storeId
                    bean.tasteDate = ent.wDate
                    bean.tasteQty = ent.productDetails[0].tqty.toInt()
                    bean.tasteUserNo = ent.oper_Lr

                    //以下这些字段不需要传
                    //                    bean.setProName(ent.getProductDetails()[0].getItemName());
                    //                    bean.setStoreName(SystemHelper.LoginOrganName);
                    //                    bean.setTasteUserName(ent.getLr_Name());
                    val storeForetaste = Gson().toJson(bean)

                    val res = OkHttpDominator.postSynByType(NetParam.YINXIAOBU_SERVER + ApiUrls.APP.EAT_MANAGER_SAVE,
                            OkHttpDominator.JSON,
                            BaseSimpleResponse::class.java,
                            mapOf("storeForetaste" to storeForetaste)) as BaseSimpleResponse?

                    //                    newlist.clear();
                    //                    newlist.add(ent);
                    //                    Gson gson = new Gson();
                    //                    String content = gson.toJson(newlist);
                    //                    resultStr = ResultTool.access(Url, action, method, content);
                    // baseResponse = checkResult(resultStr,
                    // BaseResponse.class);
                    if (res != null && res.msgCode == 0) {
                        // 如果上传成功，更新单据上传状态字段，同时获取剩余未上传单据记录ccc
                        // for (ShiChiEntity ent : list)
//                    resultStr = ""//上传成功要把resultStr这个标记改为“”最后才能判断为上传成功的。
                        Djsc001DbOperate.UpdateBillState(ent.bill)
                    } else {
                        //                        SYLoger.print("试吃上传------" + errMsg);
//                    context.uploadFailed()
                        resultStr = "试吃上传失败"
                    }
                    Handler(Looper.getMainLooper()).post { callback?.invoke(resultStr) }
//                context.mUpLoadFlag = true
                }
                enqueDominator?.go()
                return@doAsync
            }
            enqueDominator?.go()
        }
    }

}