package com.urovo.wgmf.AsyncTask.uploadcases

import com.urovo.wgmf.db.dao.dao.Djxs001DbOperate
import com.urovo.wgmf.db.dao.dao.Djxs002DbOperate
import com.wgmf.trade.presenter.SaveSuccessPre
import org.jetbrains.anko.doAsync

/**
 * @author HUANGSHI-PC on 2020-02-14 0014.
 */
class XiaoShouUploadCase : UploadBaseCase() {
    override fun dowork() {
        doAsync {
            if (Djxs001DbOperate.GetUnUploadCount() > 0) {
//            isValues = true
                var failCount = 0
                var resText = ""//专门用来存返回的response，如果多个单有一个失败，其它都成功，那失败的resultStr就会被成功的""给盖掉，为了防止这一点。
                val orderRequestBeans = Djxs001DbOperate.selectUnUploadOrder()
                val saveSuccessPre = SaveSuccessPre()
                for (orderRequestBeanTemp in orderRequestBeans) {
                    val productDetailsBeans = Djxs002DbOperate.selectOrderDetail(orderRequestBeanTemp.bill)
                    orderRequestBeanTemp.productDetails = productDetailsBeans
                    resultStr = saveSuccessPre.submitOrderSyn(orderRequestBeanTemp)
                    if (resultStr != "") {//防止多单中，一单失败，其它成功，导致失败的返回被盖住
                        failCount++
                        resText = resultStr
                    }//注意这里要用同步.
                }

                if (failCount > 0) {
                    resultStr = resText
//                MyToast.show(resultStr)
                }
                enqueDominator?.go()
                return@doAsync
            }
            enqueDominator?.go()
        }
    }
}