//package com.urovo.wgmf.adapter;
//
//import java.util.Collections;
//import java.util.Comparator;
//import java.util.List;
//
//import android.app.AlertDialog;
//import android.content.DialogInterface;
//import android.graphics.Color;
//import android.text.TextUtils;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.view.View.OnFocusChangeListener;
//import android.view.ViewGroup;
//import android.widget.BaseAdapter;
//import android.widget.EditText;
//import android.widget.ImageButton;
//import android.widget.LinearLayout;
//import android.widget.TextView;
//
//import com.urovo.wugumofang.base.BaseActivity;
//import com.urovo.wgmf.db.dao.dao.Item001DbOperate;
//import com.urovo.wgmf.db.dao.entitys.DingHuoExamineDetailEntity;
//import com.urovo.wgmf.db.dao.entitys.ProductEntity;
//import com.urovo.wugumofang.data.Arith;
//import com.urovo.wugumofang.data.StringUtils;
//import com.urovo.wugumofang.R;
//
//public class QueryDingHuoExamineDetailAdapter extends BaseAdapter {
//	private List<DingHuoExamineDetailEntity> list;
//	private BaseActivity context;
//
//	public QueryDingHuoExamineDetailAdapter(
//			List<DingHuoExamineDetailEntity> list, BaseActivity context) {
//		this.list = list;
//		this.context = context;
//
//		initList();
//	}
//
//	/**
//	 *
//	 * @Title: initList
//	 * @Description: 按库存率从高到低排序
//	 * @param 参数说明
//	 * @return void 返回类型
//	 * @throws
//	 */
//	private void initList() {
//		Collections.sort(list, new Comparator<DingHuoExamineDetailEntity>() {
//
//			@Override
//			public int compare(DingHuoExamineDetailEntity lhs,
//					DingHuoExamineDetailEntity rhs) {
//
//				if (lhs.getCyl() > rhs.getCyl()) {
//					return -1;
//				} else if (lhs.getCyl() == rhs.getCyl()) {
//					return 0;
//				} else {
//					return 1;
//				}
//			}
//		});
//	}
//
//	@Override
//	public int getCount() {
//
//		return list == null ? 0 : list.size();
//	}
//
//	@Override
//	public Object getItem(int position) {
//
//		return list == null ? null : list.get(position);
//	}
//
//	@Override
//	public long getItemId(int position) {
//
//		return position;
//	}
//
//	@Override
//	public View getView(final int position, View convertView, ViewGroup parent) {
//		final ViewHolder holder;
//		if (convertView == null) {
//			holder = new ViewHolder();
//			convertView = LayoutInflater.from(context).inflate(
//					R.layout.second_ordergoodsmenu_item2, null);
//			holder.name = (TextView) convertView.findViewById(R.id.goods_name);
//			holder.unit = (TextView) convertView.findViewById(R.id.goods_unit);
//			holder.qtyCount = (TextView) convertView
//					.findViewById(R.id.qty_count);
//			holder.maxqtyCount = (TextView) convertView
//					.findViewById(R.id.max_qty_count);
//			holder.ll_show_detail = (LinearLayout) convertView
//					.findViewById(R.id.ll_show_detail);
//			holder.count = (EditText) convertView
//					.findViewById(R.id.goods_count);
//			holder.tv_kucun = (TextView) convertView
//					.findViewById(R.id.tv_kucun);
//			holder.tv_cyl = (TextView) convertView.findViewById(R.id.tv_cyl);
//			holder.tv_xiaoliang = (TextView) convertView
//					.findViewById(R.id.tv_xiaoliang);
//			holder.add = (ImageButton) convertView
//					.findViewById(R.id.goods_plus);
//			holder.reduce = (ImageButton) convertView
//					.findViewById(R.id.goods_decrease);
//			convertView.setTag(holder);
//			holder.maxqtyCount.setVisibility(View.INVISIBLE);
//		} else {
//			holder = (ViewHolder) convertView.getTag();
//		}
//		final DingHuoExamineDetailEntity data = list.get(position);
//
//		String pName = Item001DbOperate.GetProductName(data.getItemid());
//		ProductEntity p = Item001DbOperate.GetProductDetail2(data.getItemid());
//		final double pDHPack = Item001DbOperate
//				.GetProductPack(data.getItemid());
//
//		holder.count.setTag(position);
//		holder.name.setText(pName);
//		holder.unit.setText("(" + p.getKCUom() + ")");
//		holder.tv_cyl.setText("库存率:"
//				+ StringUtils.formatDouble(data.getCyl(), "0.0"));
//		holder.tv_kucun.setText("库存+在途:" + data.getKc());
//		holder.tv_xiaoliang.setText("月用量:" + data.getXsqty());
//		holder.count.setText(StringUtils.formatDouble(data.getOrder_qty(),
//				"0.00"));
//		holder.count.setSelection(holder.count.getText().length());
//		holder.qtyCount.setText("" + data.getOpl_qty());
//		if (data.getOrder_qty() == 0) {
//			holder.reduce.setEnabled(false);
//		} else {
//			holder.reduce.setEnabled(true);
//		}
//		if (data.getMax_opl_qty() > 0
//				&& data.getOrder_qty() >= data.getMax_opl_qty()) {
//			holder.add.setEnabled(false);
//		} else {
//			holder.add.setEnabled(true);
//		}
//		holder.add.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//
//				DingHuoExamineDetailEntity cell = list.get(position);
//				double d = 0;
//				if ("2.40139".equals(cell.getItemid())) {// 如果是7天固元膏
//					double mDHPack = Item001DbOperate.GetProductPack("2.40139");
//					d = cell.getOrder_qty();
//					if (d < 10) {
//						mDHPack = 10;
//					} else if (d == 10) {
//						mDHPack = 14;
//					} else {
//						mDHPack = 24;
//					}
//					d = Arith.add(cell.getOrder_qty(), mDHPack);
//				} else {
//					d = Arith.add(cell.getOrder_qty(), pDHPack);
//				}
//
//				cell.setOrder_qty(d);
//				cell.setExamine_qty(d);
//				holder.count.setText(StringUtils.formatDouble(d, "0.00"));
//				if (d < 0
//						|| (cell.getMax_opl_qty() > 0 && d >= cell
//								.getMax_opl_qty())) {
//					if (cell.getMax_opl_qty() > 0 && d > cell.getMax_opl_qty()) {
//						AlertDialog.Builder builder = new AlertDialog.Builder(
//								context);
//						builder.setTitle("提示")
//								.setMessage(
//										"不能超过最大订货量" + cell.getMax_opl_qty()
//												+ "! 您输入的数量为：" + d)
//								.setNegativeButton("知道了并重新输入", null).show();
//						cell.isInvalid = true;
//						holder.count.setTextColor(Color.RED);
//					}
//					holder.add.setEnabled(false);
//				} else {
//					cell.isInvalid = false;
//					holder.count.setTextColor(Color.BLACK);
//				}
//				context.doResult(position);
//				if (d > 0) {
//					holder.reduce.setEnabled(true);
//				}
//			}
//		});
//		holder.reduce.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//
//				DingHuoExamineDetailEntity cell = list.get(position);
//				double d = 0;
//				if ("2.40139".equals(cell.getItemid())) {// 如果是7天固元膏
//					double mDHPack = Item001DbOperate.GetProductPack("2.40139");
//					d = cell.getOrder_qty();
//					if (d == 10) {
//						mDHPack = 10;
//					} else if (d == 24) {
//						mDHPack = 14;
//					} else {
//						mDHPack = 24;
//					}
//					d = Arith.sub(cell.getOrder_qty(), mDHPack);
//				} else {
//					d = Arith.sub(cell.getOrder_qty(), pDHPack);
//				}
//				cell.setOrder_qty(d);
//				cell.setExamine_qty(d);
//				holder.count.setText(StringUtils.formatDouble(d, "0.00"));
//				if (d <= 0) {
//					holder.reduce.setEnabled(false);
//				}
//				if (d < 0
//						|| (cell.getMax_opl_qty() > 0 && d > cell
//								.getMax_opl_qty())) {
//
//					cell.isInvalid = true;
//					holder.count.setTextColor(Color.RED);
//				} else {
//					cell.isInvalid = false;
//					holder.add.setEnabled(true);
//					holder.count.setTextColor(Color.BLACK);
//				}
//				context.doResult(position);
//			}
//		});
//		holder.count.setSelectAllOnFocus(true);
//		holder.count.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//				holder.count.setText(holder.count.getText().toString());
//				holder.count.selectAll();
//			}
//		});
//		holder.count.setOnFocusChangeListener(new OnFocusChangeListener() {
//
//			@Override
//			public void onFocusChange(final View v, boolean hasFocus) {
//
//				if (!hasFocus && null != list && list.size() > position) {
//					DingHuoExamineDetailEntity cell = list.get(position);
//					String input = holder.count.getText().toString();
//					double d = 0;
//					try {
//						d = Double.parseDouble(input);
//					} catch (NumberFormatException e) {
//						d = 0;
//					}
//					cell.setOrder_qty(d);
//					cell.setExamine_qty(d);
//					holder.count.setText(StringUtils.formatDouble(d, "0.00"));
//					String temp = "";
//					if (d < 0) {
//						temp = "必须输入有效的数字！";
//						holder.reduce.setEnabled(false);
//					}
//					if (cell.getMax_opl_qty() > 0 && d > cell.getMax_opl_qty()) {
//						temp = "不能超过最大订货量" + cell.getMax_opl_qty()
//								+ "! 您输入的数量为：" + d;
//						holder.add.setEnabled(false);
//					}
//					if ("2.40139".equals(cell.getItemid())) {// 如果是7天固元膏
//						if ((d >= 24 && d % 24 != 0)
//								|| (d < 24 && d % 10 != 0 || d % 20 == 0)) {
//							temp = "数量必须是10,或者24的倍数";
//							// data.setOrder_qty(0);
//							// data.setExamine_qty(0);
//							holder.reduce.setEnabled(false);
//							int mDHPack = 1;
//							if (d >= 24) {
//								mDHPack = 24;
//								data.setOrder_qty((int) data.getOrder_qty()
//										/ (int) mDHPack * mDHPack);// 非法规格输入调整
//							} else if ((d < 24)) {
//								mDHPack = 10;
//								data.setOrder_qty(10);// 非法规格输入调整
//							}
//							d = data.getOrder_qty();
//						}
//					} else if (0 != pDHPack && 0 != d && d % pDHPack != 0) {
//						temp = "数量必须是" + pDHPack + "倍数";
//						data.setOrder_qty((int) data.getOrder_qty()
//								/ (int) pDHPack * pDHPack);// 非法规格输入调整
//						d = data.getOrder_qty();
//						data.setExamine_qty(d);
//					}
//
//					if (!TextUtils.isEmpty(temp)) {
//						AlertDialog.Builder builder = new AlertDialog.Builder(
//								context);
//						builder.setTitle("提示")
//								.setMessage(temp)
//								.setNegativeButton("知道了并重新输入",
//										new DialogInterface.OnClickListener() {
//											@Override
//											public void onClick(
//													DialogInterface dialog,
//													int which) {
//												// v.requestFocus();
//											}
//										}).show();
//						cell.isInvalid = true;
//						holder.count.setTextColor(Color.RED);
//					} else {
//						cell.isInvalid = false;
//						holder.add.setEnabled(true);
//						holder.reduce.setEnabled(true);
//						holder.count.setTextColor(Color.BLACK);
//					}
//					context.doResult(position);
//				}
//			}
//		});
//		return convertView;
//	}
//
//	class ViewHolder {
//		TextView name, unit, price, qtyCount, maxqtyCount, tv_kucun,
//				tv_xiaoliang, tv_cyl;
//		EditText count;
//		ImageButton add, reduce;
//		LinearLayout ll_show_detail;
//	}
//}
