package com.urovo.wgmf.adapter;//package com.urovo.wgmf.adapter;
//
//import java.util.List;
//
//import android.app.AlertDialog;
//import android.app.AlertDialog.Builder;
//import android.content.DialogInterface;
//import android.text.TextUtils;
//import android.text.method.DigitsKeyListener;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.view.ViewGroup;
//import android.widget.BaseAdapter;
//import android.widget.CheckBox;
//import android.widget.EditText;
//import android.widget.ImageButton;
//import android.widget.TextView;
//
//import com.urovo.activity.salesmanager.storeManagerCancelSubmit;
//import DalCommon;
//import ProductEntity;
//import com.urovo.wgmf.tool.Arith;
//import com.urovo.wgmf.tool.StringUtils;
//import com.urovo.wugumofang.R;
//
//public class SaleBackSubmitAdapter extends BaseAdapter {
//	private List<ProductEntity> list;
//	private List<ProductEntity> backList;
//	private storeManagerCancelSubmit context;
//
//	public SaleBackSubmitAdapter(List<ProductEntity> list, storeManagerCancelSubmit context, List<ProductEntity> backList) {
//		this.list = list;
//		this.context = context;
//		this.backList = backList;
//
//	}
//
//	@Override
//	public int getCount() {
//
//		return backList == null ? 0 : backList.size();
//	}
//
//	@Override
//	public Object getItem(int position) {
//
//		return backList == null ? null : backList.get(position);
//	}
//
//	@Override
//	public long getItemId(int position) {
//
//		return position;
//	}
//
//	@Override
//	public View getView(final int position, View convertView, ViewGroup parent) {
//		final ViewHolder viewHolder;
//		if(convertView == null) {
//			convertView = LayoutInflater.from(context).inflate(R.layout.sale_back_submit_list_item, null);
//			viewHolder = new ViewHolder();
//			viewHolder.check = (CheckBox) convertView.findViewById(R.id.sale_back_check);
//			viewHolder.name = (TextView) convertView.findViewById(R.id.sale_goods_name);
//			viewHolder.count = (TextView) convertView.findViewById(R.id.sale_goods_count);
//			viewHolder.kcoum = (TextView) convertView.findViewById(R.id.sale_goods_kcuom);
//			viewHolder.subtract = (ImageButton) convertView.findViewById(R.id.sale_goods_subtract);
//			viewHolder.add = (ImageButton) convertView.findViewById(R.id.sale_goods_add);
//			viewHolder.price = (TextView) convertView.findViewById(R.id.sale_goods_price);
//			convertView.setTag(viewHolder);
//		}
//		else {
//			viewHolder = (ViewHolder) convertView.getTag();
//		}
//		final ProductEntity ent = backList.get(position);
//		viewHolder.name.setText(ent.getItemName());
//		viewHolder.count.setText(StringUtils.formatDouble(ent.getTQTY(), "0"));
//		viewHolder.kcoum.setText(ent.getKCUom());
//		viewHolder.price.setText(StringUtils.formatDouble(ent.getAmount(), "0.00"));
//		viewHolder.check.setChecked(ent.isBack);
//		if(ent.isBack) {
//			viewHolder.subtract.setVisibility(View.VISIBLE);
//			viewHolder.add.setVisibility(View.VISIBLE);
//		}
//		else {
//			viewHolder.subtract.setVisibility(View.INVISIBLE);
//			viewHolder.add.setVisibility(View.INVISIBLE);
//		}
//		viewHolder.check.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//
//				if(!viewHolder.check.isChecked()) {
//					viewHolder.subtract.setVisibility(View.INVISIBLE);
//					viewHolder.add.setVisibility(View.INVISIBLE);
//					ent.isBack = true;
//				}
//				else {
//					viewHolder.subtract.setVisibility(View.VISIBLE);
//					viewHolder.add.setVisibility(View.VISIBLE);
//					ent.isBack = false;
//				}
//			}
//		});
//		viewHolder.subtract.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//
//				double newCount = Double.parseDouble(viewHolder.count.getText().toString());
//				if(newCount >= 1) {
//					newCount = Arith.sub(newCount, 1);
//					ent.setTQTY(newCount);
//					ent.setAmount(Arith.mul(newCount, ent.getPrice()));
//					viewHolder.price.setText(StringUtils.formatDouble(ent.getAmount(), "0.00"));
//					viewHolder.count.setText(StringUtils.formatDouble(newCount, "0"));
//
//				}
//			}
//		});
//		viewHolder.add.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//
//				double newCount2 = Double.parseDouble(viewHolder.count.getText().toString());
//				double max = Arith.sub(list.get(position).getTQTY(), 1);
//				if(newCount2 <= max) {
//					newCount2 = Arith.add(newCount2, 1);
//					ent.setTQTY(newCount2);
//					ent.setAmount(Arith.mul(newCount2, ent.getPrice()));
//					viewHolder.price.setText(StringUtils.formatDouble(ent.getAmount(), "0.00"));
//					viewHolder.count.setText(StringUtils.formatDouble(newCount2, "0"));
//
//				}
//
//			}
//		});
//		viewHolder.price.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//
//				if(DalCommon.CanEditAmount(ent.getItemId())) {
//					AlertDialog.Builder builder = new Builder(context);
//					builder.setTitle("请输入修改的金额");
//					final EditText editText = new EditText(context);
//					editText.setKeyListener(new DigitsKeyListener(false, true));
//					editText.setText(StringUtils.formatDouble(ent.getAmount(), "0.00"));
//					builder.setView(editText);
//					builder.setNegativeButton("取消", null);
//					builder.setPositiveButton("确定", new DialogInterface.OnClickListener() {
//
//						@Override
//						public void onClick(DialogInterface dialog, int which) {
//
//							dialog.dismiss();
//							String num = editText.getText().toString().trim();
//							if(!TextUtils.isEmpty(num)) {
//								double amout = Math.abs(Double.parseDouble(num));
//								if(amout > (Math.abs(list.get(position).getAmount()))) {
//									context.showMsg("不能大于原金额!");
//								}
//								else {
//									String formatPrice = StringUtils.formatDouble(amout, "0.00");
//									viewHolder.price.setText(formatPrice);
//									ent.setAmount(Double.parseDouble(formatPrice));
//								}
//							}
//						}
//
//					});
//					builder.create().show();
//				}
//			}
//		});
//		return convertView;
//	}
//
//	class ViewHolder {
//		TextView name;
//		TextView count;
//		TextView kcoum;
//		TextView price;
//		CheckBox check;
//		ImageButton subtract;
//		ImageButton add;
//
//	}
//
//}
