package com.urovo.wgmf.asset;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

import com.urovo.activity.common.StoreSelectorActivity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

/**
 * 资材调出
 *
 * @author Administrator
 */
public class AssetCallOutActivity extends BaseActivity {
    private TextView storeOut;
    private TextView storeIn;
    private Button query;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.asset_call_out);
        init();
        initTitle();
        initLisener();
    }

    private void init() {

        storeOut = (TextView) findViewById(R.id.store_call_out);
        storeIn = (TextView) findViewById(R.id.store_call_in);
    }

    private void initLisener() {

        storeOut.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {

                Intent intent = new Intent(AssetCallOutActivity.this, StoreSelectorActivity.class);
                startActivityForResult(intent, 30);
            }
        });
        storeIn.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {

                Intent intent = new Intent(AssetCallOutActivity.this, StoreSelectorActivity.class);
                startActivityForResult(intent, 20);

            }
        });
    }

    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (resultCode == 200) {
            switch (requestCode) {
                case 20:
                    String stringExtra = data.getStringExtra("store");
                    storeIn.setText(stringExtra);
                    break;
                case 30:
                    String stringExtra2 = data.getStringExtra("store");
                    storeOut.setText(stringExtra2);
                    break;
            }
            super.onActivityResult(requestCode, resultCode, data);
        }
    }
}
