package com.urovo.wgmf.notice;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

public class CuXiaoHuoDongActivity extends BaseActivity {
	private ImageButton goback;
	private TextView tv_cuxiao;
	private TextView tv_cuxiao_title;
	private TextView tv_cuxiao_date;
	private ImageView iv_act_state;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.cuxiaohuodong);

		titleTextView = (TextView) findViewById(R.id.text_title);
		titleTextView.setText("促销活动");
		goback = (ImageButton) findViewById(R.id.goback);
		goback.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				finish();
			}
		});

		Intent intent = getIntent();
		Bundle bundle = intent.getBundleExtra("bundle");
		String cuxiao = bundle.getString("cuxiao");
		String title = bundle.getString("title");
		String date = bundle.getString("date");
		String update = bundle.getString("update");
		String state = bundle.getString("state");

		tv_cuxiao = (TextView) findViewById(R.id.tv_cuxiao);
		tv_cuxiao_title = (TextView) findViewById(R.id.tv_cuxiao_title);
		tv_cuxiao_date = (TextView) findViewById(R.id.tv_cuxiao_date);
		iv_act_state = (ImageView) findViewById(R.id.iv_act_state);

		tv_cuxiao_title.setText(title);
		tv_cuxiao_date.setText(update);
		tv_cuxiao.setText("" + cuxiao);
		if("0".equals(state)) {// 活动未开始
			iv_act_state.setVisibility(View.VISIBLE);
			iv_act_state.setImageResource(R.drawable.act_state_1);
		}
		else
			if("1".equals(state)) {// 活动进行中
				iv_act_state.setVisibility(View.VISIBLE);
				iv_act_state.setImageResource(R.drawable.act_state_2);
			}
			else
				if("2".equals(state)) {// 活动已结束
					iv_act_state.setVisibility(View.VISIBLE);
					iv_act_state.setImageResource(R.drawable.act_state_3);
				}
				else {
					iv_act_state.setVisibility(View.GONE);
				}

	}

}
