package com.wgmf.trade.net;

import com.urovo.wugumofang.constants.ApiUrls;
import com.wgmf.trade.model.bean.MemberDaySubscribeBean;

import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;

/**
 * @author chenji
 * @date 2018/5/18
 */
public interface ICommonNet {
    /**
     * 预约会员日查询页面
     *
     * @param map ..
     * @return ...
     */
    @FormUrlEncoded
    @POST(ApiUrls.APP.GET_BOOK_MEMBER_DAY_LIST)
    Observable<MemberDaySubscribeBean> getMemberDaySubscribeList(@FieldMap Map<String, String> map);
}
