package com.wgmf.trade.ui.fra.more.cases

import com.urovo.wugumofang.system.SystemHelper
import com.urovo.wugumofang.utils.TaskEnqueueDominator
import com.wgmf.trade.model.bean.MemGoodsOrderBean
import com.wgmf.trade.model.bean.ProductInfoBean
import com.wgmf.trade.view.MemberSalesCon

/**
 * @author Sasuke on 2019-12-3 0003.
 * 会员商品情况
 */
class MemGoodsOrderCase(val brand: String,
                        val pre: MemberSalesCon.Pre,
                        val actualPrice: Double,
                        val phoneNum: String?,
                        val productInfoBeansAll: ArrayList<ProductInfoBean>) : TaskEnqueueDominator.BaseCase() {
    override fun dowork() {
        if (brand != SystemHelper.MemGoodsBrand) {
            enqueDominator?.go()//继续执行队列
            return
        }
        pre.submitMemberGoodsOrder(MemGoodsOrderBean(
            actualPrice, //会员商品实付和总价应该是一样的吧，随便传一个。
            phoneNum ?:"",
            0,
            "",
            SystemHelper.LoginOrganId,
            SystemHelper.LoginUserId,
            mutableListOf()
        ),productInfoBeansAll)
    }
}