/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(46)
	var __weex_style__ = __webpack_require__(47)
	var __weex_script__ = __webpack_require__(48)

	__weex_define__('@weex-component/a97bec361c3072aa35f5eaf9ca1f67da', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})

	__weex_bootstrap__('@weex-component/a97bec361c3072aa35f5eaf9ca1f67da',undefined,undefined)

/***/ },
/* 1 */,
/* 2 */,
/* 3 */,
/* 4 */,
/* 5 */
/***/ function(module, exports) {

	/**
	 * APP常量配置；PS处理；localstorage;
	 * Created by samy on 16/8/1.
	 */

	/**
	 * 数据库相关
	 */
	var DB = {
	    REALM_DB_NAME: "trade_steward"
	};

	/**
	 * 文件路径
	 */
	var Paths = {
	    IMAGE_LOADER_CACHE_PATH: "/images/"
	};


	/**
	 * PreferHelper(Storage) key值 ;本来可以包含APIEnvironment的；
	 */
	var PrefKeys = {
	    USER_BEAN: "USER_BEAN", //naitve端，用户登录信息；
	    ENV_SERVER: "ENV_SERVER", //naitve端，接口地址，是否是正式环境；
	};

	/**
	 * 用于界面跳转传值时的Extra_Key
	 * url地址；
	 */
	var ExtraKeys = {
	    /**界面跳转Title */
	    PAGE_TITLE: "title",
	    /**URL */
	    PAGE_URL: "url",
	    /**因JS的特殊原因，设置不了，只能是默认自己一个个设置，界面跳转，传递的Json数据头格式 */
	    JS_EXTRAS: "js_extras",
	    /**是否是从发展新会员界面进入 */
	    IS_FROM_DEVELOP_NEW_MEMBER: "isFromDevelopNewMember",
	    /**手机号码 */
	    PHONE_NUM: "phoneNum",
	};

	exports.DB = DB;
	exports.Paths = Paths;
	exports.PrefKeys = PrefKeys;
	exports.ExtraKeys = ExtraKeys;

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Toast工具类
	 */

	var AppConfig = __webpack_require__(7);

	var modal;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    modal = __weex_require__('@weex-module/modal')
	});

	function toastDebug(self, content) {
	    if (AppConfig.debug) {
	        toast(self, content);
	    }
	}

	function toast(self, content) {
	    //  self.$call('modal', 'toast', {
	    //       'message': content,
	    //       'duration': 2.0
	    //  });
	    modal.toast({
	        'message': content,
	        'duration': 2.0
	    });
	}

	exports.toastDebug = toastDebug;
	exports.toast = toast;

/***/ },
/* 7 */
/***/ function(module, exports) {

	/**
	 * 路径总控制开关
	 * APP配置
	 * Created by samy on 16/8/1.
	 *  本机调试，直接http://localhost:8888/
	 * 端口跟serve的得对应上；
	 * nginx配置到:http://localhost:9999/index.html
	 * sudo nginx -c /usr/local/etc/nginx/nginx.conf
	 */

	var debugProxyConfig = {

	    /**是否是Debug默认,
	     *【用于切换接口环境，和toast提示控制】
	     */
	    debug: false,
	    /**
	     * 打包复制到本地，一定要记得修改；目前区别是都多了个assets目录(true情况下);
	     * 是否是在线模式(用于是否放在手机本地也还是在线,修改img和h5路径)
	     * 【用于配置打包在APP离线数据；】
	     */
	    isOnLineMode: true, //其实是包含isProxyNginx的；

	    /**
	     * 是否启用代理调试(web),手机在线访问不能为代理手机不能用代理
	     * 其主要目的就是：用于H5界面跨域；
	     */
	    isProxyNginx: true,
	}

	/**
	 * 理解总的四种开发模式：
	 * 1：在线模式；缺点：费流量和带宽；
	 * 2：热修复模式，把要更新的界面.js，下载到本地,而不加载assets下的有问题的旧.js,跟这里的版本号对应上;【推荐】
	 * 3：离线模式(跟原生上线后的中的,assets),第一次打包的自带的原js,缺点：有问题不好修复
	 * 4: 降级模式；出现Native界面改动较大，通过webview加载h5(weex),达到临时备用；
	 */
	var pathConfig = {
	    baseUrlIpPort: function() {
	        if ((typeof window === 'object') && (debugProxyConfig.isProxyNginx)) {
	            return 'http://192.168.0.2:9999';
	        }
	        return 'http://192.168.0.2:8888'; //App调试； 'http://localhost:8888/', //本机调试；
	    },
	    //img
	    baseImgIpPort: function() {
	        return this.baseUrlIpPort();
	    },
	    //H5;
	    baseH5IpPort: function() {
	        return this.baseUrlIpPort();
	    },
	}

	/**
	 * 常用路径配置(跟UrlUtils对应上,后期优化)
	 * 跟assets中的目录对象上；
	 * 1:app(weex原文件)
	 * 2:imgs(图片资源)
	 * 3:h5(自己写的h5)
	 */
	var appConfig = {
	    /*资源和访问Url*/
	    baseSrcUrl: getBaseUrl() + "app/",

	    /** 图片资源路径 */
	    baseImageUrl: getBaseImgPath() + 'imgs/',

	    /**H5地址(自己写的)*/
	    baseH5Url: getBaseH5Path() + 'h5/html/',
	};

	/**
	 * 协议前缀标识；一定要跟APP中的配置对应上；
	 * assets目录下的；
	 * file:///sdcard/ or file:/sdcard (sdcard目录下的)
	 * file:///storage/emulated/0/Android/data/com.alibaba.weex/cache/
	 */
	var schemePrefix = {
	    httpType: 'http://',
	    fileType: {
	        baseFile: 'file:///',
	        assetsType: function() {
	            return this.baseFile + 'android_asset/';
	        },
	        sdcardType: function() {
	            return this.baseFile + 'sdcard/';
	        },
	        storageType: '',
	    },
	}

	/**
	 * Url的路径（特殊性，在线的是自动生产在不同位置上）
	 * tabbar 用的直接是jsbundle 的路径
	 */
	function getBaseUrl(isTabBar) {
	    var tempUrl = pathConfig.baseUrlIpPort();
	    if (debugProxyConfig.isOnLineMode) {
	        if (typeof window === 'object') {
	            return isTabBar ? "/dist/" : tempUrl + '/index.html?page=./dist/'; //(weex h5方式访问,跳转时用到)
	        } else {
	            return tempUrl + "/dist/"; //webpack方式访问,APP访问服务器js情况；
	        }
	    }
	    return ""; //本地+/app
	}

	/**
	 * imgs的路径
	 * 放在本地时
	 * (选填，做平台处理),目前先做Android平台的处理；可参照getCurrentPathUrl();
	 * app:id/btn_icon_addmember
	 */
	function getBaseImgPath() {
	    if (debugProxyConfig.isOnLineMode) {
	        return pathConfig.baseImgIpPort() + "/assets/";
	    } else {
	        return schemePrefix.fileType.assetsType; //"file:///android_asset/";
	    }
	}

	/**
	 * H5的路径
	 * 放在本地时
	 * (选填，做平台处理)目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseH5Path() {
	    if (debugProxyConfig.isOnLineMode) {
	        return pathConfig.baseH5IpPort() + "/assets/"; //后期设置assets可以配置使用；
	    } else {
	        return schemePrefix.fileType.assetsType;
	    }
	}


	/**更Routers.js对应上；
	 * 文件跳转时，得用上；
	 * 当前Url的全路径，完整路径；
	 * 此处需注意一下,tabbar 用的直接是jsbundle 的路径,但是navigator是直接跳转到新页面上的.
	 * 最新，最全的方法处理；
	 */
	function getCurrentPathUrl(self, currentDir, isTabBar) {
	    var config = self.$getConfig();
	    var bundleUrl = config.bundleUrl;
	    console.log('appConfig-->getCurrentPathUrl--bundleUrl->', bundleUrl);
	    var env = config.env; //appName必须设置全局中设置对；
	    var base; //也可以通过env判断;
	    var isAndroidAssets = bundleUrl.indexOf(schemePrefix.fileType.assetsType) >= 0;
	    var isiOSAssets = bundleUrl.indexOf(schemePrefix.fileType.baseFile) >= 0 && bundleUrl.indexOf(env.appName) > 0;
	    if (isAndroidAssets) {
	        base = schemePrefix.fileType.assetsType;
	    } else if (isiOSAssets) {
	        base = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
	    } else { //web或者App访问模式
	        base = getBaseUrl(isTabBar);
	    }
	    base = base + "app/" + currentDir;
	    console.log('appConfig-->getCurrentPathUrl--->', base);
	    return base;
	}



	exports.debug = debugProxyConfig.debug;
	exports.isProxyNginx = debugProxyConfig.isProxyNginx;

	exports.baseUrlIpPort = pathConfig.baseUrlIpPort(); //不用传递参数的情况下，可以这么写；

	exports.baseSrcUrl = appConfig.baseSrcUrl;
	exports.baseImageUrl = appConfig.baseImageUrl;
	exports.baseH5Url = appConfig.baseH5Url;

	exports.getCurrentPathUrl = getCurrentPathUrl;

/***/ },
/* 8 */,
/* 9 */,
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = { "default": __webpack_require__(11), __esModule: true };

/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	var core  = __webpack_require__(12)
	  , $JSON = core.JSON || (core.JSON = {stringify: JSON.stringify});
	module.exports = function stringify(it){ // eslint-disable-line no-unused-vars
	  return $JSON.stringify.apply($JSON, arguments);
	};

/***/ },
/* 12 */
/***/ function(module, exports) {

	var core = module.exports = {version: '2.4.0'};
	if(typeof __e == 'number')__e = core; // eslint-disable-line no-undef

/***/ },
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */,
/* 18 */,
/* 19 */,
/* 20 */,
/* 21 */,
/* 22 */,
/* 23 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 跳转工具类
	 * Created by samy on 16/8/1. *
	 * Dependencies in frontend
	In Weex you may have some ways to import/require a component or a JS module. Take ES5 syntax for example:
	    require('xxx.js'): depends on a JS file
	    require('npm-module-name'): depends on a NPM module
	    require('xxx.we'): include a we file to register a Weex custom component
	    require('@weex-module/xxx'): depends on a Weex native module. Notice that it is supported only in *.we file not *.js file.
	     If you want to use Weex native module in a *.js file, temporarily you may write like this:navigator case;
	 *
	 *
	 *
	 *
	 */
	var StringUtil = __webpack_require__(24);
	var AppConfig = __webpack_require__(7);
	var AppConstants = __webpack_require__(5);
	var ApiUrls = __webpack_require__(25);
	var ToastUtil = __webpack_require__(6);
	var IntentUtil = __webpack_require__(28);
	// var Log = require('./Log');

	var navigator;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    if (typeof window === 'object') { // H5请求下还是用SDK里面的；
	        return navigator = __weex_require__('@weex-module/navigator');
	    } else { //原生请求下用自定义的；
	        // return navigator = __weex_require__('@weex-module/WxNavigatorModule');
	        return navigator = __weex_require__('@weex-module/navigator');
	    }
	});

	/**
	 * 传值情况下：默认带的数据：url+title;
	 * h5
	 * 自带的navigator.push方法；
	 *   web container
	 * native
	 *   com.zsy.***(.class)
	 *   ui/**(.we)
	 */
	function push(self, url, title, jsExtras, isFinish) {
	    console.log("====push==url==>" + url);
	    if (url) { //url不为空才处理
	        if (url.indexOf("com.") >= 0) {
	            pushToNative(url, jsExtras, isFinish);
	        } else {
	            pushToWx(self, url, title);
	        }
	    }
	}

	function pushToWx(self, url, title) {
	    console.log("====pushToWx====>" + url);
	    if (url.indexOf(ApiUrls.H5Path.EnvPort) > -1) {
	        pushToH5(self, url, title);
	    } else {
	        pushDefault(self, url, title);
	    }
	}

	/**
	 * 跳转到.we的H5容器；处理H5的界面；
	 */
	function pushToH5(self, url, title, jsExtras) {
	    console.log("====pushToH5====>" + url);
	    if (url.indexOf("storeName") > -1) {
	        url = url.replace("{storeName}", self.userBean.storeName);
	    }
	    if (url.indexOf("storeId") > -1 || url.indexOf("shopId") > -1) {
	        url = url.replace("{storeId}", self.userBean.storeId);
	    }
	    if (url.indexOf("accountNo") > -1) {
	        url = url.replace("{accountNo}", self.userBean.accountNo);
	    }
	    // url = "ui/base/WebContainer.js?" + AppConstants.ExtraKeys.PAGE_URL + "=" + url + "&" + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title;
	    url = "ui/base/WebContainer.js?" + AppConstants.ExtraKeys.PAGE_URL + "=" + url;
	    // if (!typeof window === 'object') { //APP传值一种方式；
	    //     var jsExtras = {
	    //         "title": title,
	    //         "url": url,
	    //     }
	    // }
	    pushDefault(self, url, title, jsExtras);
	}


	/**
	 * 默认的跳转
	 * 简单数据之间用url拼接传递；(如：WebContainer)
	 * 复制数据多的情况下，用jsExtras传递；
	 * Transfer data between pages
	   If you have 2 pages, A and B.
	    A -> B, use getConfig api or storage module to transfer data
	    B -> A, use storage module to transfer data
	 *
	 *
	 */
	function pushDefault(self, url, title, jsExtras) {
	    console.log("====pushDefault====>" + url);
	    url = StringUtil.trim(url, true);
	    console.log("====pushDefault==filterUrl==>" + url);
	    url = url + ((url.indexOf(".js?") > -1) ? "&" : "?"); //表示已经有参数了就直接加&,没有参数加?
	    var params = {
	        'url': AppConfig.getCurrentPathUrl(self, "") + url + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title,
	        // 'url': AppConfig.getCurrentPathUrl(self, "") + url,
	        'animated': 'true',
	    };
	    // if (!jsExtras && typeof(jsExtras) != "undefined" && jsExtras != 0) {
	    if (!typeof(jsExtras) == "undefined") {
	        params.protype.jsExtras = jsExtras;
	    }
	    console.log("--pushDefault-params-url-->" + params.url);
	    console.log("--pushDefault-params--->" + JSON.stringify(params));
	    navigator.push(params, function(e) {
	        console.log("--pushDefault-callback--->" + e);
	    });
	}


	/**
	 * 跳转到指定的原生的.class
	 */
	function pushToNative(className, jsExtras, isFinish) {
	    console.log("----pushToNative--className-->" + className + "--jsExtras-->" + JSON.stringify(jsExtras) + "--isFinish-->" + isFinish);
	    IntentUtil.startActivityFromJS(className, jsExtras, isFinish);
	}


	/**
	 * 跳转到Home;
	 */
	function pushToNativeHome() {
	    IntentUtil.goHomeTab();
	}

	function pop(self) {
	    var params = {
	        'animated': 'true',
	    }
	    navigator.pop(params, function(e) {
	        //callback
	    });
	}


	exports.push = push;
	exports.pop = pop;
	exports.pushToH5 = pushToH5;
	exports.pushToNative = pushToNative;
	exports.pushToNativeHome = pushToNativeHome;

/***/ },
/* 24 */
/***/ function(module, exports) {

	/**
	 * 字符串去掉空格
	 * @param str
	 * @param isGlobal
	 * @returns {XML|void|string|*}
	 */
	function trim(str, isGlobal) {
	    var result;
	    result = str.replace(/(^\s+)|(\s+$)/g, "");
	    if (isGlobal) {
	        result = result.replace(/\s/g, "");
	    }
	    return result;
	}

	exports.trim = trim;

/***/ },
/* 25 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * ====================接口Url地址========================
	 * http://test.wgmf.com/crmserver
	 * crmserver子目录下
	 * 原来crmserver现在分成四大子模块；
	 * app-manage
	 * app-saler
	 * app
	 *
	 *
	 * H5模块
	 */

	var AppConfig = __webpack_require__(7);
	var ApiConstants = __webpack_require__(26);


	var CRMSERVER = {
	    /** EnvPort */
	    EnvPort: "/crmserver/",
	}

	/**
	 * 管理模块
	 */
	var APPMANAGE = {
	    EnvPort: "/app-manage/",
	}

	/**
	 * 销售模块
	 */
	var APPSALER = {
	    EnvPort: "/app-saler/",
	}

	/**
	 * 会员模块
	 */
	var APP = {
	    EnvPort: "/app/",
	    /**体验装派发数*/
	    userQueryStock: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/queryStock";
	    },
	    /**获取门店任务*/
	    // getStoreTaskInfo: APP.EnvPort()+ "information/getStoreTaskInfo",
	    getStoreTaskInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "information/getStoreTaskInfo";
	    },
	    /**以老带新,获取统计汇总数据 */
	    getOldAndNewSum: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "datastatistics/getOldAndNewSum";
	    },
	    /**订单中心 */
	    getOrderInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/getOrderInfo";
	    },
	    /**预约确认*/
	    verifyReserve: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/verifyReserve";
	    },
	    /**检查手机是否可以参加体验装*/
	    canMemberEx: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/CanMemberEx";
	    },
	    /**领取体验装*/
	    memberexChange: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/memberexchange";
	    },
	}

	/**
	 * 活动
	 * http://test.wgmf.com/promotion
	 * promotion子目录下
	 */
	var PROMOTION = {}

	/***
	 * ================================H5部分=================================
	 */

	/**
	 * 文件路径
	 */
	var H5Path = {
	    /**
	     * H5人员写的H5
	     */
	    EnvPort: "/crmserver-front/html/",
	    /**新客数据查询**/
	    newCustomerStatic: function(shopName, shopId) {
	        return ApiConstants.baseApi() + this.EnvPort + "newCustomerStatic/newCustomerStatic.html?shopName=" + shopName + "&shopId=" + shopId;
	    },

	    /**初心蜜销售提成展示(微商品销售)*/
	    firstHeartHoneyIndex: function(storeName, storeId, userId) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/firstHeartHoneyIndex.html?storeName=" + storeName + "&storeId=" + storeId + "&userId=" + userId;
	    },

	    /**会员商品提成查询*/
	    memberProductSale: function(storeName, storeId, autoSearch) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/memberProductSale.html?storeName=" + storeName + "&storeId=" + storeId + "&autoSearch" + autoSearch; //autoSearch=1时进入查询界面，0时直接进入查询结果
	    },



	    /**
	     * 自己写的H5
	     */
	    index_top_carousel: AppConfig.baseH5Url + "app_special/" + "index_top_carousel.html",
	};


	exports.CRMSERVER = CRMSERVER;
	exports.APPMANAGE = APPMANAGE;
	exports.APPSALER = APPSALER;
	exports.APP = APP;
	exports.H5Path = H5Path;

/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 接口地址,环境切换配置
	 */
	var AppConfig = __webpack_require__(7);
	var StorgeHelper = __webpack_require__(27);
	var AppConstants = __webpack_require__(5);

	var apiBaseURL = {
	    releaseEnvServer: getReleaseEnvServer(),
	    testEnvServer: getTestEnvServer(),
	};

	function getReleaseEnvServer() {
	    if (typeof window === 'object') {
	        return "https://app.wgmf.com";
	    } else {
	        StorgeHelper.getItem(AppConstants.PrefKeys.ENV_SERVER, function(result) {
	            return JSON.parse(result.data);
	        });
	    }
	}

	function getTestEnvServer() {
	    if (typeof window === 'object') {
	        if (AppConfig.isProxyNginx) {
	            return AppConfig.baseUrlIpPort;
	        }
	        return "http://test.wgmf.com";
	    } else {
	        StorgeHelper.getItem(AppConstants.PrefKeys.ENV_SERVER, function(result) {
	            return JSON.parse(result.data);
	        });
	    }
	}

	/**
	 * 这种模式要求传递模块(三大模块)；
	 */
	function baseApi() {
	    if (AppConfig.debug) { //目前H5调试用express反向代理；
	        return apiBaseURL.testEnvServer; //测试环境
	    } else {
	        return apiBaseURL.releaseEnvServer; //正式环境
	    }
	}

	exports.baseApi = baseApi;

/***/ },
/* 27 */
/***/ function(module, exports, __webpack_require__) {

	var storage;
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    storage = __weex_require__('@weex-module/storage')
	});

	var ToastUtil = __webpack_require__(6);
	/**
	 * 存储工具类封装，其实在原生中的实现是sqlite实现的；
	 * 这个引入是有问题；we被引入了两次；
	 */
	// var storage = require('../../../utils/BaseWXHead').requireWeexModule("storage");



	/**
	 * 储存值key
	 *  callback.'e' is an object that contains 'result' and 'data'. e.result indicate whether `setItem` is succeed.
	 *  e.data will return 'undefined' if success or 'invalid_param' if your key/value is ""/null.
	 */
	function setItem(key, value, callback) {
	    console.log("key" + key);
	    console.log("value" + value);
	    if (callback) {
	        storage.setItem(key, value, callback);
	    } else {
	        storage.setItem(key, value, function(params) {
	            console.log(params);
	            return e; //目前这里返回，当前存储总的数据；可以跟getAllKeys对应上；
	        });
	    }
	}


	/**
	 * 获取key对应的值(要有回调才有用)
	 *  callback.'e' is an object that contains 'result' and 'data'.
	 *  use 'e.data' to fetch the value of the key,if not found,'undefined' will return.
	 */
	function getItem(key, callback) {
	    if (callback) {
	        storage.getItem(key, callback);
	    } else {
	        storage.getItem(key, function(params) {
	            // ToastUtil.toastDebug(params);
	            return params.data;
	        });
	    }
	}


	/**
	 * 移除key值
	 *  callback. 'e' is an object that contains 'result' and 'data'.
	 *  e.result will return 'success' or 'failed' according to the executing result.
	 *  e.data will always return 'undefined' in this function if success.
	 */
	function removeItem(key, callback) {
	    if (callback) {
	        storage.removeItem(key, callback);
	    } else {
	        storage.removeItem(key, function(params) {
	            ToastUtil.toastDebug(params);
	            return params.result;
	        });
	    }
	}



	/**
	 * 获取所有key值
	 *  callback. 'e' is an object that contains 'result' and 'data'.
	 *  e.data will return that array of keys.
	 */
	function getAllKeys(callback) {
	    if (callback) {
	        storage.getAllKeys(callback);
	    } else {
	        storage.getAllKeys(function(params) {
	            ToastUtil.toastDebug(params);
	            return params.data;
	        });
	    }
	}



	/**
	 * 当前keys中的总长度
	 * callback. 'e' is an object that contains 'result' and 'data'.
	 * e.data will return that number.
	 */
	function currentLength(callback) {
	    if (callback) {
	        storage.length(callback);
	    } else {
	        storage.length(function(params) {
	            ToastUtil.toastDebug(params);
	            return params.data;
	        });
	    }
	}

	exports.setItem = setItem;
	exports.getItem = getItem;
	exports.removeItem = removeItem;
	exports.getAllKeys = getAllKeys;
	exports.currentLength = currentLength;

/***/ },
/* 28 */
/***/ function(module, exports) {

	    /**
	     * 跟原生中的配置对应上；
	     */
	    var intentModule
	    __weex_define__('@weex-temp/x', function(__weex_require__) {
	        intentModule = __weex_require__('@weex-module/intentModule')
	    })


	    /**
	     *跳转到原生，并携带数据；
	     */
	    function startActivityFromJS(className, jsExtras, isFinish) {
	        intentModule.startActivityFromJS(className, jsExtras, function(ts) {
	            console.log("activity is open at " + ts);
	        });
	    }

	    /**
	     * 进入首页
	     */
	    function goHomeTab() {
	        intentModule.goHomeTab();
	    }



	    /**
	     * 拨打电话功能
	     */
	    function callPhone(phoneNum) {
	        intentModule.callPhone(phoneNum);
	    }



	    /**
	     * 进入会员首页,临时用；
	     */
	    function goMemberHome(phoneNum) {
	        intentModule.goMemberHome(phoneNum);
	    }


	    exports.startActivityFromJS = startActivityFromJS;
	    exports.goHomeTab = goHomeTab;
	    exports.callPhone = callPhone;
	    exports.goMemberHome = goMemberHome;

/***/ },
/* 29 */,
/* 30 */,
/* 31 */,
/* 32 */,
/* 33 */,
/* 34 */,
/* 35 */,
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */,
/* 43 */,
/* 44 */,
/* 45 */,
/* 46 */
/***/ function(module, exports) {

	module.exports = {}

/***/ },
/* 47 */
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "alignItems": "center",
	    "margin": 15
	  },
	  "input": {
	    "fontSize": 20,
	    "height": 80,
	    "width": 720
	  },
	  "login": {
	    "margin": 15
	  }
	}

/***/ },
/* 48 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	var _stringify = __webpack_require__(10);

	var _stringify2 = _interopRequireDefault(_stringify);

	var _UserBean = __webpack_require__(49);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var StorgeHelper = __webpack_require__(27);
	var AppConstants = __webpack_require__(5);
	var AppConfig = __webpack_require__(7);

	var NaviUtil = __webpack_require__(23);
	var CommonBri = __webpack_require__(50);

	var CommonUtil = __webpack_require__(51);

	module.exports = {
	    data: function () {return {
	        inputStoreId: "",
	        inputUserId: ""
	    }},
	    created: function created() {
	        console.log("========created=======");
	        var self = this;
	        self.login();
	        //用会原来的方式，不怎么兼容老pos机；
	        //CommonUtil.addEventListener("login", function () {
	        //    self.login();
	        //});
	    },
	    methods: {
	        login: function login() {
	            var self = this;
	            //CommonBri.getNativeEnvServer(self, function (nativeData) {
	            //    StorgeHelper.setItem(AppConstants.PrefKeys.ENV_SERVER, nativeData, function (result) {
	            //        console.log("环境获取成功:--->" + (0, _stringify2.default)(nativeData));
	            //    });
	            //});
	            CommonBri.getNativeUserInfo(self, function (nativeData) {
	                StorgeHelper.setItem(AppConstants.PrefKeys.USER_BEAN, nativeData, function (result) {
	                    console.log("登录成功:--->" + (0, _stringify2.default)(nativeData));
	                    //CommonUtil.removeEventListener("login");
	                    NaviUtil.pushToNativeHome();
	                    NaviUtil.pop();
	                });
	            });
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },
/* 49 */
/***/ function(module, exports) {

	/**做成Js 对象；方便用于Native中通信；
	 * 做成缓存形式； Storage;(Json存储起来)
	 *
	 * commonModule
	 * JSON.parse(nativeData)
	 */
	var UserBean = {
	    storeId: "0110074", //LoginOrganId
	    storeName: "H5测试门店", //LoginOrganName
	    accountNo: "691", //LoginUserId
	    accountName: "Samy", //LoginUserName
	};
	exports.UserBean = UserBean;

/***/ },
/* 50 */
/***/ function(module, exports, __webpack_require__) {

	var ToastUtil = __webpack_require__(6);

	var commonModule
	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    commonModule = __weex_require__('@weex-module/commonModule')
	})

	/**
	*登录用户的基本信息；
	* jsonObject.put("storeId", SystemHelper.LoginOrganId);
	  jsonObject.put("storeName", SystemHelper.LoginOrganName);
	  jsonObject.put("accountNo", SystemHelper.LoginUserId);
	  jsonObject.put("accountName", SystemHelper.LoginUserName);
	*/
	function getNativeUserInfo(self, callback) {
	    commonModule.getNativeUserInfo(function(nativeData) {
	        ToastUtil.toastDebug(self, nativeData);
	        callback(nativeData);
	    });
	}

	/**
	 * 用于获取APP上接口环境地址；(即APP上用于判断是否正式环境)
	 * 但是H5端，由于调试原因，得保存手动配置；
	 */
	function getNativeEnvServer(self, callback) {
	    commonModule.getNativeEnvServer(function(nativeData) {
	        ToastUtil.toastDebug(self, nativeData);
	        callback(nativeData);
	    });
	}

	/*
	function clearMemory() {
	    bridge.clearMemory()
	}

	function exitlogin() {
	    bridge.exitlogin()
	}

	function logger(content) {
	    bridge.logger(content)
	}


	// 保存SP数据
	function saveSP(key, value) {
	    bridge.saveSP(key, value)
	}

	// 获取SP数据
	function getSP(key, callback) {
	    bridge.getSP(key, callback)
	}

	//loading画面
	function showLoading() {
	    bridge.showLoading()
	}

	// 获取SP bool 数据
	exports.getSPBool = function(key, callback) {
	    getSP(key, function(ref) {
	        ref.data = ref.data == 'true' || ref.data == '1'
	        callback(ref)
	    })
	}*/

	exports.getNativeUserInfo = getNativeUserInfo;
	exports.getNativeEnvServer = getNativeEnvServer;

/***/ },
/* 51 */
/***/ function(module, exports) {

	var globalEvent
	    // weex_define('@weex-temp/api', function(weex_require) {
	    // weex_define('@weex-temp/x', function(weex_require) {
	    //     globalEvent = weex_require('@weex-module/globalEvent')
	    // });

	__weex_define__('@weex-temp/x', function(__weex_require__) {
	    globalEvent = __weex_require__('@weex-module/globalEvent')
	})

	exports.addEventListener = function(eventName, callback) {
	    globalEvent.addEventListener(eventName, callback);
	}

	exports.removeEventListener = function(eventName) {
	    globalEvent.removeEventListener(eventName);
	}

	// xxx.we
	// Utils.addEventListener("eventName", function (param) {
	// //do something
	// });

	// xxx.m //原生代码
	// [_instance fireGlobalEvent:@"eventName" params:@{@"key":@"value"}];

/***/ }
/******/ ]);