/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(109)
	var __weex_script__ = __webpack_require__(110)

	__weex_define__('@weex-component/9b75107a32cf798d4ae1527547ce3663', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	})

	__weex_bootstrap__('@weex-component/9b75107a32cf798d4ae1527547ce3663',undefined,undefined)

/***/ },

/***/ 5:
/***/ function(module, exports) {

	/**
	 * APP常量配置；PS处理；localstorage;
	 * Created by samy on 16/8/1.
	 */

	/**
	 * 数据库相关
	 */
	var DB = {
	    REALM_DB_NAME: "trade_steward"
	};

	/**
	 * 文件路径
	 */
	var Paths = {
	    IMAGE_LOADER_CACHE_PATH: "/images/"
	};


	/**
	 * PreferHelper(Storage) key值 ;本来可以包含APIEnvironment的；
	 */
	var PrefKeys = {
	    USER_BEAN: "USER_BEAN"
	};

	/**
	 * 用于界面跳转传值时的Extra_Key
	 */
	var ExtraKeys = {
	    /**界面跳转Title */
	    PAGE_TITLE: "title",
	    /**URL */
	    PAGE_URL: "url",
	    /**因JS的特殊原因，设置不了，只能是默认自己一个个设置，界面跳转，传递的Json数据头格式 */
	    JS_EXTRAS: "js_extras"
	};

	exports.DB = DB;
	exports.Paths = Paths;
	exports.PrefKeys = PrefKeys;
	exports.ExtraKeys = ExtraKeys;

/***/ },

/***/ 7:
/***/ function(module, exports) {

	/**
	 * 路径总控制开关
	 * APP配置
	 * Created by samy on 16/8/1.
	 *  本机调试，直接http://localhost:8888/
	 * 端口跟serve的得对应上；
	 * nginx配置到:http://localhost:9999/index.html
	 * sudo nginx -c /usr/local/etc/nginx/nginx.conf
	 */

	var debugProxyConfig = {

	    /**是否启用代理调试(web),手机不能用代理*/
	    isProxyNginx: false,


	    /**是否是Debug默认 */
	    debug: false,

	    /**
	     * 打包复制到本地，一定要记得修改；目前区别是都多了个assets目录(true情况下);
	     * 是否是在线模式(用于是否放在手机本地也还是在线,修改img和h5路径)
	     */
	    isOnLineMode: false, //跟debug对立；
	}

	/** 
	 * 理解总的四种开发模式：
	 * 1：在线模式；缺点：费流量和带宽；
	 * 2：热修复模式，把要更新的界面.js，下载到本地,而不加载assets下的有问题的旧.js,跟这里的版本号对应上;【推荐】
	 * 3：离线模式(跟原生上线后的中的,assets),第一次打包的自带的原js,缺点：有问题不好修复
	 * 4: 降级模式；出现Native界面改动较大，通过webview加载h5(weex),达到临时备用；
	 */
	var pathConfig = {
	    //正常和Native调用;
	    // baseUrlIpPort: 'http://localhost:8888/', //本机调试；
	    baseUrlIpPort: 'http://192.168.0.2:8888', //App调试；
	    // baseUrlIpPort: '192.168.31.197:8888', //App调试；
	    //nginx代理H5调用;(记得把nginx启动)
	    baseUrlIpPortProxy: 'http://192.168.0.2:9999',
	    // baseUrlIpPortProxy: '192.168.31.197:8888', //http://192.168.31.197:8888/assets/imgs/

	    //H5;
	    // baseH5IpPort:'http://192.168.0.2:8888',
	    //img
	    // baseImgIpPort:'http://192.168.0.2:8888'
	}

	/** 
	 * 常用路径配置(跟UrlUtils对应上,后期优化)
	 * 跟assets中的目录对象上；
	 * 1:app(weex原文件)
	 * 2:h5(自己写的h5)
	 * 3:imgs(图片资源)
	 */
	var appConfig = {
	    /**图片*/
	    // baseImageUrl: 'http://7xuxy3.com1.z0.glb.clouddn.com/trade/img/' 
	    baseImageUrl: getBaseImgPath() + 'imgs/',

	    /**H5地址(自己写的)*/
	    baseH5Url: getBaseH5Path() + 'h5/html/',

	    /*资源和访问Url*/
	    baseSrcUrl: getBaseUrl() + "app/",
	};

	/**
	 * ip端口的路径(全局的)
	 */
	function getBaseUrlIpPort() {
	    // 方式一：通过bundleUrl，自动获取
	    // var host = 'localhost:12580';
	    // var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
	    // if (matches && matches.length >= 2) {
	    //     host = matches[1];
	    // }
	    //方式二：手动设置；
	    var base = pathConfig.baseUrlIpPort; // in Native
	    if ((typeof window === 'object') && (debugProxyConfig.isProxyNginx)) {
	        base = pathConfig.baseUrlIpPortProxy; // in Browser or WebView
	    }
	    return base;
	}


	/**
	 * imgs的路径
	 * 放在本地时
	 * (选填，做平台处理),目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseImgPath() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/";
	    } else {
	        return "assets://"; //assets目录下的；
	    }
	}

	/**
	 * H5的路径
	 * 放在本地时
	 * (选填，做平台处理)目前先做Android平台的处理；可参照getCurrentPathUrl();
	 */
	function getBaseH5Path() {
	    if (debugProxyConfig.isOnLineMode) {
	        return getBaseUrlIpPort() + "/assets/"; //后期设置assets可以配置使用；
	    } else {
	        return "file:///android_asset/"; //assets目录下的；
	        // file:///sdcard/ or file:/sdcard (sdcard目录下的)
	        //file:///storage/emulated/0/Android/data/com.alibaba.weex/cache/
	    }

	}

	/**
	 * Url的路径（特殊性，在线的是自动生产在不同位置上） 
	 * tabbar 用的直接是jsbundle 的路径
	 */
	function getBaseUrl(isTabBar) {
	    var tempUrl = getBaseUrlIpPort();
	    if (debugProxyConfig.isOnLineMode) {
	        if (typeof window === 'object') {
	            return isTabBar ? "/dist/" : tempUrl + '/index.html?page=./dist/'; //(weex h5方式访问,跳转时用到)
	        } else {
	            return tempUrl + "/dist/"; //webpack方式访问,APP访问服务器js情况；
	        }
	    }
	    return ""; //本地+/app
	}


	/**更Routers.js对应上；
	 * 文件跳转时，得用上；
	 * 当前Url的全路径，完整路径；
	 * 此处需注意一下,tabbar 用的直接是jsbundle 的路径,但是navigator是直接跳转到新页面上的.
	 * 最新，最全的方法处理；
	 */
	function getCurrentPathUrl(self, currentDir, isTabBar) {
	    var config = self.$getConfig();
	    var bundleUrl = config.bundleUrl;
	    var env = config.env; //appName必须设置全局中设置对；
	    var base;
	    //也可以通过env判断;
	    var isAndroidAssets = bundleUrl.indexOf('file://assets/') >= 0;
	    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf(env.appName) > 0;
	    if (isAndroidAssets) { //Android 离线模式
	        base = 'file://assets/';
	    } else if (isiOSAssets) { //iOS 离线模式
	        base = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
	    } else { //web或者App访问模式
	        base = getBaseUrl(isTabBar);
	    }
	    base = base + "app/" + currentDir;
	    console.log('appConfig-->getCurrentPathUrl--->', base);
	    return base;
	}



	exports.debug = debugProxyConfig.debug;
	exports.isProxyNginx = debugProxyConfig.isProxyNginx;

	exports.baseUrlIpPort = getBaseUrlIpPort();

	exports.baseSrcUrl = appConfig.baseSrcUrl;
	exports.baseH5Url = appConfig.baseH5Url;
	exports.baseImageUrl = appConfig.baseImageUrl;

	exports.getCurrentPathUrl = getCurrentPathUrl;

/***/ },

/***/ 101:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * ====================接口Url地址========================
	 * http://test.wgmf.com/crmserver
	 * crmserver子目录下
	 * 原来crmserver现在分成四大子模块；
	 * app-manage
	 * app-saler
	 * app
	 * 
	 * 
	 * H5模块
	 */

	var AppConfig = __webpack_require__(7);
	var ApiConstants = __webpack_require__(102);


	var CRMSERVER = {
	    /** EnvPort */
	    EnvPort: "/crmserver/",
	}

	/**
	 * 管理模块
	 */
	var APPMANAGE = {
	    EnvPort: "/app-manage/",
	}

	/**
	 * 销售模块
	 */
	var APPSALER = {
	    EnvPort: "/app-saler/",
	}

	/**
	 * 会员模块
	 */
	var APP = {
	    EnvPort: "/app/",
	    /**体验装派发数*/
	    userQueryStock: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "user/queryStock";
	    },
	    /**获取门店任务*/
	    // getStoreTaskInfo: APP.EnvPort()+ "information/getStoreTaskInfo",
	    getStoreTaskInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "information/getStoreTaskInfo";
	    },
	    /**以老带新,获取统计汇总数据 */
	    getOldAndNewSum: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "datastatistics/getOldAndNewSum";
	    },
	    /**订单中心 */
	    getOrderInfo: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/getOrderInfo";
	    },
	    /**预约确认*/
	    verifyReserve: function() {
	        return ApiConstants.baseApi() + this.EnvPort + "customer/verifyReserve";
	    },
	}

	/**
	 * 活动
	 * http://test.wgmf.com/promotion
	 * promotion子目录下
	 */
	var PROMOTION = {}

	/***
	 * ================================H5部分=================================
	 */

	/**
	 * 文件路径
	 */
	var H5Path = {
	    /**
	     * H5人员写的H5
	     */
	    EnvPort: "/crmserver-front/html/",
	    /**新客数据查询**/
	    newCustomerStatic: function(shopName, shopId) {
	        return ApiConstants.baseApi() + this.EnvPort + "newCustomerStatic/newCustomerStatic.html?shopName=" + shopName + "&shopId=" + shopId;
	    },

	    /**初心蜜销售提成展示(微商品销售)*/
	    firstHeartHoneyIndex: function(storeName, storeId, userId) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/firstHeartHoneyIndex.html?storeName=" + storeName + "&storeId=" + storeId + "&userId=" + userId;
	    },

	    /**会员商品提成查询*/
	    memberProductSale: function(storeName, storeId, autoSearch) {
	        return ApiConstants.baseApi() + this.EnvPort + "firstHeartHoney/memberProductSale.html?storeName=" + storeName + "&storeId=" + storeId + "&autoSearch" + autoSearch; //autoSearch=1时进入查询界面，0时直接进入查询结果
	    },



	    /**
	     * 自己写的H5
	     */
	    index_top_carousel: AppConfig.baseH5Url + "index_top_carousel.html",
	};


	exports.CRMSERVER = CRMSERVER;
	exports.APPMANAGE = APPMANAGE;
	exports.APPSALER = APPSALER;
	exports.APP = APP;
	exports.H5Path = H5Path;

/***/ },

/***/ 102:
/***/ function(module, exports, __webpack_require__) {

	/**
	 * 接口地址,环境切换配置
	 */
	var AppConfig = __webpack_require__(7);

	var apiBaseURL = {    
	    releaseEnvServer: 'https://app.wgmf.com',
	    releaseEnvPort: "/procrmserver",

	    // testEnvServer: "http://test.wgmf.com",
	    //代理是用这个地址；
	    testEnvServer: getTestEnvServer(),    
	    testEnvPort: "/crmserver"
	}; 

	function getTestEnvServer() {
	    if (AppConfig.isProxyNginx) {
	        return AppConfig.baseUrlIpPort;
	    }
	    return "http://test.wgmf.com";
	}

	/**
	* 这种模式要求传递模块(三大模块)；
	*/
	function baseApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvServer;//测试环境
	     }else{
	     	return apiBaseURL.releaseEnvServer;//正式环境
	     }
	}

	function baseOldApi() {
	     if (AppConfig.debug) {//目前H5调试用express反向代理；
	        // return apiBaseURL.testEnvServer+apiBaseURL.testEnvPort;//测试环境
	        return apiBaseURL.testEnvPort;//测试环境
	     }else{
	        return apiBaseURL.releaseEnvServer+apiBaseURL.releaseEnvPort;//正式环境
	     }
	}

	// exports.apiBaseURL = apiBaseURL;
	exports.baseApi = baseApi;


/***/ },

/***/ 104:
/***/ function(module, exports, __webpack_require__) {

	/**路由配置(跟Native的数据也要对应上，尽量要包路径一致)
	 * 方便管理路径跳转；堆栈管理；
	 * 参数携带：有两种方式：
	 * 1：url处理。在Native中处理交换；(麻烦)
	 * 2：storage保存。跳转到下一个界面清理掉;(可以处理复杂数据)；
	 */
	var AppConfig = __webpack_require__(7);
	var AppConstants = __webpack_require__(5);
	var BaseImageUrl = AppConfig.baseImageUrl;
	var H5Path = __webpack_require__(101).H5Path;

	var config = '';
	/**路由,对应JSON路径
	 *   name:名字
	     src:路径
	     icon: 图片
	     component:跳转综合路径 
	*/
	var routers = {
	    Test: {
	        name: '测试',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'Web':
	                    return platformUrl + "ui/view/fragment/test/TestFragment";
	                case 'android':
	                    return baseUrl + "Test";
	            }
	        },
	        subRouters: {
	            Test_1: {
	                name: 'Test_1',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	                subRouters: { //测试三级目录；
	                    Test_1_1: {
	                        name: 'Test_1_1',
	                        component: function(platform, platformUrl, baseUrl) {
	                            return baseUrl + 'Test/Test_1/Test_1_1';
	                        },
	                    }
	                }
	            }
	        }
	    },
	    H5: { //这个容器也看做一个普通的.js文件
	        name: 'H5容器',
	        component: function(platform, platformUrl, baseUrl) {
	            return baseUrl + 'ui/base/WebContainer.js';
	        },
	    },
	    Login: {
	        name: '登录',
	        component: function(platform, platformUrl, baseUrl) {
	            return baseUrl + 'ui/Login.js';
	        },
	    },
	    Main: {
	        name: '主页',
	        src: 'ui/Main.js',
	        // icon: BaseImageUrl + "btn_member_old_guide_new.png",
	        component: function(platform, platformUrl, baseUrl) {
	            return baseUrl + this.src;
	        },
	    },
	    Index: {
	        index: 0,
	        title: '首页',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_home_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_home_selected.png",
	        src: 'ui/index/Index.js',
	        visibility: 'visible',
	        subRouters: {
	            InputNumber: {
	                name: '会员录单',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	            },
	            NewCustomerThridTride: {
	                name: '新客三响炮',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	            },
	            RedeemPoints: {
	                name: '积分兑换',
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + "ui/view/fragment/login/LoginFragment";
	                    }
	                },
	            },
	            DevelopNewMember: {
	                name: '发展新会员',
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + "ui/index/DevelopNewMember.js";
	                },
	            },
	            OrderCenter: {
	                name: '订单中心',
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + "ui/index/OrderCenter.js";
	                },
	            },

	        }
	    },
	    Member: {
	        index: 1,
	        title: '会员营销',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_member_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_member_selected.png",
	        src: 'ui/member/Member.js',
	        visibility: 'hidden',
	        subRouters: {
	            MemberListAct: {
	                name: '会员构成',
	                src: 'com.urovo.activity.MemberList.view.MemberListAct',
	                icon: BaseImageUrl + "btn_member_vip_form.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + this.src;
	                    }
	                },
	            },
	            JiFenDaoQiTiXingAct: {
	                name: '老客唤醒',
	                src: 'com.urovo.activity.membergroup.JiFenDaoQiTiXing.view.JiFenDaoQiTiXingAct',
	                icon: BaseImageUrl + "btn_member_old_remind.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    switch (platform) {
	                        case 'android':
	                            return platformUrl + this.src;
	                    }
	                },
	            },
	            CarryOldWithNew: {
	                name: '以老带新',
	                src: 'ui/member/CarryOldWithNew.js',
	                icon: BaseImageUrl + "btn_member_old_guide_new.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            SanXiangPaoAct: {
	                name: '新客三响炮',
	                src: 'com.urovo.activity.SanXiangPao.view.SanXiangPaoAct',
	                icon: BaseImageUrl + "btn_new_sxp.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return platformUrl + this.src;
	                },
	            },
	            QueryMyWeiVIP: {
	                name: '有效微会员数据',
	                src: 'com.urovo.activity.data.QueryMyWeiVIP.view.QueryMyWeiVIP',
	                icon: BaseImageUrl + "ic_member_valid_weixin.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            newCustomerStatic: {
	                name: '新客数据',
	                src: H5Path.newCustomerStatic("{storeName}", "{storeId}"),
	                icon: BaseImageUrl + "ic_member_new.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            VipDayDataAct: {
	                name: '会员日数据',
	                src: 'com.urovo.activity.data.VipDayDataAct',
	                icon: BaseImageUrl + "ic_member_vip_day.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            SanXiangPaoDataAct: {
	                name: '新客三响炮数据查询',
	                src: 'com.urovo.activity.sanxiangpaoData.view.SanXiangPaoDataAct',
	                icon: BaseImageUrl + "ic_member_new_sxp.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            firstHeartHoneyIndex: {
	                name: '微商城销量查询',
	                src: H5Path.firstHeartHoneyIndex("{storeName}", "{storeId}", "{accountNo}"),
	                icon: BaseImageUrl + "ic_member_vshop.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            memberProductSale: {
	                name: '会员商品提成查询',
	                src: H5Path.memberProductSale("{storeName}", "{storeId}", 1),
	                icon: BaseImageUrl + "ic_member_vip_goods_money.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            QueryMemberSalesCompared: {
	                name: '会员销售占比查询',
	                src: 'com.urovo.activity.data.QueryMemberSalesCompared',
	                icon: BaseImageUrl + "ic_member_vip_sell_proportion.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            QueryCreditStatement: {
	                name: '积分兑换流水查询',
	                src: 'com.urovo.activity.data.QueryCreditStatement',
	                icon: BaseImageUrl + "ic_member_integral.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	            AppraiseAct: {
	                name: '服务零距离',
	                src: 'com.urovo.activity.appraise.AppraiseAct',
	                icon: BaseImageUrl + "ic_member_serve.png",
	                component: function(platform, platformUrl, baseUrl) {
	                    return baseUrl + this.src;
	                },
	            },
	        }
	    },
	    Data: {
	        index: 2,
	        title: '销售业绩',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_sales_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_sales_selected.png",
	        src: 'ui/data/Data.js',
	        visibility: 'hidden',
	    },

	    MsgCenter: {
	        index: 3,
	        title: '消息中心',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_news_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_news_selected.png",
	        src: 'MsgCenter',
	        visibility: 'hidden',
	        name: '消息中心',
	        component: function(platform, platformUrl, baseUrl) {
	            switch (platform) {
	                case 'android':
	                    return platformUrl + "ui/view/fragment/login/MsgCenterFra";
	            }
	        },
	    },
	    More: {
	        index: 4,
	        title: '更多',
	        titleColor: '#000000',
	        icon: '',
	        image: BaseImageUrl + "btn_bottom_more_normal.png",
	        selectedImage: BaseImageUrl + "btn_bottom_more_selected.png",
	        src: 'ui/more/More.js',
	        visibility: 'hidden',
	    },
	};


	/**
	 * 获取总的完整路径,和带标题路径 
	 */
	var getPath = function(self, key, json, isTitleNotUse) {
	    console.log('getPath ---isTitleNotUse', isTitleNotUse);
	    var eJson = json;
	    var value = eval("eJson." + key);
	    var title = value.name;
	    var platform = config.env.platform;
	    // console.log('Router-->config--->', JSON.stringify(config));
	    var path = value.component(platform, getPlatformUrl(platform), AppConfig.getCurrentPathUrl(self, ""));
	    var titleParm = "?" + AppConstants.ExtraKeys.PAGE_TITLE + "=" + title;
	    if (isTitleNotUse) {
	        return path;
	    } else {
	        return path + titleParm;
	    }
	}

	/**
	 * 循环出要的数组；
	 */
	var populate = function(self, index, paths, routers, isTitleNotUse) {
	    var segement = paths[index];
	    if (index == paths.length - 1) { //find the last segement
	        return getPath(self, segement, routers, isTitleNotUse);
	    } else {
	        for (var key in routers) {
	            if (key == segement) {
	                return populate(self, ++index, paths, routers[key].subRouters, isTitleNotUse);
	            }
	        }
	    }
	}


	var getPlatformUrl = function(platform) {
	    switch (platform) {
	        // case "Web":
	        case "android":
	            var appName = config.env.appName;
	            return 'android.class://' + appName + '/';
	    }
	}

	var getComponent = function(self, path, isTitleNotUse) {
	    config = self.$getConfig();
	    var paths = path.split("/");
	    paths.forEach(function(path, index) {
	        if (!path) paths.splice(index, 1);
	    });

	    return populate(self, 0, paths, routers, isTitleNotUse);
	}

	exports.routers = routers;

	exports.getRouters = function() {
	    return JSON.stringify(routers);
	};

	/**一定会调用这个的 */
	exports.getComponent = function(self, path, isTitleNotUse) {
	    var component = getComponent(self, path, isTitleNotUse);
	    return component;
	};

/***/ },

/***/ 109:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "style": {
	    "flexDirection": "column",
	    "marginBottom": 10
	  },
	  "children": [
	    {
	      "type": "ext-tabbar",
	      "attr": {
	        "tabItems": function () {return this.tabItems}
	      }
	    }
	  ]
	}

/***/ },

/***/ 110:
/***/ function(module, exports, __webpack_require__) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	var Router = __webpack_require__(104);
	__webpack_require__(111);
	var SystemUtil = __webpack_require__(119);
	var AppConstants = __webpack_require__(5);
	var AppConfig = __webpack_require__(7);

	module.exports = {
	    data: function () {return {
	        currentRouter: Router.routers.Main
	    }},
	    computed: {
	        tabItems: function tabItems() {
	            return [Router.routers.Index, Router.routers.Member, Router.routers.Data, Router.routers.MsgCenter, Router.routers.More];
	        }
	    },
	    created: function created() {
	        var devInfo = SystemUtil.getDeviceInfo(this);
	        console.log(devInfo);
	        var base = AppConfig.getCurrentPathUrl(this, "", true);
	        for (var i = 0; i < this.tabItems.length; i++) {
	            var tabItem = this.tabItems[i];
	            tabItem.src = base + tabItem.src;
	            console.log("==created==>" + tabItem.src);
	        }
	    },
	    methods: {
	        ready: function ready(e) {
	            var vm = this;
	            vm.$on('tabBar.onClick', function (e) {
	                var detail = e.detail;
	                nativeLog('tabBar.onClick ' + detail.index);
	            });
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 111:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(112)
	var __weex_template__ = __webpack_require__(116)
	var __weex_style__ = __webpack_require__(117)
	var __weex_script__ = __webpack_require__(118)

	__weex_define__('@weex-component/ext-tabbar', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },

/***/ 112:
/***/ function(module, exports, __webpack_require__) {

	var __weex_template__ = __webpack_require__(113)
	var __weex_style__ = __webpack_require__(114)
	var __weex_script__ = __webpack_require__(115)

	__weex_define__('@weex-component/ext-tabitem', [], function(__weex_require__, __weex_exports__, __weex_module__) {

	    __weex_script__(__weex_module__, __weex_exports__, __weex_require__)
	    if (__weex_exports__.__esModule && __weex_exports__.default) {
	      __weex_module__.exports = __weex_exports__.default
	    }

	    __weex_module__.exports.template = __weex_template__

	    __weex_module__.exports.style = __weex_style__

	})


/***/ },

/***/ 113:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "container"
	  ],
	  "style": {
	    "backgroundColor": function () {return this.backgroundColor}
	  },
	  "events": {
	    "click": "onclickitem"
	  },
	  "children": [
	    {
	      "type": "div",
	      "classList": [
	        "top-line"
	      ]
	    },
	    {
	      "type": "image",
	      "classList": [
	        "tab-icon"
	      ],
	      "attr": {
	        "src": function () {return this.icon}
	      }
	    },
	    {
	      "type": "text",
	      "classList": [
	        "tab-text"
	      ],
	      "style": {
	        "color": function () {return this.titleColor}
	      },
	      "attr": {
	        "value": function () {return this.title}
	      }
	    }
	  ]
	}

/***/ },

/***/ 114:
/***/ function(module, exports) {

	module.exports = {
	  "container": {
	    "flex": 1,
	    "flexDirection": "column",
	    "alignItems": "center",
	    "justifyContent": "center",
	    "height": 88
	  },
	  "top-line": {
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "height": 2,
	    "backgroundColor": "#d4d4d4"
	  },
	  "tab-icon": {
	    "marginTop": 5,
	    "width": 45,
	    "height": 45
	  },
	  "tab-text": {
	    "marginTop": 5,
	    "textAlign": "center",
	    "fontSize": 20
	  }
	}

/***/ },

/***/ 115:
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	    data: function () {return {
	        index: 0,
	        title: '',
	        titleColor: '#000000',
	        icon: '',
	        backgroundColor: '#ffffff'
	    }},
	    methods: {
	        onclickitem: function onclickitem(e) {
	            var vm = this;
	            var params = {
	                index: vm.index
	            };
	            vm.$dispatch('tabItem.onClick', params);
	        }
	    }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 116:
/***/ function(module, exports) {

	module.exports = {
	  "type": "div",
	  "classList": [
	    "wrapper"
	  ],
	  "children": [
	    {
	      "type": "embed",
	      "classList": [
	        "content"
	      ],
	      "style": {
	        "visibility": function () {return this.visibility}
	      },
	      "repeat": function () {return this.tabItems},
	      "attr": {
	        "src": function () {return this.src},
	        "type": "weex"
	      }
	    },
	    {
	      "type": "div",
	      "classList": [
	        "tabbar"
	      ],
	      "append": "tree",
	      "children": [
	        {
	          "type": "ext-tabitem",
	          "repeat": function () {return this.tabItems},
	          "attr": {
	            "index": function () {return this.index},
	            "icon": function () {return this.icon},
	            "title": function () {return this.title},
	            "titleColor": function () {return this.titleColor}
	          }
	        }
	      ]
	    }
	  ]
	}

/***/ },

/***/ 117:
/***/ function(module, exports) {

	module.exports = {
	  "wrapper": {
	    "width": 750,
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "bottom": 0
	  },
	  "content": {
	    "position": "absolute",
	    "top": 0,
	    "left": 0,
	    "right": 0,
	    "bottom": 0,
	    "marginTop": 0,
	    "marginBottom": 98
	  },
	  "tabbar": {
	    "flexDirection": "row",
	    "position": "fixed",
	    "bottom": 0,
	    "left": 0,
	    "right": 0,
	    "height": 100
	  }
	}

/***/ },

/***/ 118:
/***/ function(module, exports) {

	module.exports = function(module, exports, __weex_require__){'use strict';

	module.exports = {
	  data: function () {return {
	    tabItems: [],
	    selectedIndex: 0,
	    selectedColor: '#ff0000',
	    unselectedColor: '#000000'
	  }},
	  created: function created() {
	    this.selected(this.selectedIndex);

	    this.$on('tabItem.onClick', function (e) {
	      var detail = e.detail;
	      this.selectedIndex = detail.index;
	      this.selected(detail.index);

	      var params = {
	        index: detail.index
	      };
	      this.$dispatch('tabBar.onClick', params);
	    });
	  },
	  methods: {
	    selected: function selected(index) {
	      for (var i = 0; i < this.tabItems.length; i++) {
	        var tabItem = this.tabItems[i];
	        if (i == index) {
	          tabItem.icon = tabItem.selectedImage;
	          tabItem.titleColor = this.selectedColor;
	          tabItem.visibility = 'visible';
	        } else {
	          tabItem.icon = tabItem.image;
	          tabItem.titleColor = this.unselectedColor;
	          tabItem.visibility = 'hidden';
	        }
	      }
	    }
	  }
	};}
	/* generated by weex-loader */


/***/ },

/***/ 119:
/***/ function(module, exports) {

	/**
	 * 设备基本信息；
	 * Created by samy on 16/8/1.
	 */
	function isIosPlatform(self) {
	    var platform = self.$getConfig().env.platform
	    return platform === "iOS"
	}

	function getDeviceInfo(self) {
	    var env = self.$getConfig().env
	    var deviceWidth = env.deviceWidth
	    var deviceHeight = env.deviceHeight
	    var deviceInfo = {
	        deviceWidth: deviceWidth,
	        deviceHeight: deviceHeight
	    }
	    return deviceInfo
	}

	exports.isIosPlatform = isIosPlatform
	exports.getDeviceInfo = getDeviceInfo

/***/ }

/******/ });