package com.urovo.wgmf.db.dao.dao;

import android.database.Cursor;

import com.urovo.wgmf.db.dao.entitys.MsgDb;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.ArrayList;
import java.util.List;

public class MsgOperate {

	public static Boolean Insert(MsgDb model) {
		Boolean result = false;
		Cursor cursor = null;
		try {
			cursor = BaseAppManager.database().rawQuery(
					"select * from TZXX WHERE MSGNO = '" + model.mNo + "'",
					new String[] {});
			if (!cursor.moveToNext()) {
				String strSql = "insert into TZXX(MSGNO,MSGTYPE,MSGTITLE,MSGCONTENT,REDDATE,INVALID,STARTTIME,ENDTIME)"
						+ " values(?,?,?,?,?,?,?,?)";
				BaseAppManager.database().execSQL(strSql, new String[] {
						model.mNo, model.mType, model.mTitle, model.mContent,
						model.mDate, model.mInvalid, model.mActStartTime,
						model.mActEndTime });
				result = true;
			}
		} catch (Exception e) {
			BaseAppManager.loger().info("[MsgOperate.Insert]" + e);

		} finally {
			if (null != cursor)
				cursor.close();
		}
		return result;
	}

	public static Boolean update(MsgDb model) {
		Boolean result = false;
		try {
			String strSql = "update TZXX set INVALID = 'yes'  where MSGNO = '"
					+ model.mNo + "'";
			BaseAppManager.database().execSQL(strSql);
			result = true;
		} catch (Exception e) {
			BaseAppManager.loger().info("[MsgOperate.Insert]" + e);

		}
		return result;
	}

	public static Boolean updateitem(MsgDb model) {
		Boolean result = false;
		try {
			String strSql = "update TZXX set MSGCONTENT='" + model.mContent
					+ "',MSGTITLE='" + model.mTitle + "',REDDATE='"
					+ model.mDate + "',STARTTIME='" + model.mActStartTime
					+ "',ENDTIME='" + model.mActEndTime + "'where MSGNO = '"
					+ model.mNo + "'";
			BaseAppManager.database().execSQL(strSql);
			result = true;
		} catch (Exception e) {
			BaseAppManager.loger().info("[MsgOperate.Insert]" + e);

		}
		return result;
	}

	public static List<MsgDb> selectValid() {
		return selectBy("WHERE INVALID IS NULL");
	}

	public static List<MsgDb> selectBy(String sql) {
		List<MsgDb> list = new ArrayList<MsgDb>();
		Cursor cursor = null;
		try {
			String strSql = "select * from TZXX ";
			if (sql != null) {
				strSql += sql;
			}
			cursor = BaseAppManager.database().rawQuery(strSql, new String[] {});
			while (cursor.moveToNext()) {
				MsgDb cell = new MsgDb();
				cell.mNo = cursor.getString(cursor.getColumnIndex("MSGNO"));
				cell.mType = cursor.getString(cursor.getColumnIndex("MSGTYPE"));
				cell.mTitle = cursor.getString(cursor
						.getColumnIndex("MSGTITLE"));
				cell.mContent = cursor.getString(cursor
						.getColumnIndex("MSGCONTENT"));
				cell.mDate = cursor.getString(cursor.getColumnIndex("REDDATE"));
				cell.mInvalid = cursor.getString(cursor
						.getColumnIndex("INVALID"));
				cell.mActStartTime = cursor.getString(cursor
						.getColumnIndex("STARTTIME"));
				cell.mActEndTime = cursor.getString(cursor
						.getColumnIndex("ENDTIME"));
				list.add(cell);
			}
		} catch (Exception e) {

			BaseAppManager.loger().info(e);
		} finally {
			if (null != cursor)
				cursor.close();
		}
		return list;
	}

	/**
	 * 删除方法
	 */
	public static Boolean deleteBy(String sql) {
		Boolean result = false;
		try {
			String strSql = "delete from TZXX";
			if (sql != null) {
				strSql += sql;
			}
			BaseAppManager.database().execSQL(strSql);
			result = true;
		} catch (Exception e) {
			BaseAppManager.loger().info(e);

		}
		return result;
	}

}
