package com.urovo.wgmf.db.dao.dao;

import android.content.Context;
import android.database.Cursor;

import com.urovo.wgmf.db.dao.DBTool;
import com.urovo.wugumofang.system.BaseAppManager;

public class Xy_ChgTimeRecDbOperate {
	public static DBTool dbTool;

	public Xy_ChgTimeRecDbOperate(Context context) {
		
		super();
		dbTool = DBTool.getInstance(context);
	}

	public static int GetUnUploadCount() {
		int total = 0;
		Cursor cursor = null;
		String sql = "select count(bill) from xy_ChgTimeRec where IsUp=0";
		try {
			cursor = BaseAppManager.database().rawQuery(sql, null);
			if(cursor.moveToNext()) {
				total = cursor.getInt(0);
			}
		}
		catch (Exception e) {
			BaseAppManager.loger().info("获取未上传修改系统时间记录总数发生异常:" + e);
		}
		finally {
			if(cursor != null) {
				cursor.close();
			}
		}
		return total;
	}
}
