package com.urovo.wgmf.db.dao.entitys;

import java.util.Arrays;
import java.util.Date;

import com.urovo.wugumofang.data.DateUtil;

/**
 * 门店订货单据实体类
 * 
 * @author Administrator
 * 
 */
public class DingHuoEntity {
	private String StoreId = ""; // 门店编号
	private String Bill = ""; // 订货单号
	// / 仓库编号: 等于门店编号+"01"
	public String STWHSID;
	private String PsStoreId = "99"; // 工厂编号
	private String UDate = DateUtil.getDate(new Date()); // 申请到货日期
	// / 订货方式--M：手工订货
	public String BHMode = "M";
	// / 订货类型--Z：正常订货
	public String BHType = "Z";
	// / 订货地点--D:门店订货
	public String BHSys = "D";
	// / 订货状态--审核：1
	public String Status = "1";
	private String WDate = DateUtil.getDate(new Date()); // 制单日期
	private String Oper_Lr = ""; // 制单人：赋值的时候取门店登陆员id
	private String Lr_Name = ""; // 制单人名称:赋值的时候取门店登陆员姓名
	private String Oper_Sh = ""; // 审核人id：赋值时候取门店登陆员id
	private String Sh_Name = ""; // 审核人姓名：赋值时候取门店登陆员姓名
	private String BDate = DateUtil.getDate(new Date()); // 订货审核日期(与制单日期一样)
	private String Comm = ""; // 备注
	// / 是否通讯：固定值，写"Y"
	public String YN_TX = "Y";
	private ProductEntity[] ProductDetails = null; // 订货产品明细

	public String getStoreId() {
		return StoreId;
	}

	public void setStoreId(String storeId) {
		StoreId = storeId;
	}

	public String getBill() {
		return Bill;
	}

	public void setBill(String bill) {
		Bill = bill;
	}

	public String getSTWHSID() {
		return STWHSID;
	}

	public void setSTWHSID(String sTWHSID) {
		STWHSID = sTWHSID;
	}

	public String getPsStoreId() {
		return PsStoreId;
	}

	public void setPsStoreId(String psStoreId) {
		PsStoreId = psStoreId;
	}

	public String getUDate() {
		return UDate;
	}

	public void setUDate(String uDate) {
		UDate = uDate;
	}

	public String getBHMode() {
		return BHMode;
	}

	public void setBHMode(String bHMode) {
		BHMode = bHMode;
	}

	public String getBHType() {
		return BHType;
	}

	public void setBHType(String bHType) {
		BHType = bHType;
	}

	public String getBHSys() {
		return BHSys;
	}

	public void setBHSys(String bHSys) {
		BHSys = bHSys;
	}

	public String getStatus() {
		return Status;
	}

	public void setStatus(String status) {
		Status = status;
	}

	public String getWDate() {
		return WDate;
	}

	public void setWDate(String wDate) {
		WDate = wDate;
	}

	public String getOper_Lr() {
		return Oper_Lr;
	}

	public void setOper_Lr(String oper_Lr) {
		Oper_Lr = oper_Lr;
	}

	public String getLr_Name() {
		return Lr_Name;
	}

	public void setLr_Name(String lr_Name) {
		Lr_Name = lr_Name;
	}

	public String getOper_Sh() {
		return Oper_Sh;
	}

	public void setOper_Sh(String oper_Sh) {
		Oper_Sh = oper_Sh;
	}

	public String getSh_Name() {
		return Sh_Name;
	}

	public void setSh_Name(String sh_Name) {
		Sh_Name = sh_Name;
	}

	public String getBDate() {
		return BDate;
	}

	public void setBDate(String bDate) {
		BDate = bDate;
	}

	public String getComm() {
		return Comm;
	}

	public void setComm(String comm) {
		Comm = comm;
	}

	public String getYN_TX() {
		return YN_TX;
	}

	public void setYN_TX(String yN_TX) {
		YN_TX = yN_TX;
	}

	public ProductEntity[] getProductDetails() {
		return ProductDetails;
	}

	public void setProductDetails(ProductEntity[] productDetails) {
		ProductDetails = productDetails;
	}

	@Override
	public String toString() {
		return "DingHuoEntity [StoreId=" + StoreId + ", Bill=" + Bill + ", STWHSID=" + STWHSID + ", PsStoreId=" + PsStoreId + ", UDate=" + UDate + ", BHMode=" + BHMode + ", BHType=" + BHType + ", BHSys=" + BHSys + ", Status=" + Status + ", WDate=" + WDate + ", Oper_Lr=" + Oper_Lr + ", Lr_Name="
				+ Lr_Name + ", Oper_Sh=" + Oper_Sh + ", Sh_Name=" + Sh_Name + ", BDate=" + BDate + ", Comm=" + Comm + ", YN_TX=" + YN_TX + ", ProductDetails=" + Arrays.toString(ProductDetails) + "]";
	}
}
