package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.data.DateUtil;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 提交订单类
 * Created by samy on 16/6/13.
 */
public class DingHuoRequestEntity {
    private String StoreId = ""; // 门店编号
    private String Bill = ""; // 订货单号
    // / 仓库编号: 等于门店编号+"01"
    private String STWHSID;
    private String PsStoreId = "99"; // 工厂编号
    private String UDate = DateUtil.getDate(new Date()); // 申请到货日期
    // / 订货方式--M：手工订货
    private String BHMode = "M";
    // / 订货类型--Z：正常订货
    private String BHType = "Z";
    // / 订货地点--D:门店订货
    private String BHSys = "D";
    // / 订货状态--审核：1
    private String Status = "1";
    private String WDate = DateUtil.getDate(new Date()); // 制单日期
    private String Oper_Lr = ""; // 制单人：赋值的时候取门店登陆员id
    private String Lr_Name = ""; // 制单人名称:赋值的时候取门店登陆员姓名
    private String Oper_Sh = ""; // 审核人id：赋值时候取门店登陆员id
    private String Sh_Name = ""; // 审核人姓名：赋值时候取门店登陆员姓名
    private String BDate = DateUtil.getDate(new Date()); // 订货审核日期(与制单日期一样)
    private String Comm = ""; // 备注
    // / 是否通讯：固定值，写"Y"
    private String YN_TX = "Y";

//    private DingHuoOplQtyEntity[] ProductDetails = null; // 订货产品明细
    private List<DingHuoRequestItemEntity> ProductDetails = null; // 订货产品明细

    public String getStoreId() {
        return StoreId;
    }

    public void setStoreId(String storeId) {
        StoreId = storeId;
    }

    public String getBill() {
        return Bill;
    }

    public void setBill(String bill) {
        Bill = bill;
    }

    public String getSTWHSID() {
        return STWHSID;
    }

    public void setSTWHSID(String STWHSID) {
        this.STWHSID = STWHSID;
    }

    public String getPsStoreId() {
        return PsStoreId;
    }

    public void setPsStoreId(String psStoreId) {
        PsStoreId = psStoreId;
    }

    public String getUDate() {
        return UDate;
    }

    public void setUDate(String UDate) {
        this.UDate = UDate;
    }

    public String getBHMode() {
        return BHMode;
    }

    public void setBHMode(String BHMode) {
        this.BHMode = BHMode;
    }

    public String getBHType() {
        return BHType;
    }

    public void setBHType(String BHType) {
        this.BHType = BHType;
    }

    public String getBHSys() {
        return BHSys;
    }

    public void setBHSys(String BHSys) {
        this.BHSys = BHSys;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public String getWDate() {
        return WDate;
    }

    public void setWDate(String WDate) {
        this.WDate = WDate;
    }

    public String getOper_Lr() {
        return Oper_Lr;
    }

    public void setOper_Lr(String oper_Lr) {
        Oper_Lr = oper_Lr;
    }

    public String getLr_Name() {
        return Lr_Name;
    }

    public void setLr_Name(String lr_Name) {
        Lr_Name = lr_Name;
    }

    public String getOper_Sh() {
        return Oper_Sh;
    }

    public void setOper_Sh(String oper_Sh) {
        Oper_Sh = oper_Sh;
    }

    public String getSh_Name() {
        return Sh_Name;
    }

    public void setSh_Name(String sh_Name) {
        Sh_Name = sh_Name;
    }

    public String getBDate() {
        return BDate;
    }

    public void setBDate(String BDate) {
        this.BDate = BDate;
    }

    public String getComm() {
        return Comm;
    }

    public void setComm(String comm) {
        Comm = comm;
    }

    public String getYN_TX() {
        return YN_TX;
    }

    public void setYN_TX(String YN_TX) {
        this.YN_TX = YN_TX;
    }

    public List<DingHuoRequestItemEntity> getProductDetails() {
        return ProductDetails;
    }

    /**
     * 直接在这里字段对应赋值
     * @param productDetails
     */
    public void setProductDetails(List<DingHuoOplQtyEntity.DinghuoDetail> productDetails) {
        ProductDetails = new ArrayList<>();
        for (DingHuoOplQtyEntity.DinghuoDetail temp : productDetails){
            DingHuoRequestItemEntity dingHuoRequestItemEntity = new DingHuoRequestItemEntity();
            dingHuoRequestItemEntity.setYN_TX("Y");
            dingHuoRequestItemEntity.setItemId(temp.itemid);
            dingHuoRequestItemEntity.setItemName(temp.itemName);
            dingHuoRequestItemEntity.setKCUom(temp.itemUOM);
            dingHuoRequestItemEntity.setTQTY(temp.getTQTY());
            dingHuoRequestItemEntity.setPrice(temp.itemPrice);
            dingHuoRequestItemEntity.setDHPack(temp.getDHPack());
            dingHuoRequestItemEntity.setAmount(temp.getAmount());
            ProductDetails.add(dingHuoRequestItemEntity);
        }
    }

}
