package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;
import java.util.List;

public class HuoDongEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	private String act_name;
	private String act_id;
	private String act_type;
	private String act_content;
	private String start_time;
	private String end_time;
	private String ischecksmscode = "0";
	private int point;
	private double discount;
	private int num;
	private double money;
	private double multiplepoint;
	private int giftpoint;
	private double giftdiscount;
	private int giftnum;
	private double giftmoney;
	private double giftmultiplepoint;
	private String code;// 验证码

	private Product projson;
	private Product giftprojson;

	/**过期时间*/
	public String validtime;
	/**codestatus 状态（1.已过期未兑换，2.已过期已兑换。3.未过期未兑换。4.未过期已兑换。5.无兑换码）	 */
	public String codestatus;

	public class Product implements Serializable {
		public List<ChanPin> pro;
		public List<ZuHePin> prozuhe;
	}

	public class ChanPin implements Serializable {
		public String pro_code;
		public int pro_num;
		public double pro_price;

		/**
		 * @return the pro_code
		 */
		public String getPro_code() {
			return pro_code;
		}

		/**
		 * @param pro_code
		 *            the pro_code to set
		 */
		public void setPro_code(String pro_code) {
			this.pro_code = pro_code;
		}

		/**
		 * @return the pro_num
		 */
		public int getPro_num() {
			return pro_num;
		}

		/**
		 * @param pro_num
		 *            the pro_num to set
		 */
		public void setPro_num(int pro_num) {
			this.pro_num = pro_num;
		}

		public double getPro_price() {
			return pro_price;
		}

		public void setPro_price(double pro_price) {
			this.pro_price = pro_price;
		}

	}

	public String getIschecksmscode() {
		return ischecksmscode;
	}

	public void setIschecksmscode(String ischecksmscode) {
		this.ischecksmscode = ischecksmscode;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @param code
	 *            the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the act_name
	 */
	public String getAct_name() {
		return act_name;
	}

	/**
	 * @param act_name
	 *            the act_name to set
	 */
	public void setAct_name(String act_name) {
		this.act_name = act_name;
	}

	/**
	 * @return the act_id
	 */
	public String getAct_id() {
		return act_id;
	}

	/**
	 * @param act_id
	 *            the act_id to set
	 */
	public void setAct_id(String act_id) {
		this.act_id = act_id;
	}

	/**
	 * @return the act_type
	 */
	public String getAct_type() {
		return act_type;
	}

	/**
	 * @param act_type
	 *            the act_type to set
	 */
	public void setAct_type(String act_type) {
		this.act_type = act_type;
	}

	/**
	 * @return the act_content
	 */
	public String getAct_content() {
		return act_content;
	}

	/**
	 * @param act_content
	 *            the act_content to set
	 */
	public void setAct_content(String act_content) {
		this.act_content = act_content;
	}

	/**
	 * @return the start_time
	 */
	public String getStart_time() {
		return start_time;
	}

	/**
	 * @param start_time
	 *            the start_time to set
	 */
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}

	/**
	 * @return the end_time
	 */
	public String getEnd_time() {
		return end_time;
	}

	/**
	 * @param end_time
	 *            the end_time to set
	 */
	public void setEnd_time(String end_time) {
		this.end_time = end_time;
	}

	/**
	 * @return the point
	 */
	public int getPoint() {
		return point;
	}

	/**
	 * @param point
	 *            the point to set
	 */
	public void setPoint(int point) {
		this.point = point;
	}

	/**
	 * @return the discount
	 */
	public double getDiscount() {
		return discount;
	}

	/**
	 * @param discount
	 *            the discount to set
	 */
	public void setDiscount(double discount) {
		this.discount = discount;
	}

	/**
	 * @return the num
	 */
	public int getNum() {
		return num;
	}

	/**
	 * @param num
	 *            the num to set
	 */
	public void setNum(int num) {
		this.num = num;
	}

	/**
	 * @return the money
	 */
	public double getMoney() {
		return money;
	}

	/**
	 * @param money
	 *            the money to set
	 */
	public void setMoney(double money) {
		this.money = money;
	}

	/**
	 * @return the multiplepoint
	 */
	public double getMultiplepoint() {
		return multiplepoint;
	}

	/**
	 * @param multiplepoint
	 *            the multiplepoint to set
	 */
	public void setMultiplepoint(double multiplepoint) {
		this.multiplepoint = multiplepoint;
	}

	/**
	 * @return the giftpoint
	 */
	public int getGiftpoint() {
		return giftpoint;
	}

	/**
	 * @param giftpoint
	 *            the giftpoint to set
	 */
	public void setGiftpoint(int giftpoint) {
		this.giftpoint = giftpoint;
	}

	/**
	 * @return the giftdiscount
	 */
	public double getGiftdiscount() {
		return giftdiscount;
	}

	/**
	 * @param giftdiscount
	 *            the giftdiscount to set
	 */
	public void setGiftdiscount(double giftdiscount) {
		this.giftdiscount = giftdiscount;
	}

	/**
	 * @return the giftnum
	 */
	public int getGiftnum() {
		return giftnum;
	}

	/**
	 * @param giftnum
	 *            the giftnum to set
	 */
	public void setGiftnum(int giftnum) {
		this.giftnum = giftnum;
	}

	/**
	 * @return the giftmoney
	 */
	public double getGiftmoney() {
		return giftmoney;
	}

	/**
	 * @param giftmoney
	 *            the giftmoney to set
	 */
	public void setGiftmoney(double giftmoney) {
		this.giftmoney = giftmoney;
	}

	/**
	 * @return the giftmultiplepoint
	 */
	public double getGiftmultiplepoint() {
		return giftmultiplepoint;
	}

	/**
	 * @param giftmultiplepoint
	 *            the giftmultiplepoint to set
	 */
	public void setGiftmultiplepoint(double giftmultiplepoint) {
		this.giftmultiplepoint = giftmultiplepoint;
	}

	/**
	 * @return the projson
	 */
	public Product getProjson() {
		return projson;
	}

	/**
	 * @param projson
	 *            the projson to set
	 */
	public void setProjson(Product projson) {
		this.projson = projson;
	}

	/**
	 * @return the giftprojson
	 */
	public Product getGiftprojson() {
		return giftprojson;
	}

	/**
	 * @param giftprojson
	 *            the giftprojson to set
	 */
	public void setGiftprojson(Product giftprojson) {
		this.giftprojson = giftprojson;
	}

}
