package com.urovo.wgmf.db.dao.entitys;

/**
 * 对应于后台的Item001表，用于从后台下载数据后序列化为该实体，然后反序列化写入终端数据库
 * 
 * @author Administrator
 *
 */
public class Item001Entity {

	// 产品编码
	public String ITEMID;
	// 中文名称
	public String ITEMNAME;
	// 产品图片文件名称
	public String ITEMPHOTO;
	// 产品角色：P–普通产品（输入数量、罐装、盒装单位）C–大类码（散装类输入金额）
	public String ITEMMODE;
	// 产品类别
	public String CLASSID;
	// 产品类型：1 - 原材料 2 - 产成品 3 - 半成品 4 - 包装料 5 - 营耗品 6-直销品
	public String ITEMTYPE;
	// 产品功效
	public String ITEMGX;
	// 口感值（0 - 100）
	public double KGNUM;
	// 油性值（0 - 100）
	public double YXNUM;
	// 产品ABC
	public String ITEMABC;
	// 销售分类
	public String XSGRPID;
	// 显示序号
	public double SORTNO;
	// 库存单位
	public String KCUOM;
	// 是否计件 Y-是 N-否（记件只能输入整数，非记件保留小数后三位）
	public String QTYINTEGER;
	// 包装规格,门店订/补货时，必须是此数的整倍数
	public double DHPACK;
	// 箱装数
	public double UNIT;
	// 产品状态1新品2正常3清场4淘汰
	public String ITEMSTAT;
	// 标准售价
	public double NORMRPRICE;

}
