package com.urovo.wgmf.db.dao.entitys;

import java.util.List;

import com.urovo.wugumofang.response.BaseOldResponse;

/**
 * @ClassName: MemberSalesDetialsEntity
 * @Description: 会员销售明细实体类
 * @author XP
 * @date 2015-11-5 上午9:49:27
 */
public class MemberSalesDetialsEntity extends BaseOldResponse {

	public ProductsReturnBean returnBean;// 数量

	@Override
	public String toString() {
		return "MemberSalesDetialsEntity [returnBean=" + returnBean + "]";
	}

	public class ProductsReturnBean {
		public List<ProductsreturnList> returnList;
		public String totalAmount;// 总计金额
		public String totalConsNum;// 总计消费单数
		public String realAmount;// 实际应付金额 （暂未实现）

		@Override
		public String toString() {
			return "ProductsReturnBean [returnList=" + returnList + ", totalAmount=" + totalAmount + ", totalConsNum=" + totalConsNum + ", realAmount=" + realAmount + "]";
		}

	}

	public class ProductsreturnList {
		public List<SaleProductList> saleProductList;
		public String consId;// 订单Id
		public String cusMobile;// 会员手机号
		public String saleDateStr;// 交易时间
		public String saleType;// 销售类型
		public String storeId;// 门店id
		public String productId;// 产品id（以逗号连起来）
		public String productName;// 产品名称（逗号连起来）
		public String unitName;// 产品单位
		public String consNum;// 消费数量（以逗号连起来）
		public String productPrice;// 单价（以逗号连起来）
		public String consAmount;// 金额（以逗号隔开）
		public String Realamount;// 实际应付金额（暂未开发）
		public String salerName;// 销售员姓名
		public String dayNotBuy;// 距上次购买天数

		@Override
		public String toString() {
			return "ProductsreturnList [saleProductList=" + saleProductList + ", consId=" + consId + ", cusMobile=" + cusMobile + ", saleDateStr=" + saleDateStr + ", saleType=" + saleType + ", storeId=" + storeId + ", productId=" + productId + ", productName=" + productName + ", unitName="
					+ unitName + ", consNum=" + consNum + ", productPrice=" + productPrice + ", consAmount=" + consAmount + ", Realamount=" + Realamount + ", salerName=" + salerName + ", dayNotBuy=" + dayNotBuy + "]";
		}

	}

	public class SaleProductList {
		public String productId;// 产品id
		public String productName;// 产品名称
		public String unitName;// 产品单位
		public String productNum;// 数量
		public String amount;// 小计

		@Override
		public String toString() {
			return "SaleProductList [productId=" + productId + ", productName=" + productName + ", unitName=" + unitName + ", productNum=" + productNum + ", amount=" + amount + "]";
		}

	}
}
