package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.response.BaseOldResponse;

import java.util.ArrayList;

/**
 * @author XP
 * @ClassName: MyWeiVIPEntity
 * @Description: 我的微会员数据实体
 * @date 2015-10-28 上午10:44:55
 */
public class MyWeiVIPEntity extends BaseOldResponse {

    public MyWeiVIPReturnBean returnBean;

    @Override
    public String toString() {
        return "MyWeiVIPEntity [returnBean=" + returnBean + "]";
    }

    public class MyWeiVIPReturnBean {
        public ArrayList<MyWeiVIPreturnList> returnList;

        @Override
        public String toString() {
            return "MyWeiVIPReturnBean [returnList=" + returnList + "]";
        }

    }

    public class MyWeiVIPreturnList {
        public String saleNumber;// 客单数
        public String weMemberNumber;// 微会员总数
        public String weMemberRate;// 微会员占比
        public String saleNumbers;// 门店的客单数/销售次数 以逗号隔开 ，适用于督导模式
        public String weMemberNumbers;// 门店的微会员数量 以逗号隔开 ， 适用于督导模式
        public String weMemberRates;// 微会员占比 以逗号隔开 ，适用于督导模式
        public String storeNames;// 门店名称 以逗号隔开 ，适用于督导模式
        public ArrayList<StoreWeMemberList> storeWeMemberList;

        @Override
        public String toString() {
            return "MyWeiVIPreturnList [saleNumber=" + saleNumber + ", weMemberNumber=" + weMemberNumber + ", weMemberRate=" + weMemberRate + ", saleNumbers=" + saleNumbers + ", weMemberNumbers=" + weMemberNumbers + ", weMemberRates=" + weMemberRates + ", storeNames=" + storeNames
                    + ", storeWeMemberList=" + storeWeMemberList + "]";
        }
    }

    public class StoreWeMemberList {
        public String storeName;// 门店名称
        public String saleNumber;// 客单数
        public String weMemberNumber;// 微会员数
        public String weMemberRate;// 微信会员占比

        @Override
        public String toString() {
            return "StoreWeMemberList [storeName=" + storeName + ", saleNumber=" + saleNumber + ", weMemberNumber=" + weMemberNumber + ", weMemberRate=" + weMemberRate + "]";
        }

    }
}
