package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.urovo.wugumofang.data.DateUtil;

/**
 * 门店配送收货单据实体类
 * 
 * @author Administrator
 *
 */
public class PeiSongShouHuoEntity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String TStoreId = ""; // 收货门店编号
	private String TStoreName = ""; // 收货门店名称
	private String Bill = ""; // 收货单号
	private String PS_Bill = ""; // 配送单号
	private String FStoreId = ""; // 配出门店编号
	private String FStoreName = ""; // 配出门店名称
	// / 配出门店仓库：等于调出门店+"01"
	public String FSTWHSID;
	// / 收货门店仓库：等于调入门店+"01"
	public String TSTWHSID;
	private double PSNUM = 0; // 配送品种数
	private double PSPACK = 0; // 配送箱数
	private String PSBC = ""; // 配送班次
	private String PSTYPE = ""; // 配送类型
	private String WDate = DateUtil.getDate(new Date()); // 制单日期
	private String BDate = DateUtil.getDate(new Date()); // 配送日期
	private String Oper_Lr = ""; // 配送单制单人id
	private String Lr_Name = ""; // 配送单制单人名称
	private String Oper_Sh = ""; // 收货人id
	private String Sh_Name = ""; // 收货人名称
	// / 单据状态：制单：0
	public String Status = "0";
	// / 单据收货状态：0-未收货
	public String SHSTATUS = "0";
	private String Comm = ""; // 备注
	private List<ProductEntity> ProductDetails = null; // 配送收货产品明细
	public boolean isSubmit = false;

	public String getTStoreId() {
		return TStoreId;
	}

	public void setTStoreId(String TStoreId) {
		this.TStoreId = TStoreId;
	}

	public String getTStoreName() {
		return TStoreName;
	}

	public void setTStoreName(String TStoreName) {
		this.TStoreName = TStoreName;
	}

	public String getBill() {
		return Bill;
	}

	public void setBill(String Bill) {
		this.Bill = Bill;
	}

	public String getPS_Bill() {
		return PS_Bill;
	}

	public void setPS_Bill(String PS_Bill) {
		this.PS_Bill = PS_Bill;
	}

	public String getFStoreId() {
		return FStoreId;
	}

	public void setFStoreId(String FStoreId) {
		this.FStoreId = FStoreId;
	}

	public String getFStoreName() {
		return FStoreName;
	}

	public void setFStoreName(String FStoreName) {
		this.FStoreName = FStoreName;
	}

	public String getFSTWHSID() {
		return FSTWHSID;
	}

	public void setFSTWHSID(String fSTWHSID) {
		FSTWHSID = fSTWHSID;
	}

	public String getTSTWHSID() {
		return TSTWHSID;
	}

	public void setTSTWHSID(String tSTWHSID) {
		TSTWHSID = tSTWHSID;
	}

	public double getPSNUM() {
		return PSNUM;
	}

	public void setPSNUM(double PSNUM) {
		this.PSNUM = PSNUM;
	}

	public double getPSPACK() {
		return PSPACK;
	}

	public void setPSPACK(double PSPACK) {
		this.PSPACK = PSPACK;
	}

	public String getPSBC() {
		return PSBC;
	}

	public void setPSBC(String PSBC) {
		this.PSBC = PSBC;
	}

	public String getPSTYPE() {
		return PSTYPE;
	}

	public void setPSTYPE(String PSTYPE) {
		this.PSTYPE = PSTYPE;
	}

	public String getWDate() {
		return WDate;
	}

	public void setWDate(String WDate) {
		this.WDate = WDate;
	}

	public String getBDate() {
		return BDate;
	}

	public void setBDate(String BDate) {
		this.BDate = BDate;
	}

	public String getOper_Lr() {
		return Oper_Lr;
	}

	public void setOper_Lr(String Oper_Lr) {
		this.Oper_Lr = Oper_Lr;
	}

	public String getLr_Name() {
		return Lr_Name;
	}

	public void setLr_Name(String Lr_Name) {
		this.Lr_Name = Lr_Name;
	}

	public String getOper_Sh() {
		return Oper_Sh;
	}

	public void setOper_Sh(String Oper_Sh) {
		this.Oper_Sh = Oper_Sh;
	}

	public String getSh_Name() {
		return Sh_Name;
	}

	public void setSh_Name(String Sh_Name) {
		this.Sh_Name = Sh_Name;
	}

	public String getStatus() {
		return Status;
	}

	public void setStatus(String status) {
		Status = status;
	}

	public String getSHSTATUS() {
		return SHSTATUS;
	}

	public void setSHSTATUS(String sHSTATUS) {
		SHSTATUS = sHSTATUS;
	}

	public String getComm() {
		return Comm;
	}

	public void setComm(String Comm) {
		this.Comm = Comm;
	}

	public List<ProductEntity> getProductDetails() {
		return ProductDetails;
	}

	public void setProductDetails(List<ProductEntity> ProductDetails) {
		this.ProductDetails = ProductDetails;
	}

}