package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.response.Base3Response;

import java.io.Serializable;
import java.util.List;

/**
 * Created by chenji on 2017/3/13.
 * 个人信息确认实体类
 */

public class PersonalEntity extends Base3Response implements Serializable {
    /**
     * resultInfo : {"confirmStatus":"0","confirmDate":null,"personalInfoList":[{"key":"员工号","value":"75598853"},{"key":"员工名","value":"梁月全"},{"key":"门店名","value":"华润万家深圳南头欢乐颂店"},{"key":"职位","value":"营养顾问"},{"key":"性别","value":"女"},{"key":"籍贯","value":"广东东莞"},{"key":"身份证","value":"440882198503281526"},{"key":"生日","value":"1985-03-28"},{"key":"入职日期","value":"2015-07-01"},{"key":"联系电话","value":"13670145164"},{"key":"银行卡行","value":"平安银行"},{"key":"银行卡号","value":"6230580000033954947"},{"key":"基本工资","value":"2000.00"},{"key":"绩效工资","value":"0.00"},{"key":"爱心基金","value":"2.00"}]}
     */

    private ResultInfoEntity resultInfo;

    public ResultInfoEntity getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(ResultInfoEntity resultInfo) {
        this.resultInfo = resultInfo;
    }

    public static class ResultInfoEntity {
        /**
         * confirmStatus : 0
         * confirmDate : null
         * personalInfoList : [{"key":"员工号","value":"75598853"},{"key":"员工名","value":"梁月全"},{"key":"门店名","value":"华润万家深圳南头欢乐颂店"},{"key":"职位","value":"营养顾问"},{"key":"性别","value":"女"},{"key":"籍贯","value":"广东东莞"},{"key":"身份证","value":"440882198503281526"},{"key":"生日","value":"1985-03-28"},{"key":"入职日期","value":"2015-07-01"},{"key":"联系电话","value":"13670145164"},{"key":"银行卡行","value":"平安银行"},{"key":"银行卡号","value":"6230580000033954947"},{"key":"基本工资","value":"2000.00"},{"key":"绩效工资","value":"0.00"},{"key":"爱心基金","value":"2.00"}]
         */

        private String confirmStatus;
        private Object confirmDate;
        private List<PersonalInfoListEntity> personalInfoList;

        public String getConfirmStatus() {
            return confirmStatus;
        }

        public void setConfirmStatus(String confirmStatus) {
            this.confirmStatus = confirmStatus;
        }

        public Object getConfirmDate() {
            return confirmDate;
        }

        public void setConfirmDate(Object confirmDate) {
            this.confirmDate = confirmDate;
        }

        public List<PersonalInfoListEntity> getPersonalInfoList() {
            return personalInfoList;
        }

        public void setPersonalInfoList(List<PersonalInfoListEntity> personalInfoList) {
            this.personalInfoList = personalInfoList;
        }

        public static class PersonalInfoListEntity {
            /**
             * key : 员工号
             * value : 75598853
             */

            private String key;
            private String value;

            public String getKey() {
                return key;
            }

            public void setKey(String key) {
                this.key = key;
            }

            public String getValue() {
                return value;
            }

            public void setValue(String value) {
                this.value = value;
            }
        }
    }
}
