package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;

/**
 * @author chenji
 */
public class StockSearchEntity implements Serializable {
    /**
     * currentAmount : 0 当前月销售
     * oneMonthAmount : 34457 一个月销售
     * stockAmount : 52505.6 库存总金额
     * stockDays : 45 库存天数
     * shouhuoAmount : 0 待收货金额
     * standardAmount : 56829.6 库存金额标准
     */

    private double currentAmount;
    private double oneMonthAmount;
    private double stockAmount;
    private int stockDays;
    private double shouhuoAmount;
    private double standardAmount;

    public double getCurrentAmount() {
        return currentAmount;
    }

    public void setCurrentAmount(double currentAmount) {
        this.currentAmount = currentAmount;
    }

    public double getOneMonthAmount() {
        return oneMonthAmount;
    }

    public void setOneMonthAmount(double oneMonthAmount) {
        this.oneMonthAmount = oneMonthAmount;
    }

    public double getStockAmount() {
        return stockAmount;
    }

    public void setStockAmount(double stockAmount) {
        this.stockAmount = stockAmount;
    }

    public int getStockDays() {
        return stockDays;
    }

    public void setStockDays(int stockDays) {
        this.stockDays = stockDays;
    }

    public double getShouhuoAmount() {
        return shouhuoAmount;
    }

    public void setShouhuoAmount(double shouhuoAmount) {
        this.shouhuoAmount = shouhuoAmount;
    }

    public double getStandardAmount() {
        return standardAmount;
    }

    public void setStandardAmount(double standardAmount) {
        this.standardAmount = standardAmount;
    }

    @Override
    public String toString() {
        return "StockSearchEntity{" +
                "currentAmount=" + currentAmount +
                ", oneMonthAmount=" + oneMonthAmount +
                ", stockAmount=" + stockAmount +
                ", stockDays=" + stockDays +
                ", shouhuoAmount=" + shouhuoAmount +
                ", standardAmount=" + standardAmount +
                '}';
    }
}
