package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;

/**
 * 物流箱主表实体类
 * 
 * @author Administrator
 *
 */
public class WLCK003MEntity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	// / 箱条码，格式为CODE-128
	public String BQCODE;
	// / 电子标签位置号(1-12)
	public double WZNO;
	// / 物流箱号（一天、一个门店的第X箱）
	public String WLXNO;
	// / 标签类型：Z-整箱 S-散拼 F-辅料 K-空白
	public String YNPACK;
	// / 配送波次号
	public String PSBC;
	// / 目标门店编号
	public String TSTOREID;
	// / 目标门店名称
	public String TSTORENAME;
	// / 是否已装车 Y-已装车 N-未装车
	public String YN_ZC;
	// / 配送日期（YYYY-MM-DD）
	public String ZCBILL;
	// / 配送单号
	public String PSBILL;
	// / 装车日期（YYYY-MM-DD）
	public String ZCDATE;
	// / 装车时间（HH24:MI）
	public String ZCTIME;
	// / 装车人编号
	public String ZC_OPER;
	// / 装车人姓名
	public String ZC_NAME;
	// / 物流公司（视图:V_WLGS）
	public String WLGS;
	// / 物流公司名称
	public String WLGSNAME;
	// / 车牌号
	public String WLCPH;
	// / 配送区域（视图:V_FHNO）
	public String FHNO;
	// / 配送区域名称
	public String FHNONAME;
	// / 通讯标志：Y-通讯 N-不通讯
	public String YN_TX;
	// / YN-XX 是否已下线
	public String YN_XX;
	// / XXDATE 下线日期
	public String XXDATE;
	// / XXTIME 下线时间
	public String XXTIME;
	// / XX_OPER 下线人编码
	public String XX_OPER;
	// / XX_NAME 下线人姓名
	public String XX_NAME;
	// / 物流箱子表实体集合
	public WLCK003DEntity[] Details;
	// / 收货状态:ZC-正常 CY-差异 WD-未到
	public String SH_STATUS;

	public boolean isVerify = false;

}
