package com.urovo.wgmf.db.dao.entitys;

import com.urovo.wugumofang.data.DateUtil;

import java.io.Serializable;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * 销售\退货单据实体类
 *
 * @author Administrator
 */
public class XiaoShouEntity implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    public String STWHSID; // 仓库编号：等于门店编号+01
    public int checkCount = 0;
    public int isUp = 0;
    private String Bill = ""; // 单据号
    private String SaleBill = ""; // 原销售单据号
    private String StoreId = ""; // 门店编号
    private String StoreName = ""; // 门店名称
    private double TNET = 0; // 实销金额
    private double SKTNET = 0; // 收款金额
    private double SKROUND = 0; // 舍入金额
    private double ZKYHJE = 0; // 折扣优惠金额
    private double TLine = 0; // 整单品种数
    private String SaleDate = DateUtil.getDateTime(new Date()); // 销售日期yyyy-MM-dd
    // HH:mm:ss
    private String SaleTime = DateUtil.getTime(new Date()); // 销售时间（无冒号）HHmmss
    private String SCDate = DateUtil.getDateTime(new Date()); // 上传日期时间(有时间)yyyy-MM-dd
    // HH:mm:ss
    private double BillNo = 0; // 单据序号
    private String MDBC = "Z"; // 门店班次
    private String SkyId = ""; // 营养顾问编号
    private String SaleEmpName = ""; // 促销员\销售员名称
    private String CUSTID = ""; // 会员号
    private String HYXB = "M"; // 会员性别
    // private String AGE = ""; // 年龄段
    // private String REASON = ""; // 购买原因
    private List<HuiYuanTag> tag;
    private String VipName = ""; // 会员名称
    private String XSTYPE = "1"; // 销售类型:销售:1、退货:2
    private String POSID = "4"; // POS编号：固定门店模式下为4，督导模式下为5 //测试环境2 3
    private String DYSaleDate = ""; // 退货对应的销售日期(无时间)（据说并没有什么卵用）
    private String DYSaleTime = ""; // 退货对应的销售时间(无冒号)（据说并没有什么卵用）
    private double DYBillNo = 0; // 退货对应的销售单序号
    private ProductEntity[] ProductDetails = null; // 销售\退货产品明细
    private String failReason = "";
    private String promid = "";// 活动ID
    private String exchangecode = "";// 验证码
    private int ordertype = 0;// 订单类型 0正常下单   1补录   2微商城   3到家业务
    private String orderBillNo;//到家业务订单号
    private int delivertype = 0;// 提货类型
    private String recommendation;// 老带新者号码

    /**
     * 是否赠送产品积分（0.送    1.不送）
     */
    private int sentProPointOrNot;
    /**
     * 该单赠送积分
     */
    private double giftPoints;
    /**
     * 该单优惠金额
     */
    private double giftMoney;

    public double getGiftMoney() {
        return giftMoney;
    }

    public void setGiftMoney(double giftMoney) {
        this.giftMoney = giftMoney;
    }

    public int getSentProPointOrNot() {
        return sentProPointOrNot;
    }

    public void setSentProPointOrNot(int sentProPointOrNot) {
        this.sentProPointOrNot = sentProPointOrNot;
    }

    public double getGiftPoints() {
        return giftPoints;
    }

    public void setGiftPoints(double giftPoints) {
        this.giftPoints = giftPoints;
    }

    public String getBill() {
        return Bill;
    }

    public void setBill(String bill) {
        Bill = bill;
    }

    public String getFailSeason() {
        return failReason;
    }

    public void setFailSeason(String reason) {
        failReason = reason;
    }

    public String getSaleBill() {
        return SaleBill;
    }

    public void setSaleBill(String saleBill) {
        SaleBill = saleBill;
    }

    public String getStoreId() {
        return StoreId;
    }

    public void setStoreId(String storeId) {
        StoreId = storeId;
    }

    public String getSTWHSID() {
        return STWHSID;
    }

    public void setSTWHSID(String sTWHSID) {
        STWHSID = sTWHSID;
    }

    public String getStoreName() {
        return StoreName;
    }

    public void setStoreName(String storeName) {
        StoreName = storeName;
    }

    public double getTNET() {
        return TNET;
    }

    public void setTNET(double tNET) {
        TNET = tNET;
    }

    public double getSKTNET() {
        return SKTNET;
    }

    public void setSKTNET(double sKTNET) {
        SKTNET = sKTNET;
    }

    public double getSKROUND() {
        return SKROUND;
    }

    public void setSKROUND(double sKROUND) {
        SKROUND = sKROUND;
    }

    public double getZKYHJE() {
        return ZKYHJE;
    }

    public void setZKYHJE(double zKYHJE) {
        ZKYHJE = zKYHJE;
    }

    public double getTLine() {
        return TLine;
    }

    public void setTLine(double tLine) {
        TLine = tLine;
    }

    public String getSaleDate() {
        return SaleDate;
    }

    public void setSaleDate(String saleDate) {
        SaleDate = saleDate;
    }

    public String getSaleTime() {
        return SaleTime;
    }

    public void setSaleTime(String saleTime) {
        SaleTime = saleTime;
    }

    public String getSCDate() {
        return SCDate;
    }

    public void setSCDate(String sCDate) {
        SCDate = sCDate;
    }

    public double getBillNo() {
        return BillNo;
    }

    public void setBillNo(double billNo) {
        BillNo = billNo;
    }

    public String getMDBC() {
        return MDBC;
    }

    public void setMDBC(String mDBC) {
        MDBC = mDBC;
    }

    public String getSkyId() {
        return SkyId;
    }

    public void setSkyId(String skyId) {
        SkyId = skyId;
    }

    public String getSaleEmpName() {
        return SaleEmpName;
    }

    public void setSaleEmpName(String saleEmpName) {
        SaleEmpName = saleEmpName;
    }

    public String getCUSTID() {
        return CUSTID;
    }

    public void setCUSTID(String cUSTID) {
        CUSTID = cUSTID;
    }

    public String getHYXB() {
        return HYXB;
    }

    public void setHYXB(String hYXB) {
        HYXB = hYXB;
    }

    /**
     * @return the tag
     */
    public List<HuiYuanTag> getTag() {
        return tag;
    }

    /**
     * @param tag the tag to set
     */
    public void setTag(List<HuiYuanTag> tag) {
        this.tag = tag;
    }

    public String getVipName() {
        return VipName;
    }

    public void setVipName(String vipName) {
        VipName = vipName;
    }

    public String getXSTYPE() {
        return XSTYPE;
    }

    public void setXSTYPE(String xSTYPE) {
        XSTYPE = xSTYPE;
    }

    public String getPOSID() {
        return POSID;
    }

    public void setPOSID(String pOSID) {
        POSID = pOSID;
    }

    public String getDYSaleDate() {
        return DYSaleDate;
    }

    public void setDYSaleDate(String dYSaleDate) {
        DYSaleDate = dYSaleDate;
    }

    public String getDYSaleTime() {
        return DYSaleTime;
    }

    public void setDYSaleTime(String dYSaleTime) {
        DYSaleTime = dYSaleTime;
    }

    public double getDYBillNo() {
        return DYBillNo;
    }

    public void setDYBillNo(double dYBillNo) {
        DYBillNo = dYBillNo;
    }

    public ProductEntity[] getProductDetails() {
        return ProductDetails;
    }

    public void setProductDetails(ProductEntity[] productDetails) {
        ProductDetails = productDetails;
    }

    /**
     * @return the promid
     */
    public String getPromid() {
        return promid;
    }

    /**
     * @param promid the promid to set
     */
    public void setPromid(String promid) {
        this.promid = promid;
    }

    /**
     * @return the exchangecode
     */
    public String getExchangecode() {
        return exchangecode;
    }

    /**
     * @param exchangecode the exchangecode to set
     */
    public void setExchangecode(String exchangecode) {
        this.exchangecode = exchangecode;
    }

    /**
     * @return the checkCount
     */
    public int getCheckCount() {
        return checkCount;
    }

    /**
     * @param checkCount the checkCount to set
     */
    public void setCheckCount(int checkCount) {
        this.checkCount = checkCount;
    }

    /**
     * @return the isUp
     */
    public int getIsUp() {
        return isUp;
    }

    /**
     * @param isUp the isUp to set
     */
    public void setIsUp(int isUp) {
        this.isUp = isUp;
    }

    /**
     * @return the failReason
     */
    public String getFailReason() {
        return failReason;
    }

    /**
     * @param failReason the failReason to set
     */
    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

    /**
     * @return the ordertype
     */
    public int getOrdertype() {
        return ordertype;
    }

    public String getOrderBillNo() {
        return orderBillNo;
    }

    /**
     * @param ordertype the ordertype to set
     */
    public void setOrdertype(int ordertype) {
        this.ordertype = ordertype;
    }

    public void setOrderBillNo(String orderBillNo) {
        this.orderBillNo = orderBillNo;
    }

    /**
     * @return the delivertype
     */
    public int getDelivertype() {
        return delivertype;
    }

    /**
     * @param delivertype the delivertype to set
     */
    public void setDelivertype(int delivertype) {
        this.delivertype = delivertype;
    }

    /**
     * @return the recommendation
     */
    public String getRecommendation() {
        return recommendation;
    }

    /**
     * @param recommendation the recommendation to set
     */
    public void setRecommendation(String recommendation) {
        this.recommendation = recommendation;
    }

    @Override
    public String toString() {
        return "XiaoShouEntity{" +
                "Bill='" + Bill + '\'' +
                ", SaleBill='" + SaleBill + '\'' +
                ", StoreId='" + StoreId + '\'' +
                ", STWHSID='" + STWHSID + '\'' +
                ", StoreName='" + StoreName + '\'' +
                ", TNET=" + TNET +
                ", SKTNET=" + SKTNET +
                ", SKROUND=" + SKROUND +
                ", ZKYHJE=" + ZKYHJE +
                ", TLine=" + TLine +
                ", SaleDate='" + SaleDate + '\'' +
                ", SaleTime='" + SaleTime + '\'' +
                ", SCDate='" + SCDate + '\'' +
                ", BillNo=" + BillNo +
                ", MDBC='" + MDBC + '\'' +
                ", SkyId='" + SkyId + '\'' +
                ", SaleEmpName='" + SaleEmpName + '\'' +
                ", CUSTID='" + CUSTID + '\'' +
                ", HYXB='" + HYXB + '\'' +
                ", tag=" + tag +
                ", VipName='" + VipName + '\'' +
                ", XSTYPE='" + XSTYPE + '\'' +
                ", POSID='" + POSID + '\'' +
                ", DYSaleDate='" + DYSaleDate + '\'' +
                ", DYSaleTime='" + DYSaleTime + '\'' +
                ", DYBillNo=" + DYBillNo +
                ", ProductDetails=" + Arrays.toString(ProductDetails) +
                ", checkCount=" + checkCount +
                ", isUp=" + isUp +
                ", failReason='" + failReason + '\'' +
                ", promid='" + promid + '\'' +
                ", exchangecode='" + exchangecode + '\'' +
                ", ordertype=" + ordertype +
                ", delivertype=" + delivertype +
                ", recommendation='" + recommendation + '\'' +
                '}';
    }
}
