package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;
import java.util.List;

/**
 * 资材调拨单主表---对应于后台的ZCDB001表
 * 
 * @author Administrator
 *
 */
public class ZCDB001Entity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	// / 调拨单号
	public String BILL;
	// / 调出门店编号
	public String STOREID;
	// / 调出门店名称
	public String STOREName;
	// / 调出门店仓库编号(调出门店号+01)
	public String ZCWHSID;
	// / 调入门店编号
	public String TSTOREID;
	// / 调入门店仓库编号(调入门店号+01)
	public String TZCWHSID;
	// / 制单日期
	public String WDATE;
	// / 制单人
	public String LR_NAME;
	// / 制单人编号
	public String OPER_LR;
	// / 审核日期
	public String BDATE;
	// / 审核人
	public String SH_NAME;
	// / 审核人编号
	public String OPER_SH;
	// / 状态 0-制单 1-审核（如果是调出单，提交时候该字段写0）
	public String STATUS;
	// / 收货状态：0-未收货1-已收货
	public String SHSTATUS;
	// / 是否通讯
	public String YN_TX;
	// / 备注
	public String COMM;
	// / 收货日期
	public String RKDATE;
	// / 收货人
	public String RK_NAME;
	// / 收货人编号
	public String OPER_RK;
	// / 资产明细
	public List<ZCDB002Entity> ZCDetails;
	// / 是否已上传
	public boolean IsUpload;
	// / 终端上是否已做收货处理
	public boolean IsProcessed;

}
