package com.urovo.wgmf.db.dao.entitys;

import java.io.Serializable;
import java.util.List;

/**
 * 资材盘点单主表---对应于后台的ZCPD001表
 * 
 * @author Administrator
 *
 */
public class ZCPD001Entity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	// / 盘点单号
	public String BILL;
	// / 盘点门店编号
	public String STOREID;
	// / 盘点门店名称
	public String STOREName;
	// / 盘点门店仓库编号(调出门店号+01)
	public String ZCWHSID;
	// / 制单日期
	public String WDATE;
	// / 制单人
	public String LR_NAME;
	// / 制单人编号
	public String OPER_LR;
	// / 审核日期
	public String BDATE;
	// / 审核人
	public String SH_NAME;
	// / 审核人编号
	public String OPER_SH;
	// / 状态 0-制单 1-审核
	public String STATUS;
	// / 实盘状态：0-未实盘 1-已实盘
	public String SPSTATUS;
	// / 是否通讯
	public String YN_TX;
	// / 备注
	public String COMM;
	// / 资产明细
	public List<ZCPD002Entity> ZCDetails;
	// / 是否已上传
	public boolean IsUpload;
	// / 终端上是否已做收货处理
	public boolean IsProcessed;

}
