package com.urovo.wugumofang.net.callback

import com.urovo.wugumofang.net.ApiException
import retrofit2.Call
import retrofit2.Callback

abstract  class  RetrofitCallback<T> : Callback<T> {

    override fun onFailure(call: Call<T>, throwable: Throwable) {
        onFailure(ApiException.handleException(throwable))
    }

    protected abstract fun onFailure(exception: ApiException)

}