package com.urovo.wugumofang.utils

object NumberUtil {

    /**
     * 生成固定位数随机数
     *
     * @param digitNumber 随机数位数
     * @return
     */
    @JvmStatic
    fun generateRandom(digitNumber: Int): String {
        if (digitNumber == 0) {
            return ""
        }
        val content:String=(((Math.random() * 9 + 1) * Math.pow(
            10.0,
            (digitNumber - 1).toDouble()
        )).toInt()).toString()
        return content
    }
}