package com.urovo.wugumofang.view;

import com.chad.library.adapter.base.loadmore.LoadMoreView;
import com.urovo.wugumofang.constants.AppConstants;
import com.urovo.wugumofang.libutils.R;

/**
 * @author chenji
 */
public final class CustomLoadMoreView extends LoadMoreView {
    private String mTag;

    public CustomLoadMoreView() {

    }

    public CustomLoadMoreView(String tag) {
        mTag = tag;
    }

    @Override
    public int getLayoutId() {
        //如果是更多页面,就用这个状态布局显示
        if (AppConstants.TabActState.MORE_LOAD_STATE.equals(mTag)) {
            return R.layout.view_load_more2;
        } else {
            return R.layout.view_load_more;
        }
    }

    @Override
    protected int getLoadingViewId() {
        return R.id.load_more_loading_view;
    }

    @Override
    protected int getLoadFailViewId() {
        return R.id.load_more_load_fail_view;
    }

    @Override
    protected int getLoadEndViewId() {
        return R.id.load_more_load_end_view;
    }
}
