package com.zsy.libcore.listener;

/**
 * @author samy(hongfeiliuxing@gmail.com)
 * @datetime 2015-10-24 02:28
 */
public interface DataListener<E> {
	/**
	 * when data call back success
	 *
	 * @param data
	 */
	void onSuccess(E data);

	/**
	 * when data call back error
	 *
	 * @param msg
	 */
	void onError(String msg);

	/**
	 * when data call back occurred exception
	 *
	 * @param msg
	 */
	void onException(String msg);
}
