package com.zsy.libcore.model.bean;

import retrofit2.Call;
import retrofit2.Response;

/**
 * 切记:用这个类必须用Request2Result作为包一层回调;
 * 处理网络能回调的封装
 * 自定义返回信息，回调，在Callback中封装了下；
 * 这个公共类只处理c
 * Created by samy on 16/8/21.
 */
public class Result2Callback<T> extends ResultBaseCallback<Request2Result<T>> {
  @Override
  public void onResponse(Call<Request2Result<T>> call, Response<Request2Result<T>> response) {
    /*  if (!response.isSuccessful()) {//(code >= 200 && code < 300)
    int code = response.code();
      if (code == 401) {
        this.onFailure(call, new Throwable("unauthenticated response:" + response.errorBody()));
      } else if (code >= 400 && code < 500) {
        this.onFailure(call, new Throwable("clientError" + " response:" + response.errorBody()));
      } else if (code >= 500 && code < 600) {
        this.onFailure(call, new Throwable("serverError response:" + response.errorBody()));
      } else {
        this.onFailure(call, new Throwable("Unexpected response:" + response.errorBody()));
      }
      this.onFailure(call,new Throwable(response.errorBody().toString()));
    }*/
    if (response.code() == 200) {
      Request2Result<T> responseBody = response.body();
      int flag = responseBody.msgCode;
      if (flag != 0) {
        toastNetTips(responseBody.msgContent);
      } else {//正常情况下；
        onResponseSuccess(responseBody);
      }
    } else {
      this.onFailure(call, new Throwable(response.errorBody().toString()));
    }
  }

  /**
   * 处理response.code() == 200且msgCode=0;即正常响应；
   */
  protected void onResponseSuccess(Request2Result<T> responseBody) {

  }
}