package com.zsy.libcore.view;

import androidx.annotation.NonNull;

/**
 * View主动去绑定逻辑，修改原来的逻辑；
 * 这个Presenter 设计的会更灵活；
 *
 */
public interface BaseAppCompatView<P> {
	/**这里处理初始化Presenter和抓取数据回调*/
	//void initPresenter();

  void setPresenter(@NonNull P presenter);

  //Fragment情况下；isAdded();
  boolean isActive();
}