package com.urovo.wugumofang.printermodule;

import android.os.Bundle;

import java.util.List;


/**
 * Created by chenji on 2017/8/18.
 * 条码类型公共接口
 * <p>
 *
 * @see ItemCodePrinter# printer(PrinterUtil.PrinterRule rule, List<PrinterUtil.PrinterRule> printList)
 * @see CombineCodePrinter# printer(PrinterUtil.PrinterRule rule, List<PrinterUtil.PrinterRule> printList)
// * @see RtMartCodePrinter# printer(PrinterUtil.PrinterRule rule, List<PrinterUtil.PrinterRule> printList)
 */

public interface CodePrinter {
    void printer(PrinterUtil.PrinterRule rule, List<PrinterUtil.PrinterRule> printList);

    CodePrinter setOnPrinterCallBack(PrinterCallBack printerCallBack);

    interface PrinterCallBack {
        void displayError(Bundle bundle);

        void showToast(String msg);
    }
}
