package com.urovo.activity.MemberList.presenter;

import com.urovo.activity.MemberList.model.MemberListResponse;
import com.urovo.wgmf.AsyncTask.BaseAppServerTask;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.SystemHelper;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by Sasuke on 2016/5/18.
 */
public class MemberListPresenter implements MemberListContract.Presenter{
    MemberListContract.View mView;
    BaseActivity baseActivity;

    public MemberListPresenter(BaseActivity baseActivity,MemberListContract.View view) {
        this.mView = view;
        this.mView.setPresenter(this);
        this.baseActivity = baseActivity;
    }

    @Override
    public void start() {

    }

    /*@Override
    public void requestCount(Date mDate, List<MemberListEntity> mList) {
        //Date date = new Date();
        mList = null;//反正查完数量后面早晚要查具体数据的，这里先把数据表清一下
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Map<String, String> p = new HashMap<String, String>();
        p.put("userId", SystemHelper.LoginUserId);
        p.put("storeId", SystemHelper.LoginOrganId);
        p.put("startTimeStr", sdf.format(mDate));
        p.put("endTimeStr", sdf.format(mDate));
        new BaseYinXiaoServerTask("query", MemberListCountResponse.class,
                baseActivity, "正在获取新客数量...", true, "/information/getCustomerCareList",
                p).execute("");
    }*/

    /**
     * 获取客户信息列表的数据
     */
    @Override
    public void requestUserData(Date mDate,int mType) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Map<String, String> p = new HashMap<String, String>();
        p.put("userId", SystemHelper.LoginUserId);
        p.put("storeId", SystemHelper.LoginOrganId);
        p.put("type", mType+"");//1代码一次请求所有标签的数据
        p.put("startTimeStr", sdf.format(mDate));
        p.put("endTimeStr", sdf.format(mDate));
        new BaseAppServerTask("queryData",
                MemberListResponse.class,baseActivity, "正在获取会员数据...",
                true, "/customer/getCustomerGradeList", p).execute("");
    }
}
