package com.urovo.activity.MemberProfile.view;

import android.annotation.SuppressLint;
import android.content.ActivityNotFoundException;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.Nullable;

import com.tencent.mm.sdk.openapi.IWXAPI;
import com.tencent.mm.sdk.openapi.WXAPIFactory;
import com.urovo.activity.MemberProfile.model.GuanHuaiData;
import com.urovo.activity.MemberProfile.model.MemberProfileData;
import com.urovo.activity.MemberProfile.presenter.MemberProfileContract;
import com.urovo.activity.MemberProfile.presenter.MemberProfilePresenter;
import com.urovo.activity.MemberProfile.tool.TransMobileTool;
import com.urovo.activity.MemberProfile.ui.HuaShuPopup;
import com.urovo.activity.MemberProfile.ui.YouHuiAdapter;
import com.urovo.activity.learning.LearningCenterMenuActivity;
import com.urovo.activity.membergroup.RecommendHuaShuPop;
import com.urovo.activity.slidemenu.GouMaiJiLuActivity;
import com.urovo.activity.slidemenu.HuiYuanYouHuiQuanEntity;
import com.urovo.activity.slidemenu.JifenMingXiActivity;
import com.urovo.wgmf.db.dao.entitys.HuiYuanXiangXiZiLiaoEntity;
import com.urovo.wgmf.entity.response.CanKaoHuaShuResponse;
import com.urovo.wgmf.entity.response.HuiYuanXiangXiZiLiaoResponse;
import com.urovo.wgmf.entity.response.HuiYuanYouHuiQuanResponse;
import com.urovo.wgmf.view.OnMeasuredListView;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.constants.AppConstants;
import com.urovo.wugumofang.constants.Files;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.data.DataMonthUtils;
import com.urovo.wugumofang.response.BaseOldResponse;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.ui.CircleHeadPicTool;
import com.urovo.wugumofang.ui.DensityUtil;
import com.urovo.wugumofang.ui.SetFocusUtil;
import com.urovo.wugumofang.ui.ShareDominator;
import com.zsy.libext.widgets.clipboard.ClipboardUtil;
import com.zsy.libext.widgets.tips.ToastUtil;

import java.io.File;
import java.text.MessageFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Locale;

import static com.urovo.wugumofang.system.BaseAppManager.iwwapi;

public class MemberProfileAct extends BaseActivity implements OnClickListener, MemberProfileContract.View {
    public static final int CALL = 10;
    public static final int MSG = 11;
    public OnMeasuredListView youhuiLv;//优惠券列表
    public GuanHuaiData guanHuaiData;//关怀数据
    private HuaShuPopup pop;//参考话术弹窗
    //private String mPhone;
    private HuiYuanXiangXiZiLiaoEntity mEntity;
    private ImageView mImageViewHead;
    private TextView mTextViewName;
    private TextView mTextViewPhone;
    private TextView mCopyPhoneNum;
    private ImageView mImageViewSex;
    private TextView mTextViewBirthday;
    private TextView mTextViewNiChen;
    private TextView mtextViewIsWeiVIP;
    private TextView mTextViewZongJinE;
    private TextView mTextViewZongCiShu;
    private TextView mTextViewGouMaiShiJian;
    private TextView mTextViewGouMaiChanPin;
    private LinearLayout mRelativeLayoutChanPinMore;
    private TextView mTextViewJiFenYouXiao;
    private TextView mTextViewJiFenGuoQi;
    private TextView mTextViewJiFenCiShu;
    private LinearLayout mRelativeLayoutJiFenMore;
    private Button mCanKaoBtn;//右上角参考话术
    @SuppressWarnings("unused")
    private RecommendHuaShuPop mRecommendHuaShuPop;
    private int mType;//标签栏第几个标签（1，2，3.。。。）
    private String careType = "1";//关怀类型 默认1新客三响炮 2积分到期提醒 3砖石会员 4,自定义任务关怀"
    private String taskId;//只有在关怀类型为4自定义任务关怀时，才会传这个taskId
    private boolean isShowCareTools = true;//是否显示底栏的关怀工具栏。默认显示
    private ImageView mWeixin;//底栏微信点击
    private ImageView mMsg;//底栏短信回访点击
    private ImageView mCall;//底栏电话回访点击
    private ImageView mShare;//底栏转发点击
    private ImageView confirm_care_iv;//我已关怀
    private LinearLayout mWeixinBtn;
    private LinearLayout mMsgBtn;
    private LinearLayout mCallBtn;
    private LinearLayout mShareBtn;

    /*private LinearLayout label_person;//购买人群标签
    private LinearLayout label_reason;//购买原因标签
    private LinearLayout label_count;//一周食用频率标签
    private LinearLayout label_two_buy;//是否二次购买标签*/
    @SuppressWarnings("all")
    private LinearLayout confirm_care_ll;
    private TextView mTextViewJiFenGuoQiTitle;//30天或10天内即将过期的积分
    //private int mPosition;//该新客位于之前的列表里的哪个位置
    //private XinKeSanXiangPaoGuanHuaiEntity cell;
    //private Date mDate;
    private IWXAPI mApi;
    private TextView donHaveYouhuiText;//显示“”
    private View birthdayTopLine;//生日模块的相关组件，用于整体控制显隐
    private LinearLayout birthdayLayout;
    private ArrayList<HuiYuanYouHuiQuanEntity> youhuiList = new ArrayList<>();//优惠券实体列表
    private LinearLayout mainLayout;//ScrollView里的主布局，用于刚进入Activity时聚集焦点
    //private boolean isHuifang;//标记是否回访
    private ShareReceiver mShareReceiver;//监听转发文章成功的广播
    private MemberProfileContract.Presenter mPresenter;
    private RelativeLayout titleLayout;//参考话术popupWindow的相对组件
    private LinearLayout careToolBar;//底部关怀工具栏

    private ImageButton feedbackBottomBtn;//底部反馈按钮（默认隐藏）

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.huiyuanxiangxiziliao);
        titleTextView = findViewById(R.id.text_title);
        assert titleTextView != null;
        titleTextView.setText("会员详细资料");
        ImageButton goback = findViewById(R.id.goback);
        assert goback != null;
        goback.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });

        mPresenter = new MemberProfilePresenter(this);
        mPresenter.start();

        findViews();//获取组件们
        setListeners();//挂上监听器
        requestProfile();

        //Ctrl+G这段根本就没有用到嘛
        /*mRecommendHuaShuPop = new RecommendHuaShuPop(this, mCanKaoBtn,
                NetParam.YINXIAOBU_SERVER + NetParam.YINXIAOBU_ZAZHI_PATH
                        + "/sevenday.html");*/
    }

    @Override
    public void setPresenter(Object presenter) {
        mPresenter = (MemberProfileContract.Presenter) presenter;
    }

    @Override
    public void setReceiver() {
        mShareReceiver = new ShareReceiver();
        registerReceiver(mShareReceiver, new IntentFilter("com.urovo.wugumofang.MemberProfileAct.shareReceiver"));
    }

    @Override
    public void init() {
        guanHuaiData = new GuanHuaiData(((MemberProfileData) getIntent().getSerializableExtra("entity")),
                getIntent().getStringExtra("phone"),
                getIntent().getIntExtra("position", -1),
                mType = getIntent().getIntExtra("mType", 1), false);
        careType = getIntent().getStringExtra("careType");
        taskId = getIntent().getStringExtra("taskId");
        isShowCareTools = getIntent().getBooleanExtra("isShowCareTools",true);//是否显示底栏关怀工具栏，默认显示
        mApi = WXAPIFactory.createWXAPI(this, NetParam.WXAPP_ID, false);
    }


    @Override
    public void requestProfile() {
        mPresenter.request(guanHuaiData);
        //如果是自定义关怀进来的，并且已关怀，就后台判断一下显示底部反馈入口
        if (careType.equals("4")
                && guanHuaiData.getCell().getHasCommunication().equals("1")
                && guanHuaiData.getCell().getFeedback().equals("0")) {
            feedbackBottomBtn.setVisibility(View.VISIBLE);
        }
    }

    public void findViews() {
        titleLayout = (RelativeLayout) findViewById(R.id.layout_title);
        //底栏关怀工具栏
        careToolBar = (LinearLayout) findViewById(R.id.careToolBar);
        careToolBar.setVisibility(isShowCareTools? View.VISIBLE : View.GONE);

        feedbackBottomBtn = (ImageButton) findViewById(R.id.feedbackBottomBtn);
        feedbackBottomBtn.setOnClickListener(this);

        //右上角参考话术按钮(什么鬼，XML里竟然是“确认”按钮)
        mCanKaoBtn = (Button) findViewById(R.id.btn_sure);
        if ("1".equals(careType)) {//如果是从三响炮进来的
            mCanKaoBtn.setVisibility(View.VISIBLE);
        } else {//如果不是从三响炮进来的，那就全部干掉
            mCanKaoBtn.setVisibility(View.GONE);
        }
        mCanKaoBtn.setText("参考话术");

        mImageViewHead = (ImageView) findViewById(R.id.imageViewHead);
        mTextViewName = (TextView) findViewById(R.id.textViewName);
        mTextViewPhone = (TextView) findViewById(R.id.textViewPhone);
        mCopyPhoneNum = (TextView) findViewById(R.id.copy_phone_num);
        mImageViewSex = (ImageView) findViewById(R.id.image_view_sex);
        mTextViewBirthday = (TextView) findViewById(R.id.textViewBirthday);
        mTextViewNiChen = (TextView) findViewById(R.id.textViewNiChen);
        mtextViewIsWeiVIP = (TextView) findViewById(R.id.textViewIsWeiVIP);

        mTextViewZongJinE = (TextView) findViewById(R.id.textViewJinE);
        mTextViewZongCiShu = (TextView) findViewById(R.id.textViewCiShu);
        mTextViewGouMaiShiJian = (TextView) findViewById(R.id.textViewShiJian);
        mTextViewGouMaiChanPin = (TextView) findViewById(R.id.textViewChanPin);
        mRelativeLayoutChanPinMore = (LinearLayout) findViewById(R.id.relativeLayoutGouMai);

        mTextViewJiFenYouXiao = (TextView) findViewById(R.id.textViewJiFenYouXao);
        mTextViewJiFenGuoQi = (TextView) findViewById(R.id.textViewJiFenGuoQi);
        mTextViewJiFenCiShu = (TextView) findViewById(R.id.textViewJiFenCiShu);
        mRelativeLayoutJiFenMore = (LinearLayout) findViewById(R.id.relativeLayoutJiFen);
        mTextViewJiFenGuoQiTitle = (TextView) findViewById(R.id.textViewJiFenGuoQiTitle);

       /* //四个标签区
        label_person = (LinearLayout) findViewById(R.id.label_person);
        label_reason = (LinearLayout) findViewById(R.id.label_reason);
        label_count = (LinearLayout) findViewById(R.id.label_count);
        label_two_buy = (LinearLayout) findViewById(R.id.label_two_buy);*/

        //底栏四个导航按钮
        mWeixin = (ImageView) findViewById(R.id.imageViewWeixin);
        mMsg = (ImageView) findViewById(R.id.imageViewMsg);
        mCall = (ImageView) findViewById(R.id.imageViewCall);
        mShare = (ImageView) findViewById(R.id.imageViewShare);
        confirm_care_iv = (ImageView) findViewById(R.id.confirm_care_iv);
        mWeixinBtn = (LinearLayout) findViewById(R.id.weixin_layout);
        mMsgBtn = (LinearLayout) findViewById(R.id.msg_layout);
        mCallBtn = (LinearLayout) findViewById(R.id.call_layout);
        mShareBtn = (LinearLayout) findViewById(R.id.share_layout);
        confirm_care_ll = (LinearLayout) findViewById(R.id.confirm_care_ll);

        //优惠列表和 优惠券的有无
        youhuiLv = (OnMeasuredListView) findViewById(R.id.youhui_list);
        donHaveYouhuiText = (TextView) findViewById(R.id.dont_have_youhui);

        //生日模块的获取
        // birthdayTopLine = (View) findViewById(R.id.birthday_top_line);
        birthdayTopLine = findViewById(R.id.birthday_top_line);
        birthdayLayout = (LinearLayout) findViewById(R.id.birthday_layout);

        mainLayout = (LinearLayout) findViewById(R.id.main_layout);

//        if (guanHuaiData.getCell().getWechatCare() == 1) {//微信已回访
        if ("1".equals(guanHuaiData.getCell().getWechatCare())) {//微信已回访
            mWeixin.setImageResource(R.drawable.jz_enterprise_wechat_number_2);
        }
        if ("1".equals(guanHuaiData.getCell().getSmsCare())) {//短信已回访
            mMsg.setImageResource(R.drawable.sxp_msged);
        }
        if ("1".equals(guanHuaiData.getCell().getPhoneCare())) {//电话已回访
            mCall.setImageResource(R.drawable.sxp_called);
        }
        if (!TextUtils.isEmpty(guanHuaiData.getCell().getShareCare()) && "1".equals(guanHuaiData.getCell().getShareCare())) {//分享文章已回访
            mShare.setImageResource(R.drawable.sxp_shared);
        }
        if ("1".equals(guanHuaiData.getCell().getHasCommunication())) {
            confirm_care_iv.setImageResource(R.drawable.sxp_care_sured);
        } else {
            confirm_care_ll.setOnClickListener(this);
            if ("1".equals(guanHuaiData.getCell().getWechatCare())
                    || "1".equals(guanHuaiData.getCell().getSmsCare())
                    || "1".equals(guanHuaiData.getCell().getPhoneCare())
                    || !TextUtils.isEmpty(guanHuaiData.getCell().getShareCare())
                    && "1".equals(guanHuaiData.getCell().getShareCare())) {
                confirm_care_iv.setImageResource(R.drawable.sxp_care_available);
            } else {
                confirm_care_iv.setImageResource(R.drawable.sxp_care_unavailable);
            }
        }
    }

    public void setListeners() {
        mWeixinBtn.setOnClickListener(this);
        mMsgBtn.setOnClickListener(this);
        mCallBtn.setOnClickListener(this);
        mShareBtn.setOnClickListener(this);

        mCanKaoBtn.setOnClickListener(this);
        mRelativeLayoutJiFenMore.setOnClickListener(this);

        mCopyPhoneNum.setOnClickListener(this);// 手机号复制
    }

    @Override
    public void onClick(View v) {
        int id = v.getId();
        Intent intent = new Intent();
        switch (id) {
            case R.id.feedbackBottomBtn://自定义关怀反馈
                GuanhuaiFeedbackAct.launchGuanhuaiFeedbackAct(
                        this,
                        guanHuaiData.getCell().getCustomerMobile(),
                        taskId);
                break;
            case R.id.weixin_layout://企业微信回访
                if (iwwapi.openWWApp()) {
                    guanHuaiData.getCell().setWechatCare("1");
                    mWeixin.setImageResource(R.drawable.jz_enterprise_wechat_number_2);
                    mPresenter.upload(guanHuaiData, true, false, false, false, false, careType, mType, taskId);
                } else {
                    // Toast.makeText(SanXiangPaoGuanHuaiActivity.this,"打开企业微信失败或未安装企业微信",
                    // Toast.LENGTH_LONG).show();
                    showMsg("未安装企业微信");
                    /*Toast.makeText(MemberProfileAct.this,
                            "未安装微信", Toast.LENGTH_LONG).show();*/
                }
                break;
            case R.id.msg_layout://短信回访
                try {
                    intent.setAction(Intent.ACTION_SENDTO);
                    intent.setData(Uri.parse("smsto:"
                            + Uri.encode(guanHuaiData.getCell().getCustomerMobile())));
                    intent.putExtra("sms_body", (mEntity == null || TextUtils.isEmpty(mEntity.careInfo)) ? "" : mEntity.careInfo);
                    startActivityForResult(intent, MemberProfileAct.MSG);
                    guanHuaiData.getCell().setSmsCare("1");
                    mMsg.setImageResource(R.drawable.sxp_msged);
                    mPresenter.upload(guanHuaiData, false, true, false, false, false, careType, mType, taskId);
                } catch (ActivityNotFoundException e) {
                    showMsg("未安装短信软件");
                    /*Toast.makeText(MemberProfileAct.this,
                            "未安装短信软件", Toast.LENGTH_LONG).show();*/
                }
                break;
            case R.id.call_layout://电话回访
                try {
                    intent.setAction(Intent.ACTION_CALL);
                    intent.setData(Uri.parse("tel:" + guanHuaiData.getCell().getCustomerMobile()));
                    startActivityForResult(intent, MemberProfileAct.CALL);
                    guanHuaiData.getCell().setPhoneCare("1");
                    mCall.setImageResource(R.drawable.sxp_called);
                    mPresenter.upload(guanHuaiData, false, false, true, false, false, careType, mType, taskId);
                } catch (ActivityNotFoundException e) {
                    showMsg("未安装电话软件");
                    /*Toast.makeText(MemberProfileAct.this,
                            "未安装电话软件", Toast.LENGTH_LONG).show();*/
                }
                break;
            case R.id.share_layout://转发文章
                intent.setClass(MemberProfileAct.this,
                        LearningCenterMenuActivity.class);
                intent.putExtra(AppConstants.ExtraKeys.ACTIVITY_TYPE, "2");//1是学习中心，2是养生文库
                startActivity(intent);
                break;
            case R.id.btn_sure://参考话术
                mPresenter.getCanKaoHuaShu(guanHuaiData.getType());
                break;
            case R.id.relativeLayoutJiFen://跳转积分详情
                if (mEntity == null) {
                    return;
                }
                if (TextUtils.isEmpty(mEntity.customerMobile)) {
                    showMsg("会员手机号是空值，无法查看！");
                   /* Toast.makeText(MemberProfileAct.this,
                            "会员手机号是空值，无法查看！", Toast.LENGTH_LONG).show();*/
                    return;
                }
                intent.setClass(MemberProfileAct.this, JifenMingXiActivity.class);
                intent.putExtra("mType", mType);//第几个标签
                intent.putExtra("careType", careType);//
                intent.putExtra("huiyuan", mEntity.customerMobile);
                startActivity(intent);
                break;
            case R.id.relativeLayoutGouMai:
                if (TextUtils.isEmpty(mEntity.customerMobile)) {
                    showMsg("会员手机号是空值，无法查看！");
                    /*Toast.makeText(MemberProfileAct.this,
                            "会员手机号是空值，无法查看！", Toast.LENGTH_LONG).show();*/
                    return;
                }
                intent.setClass(MemberProfileAct.this, GouMaiJiLuActivity.class);
                intent.putExtra("phone", mEntity.customerMobile);
                startActivity(intent);
                break;
            case R.id.confirm_care_ll:
                if ("1".equals(guanHuaiData.getCell().getHasCommunication())) {
                    return;
                } else {
                    if (!("1".equals(guanHuaiData.getCell().getWechatCare())
                            || "1".equals(guanHuaiData.getCell().getSmsCare())
                            || "1".equals(guanHuaiData.getCell().getPhoneCare())
                            || !TextUtils.isEmpty(guanHuaiData.getCell().getShareCare())
                            && "1".equals(guanHuaiData.getCell().getShareCare()))) {
                        return;
                    }
                }
                guanHuaiData.getCell().setHasCommunication("1");
                confirm_care_iv.setImageResource(R.drawable.sxp_care_sured);
                mPresenter.upload(guanHuaiData, false, false, false, false, true, careType, mType, taskId);
                break;
            case R.id.copy_phone_num:
                ToastUtil.TextToast(this, "手机号已复制！", Toast.LENGTH_LONG);
                if (!TextUtils.isEmpty(mEntity.customerMobile) || !mEntity.customerMobile.startsWith("400-")) {
                    ClipboardUtil.copyText(this, mEntity.customerMobile);// 复制到系统的剪切板
                }
                break;
            default:
                break;
        }
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        switch (resultCode){
            case GuanhuaiFeedbackAct.FEEDBACK_SUCCESS:
                feedbackBottomBtn.setVisibility(View.GONE);
                break;
        }

    }

    @Override
    protected void onDestroy() {
        unregisterReceiver(mShareReceiver);
        super.onDestroy();
    }

    @SuppressLint("SetTextI18n")
    @Override
    public void refreshUi() {
        mTextViewName.setText((TextUtils.isEmpty(mEntity.customerName) ? "会员"
                : mEntity.customerName));
        if (TextUtils.isEmpty(TransMobileTool.transMobile(mEntity.customerMobile))) {
            mTextViewPhone.setText("");
            TransMobileTool.isVisible4View(mCopyPhoneNum, View.VISIBLE, View.GONE); //if 可见，set 不可见)
        } else {
            mTextViewPhone.setText(TransMobileTool.transMobile(mEntity.customerMobile));
            TransMobileTool.isVisible4View(mCopyPhoneNum, View.GONE, View.VISIBLE);//if 不可见，set 可见
        }

        /*mTextViewSex.setText("性别:"
                + (TextUtils.isEmpty(mEntity.customerSex) ? ""
                : mEntity.customerSex));*/
        //性别
        if (!TextUtils.isEmpty(mEntity.customerSex)) {
            if (mEntity.customerSex.equals("男")) {
                mImageViewSex.setImageResource(R.drawable.head_male);
            } else if (mEntity.customerSex.equals("女")) {
                mImageViewSex.setImageResource(R.drawable.head_female);
            }/*else{//未知
                mImageViewSex.setImageResource(R.drawable.head_unknown);
                }*/
        }
        //生日(转成****-**-**的格式，砍掉后面的时分秒。。生日精确到秒是闹哪样？！！！！)
        if (!TextUtils.isEmpty(mEntity.customerBirthday)) {
            setBirthdayVisibility(true);//显示生日模块
            mTextViewBirthday.setText(mEntity.customerBirthday.substring(0, 10));
        } else {
            setBirthdayVisibility(false);//直接不显示生日模块
            //mTextViewBirthday.setText("-");
        }
        //微信昵称
        mTextViewNiChen.setText(MessageFormat.format("({0})", TextUtils.isEmpty(mEntity.wechatNickName) ? "暂无微信昵称"
                : mEntity.wechatNickName));
        //是否是微会员
        if (!TextUtils.isEmpty(mEntity.isWemember)) {
            if ("0".equals(mEntity.isWemember)) {//0是微会员
                mtextViewIsWeiVIP.setText("微会员");
                mtextViewIsWeiVIP.setTextColor(getResources().getColor(R.color.green_text_color));
                mtextViewIsWeiVIP.setBackgroundResource(R.drawable.green_label_border);
            } else if ("1".equals(mEntity.isWemember)) {//1非微会员
                mtextViewIsWeiVIP.setText("非微会员");
                mtextViewIsWeiVIP.setTextColor(getResources().getColor(R.color.text_color_gray));
                mtextViewIsWeiVIP.setBackgroundResource(R.drawable.gray_label_border);
            }
        } else {
            mtextViewIsWeiVIP.setVisibility(View.GONE);
        }
        /*mtextViewIsWeiVIP.setText((TextUtils.isEmpty(mEntity.isNewWemember) ? "-"
                        : mEntity.isNewWemember));*/
        //购买总金额
        mTextViewZongJinE.setText(MessageFormat.format("￥{0}", TextUtils.isEmpty(mEntity.totalConsAmount) ? "0"
                : mEntity.totalConsAmount));
        //购买总次数
        mTextViewZongCiShu.setText(mEntity.totalConsTimes);
        //最近一次购买时间(间隔天数)
        if (!TextUtils.isEmpty(mEntity.recentConsDay)) {
            String startDay = mEntity.recentConsDay.substring(0, 10);
            Date date = new Date();
            SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd", Locale.CANADA);
            String endDay = df.format(date);
            int days = Integer.parseInt(DataMonthUtils.getCompareDate(startDay, endDay) + "");
            mTextViewGouMaiShiJian.setText(MessageFormat.format("{0}天前", days));
        } else {
            mTextViewGouMaiShiJian.setText("-");
        }
        //最近购买产品
        mTextViewGouMaiChanPin.setText((TextUtils.isEmpty(mEntity.recentBuyProduct) ? "-"
                : mEntity.recentBuyProduct));
        mRelativeLayoutChanPinMore.setOnClickListener(this);
        //有效积分
        mTextViewJiFenYouXiao.setText((TextUtils.isEmpty(mEntity.validPoints) ? "-"
                : mEntity.validPoints));
        //**天内将过期的积分
        if ("2".equals(careType) && mType == 1) {//如果是从积分到期提醒进来的
            mTextViewJiFenGuoQiTitle.setText("10天内即将过期的积分");
            mTextViewJiFenGuoQi.setText((TextUtils.isEmpty(mEntity.recentExpirePoint10) ? "0"
                    : mEntity.recentExpirePoint10));
        } else {//如果不是积分到期提醒，就默认30天
            mTextViewJiFenGuoQiTitle.setText("30天内即将过期的积分");
            mTextViewJiFenGuoQi.setText((TextUtils.isEmpty(mEntity.recentExpirePoint) ? "0"
                    : mEntity.recentExpirePoint));
        }

        //积分兑换总次数
        mTextViewJiFenCiShu.setText((TextUtils.isEmpty(mEntity.giftExchangeTimes) ? "0"
                : mEntity.giftExchangeTimes));

        /*//购买人群标签
        if (!TextUtils.isEmpty(mEntity.customerGroup)) {
            LinearLayout label = (LinearLayout) getLayoutInflater().inflate(R.layout.huiyuan_label_text_view, null);
            ((TextView) label.findViewById(R.id.label_text_view)).setText(mEntity.customerGroup);
            ((LinearLayout) label_person.findViewById(R.id.top_layout)).addView(label);
        }

        //购买原因标签
        if (!TextUtils.isEmpty(mEntity.buyReason)) {
            String[] reasons = mEntity.buyReason.split(",");
            //String [] reasons = new String[]{"自己吃","也不会","给你吃","自己吃"};
            int reasonCount = reasons.length;
            for (int i = 0; i < reasonCount; i++) {
                LinearLayout label = (LinearLayout) getLayoutInflater().inflate(R.layout.huiyuan_label_text_view, null);//构建TextView的布局组件
                ((TextView) label.findViewById(R.id.label_text_view)).setText(reasons[i]);
                if (i < 4) {//如果是前四个，就直接显示为一行，并且隐藏掉下方布局
                    ((LinearLayout) label_reason.findViewById(R.id.top_layout)).addView(label);
                } else {//4个以上的标签，就显示下方布局，把标签放在下方，形成双层标签，防止标签过长显示不出来
                    LinearLayout bottomLayout = ((LinearLayout) label_reason.findViewById(R.id.bottom_layout));
                    bottomLayout.setVisibility(View.VISIBLE);
                    bottomLayout.addView(label);
                }
            }
        }

        //每周食用频率标签
        if (!TextUtils.isEmpty(mEntity.eatFrequency)) {
            LinearLayout label = (LinearLayout) getLayoutInflater().inflate(R.layout.huiyuan_label_text_view, null);
            ((TextView) label.findViewById(R.id.label_text_view)).setText(mEntity.eatFrequency + "次");
            ((LinearLayout) label_count.findViewById(R.id.top_layout)).addView(label);
        }

        //是否愿意续购标签
        if (!TextUtils.isEmpty(mEntity.againIntention)) {
            LinearLayout label = (LinearLayout) getLayoutInflater().inflate(R.layout.huiyuan_label_text_view, null);
            TextView tv = ((TextView) label.findViewById(R.id.label_text_view));
            if (mEntity.againIntention.equals("1")) {//1表示愿意续购，0表示不愿意
                tv.setText("是");
                tv.setBackgroundResource(R.drawable.label_green_background);
            } else {//不愿意续购
                tv.setText("否");
                tv.setBackgroundResource(R.drawable.label_red_background);
            }
            tv.setTextColor(Color.WHITE);
            ((LinearLayout) label_two_buy.findViewById(R.id.top_layout)).addView(label);
        }*/

        SetFocusUtil.focus(mainLayout);//加载完数据后让它聚焦到顶端，而不是底端
        //底栏按钮是否显示打勾
    }

    /**
     * 得到优惠券信息后，调用这个来显示到UI
     */
    @Override
    public void showYouhuiQuanLv() {
        donHaveYouhuiText.setVisibility(View.GONE);//既然都要显示优惠券了，那就不要显示“无优惠券”标识了
        youhuiLv.setAdapter(new YouHuiAdapter(this, youhuiList));
    }


    @Override
    public void displayResult(String tag, BaseResponse response) {

        super.displayResult(tag, response);
        if ("query".equals(tag) && null != response) {
            HuiYuanXiangXiZiLiaoResponse res = (HuiYuanXiangXiZiLiaoResponse) response;
            if (null != res.getList() && res.getList().size() > 0) {
                mEntity = res.getList().get(0);
                if (null != mEntity) {
                    refreshUi();
                }
                assert mEntity != null;
                showHeadPic(mEntity.headImgUrl);//设置头像
            }

        } else if ("words".equals(tag) && null != response) {//参考话术
            if ("0".equals(response.sysCode) && "0".equals(((BaseOldResponse) response).msgCode)) {
                CanKaoHuaShuResponse res = (CanKaoHuaShuResponse) response;
                String dayAfterFirstBuy, title = "", content = "";
                if (null != res.getList() && res.getList().size() > 0) {
                    for (int i = 0; i < res.getList().size(); i++) {
                        dayAfterFirstBuy = res.getList().get(i).dayAfterFirstBuy;
                        title = "距离首次购买" + dayAfterFirstBuy + "天";
                        content = res.getList().get(i).content;
                    }
                    pop = new HuaShuPopup(this);
                    pop.setTitle(title);
                    pop.setContent(content);
                    pop.show(titleLayout);//显示在titleLayout下方
                }
            } else {
                showMsg("失败:" + response.msgContent);
            }
        } else if (tag.startsWith("upload") && null != response) {
            if ("0".equals(response.sysCode) && "0".equals(((BaseOldResponse) response).msgCode)) {
                showMsg("提交成功");
                guanHuaiData.setHuifang(true);//是否已回访 标记位改为true，用于值返回到上一个Activity进行刷新列表
                if ("1".equals(guanHuaiData.getCell().getHasCommunication())) {
                    confirm_care_iv.setImageResource(R.drawable.sxp_care_sured);
                } else {
                    confirm_care_iv.setImageResource(R.drawable.sxp_care_available);
                }
                //自定义关怀，点击关怀之后要返回上一页面；只有点的是“我已关怀”才关闭页面
                if (careType.equals("4") && tag.endsWith("confirmCare")){
                    finish();
                }
            } else {
                showMsg("失败:" + response.msgContent);
            }
        } else if ("queryYouhui".equals(tag) && null != response) {//优惠券
            if ("0".equals(response.ret)) {
                HuiYuanYouHuiQuanResponse res = (HuiYuanYouHuiQuanResponse) response;
                if (null != res.getList() && res.getList().size() > 0) {
                    youhuiList = new ArrayList<>();
                    int length = res.getList().size();
                    for (int i = 0; i < length; i++) {
                        youhuiList.add(i, res.getList().get(i));
                    }
                    showYouhuiQuanLv();
                }
            }
        }
    }


    /**
     * 控制生日模块的显隐
     *
     * @param isShow ...
     */
    private void setBirthdayVisibility(boolean isShow) {
        if (!isShow) {//不显示
            birthdayLayout.setVisibility(View.GONE);
            birthdayTopLine.setVisibility(View.GONE);
        } else {//显示
            birthdayLayout.setVisibility(View.VISIBLE);
            birthdayTopLine.setVisibility(View.VISIBLE);
        }
    }

    /**
     * 显示头像（先看本地有没有，有就直接显示并联网更新 ，没有就直接联网更新）
     */
    private void showHeadPic(String headUrl) {
        File headPicFile = new File(Files.photoPath + mEntity.customerMobile + ".jpg");
        if (headPicFile.exists()) {
            showCirclePic();//先显示本地
        }
        mPresenter.getHeadPicFromNet(headUrl, mEntity);
    }

    @Override
    public void onBackPressed() {
        if (pop != null && pop.isShowing()) {
            pop.dismiss();
            return;
        }
        super.onBackPressed();
    }

    /**
     * 显示圆形头像
     */
    @Override
    public void showCirclePic() {
        Bitmap bitmap = BitmapFactory.decodeFile(Files.photoPath + mEntity.customerMobile + ".jpg");
        Bitmap output = CircleHeadPicTool.toRoundCorner(bitmap, DensityUtil.dip2px(this, 50.0f));
        mImageViewHead.setImageBitmap(output);
    }

    @Override
    public void finish() {
        Intent intent = new Intent();
        if (guanHuaiData.isHuifang()) {//已回访
            intent.putExtra("position", guanHuaiData.getPosition());
            intent.putExtra("entity", guanHuaiData.getCell());//直接把整个实体都传回去
        } else {//未回访
            intent.putExtra("position", -1);
        }
        setResult(1, intent);
        super.finish();
    }

    /**
     * 监听微信端回访后的成功响应，微信转发文章成功的话，就把当前Activity里的那个cell的微信回访标记改掉
     */
    public class ShareReceiver extends BroadcastReceiver {
        @Override
        public void onReceive(Context context, Intent intent) {
            String tag = intent.getStringExtra("TAG");
            if (!TextUtils.isEmpty(tag) && "isShared".equals(tag)) {//说明已转发成功
                guanHuaiData.getCell().setShareCare("1");
                mShare.setImageResource(R.drawable.sxp_shared);
                mPresenter.upload(guanHuaiData, false, false, false, true, false, careType, mType,taskId );
            }
        }
    }
}
