package com.urovo.activity.attendancemanagement.attendancemanager.pre;

import com.urovo.activity.attendancemanagement.attendancemanager.net.AttendanceManagerNet;
import com.urovo.wugumofang.net.CommonController;
import com.urovo.wugumofang.response.CommonEntity;

import java.util.Map;

/**
 * @author chenji last on 2018/1/27 17:04
 */

public class ShiftSettingPre implements CommonController.BasePre<Boolean> {
    private CommonController.BaseView<Boolean> mShiftSettingView;
    private AttendanceManagerNet mAttendanceManagerNet;

    public ShiftSettingPre(CommonController.BaseView<Boolean> shiftSettingView) {
        this.mShiftSettingView = shiftSettingView;
        this.mAttendanceManagerNet = new AttendanceManagerNet();
    }

    @Override
    public void onStart2requestData(Map<String, String> params) {
        mAttendanceManagerNet.start2RequestShiftSetting(this,params);
    }

    @Override
    public void onResponseSuccess(CommonEntity<Boolean> resultInfo) {
        mShiftSettingView.onResponseSuccess(resultInfo);
    }

    @Override
    public void onFailure(String failInfo) {
        mShiftSettingView.onFailure(failInfo);
    }
}
