package com.urovo.activity.checkGoodsTabAct.service
import com.urovo.wugumofang.net.RetrofitHelper
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call

/**
 * 盘点
 * @author LW
 */
class CheckGoodsDepository {

    private val mApiService by lazy {
        RetrofitHelper.createApi(ApiService::class.java)
    }

    /**
     * 门店盘点判断
     */
    fun requestTransferCheck(storeNo: String?): Call<RequestResult<Any>> {
        return mApiService.transferCheck(storeNo)
    }

}