package com.urovo.activity.customercare.net

import com.urovo.wugumofang.response.Base3Response

/**
 *  @author XP on 2019/8/23.
 */
data class CustomerCareDetailRes(var resultInfo: ResultInfo) : Base3Response() {
    data class ResultInfo(var careList: List<DetailItem>?,//已回访名单 ,
                          var pandingCareList: List<DetailItem>?) {
        //未回访名单
        data class DetailItem(var customerName: String?,//用户名 ,
                var externalUserId: String?,//企业微信联系人id ,
                var feedback: String?,//反馈回访后用户是否有成交 0未反馈，1有成交，2未成交 ,
                var grade: String?,//会员等级
                var headImageUrl: String?,//头像
                var lastBuyDate: String?,//最近购买时间 ,
                var mobile: String?/*手机号？*/)
    }
}