package com.urovo.activity.customercare.presenter

import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 *  @author XP on 2019/8/23.
 */
interface CustomerCareDetailCon {
    interface pre : BasePresenter

    interface view : BaseView<pre> {
        fun init()

        fun showMsg(msg: String)

        fun finish()

        /**显示正在加载*/
        fun showLoading()

        /**显示网络错误*/
        fun showNetError()

        /**显示暂无数据*/
        fun showNoData()

        fun showData(clientType: Int)

        fun dismissLoadWait()
    }
}