package com.urovo.activity.customerlabel.model

/**
 * 标签信息
 */
data class CustomerLabelEntity(
    val labelGroupId: Int,
    val labelGroupName: String?,
    val selectType: Int,  //1 多选 2 单选
    val labels: List<LabelBean>?
) {
    data class LabelBean(
        val labelId: Int,
        val labelName: String?,
        var isSelected: Boolean = false
    )
}

data class CustomerLabelReqEntity(val mobile: String?)

