package com.urovo.activity.goodsmanager;

import com.urovo.wgmf.db.dao.entitys.DingHuoOplQtyEntity;
import com.urovo.wugumofang.view.indexBar.IndexBar.bean.BaseIndexPinyinBean;
import com.urovo.wugumofang.view.indexBar.IndexBar.widget.IndexBar;

/**
 * @author Sasuke on 2018/9/24.
 *
 *  自定义按产品ID来排序的比较器，用于IndexBar索引栏里，
 *    鬼晓得以后其它地方会不会用，就单独提出来了
 */
public class OrderGoodsComparator implements IndexBar.CustomComparator {
        @Override //产品对比，如果是索引相同，那就用产品编号来排序（升序），否则用拼音排序
        public int compare(BaseIndexPinyinBean lhs, BaseIndexPinyinBean rhs) {
            if(lhs.getBaseIndexTag().compareTo(rhs.getBaseIndexTag()) == 0){
                return ((DingHuoOplQtyEntity.DinghuoDetail) lhs).itemid.compareTo(((DingHuoOplQtyEntity.DinghuoDetail) rhs).itemid);
            }else{
                return lhs.getBaseIndexPinyin().compareTo(rhs.getBaseIndexPinyin());
            }
        }

}
