package com.urovo.activity.goodsmanager.model

/**
 * 调拨单弹窗
 * RetInfo«AllotmentNotification» {
msgCode (integer, optional): 状态码,状态码等于0说明成功 ,
msgInfo (string, optional): 状态说明 ,
resultInfo (AllotmentNotification, optional): 结果集
}AllotmentNotification {
inNotification (Notification, optional): 收货提醒 ,
outNotification (Notification, optional): 确认提醒
}Notification {
endDate (string, optional): 结束日期 ,
startDate (string, optional): 开始日期 ,
status (integer, optional): 调拨状态(1:调拨出库,2:调拨收货)
}
 */
data class AllotmentNotificationEntity(
    val inNotification: NotificationBean?,
    val outNotification: NotificationBean?
) {
    data class NotificationBean(val endDate: String?, val startDate: String?, val status: Int)
}