package com.urovo.activity.goodsmanager.model

/**
 *获取订货公共物料列表
 * OrderCommon {
groupId (integer, optional): 组Id ,
productList (Array[OrderCommonProduct], optional): 公用数量 ,
syOplQty (number, optional): 公用数量
}OrderCommonProduct {
proCode (string, optional): 产品编码 ,
proName (string, optional): 产品名称
}
 */
class OrderCommonEntity(
    val groupId: Int?,
    val syOplQty: String?,
    var productList: List<OrderCommonBean>?
) {
    data class OrderCommonBean(
        val proCode: String?, //产品编码
        val proName: String?  //产品名称
    )
}