package com.urovo.activity.goodsmanager.model

/**
 *门店订货与发货差异列表
 */
class OrderDeliveryDifferenceQueryEntity(
    val psbillCode: String?,
    val psDate: String?,
    val brandName: String?,
    var diffDetails: List<DiffDetailsBean>?
) {
    data class DiffDetailsBean(
        val proName: String?, //产品名称
        val proNo: String?,  //产品编码
        val proUOM: String?, //单位
        val checkQty: Double,  //复核数量（当次配送单）
        val deliveryQty: Double,  //实际发货
        val diffQty: Double,  //实际与订货差异
        val auditQty: Double,  //主管审核量
        val orderQty: Double  //门店订货量
    )
}