package com.urovo.activity.home;

import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.text.Html;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import com.google.gson.Gson;
import com.taobao.weex.utils.WXLogUtils;
import com.urovo.activity.tabMenu.home.act.ScanResultAct;
import com.urovo.activity.tabMenu.home.ent.UserQrCodeRes;
import com.urovo.wgmf.AsyncTask.BaseActivityTask;
import com.urovo.wgmf.AsyncTask.BaseAppServerTask;
import com.urovo.wgmf.entity.response.WeiXinJiaFenResponse;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.constants.ApiUrls;
import com.urovo.wugumofang.constants.AppConstants;
import com.urovo.wugumofang.constants.Files;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.data.PreferHelper;
import com.urovo.wugumofang.manager.ThreadManager;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.net.OkHttpDominator;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.response.BaseSimpleResponse;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.system.ToActivity;
import com.urovo.wugumofang.ui.ViewUtil;
import com.urovo.wugumofang.utils.FuckGoogleAdaptUtil;
import com.urovo.wugumofang.utils.MyToast;
import com.urovo.wugumofang.view.webview.FraContainerAct;
import com.wgmf.trade.ui.act.index.ExperienceEquipmentAct;
import com.wgmf.trade.ui.fra.index.MemberHomeFra;
import com.zsy.libcore.common.android.log.SYLoger;
import com.zsy.libcore.ui.fra.FragmentArgs;

import org.json.JSONObject;

import java.io.File;
import java.net.URL;
import java.net.URLDecoder;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import okhttp3.Request;

/**
 * 扫码加粉
 *
 * @author ...
 */
public class ErWeiMaEntryActivity extends BaseActivity {
    @BindView(R.id.imageViewErWeiMa)
    ImageView mImageViewHeader;
    @BindView(R.id.textViewErWeiMaInfo)
    TextView mTextViewHeader;
    @BindView(R.id.textViewErWeiMaInfo2)
    TextView mTextViewHeader2;
    @BindView(R.id.textViewYouXiaoWeiHuiYuan)
    TextView mTextViewYouXiaoWeiHuiYuan;
    @BindView(R.id.textViewYouXiaoWeiHuiYuan1)
    TextView mTextViewYouXiaoWeiHuiYuan1;
    @BindView(R.id.textViewYouXiaoWeiHuiYuan2)
    TextView mTextViewYouXiaoWeiHuiYuan2;
    @BindView(R.id.textViewWeiHuiYuanAgent)
    TextView mTextViewWeiHuiYuanAgent;
    @BindView(R.id.textViewWeiXinNiChen)
    TextView mTextViewWeiXinNiChen;
    @BindView(R.id.textViewGuanZhuShiJian)
    TextView mTextViewGuanZhuShiJian;
    @BindView(R.id.textViewPhone)
    TextView mTextViewPhone;
    @BindView(R.id.buttonNext)
    Button mButtonNext;

    private boolean mInvalid = false;
    private String mPhone;
    private WeiXinJiaFenResponse mResponse;
    private Timer mTimer;
    private List<BaseActivityTask> mBaseActivityTasks = new ArrayList<>();
    @SuppressWarnings("unused")
    private AlertDialog dialog;
    //让它仅在第一次得知未关注时才刷新二维码图片followWXOfficial
    private int countHasUrl;
    //是否从发展新会员界面过来的；
    private boolean isFromDevelopNewMember;
    //是否从扫描结果页面传递过来
    private boolean isFromScanResult;
    //源头是扫描结果页面
    String filterScanCodeJson;
    private String fromJsData;
    Unbinder unbinder;

    final private int JUMP_NO = -1;//不需要跳转
    final private int JUMP_UNDEFINED = 0;//还没做标记
    final private int JUMP_YES = 1;//要跳转
    /**
     * 自动跳转分支标记
     * 目前是“当是微会员时（好像是新客微会员？搞忘了）” 和“当加了企业微信好友时”自动跳转
     */
    private int jumpEnterpriseState = JUMP_UNDEFINED;

    /**
     * 缓存返回的顾问企业微信二维码
     */
    private String qrCodeCache = "";

    private boolean canOnResume = true;//如果是从别的页面回退过来的，就不做onResume里的请求

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.huiyuan_xiaoshou_erweima);
        unbinder = ButterKnife.bind(this);
        countHasUrl = 0;
        initTitle();
        //一进来先清一下上次记录的会员信息的缓存。因为等下还要获取的。
        PreferHelper.getInstance().setString(AppConstants.PreKeys.WE_MEMBER_DETAIL, "");

        Intent intent = getIntent();
        mPhone = intent.getStringExtra("huiyuan");
        isFromScanResult = intent.getBooleanExtra("scanCodeAddFlag", false);
        SYLoger.print("memberPhone-- " + mPhone);
        SYLoger.print("isFromScanResult-- " + isFromScanResult);
        fromJsData = intent.getStringExtra(AppConstants.PreKeys.JS_EXTRAS);
        //兼容JS传递过来的数据
        if (!TextUtils.isEmpty(fromJsData)) {
            try {
                fromJsData = URLDecoder.decode(fromJsData, "utf-8");
                JSONObject jsObj = new JSONObject(fromJsData);
                mPhone = jsObj.optString("huiyuan");
                isFromDevelopNewMember = jsObj.optBoolean("isFromDevelopNewMember");
            } catch (Exception e) {
                WXLogUtils.e("[WXModalUIModule] alert param parse error " + WXLogUtils.getStackTrace(e));
            }

            if (!isFromDevelopNewMember) {
                mButtonNext.setText("去销售");
            }
        }
    }

    /**
     * 请求微会员二维码
     */
    private void requestWeMember() {
        Map<String, String> params = new HashMap<>();
        params.put("qrcodeticket", null);
        params.put("phoneNo", mPhone);
        params.put("staffNo", SystemHelper.LoginUserId);
        params.put("storeId", SystemHelper.LoginOrganId);
        BaseActivityTask task =
                new BaseAppServerTask("yanzheng", WeiXinJiaFenResponse.class,
                        ErWeiMaEntryActivity.this, "正在查询...", false, NetParam.WEIXIN_SAOMA_JIAFEN,
                        params);
        task.execute("");
        mBaseActivityTasks.add(task);
    }

    /**
     * 获取企业微信关注情况
     *
     * @param userId
     */
    void requestEnterpriseCode(String userId, String phoneNum) {
        if (TextUtils.isEmpty(mPhone)) {//如果没有填手机号，是不需要走企业微信关注的，所以直接不需要请求了。直接做个NO标记完事儿
            jumpEnterpriseState = JUMP_NO;
            return;
        }
        HashMap<String, String> param = new HashMap<>(2);
        param.put("userId", userId);
        param.put("mobile", phoneNum);
        OkHttpDominator.postAsyn(NetParam.WEIXIN_SERVER + ApiUrls.WeiXinEnterprise.GET_USER_QR_CODE,
                param, new OkHttpDominator.ResultCallback<UserQrCodeRes>() {
                    @Override
                    public void onError(Request request, Exception e) {
                        ViewUtil.dismissProgress();
                        e.printStackTrace();
                        jumpEnterpriseState = JUMP_NO;//接口都请求失败了还跳你个头的企业微信哦~
                    }

                    @Override
                    public void onResponse(UserQrCodeRes res) {
                        ViewUtil.dismissProgress();
                        if (res == null) {
                            jumpEnterpriseState = JUMP_NO;
                            return;
                        }
                        if (res.getStatus() != 0) {
                            jumpEnterpriseState = JUMP_NO;
                            MyToast.show(res.getMsg());
                            return;
                        }
                        //把二维码缓存起来，后面跳转的时候要用。
                        qrCodeCache = res.getData().getQrCode();
                        //”1“是已加过企业微信，那就不需要跳了
                        jumpEnterpriseState = res.getData().getAddedConsultantsFlag().equals("1") ? JUMP_NO : JUMP_YES;
                    }
                });
    }


    @Override
    protected void onDestroy() {
        super.onDestroy();
        unbinder.unbind();
    }

    @Override
    public void netError() {
        super.netError();
        if (null == mResponse) {
            showMsg("网络异常，弹出营养顾问专属二维码！");
            if (!mInvalid) {
                showNativeErWeiMa();// nextButtonClick(null);
            }
        }
    }

    @Override
    public void initTitle() {
        super.initTitle();
        titleTextView.setText("扫码加粉");
    }

    private void stop() {
        if (null != mTimer)
            mTimer.cancel();
        mTimer = null;
        for (BaseActivityTask cell : mBaseActivityTasks) {
            cell.cancel(true);
        }
    }

    @Override
    protected void onResume() {
        super.onResume();
        if (!canOnResume) {
            return;
        }
        //查询是否需要跳转企业微信扫码加好友页面
        requestEnterpriseCode(SystemHelper.LoginUserId, getIntent().getStringExtra("huiyuan"));
        if (NetHelper.IsHaveInternet(this)) {
            mTimer = new Timer(false);
            mTimer.schedule(new MyTimerTask(), 1000, 2000);
        } else {
            showNativeErWeiMa();
        }
    }

    @SuppressLint("SetTextI18n")

    private void showNativeErWeiMa() {
        LayoutInflater.from(this).inflate(R.layout.huiyuan_xiaoshou_erweima_dialog, null);
        String erWeiMaPictureJpg = SystemHelper.LoginUserId + "_" + "zhuanshu.jpg";
        File pictureFile = new File(Files.tempPicture + erWeiMaPictureJpg);
        if (pictureFile.exists()) {
            //dialog.show();
            mImageViewHeader.getLayoutParams().height = (int) getResources().getDimension(R.dimen.imagesize);
            mImageViewHeader.getLayoutParams().width = (int) getResources().getDimension(R.dimen.imagesize);
            mImageViewHeader.setImageURI(FuckGoogleAdaptUtil.android7AdaptUri(this, Files.fileProviderAuth, pictureFile)
                    /*FileProvider.getUriForFile(this,Files.fileProviderAuth,pictureFile)*/);

            mTextViewHeader.setText("（网络异常，扫描专属二维码）");

            mTextViewHeader2.setText(Html.fromHtml("<font color=\"#0000ff\">①</font>微信扫码" +
                    "<font color=\"#0000ff\">——②</font>点\"关注\"" +
                    "<font color=\"#0000ff\">——③</font>绑定手机号"));
            mTextViewPhone.setText("会员手机号：" + mPhone);

        } else {
            mTextViewHeader.setText("邀请顾客搜索“五谷磨房”微信公众号，关注并绑定手机号！" +
                    "请在有网络的时候，打开本机【更多】-【专属二维码】，待页面出现二维码后便可正常扫码加粉。");
            mTextViewHeader2.setText("");
        }
    }

    @Override
    protected void onPause() {
        super.onPause();
        stop();
    }

    @Override
    protected void onStop() {
        super.onStop();
        stop();
    }

    @Override
    public void displayResult(String tag, BaseResponse response) {
        super.displayResult(tag, response);
        if ("yanzheng".equals(tag)) {
            mResponse = (WeiXinJiaFenResponse) response;
            initUI();
        }
    }

    @SuppressLint("SetTextI18n")
    private void initUI() {
        if (null == mResponse) {
            return;
        }
        if (null != dialog && dialog.isShowing()) {
            dialog.dismiss();
        }
        // Url非空，未关注
        if (!TextUtils.isEmpty(mResponse.getUrl())) {
            mTextViewHeader.setText("(网络正常，扫描临时二维码)");
            mTextViewHeader2.setText(Html.fromHtml("<font color=\"#0000ff\">①</font>微信扫码<font color=\"#0000ff\">——②</font>点\"关注\""));
            countHasUrl++;
            //第一次请求得未关注的情况，才刷新二维码，如果每次刷新那二维码就会不停的变，因为每次URL都不一样
            if (countHasUrl == 1) {
                ThreadManager.getThreadPool().execute(new Runnable() {
                    @Override
                    public void run() {
                        try {
                            URL picUrl = new URL(mResponse.getUrl());
                            final Bitmap pngBM = BitmapFactory.decodeStream(picUrl.openStream());
                            mImageViewHeader.post(new Runnable() {
                                @Override
                                public void run() {
                                    mImageViewHeader.setImageBitmap(pngBM);
                                }
                            });
                        } catch (Exception e) {
                            BaseAppManager.loger().info(e);
                        }
                    }
                });
            }
        }
        //Url为空，已关注，说明已经是微会员，根据新需求，那就直接跳过“是微会员的显示”，简化步骤，直接跳到个人主页/扫码保存页面里去。
        else if (TextUtils.isEmpty(mResponse.getUrl())) {
            mTimer.cancel();
            if (isFromScanResult) {
                //扫码后结果页面-->搜索页面-->保存页面
                ToActivity.toActivity(ErWeiMaEntryActivity.this, ScanResultAct.class, "scanCodeAddFlag", true, "phone", mPhone);
            } else {
                //检查是否是试点门店，如果是试点门店自动跳入企业微信进群页面
                checkQrcodeShops(mPhone);
            }
            mImageViewHeader.setImageResource(R.drawable.saoma_exist);
            mTextViewHeader.setText("已是微会员，无需再次扫码！");
            mTextViewHeader2.setText("");
            //扫码加粉的终点总是让其状态变为“已关注”。。能到这一步那也不需要再刷界面了。

        }

        /*---start 组合textveiw */
        mTextViewYouXiaoWeiHuiYuan.setText(mResponse.getIsWemember() == 0 ?
                "新客微会员：否(" : "新客微会员：是");
        mTextViewYouXiaoWeiHuiYuan1.setText(mResponse.getIsWemember() == 0 ?
                mResponse.getWeMemberDetail() : "");
        mTextViewYouXiaoWeiHuiYuan2.setText(mResponse.getIsWemember() == 0 ?
                ")" : "");
        /*---end 组合textveiw */

        mTextViewWeiHuiYuanAgent.setText("扫码归属：" + mResponse.getAdscription());
        mTextViewWeiXinNiChen.setText("微信昵称：" + mResponse.getNickName());
        mTextViewGuanZhuShiJian.setText("首次扫码时间：" + mResponse.getFirstScanTime());
        mTextViewPhone.setText("会员手机号：" + mPhone);
    }

    /**
     * 在MemberHomeFra里要有一个入口来展示从这里获取的会员信息，但里面的层级太深了，而且MemberHomeFra -> AddSellAct ->又要跳到一个
     * MemberHomeFra的界面，好深。。。。所以这里就缓存到SharedPreference里吧。。。
     */
    public void jumpMemHomeAndPref() {
        if (mResponse != null && mResponse.returnBean != null) {
            PreferHelper.getInstance().setString(AppConstants.PreKeys.WE_MEMBER_DETAIL, new Gson().toJson(mResponse.returnBean));
        }
        FragmentArgs fragmentArgs = new FragmentArgs();
        fragmentArgs.add(AppConstants.ExtraKeys.PHONE_NUM, mPhone);
        FraContainerAct.launch(ErWeiMaEntryActivity.this, MemberHomeFra.class, fragmentArgs, false);
        canOnResume = false;
    }

    /**
     * 还不是微会员
     *
     * @param v
     */
    @SuppressWarnings("all")
    @OnClick(R.id.buttonNext)
    public void nextButtonClick(View v) {
        if (isFromScanResult) {
            //扫码后结果页面-->搜索页面-->二维码页面(点击下一步)-->保存页面
            ToActivity.toActivity(ErWeiMaEntryActivity.this, ScanResultAct.class, "scanCodeAddFlag", true, "phone", mPhone);
        } else if ((!TextUtils.isEmpty(fromJsData) && !isFromDevelopNewMember) || TextUtils.isEmpty(fromJsData)) {
            mInvalid = true;
            //检查是否是试点门店，如果是试点门店自动跳入企业微信进群页面
//            checkQrcodeShops(mPhone);
            jumpMemHomeAndPref();
        } else {
            //派发体验装
            Intent intent = new Intent(ErWeiMaEntryActivity.this, ExperienceEquipmentAct.class);
            intent.putExtra(AppConstants.PreKeys.PHONE_NUM, mPhone);
            startActivity(intent);
            finish();
        }
    }

    /**
     * 检查是否是公众号加粉试点门店
     * 如果是试点门店，检查是否关注公众号；
     * 如果关注公众号，检查是否已加门店群；
     * 已加门店群，进入会员主页，
     * 未加门店群，进入门店加群页面，点击下一步跳转会员主页；
     * 未关注公众号，进入关注公众号流程；
     * 关注公众号流程：
     * 首先查询是否需要跳转企业微信扫码加好友页面；
     * 需要则跳转到企业微信扫码加好友流程；
     * 不需要进入本地二维码流程，点击下一步跳转会员主页
     */
    public void checkQrcodeShops(String member) {
        ViewUtil.showProgress(this, "请稍等", "正在查询...");
        HashMap<String, String> param = new HashMap<>();
        param.put("shopId", SystemHelper.LoginOrganId);
        OkHttpDominator.postAsyn(NetParam.YINXIAOBU_SERVER + ApiUrls.WeiXinQrcode.CHECK_QRCODE_SHOPS,
                param, new OkHttpDominator.ResultCallback<BaseSimpleResponse>() {
                    @Override
                    public void onError(Request request, Exception e) {
                        ViewUtil.dismissProgress();
                        //网络异常,进入会员主页
                        jumpMemHomeAndPref();
                    }

                    @Override
                    public void onResponse(BaseSimpleResponse res) {
                        ViewUtil.dismissProgress();
                        if ("true".equals(res.resultInfo)) {//公众号加粉试点门店
                            followWXGroup(member);
                            return;
                        }
                        //非公众号加粉试点门店,进入会员主页
                        jumpMemHomeAndPref();
                    }
                });
    }

    private void followWXGroup(String member) {
        Intent intent = new Intent(ErWeiMaEntryActivity.this, EnterWxGroupCodeAct.class);
        intent.putExtra("huiyuan", member);
        intent.putExtra("storeId", SystemHelper.LoginOrganId);
        startActivity(intent);
    }

    private class MyTimerTask extends TimerTask {
        @Override
        public void run() {
            requestWeMember();
        }
    }
}