package com.urovo.activity.learning.presenter

import com.urovo.activity.learning.model.ExamArchiveEntity
import com.urovo.wugumofang.base.BasePresenter
import com.urovo.wugumofang.base.mvp.AbsView
/**
 * 学习中心 Contract
 * @author LW
 */
interface ArchiveDetailContract {

    interface IView : AbsView {
        /**
         * 查询考试档案详情信息
         */
        fun examArchiveInfoData(data: ExamArchiveEntity) {}

    }

    interface IPresenter : BasePresenter {
        /**
         * POST /examdetail/exam/archive/detail/getInfoByStaffId
         * 查询考试档案详情信息
         */
        fun requestExamArchiveInfo()
    }
}
