package com.urovo.activity.learning.service

import com.urovo.activity.learning.model.ExamArchiveEntity
import com.urovo.wugumofang.constants.ApiUrls
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call
import retrofit2.http.*

/**
 * 学习中心Service
 * @author LW
 */
interface ApiService {

    /**
     * POST /examdetail/exam/archive/detail/getInfoByStaffId  查询个人考试档案详情信息
     */
    @POST(ApiUrls.MSG_SERVICE.GET_EXAM_ARCHIVE_INFO)
    fun getExamArchiveInfo(@Query("staffId") staffId: String?): Call<RequestResult<ExamArchiveEntity>>

}