package com.urovo.activity.learning.service

import com.urovo.activity.learning.model.ExamArchiveEntity
import com.urovo.wugumofang.net.RetrofitHelper
import com.zsy.libcore.model.bean.RequestResult
import retrofit2.Call

/**
 * 学习中心Depository
 * @author LW
 */
class LearningCenterDepository {

    private val mApiService by lazy {
        RetrofitHelper.createNewApi(ApiService::class.java)
    }

    /**
     * 获取个人考试档案详情信息
     * @param staffId String
     */
    fun requestExamArchiveInfo(staffId: String?): Call<RequestResult<ExamArchiveEntity>> {
        return mApiService.getExamArchiveInfo(staffId)
    }

}