package com.urovo.activity.login.model;

/**
 * 封装recycleview item通用的实体类
 *
 * @author chenji
 */
public class CommonItem {
    private String text;
    private Class<?> activity;
    private int imageResource;
    private String bgColor;

    public CommonItem() {
    }

    public CommonItem(Class<?> activity, String text, int imageResource, String bgColor) {
        this.text = text;
        this.imageResource = imageResource;
        this.bgColor = bgColor;
        this.activity = activity;
    }

    public String getBgColor() {
        return bgColor;
    }

    public void setBgColor(String bgColor) {
        this.bgColor = bgColor;
    }

    public int getImageResource() {
        return imageResource;
    }

    public void setImageResource(int imageResource) {
        this.imageResource = imageResource;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public Class<?> getActivity() {
        return activity;
    }

    public void setActivity(Class<?> activity) {
        this.activity = activity;
    }
}