package com.urovo.activity.machinerepairact.net

import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-05-02
 */
data class MachineDetailRes(var resultInfo: ResultInfo) : Base3Response() {
    data class ResultInfo(var mroId: Int,//工单id
                          var applicant: String?,//申请人
                          var applyReason: String?,//申请理由
                          var status: Int,//工单状态,0待处理,1待评价,2已评价 ,
                          var storeName: String?,//门店名
                          var description: String?,//故障描述
                          var picBeforeOperation: List<String>?,//施工前照片
                          var handleWay: String?,//处理方式
                          var finishTime: String?,//完成时间
                          var rating: Int,//客户评价 未评价0 ,差1,中2,好3 ,
                          var ratingContent: String?,//评价内容
                          var applyTime: String?,//申请时间
                          var operatorName: String?,//维修人员名字
                          var operatorNo: String?,//维修人员编号
                          var operatorPhone: String?,//维修人员手机号
                          var picAfterOperation: List<String>?) {
        //施工后照片
        fun getStatusText(): String {
            return when(status){
                0 -> "待处理"
                1 -> "待评价"
                2 -> "已评价"
                else ->""
            }
        }
    }
}