package com.urovo.activity.membergroup.JiFenDaoQiTiXing.presenter;

import com.urovo.activity.membergroup.JiFenDaoQiTiXing.model.JiFenDaoQiTiXingResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.net.RetrofitHelper;
import com.urovo.wugumofang.constants.ApiUrls;
import com.zsy.libcore.model.bean.ResultBaseCallback;

import retrofit2.Call;
import retrofit2.Response;
import retrofit2.http.GET;
import retrofit2.http.Query;

/**
 * Created by Sasuke on 2016/5/16.
 */
public class JiFenDaoQiPresenter implements JiFenDaoQiContract.Presenter {
  JiFenDaoQiContract.View mView;
  BaseActivity baseActivity;
  PointCustomerList pointCustomerList;


  /**
   * 兼容Fragment写法;
   */
  public JiFenDaoQiPresenter(JiFenDaoQiContract.View mView) {
    this.mView = mView;
    this.mView.setPresenter(this);
    pointCustomerList = RetrofitHelper.createApi(PointCustomerList.class);
  }

  @Override public void start() {

  }


  /*  @Override
    public void requestCount(Date mDate, List<JiFenDaoQiTiXingEntity> mList) {
        //Date date = new Date();
        mList = null;//反正查完数量后面早晚要查具体数据的，这里先把数据表清一下
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Map<String, String> p = new HashMap<String, String>();
        p.put("userId", SystemHelper.LoginUserId);
        p.put("storeId", SystemHelper.LoginOrganId);
        p.put("startTimeStr", sdf.format(mDate));
        p.put("endTimeStr", sdf.format(mDate));
        new BaseYinXiaoServerTask("query", JiFenDaoQiTiXingCountResponse.class,
                baseActivity, "正在获取新客数量...", true, "/information/getCustomerCareList",
                p).execute("");
    }
*/

  //public JiFenDaoQiPresenter(BaseActivity baseActivity, JiFenDaoQiContract.View mView) {
  //  this.mView = mView;
  //  this.mView.setPresenter(this);
  //  this.baseActivity = baseActivity;
  //}


  /**
   * 获取客户信息列表的数据
   */
/*  @Override public void requestUserData() {
    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
    Map<String, String> p = new HashMap<String, String>();
    p.put("userId", SystemHelper.LoginUserId);
    p.put("storeId", SystemHelper.LoginOrganId);
    new BaseAppServerTask("queryData", JiFenDaoQiTiXingResponse.class, baseActivity, "正在获取名单数据...",
        true, "/customer/getOverPointCustomerList", p).execute("");
  }*/

  public void getOverPointCustomerList() {
    Call<JiFenDaoQiTiXingResponse> call = pointCustomerList.remainsPoints(SystemHelper.LoginUserId,SystemHelper.LoginOrganId);
    call.enqueue(new ResultBaseCallback<JiFenDaoQiTiXingResponse>(){
      @Override public void onResponse(Call<JiFenDaoQiTiXingResponse> call,
          Response<JiFenDaoQiTiXingResponse> response) {
        super.onResponse(call, response);
        if (null !=response &&response.body().msgCode.equals("0")){
          mView.showOverPointCustomerList(response.body());
        }
      }

      @Override public void onFailure(Call<JiFenDaoQiTiXingResponse> call, Throwable t) {
        super.onFailure(call, t);
      }
    });
  }

  public interface PointCustomerList {
    @GET(ApiUrls.APP.GET_OVER_POINT_CUSTOMER_LIST) Call<JiFenDaoQiTiXingResponse> remainsPoints(@Query("userId") String userId, @Query("storeId") String storeId);
  }
}
