package com.urovo.activity.memorderact.model

import android.app.Application
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.urovo.activity.memorderact.repository.MemOrderListRepo

/**
 * @author Sasuke on 2019-7-19 0019.
 */
class MemOrderListFactory(val repo: MemOrderListRepo,val app: Application): ViewModelProvider.NewInstanceFactory() {
    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
//        return super.create(modelClass)
        return MemOrderListModel(repo,app) as T
    }
}