package com.urovo.activity.messagecenter.model;

import android.text.TextUtils;

import com.urovo.activity.messagecenter.net.SysMsgModel;
import com.urovo.activity.messagecenter.presenter.MsgCenterContract;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Sasuke on 2017/9/20.
 */

public class ELearningData implements MsgCenterContract.baseData {
    int msgAmount = 0;
    int pageNum = 1;//这个是将要发送给接口获取的下一页页码，而不是当前页的
    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm");
    List<ELearningData.Model> models = new ArrayList<>();

    public ELearningData(){
        models.clear();
    }

    public List<ELearningData.Model> getModels(){
        return models;
    }

    public class Model extends SysMsgModel{
        public String eId;
        public String title;//条目标题
        public String content;//条目正文提示内容：eg.“您今天有。。。。点击进入查看”
        public String createdDate;
        public String url;

        /***把获取到的****-**-** **:**:**转换成   昨天 **:**的时间格式*/
        public String getShowTime(){
            return TextUtils.isEmpty(createdDate)?"": createdDate;
        }

        public int getUsed() {
            return used;
        }

        public void setUsed(int used) {
            this.used = used;
        }
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageNum() {
        return pageNum;
    }

    @Override
    public int getMsgAmount() {
        return msgAmount;
    }

    @Override
    public void msgAmountMinus() {
        msgAmount--;
    }

    @Override
    public void setMsgAmount(int msgAmount) {
        this.msgAmount = msgAmount;
    }
}