package com.urovo.activity.messagecenter.model;

import com.urovo.activity.messagecenter.net.SysMsgModel;
import com.urovo.activity.messagecenter.presenter.MsgCenterContract;
import com.urovo.wugumofang.data.PreferHelper;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

/**
 * Created by Sasuke on 2016/8/1.
 */
public class SysMsgData implements MsgCenterContract.baseData{
    int msgAmount = 0;
    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm");
    List<SysMsgModel> models = new ArrayList<>();
    /* Model [] models = {new Model("新客三响炮回访","您今天有需要回访的顾客！点击进入查看详情。", AppConstants.PreKeys.MSG_SXP_DATE,AppConstants.PreKeys.MSG_SXP_HAS_READ)
                                     ,new Model("积分到期提醒","您今天有积分即将到期的顾客！点击进入查看详情。",AppConstants.PreKeys.MSG_JIFEN_DATE,AppConstants.PreKeys.MSG_JIFEN_HAS_READ)
                                     ,new Model("优惠券到期提醒","您今天有优惠券即将到期的顾客！点击进入查看详情。",AppConstants.PreKeys.MSG_YOUHUI_DATE,AppConstants.PreKeys.MSG_YOUHUI_HAS_READ)
                                     ,new Model("会员商品推荐","推荐顾客成功购买会员商品，门店将获得相应提成奖励，快快行动吧！","","")};*/
    public SysMsgData(){
        models.clear();
    }

    //把从网络获取的单元数据存到Data
   /* public void addModel(int type,String desc,String content,int used,String timestamp){

        models.add(new SysMsgModel(type,desc,content,used,timestamp));
    }*/


    //通过pref来统计计算未读数
    public int getMsgAmount() {
        /*msgAmount = 0;
        for(Model model : models){
            //新来的推送更新pref后，如果最后一次更新为今天，并且是未读状态
            if( model.getLastDate().equals(sdf.format(new Date())) && model.getUsed() == 0){
                msgAmount++;
            }
        }*/
        return msgAmount;
    }

    @Override
    public void msgAmountMinus() {
        msgAmount--;
    }

    //写入收到推送的时间和未读标记（每次收到推送之后执行）
    public void refreshDate(String dateKey){
        PreferHelper.getInstance().setString(dateKey,sdf.format(new Date()));
        //models.get(position).setLastDate(new Date());//lastDate设为今天
        // models.get(position).setHasRead(false);//设为未读
    }

      @Override
    public void setMsgAmount(int msgAmount) {
        this.msgAmount = msgAmount;
    }

    public List<SysMsgModel> getModels(){
        return models;
    }

    //清除列表（除了固定死的卡片 ）
    public void clearWithoutStatic(){
        Iterator<SysMsgModel> it = models.iterator();
        while (it.hasNext()){
            if(it.next().getType() >= 0){
                it.remove();
            }
        }
    }
}
