package com.urovo.activity.messagecenter.net;

import android.text.TextUtils;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonParser;
import com.urovo.wugumofang.response.Base3Response;

import java.util.ArrayList;
import java.util.List;

/**
 * 专门用来接收未读数接口的
 * Created by Sasuke on 2016/11/22.
 */

public class CountRes extends Base3Response {
    String resultInfo;//这是一个JSON字符串

    List<Count> resultList;

    public List<Count> getResultList() {
        return resultList;
    }

    /**把JSON字符串转成JSON数组然后再提取数据填到List中*/
    public List<Count> transToList(){
        resultList = new ArrayList<>();
        if(!TextUtils.isEmpty(resultInfo)){
            JsonArray array = new JsonParser().parse(resultInfo).getAsJsonArray();
            for(JsonElement o : array){
                Count count = new Count();
                count.setType(o.getAsJsonObject().get("type").getAsString());
                count.setCount(o.getAsJsonObject().get("count").getAsInt());
                resultList.add(count);
            }
        }
        return resultList;
    }

    public class Count{
        String type;
        int count;

        public void setType(String type) {
            this.type = type;
        }

        public void setCount(int count) {
            this.count = count;
        }

        public int getCount() {
            return count;
        }

        public String getType() {
            return type;
        }
    }
}
