package com.urovo.activity.messagecenter.net;

import android.text.TextUtils;

import com.urovo.activity.messagecenter.util.Date2DayUtil;

/**
 * Created by Sasuke on 2016/9/30.
 */

public class SysMsgModel {
    int type;//1：新客三响炮回访 2：积分到期提醒 3：优惠券到期提醒 4：订货提醒 5：盘点提醒  6：考勤提醒 文章更新（7：养生文库 8：学习中心） 9:今日任务 10:会员商城提成 11:千店万群销售动态
    public String desc = "";//条目标题
    public String con = "";//条目正文提示内容：eg.“您今天有。。。。点击进入查看”
    public int used;//是否已读标记(0未读 1已读)
    public String timestamp = "";
    String id;//考勤提醒会传一个id进来
    public String commissionType;
    public String commissionStatus;

    public String getCommissionType() {
        return TextUtils.isEmpty(commissionType)? "" : commissionType;
    }

    public String getCommissionStatus() {
        return TextUtils.isEmpty(commissionStatus)? "" : commissionStatus;
    }

    public String getId() {
        return id;
    }

    public String getDesc() {
        if(TextUtils.isEmpty(desc) && (type == 7 || type == 8)){//如果标题返回为空并且类型是7或8，那就显示“文章更新”
            return "文章更新";
        }
        return desc;
    }

    public String getCon() {
        return con;
    }

    public void setType(int type) {
        this.type = type;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public void setCon(String con) {
        this.con = con;
    }

    public String getTimestamp() {
        return TextUtils.isEmpty(timestamp)?"" : timestamp;
    }

    //把获取到的****-**-** **:**:**转换成   昨天 **:**的时间格式
    public String getTime(){
        return TextUtils.isEmpty(timestamp)?"": Date2DayUtil.withDay(timestamp);
    }

    //获取网络返回的时间
    public String getDate(){
        return TextUtils.isEmpty(timestamp)?"": timestamp.substring(0,10);
    }

    public int getType() {
        return type;
    }

    public int getUsed() {
        return used;
    }

    public void setUsed(int used) {
        this.used = used;
    }
   /* public String getLastDate(){
        return TextUtils.isEmpty(getDateKey()) ? "": PreferHelper.getInstance().getString(getDateKey());
    }

    public void setLastDate(String date){
        if(!TextUtils.isEmpty(date)){
            PreferHelper.getInstance().setString(getDateKey(),timestamp.substring(0,10));
        }
    }*/

    /**
     * 用来根据type来提供一个对应的Prefs的Key
     * @return
     *//*
    private String getDateKey(){
        String dateKey = "";
        switch (type){
            case 4://1订货提醒
                dateKey = AppConstants.PreKeys.MSG_ORDER_DATE;
                break;
            case 5://盘点提醒
                dateKey = AppConstants.PreKeys.MSG_PANDIAN_DATE;
                break;
            case 7://文章更新
                dateKey = AppConstants.PreKeys.MSG_ARTICLE_DATE;
                break;
            case 8://文章更新（养生文库和学习中心都共用一个日期标记，毕竟都是文章，显示在同一个地方）
                dateKey = AppConstants.PreKeys.MSG_ARTICLE_DATE;
                break;
            case 6://考勤提醒
                dateKey = AppConstants.PreKeys.MSG_KAOQIN_DATE;
                break;
        }
        return dateKey;
    }*/
}
