package com.urovo.activity.messagecenter.presenter;

import com.urovo.activity.messagecenter.model.MsgActData;
import com.urovo.wgmf.base.BasePresenter;
import com.urovo.wgmf.base.BaseView;

/**
 * Created by Sasuke on 2016/7/25.
 */
public interface MsgCenterContract {
    interface view extends BaseView {
        void initUi();

        void notifyAdapter();

        void showMsg(String msg);
    }

    //主界面
    interface mainPresenter extends BasePresenter {
        MsgActData getData();
    }

    //通用Fragment列表区专用
    interface detailPresenter extends BasePresenter {
        void refreshAll();//一进来就加载全部（第1页）or下拉刷新

        void loadMore();//上拉加载更多

        void notifyAdapter();

        baseData getData();
    }

    interface baseData{
        int getMsgAmount();

        void msgAmountMinus();

        void setMsgAmount(int msgAmount);
    }
}
