package com.urovo.activity.nativemanager;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

import com.urovo.wgmf.db.dao.entitys.BasicDataRes;
import com.urovo.wugumofang.system.SystemHelper;
import com.wgmf.trade.model.data.db.BasicDataDownloader;
import com.urovo.wgmf.db.dao.dao.Table_toposDbOperate;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.response.BaseResponse;

import org.jetbrains.annotations.NotNull;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;

/**
 * 数据下载
 *
 * @author Administrator
 */
public class UpAndDownDataDown extends BaseActivity implements OnClickListener {
    @BindView(R.id.all_download)
    Button allBtn;
    @BindView(R.id.fast_download)
    Button fastBtn;
    //	boolean downBasicResult = false;//基础资料是否下载成功的标记
//	private Timer timer;
    Unbinder unbinder;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.up_down_datadown);
        unbinder = ButterKnife.bind(this);
        initTitle();
        titleTextView.setText("数据下载");

    }

//	public void startTimer(){
//		downBasicResult = false;//复位
//		if(timer == null){
//			timer = new Timer();
//		}
//		timer.schedule(new TimerTask() {
//			@Override
//			public void run() {
//				if(!downBasicResult){//时间到了还是false，则下载失败
//					runOnUiThread(new Runnable() {
//						@Override
//						public void run() {
//							checkDownBasicSuccess(false);
//						}
//					});
//				}
//			}
//		},GlobalApp.DEFAULT_TIME_OUT);
//	}


    @OnClick({R.id.all_download, R.id.fast_download})
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.all_download://下载全部
//				startTimer();
//                Table_toposDbOperate.downloadBasicData(this, true, true, true);
                new BasicDataDownloader(this,
                        SystemHelper.LoginOrganId,
                        new BasicDataDownloader.DatabaseOperate() {
                            @Override
                            public boolean dealBasicDataResult(@NotNull BasicDataRes res) {
                                return Table_toposDbOperate.dealBasicDataResult(res);
                            }
                        })
                        .setIsShowErrorDialog(true)
                        .setIsShowProgress(true)
                        .download();
                break;
            case R.id.fast_download://按时间戳下载（多加一个setTimeJson就可以了）
//				startTimer();
//                Table_toposDbOperate.downloadBasicData(this, false, true, true);
                new BasicDataDownloader(this,
                        SystemHelper.LoginOrganId,
                        new BasicDataDownloader.DatabaseOperate() {
                            @Override
                            public boolean dealBasicDataResult(@NotNull BasicDataRes res) {
                                return Table_toposDbOperate.dealBasicDataResult(res);
                            }
                        })
                        .setIsShowErrorDialog(true)
                        .setIsShowProgress(true)
                        .setTimeJson(Table_toposDbOperate.transToJson(Table_toposDbOperate.selectBy(null)))
                        .download();
                break;
            default:
        }

    }


    @Override
    public void displayResult(String tag, BaseResponse response) {
        super.displayResult(tag, response);
//		if("downloadBasicData".equals(tag)){
//			BasicDataRes res = (BasicDataRes)response;
//			downBasicResult = true;//网络返回成功，但不意味着写入成功。
//			if(!res.msgCode.equals("0")){
//				MyToast.show(this,res.msgInfo,Toast.LENGTH_SHORT);
//				return;
//			}
//			boolean writeBasicResult  = Table_toposDbOperate.dealBasicDataResult(res);
//			checkDownBasicSuccess(writeBasicResult);
//		}
    }

    /**
     * 检查基础资料是否处理成功
     */
//	public void checkDownBasicSuccess(boolean success){
//		if(success){//如果处理成功（下载和写入一起成功）
//			MyToast.show(this,getResources().getString(R.string.down_basic_data_success), Toast.LENGTH_SHORT);
//			String time = DateUtil.getDateTime(new Date());
//			PdaMsgConfig.setDataUpdateTime(time, this);
//		}else{//下载或写入任意一个失败
//			new AlertDialog.Builder(this).setMessage(getResources().getString(R.string.down_basic_data_failed))
//					.setCancelable(false)
//					.setPositiveButton(getResources().getString(R.string.down_basic_data_exit), new DialogInterface.OnClickListener() {
//						@Override
//						public void onClick(DialogInterface dialogInterface, int i) {
//							System.exit(0);
//						}
//					}).setNegativeButton(getResources().getString(R.string.down_basic_data_retry), new DialogInterface.OnClickListener() {
//						@Override
//						public void onClick(DialogInterface dialogInterface, int i) {
//							UpAndDownDataDown.this.runOnUiThread(new Runnable() {
//								@Override
//								public void run() {
//									startTimer();//先复位计时再下载
//									Table_toposDbOperate.downloadBasicData(UpAndDownDataDown.this,Table_toposDbOperate.isDownAll,true);
//								}
//							});
//					}
//				}).create().show();
//		}
//	}
    @Override
    protected void onDestroy() {
        super.onDestroy();
//        ButterKnife.unbind(this);
        unbinder.unbind();
    }
}
