package com.urovo.activity.overduequeryactivity.net

import com.urovo.wugumofang.response.Base3Response

/**
 * Created by Sasuke on 2019-06-04
 * 临期查询
 */
data class OverDueQueryRes(var resultInfo: ResultInfo) : Base3Response() {
    data class ResultInfo(
        var wgStockLqList: List<StockLq>,//五谷品牌临期库存列表
        var sbjStockLqList: List<StockLq>
    ) {
        //食补集品牌临期库存列表
        data class StockLq(
            var proBrandID: Int,//品牌id
            var proCode: String?,//产品编码
            var proDate: String?,//产品生产日期
            var proEndDate: String?,//产品有效日期
            var proIsExpired: Boolean = false, //产品是否过期
            var proLqAmount: String?,//库存临期金额
            var proLqQty: String?,//库存临期数量
            var proName: String?,//产品名称
            var proQty: String?,//库存数量
            var proQuaMonths: String?,//库存保质期（月）
            var proSpecs: String?
        )//产品规格
    }
}