package com.urovo.activity.personalcenter.model

import java.io.Serializable

/**
 * 权益卡数据实体类
 * @author LW
 */
data class VoucherCardDataBean(
    val cardsAvailableNum: String?, //可开卡人数
    val cardsNum: String?,   //开卡人数
    val cardsRate: String?,    //开卡率
    val cardsList: List<CardCustomerInfo>,  //开卡顾客明细
    val consList: List<CardCustomerInfo>  //首次核销明细
):Serializable
data class CardCustomerInfo(
    val name: String?,  //名称
    val mobile: String?,  //手机号
    val flag: String?,   //是否核销/是否开卡
    val consMoney: String?  //消费金额
)