package com.urovo.activity.personalcenter.ui.phone.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.urovo.wugumofang.R

/**
 * 手机号查询列表适配器
 * @author LW
 */
class PhoneChooseModeListAdapter(
    entity: List<String>
) : BaseQuickAdapter<String, BaseViewHolder>(
    R.layout.item_dailog_select_view,
    entity
) {

    override fun convert(
        helper: BaseViewHolder?,
        item: String?
    ) {
        helper?.apply {
            item?.let {
                setText(
                    R.id.dialog_select_choose_tv, it
                )
            }
        }
    }
}