package com.urovo.activity.qualityBackAct.model;

import java.io.Serializable;

/**
 * dispachePerson (string, optional):制单人员 ,
 * dispatchBill (string, optional):配送单号 ,
 * proCode (string, optional):产品编码 ,
 * proName (string, optional):产品名字 ,
 * proPrice (number, optional):产品价格 ,
 * proQty (number, optional):产品数量 ,
 * proSumAmount (number, optional):产品总价(产品的单价 * 产品的数量) ,
 * uomName (string, optional):单位
 */
public class DispatchDetail implements Serializable {

    private boolean chooseStatus = false;
    private String dispachePerson;
    private String dispatchBill;
    private String proCode;
    private String proName;
    private String proPrice;
    private String proQty;
    private String proSumAmount;
    private String uomName;

    public String getDispachePerson() {
        return dispachePerson;
    }

    public void setDispachePerson(String dispachePerson) {
        this.dispachePerson = dispachePerson;
    }

    public String getDispatchBill() {
        return dispatchBill;
    }

    public void setDispatchBill(String dispatchBill) {
        this.dispatchBill = dispatchBill;
    }

    public String getProCode() {
        return proCode;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getProPrice() {
        return proPrice;
    }

    public void setProPrice(String proPrice) {
        this.proPrice = proPrice;
    }

    public String getProQty() {
        return proQty;
    }

    public void setProQty(String proQty) {
        this.proQty = proQty;
    }

    public String getProSumAmount() {
        return proSumAmount;
    }

    public void setProSumAmount(String proSumAmount) {
        this.proSumAmount = proSumAmount;
    }

    public String getUomName() {
        return uomName;
    }

    public void setUomName(String uomName) {
        this.uomName = uomName;
    }

    public boolean isChooseStatus() {
        return chooseStatus;
    }

    public void setChooseStatus(boolean chooseStatus) {
        this.chooseStatus = chooseStatus;
    }
}
