package com.urovo.activity.qualityBackAct.model;

import java.io.Serializable;
import java.util.List;

/**
 * allProSumAmount (number, optional):产品总金额 ,
 allProSumQty (number, optional):产品总数量 ,
 dispatchDate (string, optional):配送时间 ,
 dispatchDetailList (Array[DispatchDetail], optional):配送明细 ,
 dispatchPerson (string, optional):制单人员 ,
 waveNo (string, optional):配送波次号 ,
 dispatchReason (string, optional):配送原因 ,
 dispatchStatus (string, optional):配送查询标识,0:未收 1:待审核 2:已收货 ,
 dispatchType (string, optional):配送类型
 */
public class DispatchDetailCollect implements Serializable {
    private String allProSumAmount;
    private String allProSumQty;
    private String dispatchDate;
    private List<DispatchDetail> dispatchDetailList;
    private String waveNo;
    private String dispatchPerson;
    private String dispatchReason;
    private String dispatchStatus;
    private String dispatchType;

    public String getAllProSumAmount() {
        return allProSumAmount;
    }

    public void setAllProSumAmount(String allProSumAmount) {
        this.allProSumAmount = allProSumAmount;
    }

    public String getAllProSumQty() {
        return allProSumQty;
    }

    public void setAllProSumQty(String allProSumQty) {
        this.allProSumQty = allProSumQty;
    }

    public String getDispatchDate() {
        return dispatchDate;
    }

    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }

    public List<DispatchDetail> getDispatchDetailList() {
        return dispatchDetailList;
    }

    public void setDispatchDetailList(List<DispatchDetail> dispatchDetailList) {
        this.dispatchDetailList = dispatchDetailList;
    }

    public String getDispatchPerson() {
        return dispatchPerson;
    }

    public void setDispatchPerson(String dispatchPerson) {
        this.dispatchPerson = dispatchPerson;
    }

    public String getDispatchReason() {
        return dispatchReason;
    }

    public void setDispatchReason(String dispatchReason) {
        this.dispatchReason = dispatchReason;
    }

    public String getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(String dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public String getDispatchType() {
        return dispatchType;
    }

    public void setDispatchType(String dispatchType) {
        this.dispatchType = dispatchType;
    }

    public String getWaveNo() {
        return waveNo;
    }

    public void setWaveNo(String waveNo) {
        this.waveNo = waveNo;
    }

    @Override
    public String toString() {
        return "DispatchDetailCollect{" +
                "allProSumAmount='" + allProSumAmount + '\'' +
                ", allProSumQty='" + allProSumQty + '\'' +
                ", dispatchDate='" + dispatchDate + '\'' +
                ", dispatchDetailList=" + dispatchDetailList +
                ", waveNo='" + waveNo + '\'' +
                ", dispatchPerson='" + dispatchPerson + '\'' +
                ", dispatchReason='" + dispatchReason + '\'' +
                ", dispatchStatus='" + dispatchStatus + '\'' +
                ", dispatchType='" + dispatchType + '\'' +
                '}';
    }
}
