package com.urovo.activity.qualityBackAct.model

import com.urovo.wugumofang.response.Base3Response
import java.io.Serializable

/**
 * NotDispatchDetail {
 * proCode (string, optional): 产品编码 ,
 * proName (string, optional): 产品名字 ,
 * proPrice (number, optional): 产品价格 ,
 * uomName (string, optional): 单位
}
 */

data class DispatchNotProductEntity(
    var resultInfo: List<DispatchNotProductBean>?
) : Base3Response(), Serializable {

    data class DispatchNotProductBean(
        val proCode: String?,
        val proName: String?,
        val proPrice: String?,
        val uomName: String?
    ) : Serializable
}

