package com.urovo.activity.qualityBackAct.model;

import android.text.TextUtils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * Created by Sasuke on 2017/2/4.
 */

public class QBackInput {
    public static final int PHOTO_REQUEST_TAKEPHOTO = 1;// 拍照
    public static final int PHOTO_REQUEST_GALLERY = 2;// 从相册中选择
    public static final int SELECT_GOODS = 3;// 选择产品 的返回。
    public static final int SELECT_MONTH_GOODS = 4;// 选择产品 的返回。
    public static final int ITEM_ID = 4;//标记：说明保存在tag里的是物料编码
    public static final int PHOTO_MAX_NUM = 5;//最大上传照片数
    public static final int PHOTO_MAX_NUM_CHINRETSU = 3;//多点陈列最多支持的照片数
    public static final int PHOTO_MAX_NUM_LIGHT = 3;//亮灯情况最多支持的照片数
    public static final int PHOTO_OVERDUE_MIN_NUM = 3;//临过期报损至少上传照片数

    /**多点陈列类型下拉*/
    final public String [] spotType = new String[] {"--请选择--","专柜陈列","堆头陈列","第二磨粉点"};

    public QTYPE qtype ;

    public HashMap<QTYPE,String> orderIdCache = new HashMap<>();

    public String picName = "";//照片名字临时存储

    public List<String> photoList = new ArrayList<String>();

    public String orderId;//单号（防重复提交）

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderId() {
        return orderId;
    }

    public List<String> getPhotoList() {
        return photoList;
    }

    public void clearPhotoList(){
        photoList.clear();
    }

    public QTYPE getParentType(){
        if(qtype == null){
            return null;
        }
        return qtype.parentType;
    }

    public void addPhotoPathToLists(String photoPath){
        if(!TextUtils.isEmpty(photoPath)){
            photoList.add(photoPath);
        }
    }

    public String getPicName() {
        return picName;
    }

    public void setPicName(String picName) {
        this.picName = picName;
    }

}



