package com.urovo.activity.qualityBackAct.net

import java.util.*

/**
 * @author Sasuke on 2019-8-7 0007.
 */
class LightQBackEntity: BaseEntity{
    var urls: String = ""

    var userNo: String = ""//工号
    var storeNo: String = ""//门店号
    var storeName: String = ""//门店名
    var yearMonth: String = ""//提交月份
    var lampStatus: Int = -1//灯状态，0全部灯亮；1有灯不亮


    override fun addAll2List(urlList: MutableList<String>?) {
        urlList?.forEach {
            urls += "${it},"
        }
        if (urls.endsWith(",") ){
            urls = urls.run { substring(0,this.length - 1) }
        }
    }

    override fun makeNetParam(): HashMap<String, String> {
        return hashMapOf("userNo" to userNo,
                "storeNo" to storeNo,
                "storeName" to storeName,
                "yearMonth" to yearMonth,
                "lampStatus" to lampStatus.toString(),
                "urls" to urls)
    }
}