package com.urovo.activity.ra90listact.net

import com.urovo.wugumofang.response.Base3Response

/**
 * @author Sasuke on 2018/3/27.
 */
data class Ra90DetailRes(var resultInfo: ResultInfo): Base3Response() {
    data class ResultInfo(var callList: List<DetailItem>?,
                          var notCallList: List<DetailItem>?) {
        data class DetailItem(var phoneCare: String?,
                               var phoneCareTime: String?,//最后的电话关怀时间 ,
                               var phoneCareOpno: String?,//电话关怀人工号 ,
                               var smsCare: String?,//短信关怀 1已关怀 0未关怀 ,
                               var smsCareTime: String?,//最后短信关怀时间 ,
                               var smsCareOpno: String?,//短信关怀人 ,
                               var shareCare: String?,//分享关怀 1已关怀 0未关怀 ,
                               var shareTime: String?,//最后分享关怀时间
                               var shareOpno: String?,//分享关怀人 ,
                               var wechatCare: String?,//微信关怀 1已关怀 0未关怀 ,
                               var wechatCareTime: String?,//最后微信关怀时间
                               var wechatCareOpno: String?,//最后微信关怀人
                               var openId: String?,
                               var customerMobile: String?,//会员手机号
                               var customerName: String?,//会员名称
                               var hasCommunication: String?,// 1 已回访 0未回访 ,
                               var lastBuyTime: String?,//上次购买时间
                               var cusGrade: String?/*会员等级？*/)
    }
}