package com.urovo.activity.report;

import android.content.Intent;
import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

public class FanKuiXiangQingActivity extends BaseActivity {
	private TextView mTextViewLeiXin;
	private TextView mTextViewChanPin;
	private TextView mTextViewShiJian;
	private ImageView mImageViewTuPian;

	private TextView mTextViewChuLiJieGuo;
	private TextView mTextViewChuLiShiJian;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_fankuixiangqin);
		initTitle();

		mTextViewLeiXin = (TextView) findViewById(R.id.textViewFanKuiLeiXin);
		mTextViewChanPin = (TextView) findViewById(R.id.textViewFanKuiChanPin);
		mTextViewShiJian = (TextView) findViewById(R.id.textViewFanKuiShiJian);
		mImageViewTuPian = (ImageView) findViewById(R.id.imageViewChuLiJieGuo);

		mTextViewChuLiJieGuo = (TextView) findViewById(R.id.textViewChuLiJieGuo);
		mTextViewChuLiShiJian = (TextView) findViewById(R.id.textViewChuLiShiJian);

		Intent intent = getIntent();

		mTextViewLeiXin.setText(intent.getStringExtra("problemName"));
		mTextViewChanPin.setText(intent.getStringExtra("content"));
		mTextViewShiJian.setText(intent.getStringExtra("submitTime"));
		int status = intent.getIntExtra("status",-1);
		mImageViewTuPian.setImageResource(status == 2 ? R.drawable.yichuli : R.drawable.weichuli);

		mTextViewChuLiJieGuo.setText(intent.getStringExtra("reply"));
		mTextViewChuLiShiJian.setText(intent.getStringExtra("replyTime"));
	}

	@Override
	public void initTitle() {

		super.initTitle();
		titleTextView.setText("反馈详情");

	}
}
