package com.urovo.activity.saleDatas.net;

import com.google.gson.JsonObject;
import com.urovo.wugumofang.response.Base3Response;

/**
 * Created by Sasuke on 2016/10/17.
 */

public class SalaryResponse extends Base3Response {
    public JsonObject resultInfo;
    public String resultList;

    /**基础薪资*/
    public String getBase(){
       return  String.format("%.2f",resultInfo.get("base").getAsFloat());
    }

    /**提成部分*/
    public String getCommission(){
        return String.format("%.2f",resultInfo.get("commission").getAsFloat());
    }

    /**考核项目*/
    public String getAssess(){
        return String.format("%.2f",resultInfo.get("assess").getAsFloat());
    }

    /**合计*/
    public String getTotal(){
        return String.format("%.2f",resultInfo.get("total").getAsFloat());
    }
}
