package com.urovo.activity.sanxiangpao.presenter;

import com.urovo.wgmf.CommonController;
import com.urovo.wgmf.net.CommonNet;
import com.wgmf.trade.model.bean.CommonEntity;

import java.util.Map;

/**
 * @author chenji
 * @date 2017/11/8
 */

public class SanXiangPaoPre implements CommonController.SanXiangPaoInfoPre {
    private CommonController.SanXiangPaoInfoView mSanXiangPaoInfoView;
    private CommonNet mCommonNet;

    public SanXiangPaoPre(CommonController.SanXiangPaoInfoView sanXiangPaoInfoView, CommonNet commonNet) {
        this.mSanXiangPaoInfoView = sanXiangPaoInfoView;
        this.mCommonNet = commonNet;
    }

    @Override
    public void onResponseSuccess(String tag, CommonEntity resultInfo) {
        mSanXiangPaoInfoView.onResponseSuccess(tag, resultInfo);
    }

    @Override
    public void onFailure(String tag, String failInfo) {
        mSanXiangPaoInfoView.onFailure(tag, failInfo);
    }

    @Override
    public void start2requestData(String tag, Map<String, String> params) {
        mCommonNet.start2RequestSanXiangPaoData(this, tag, params);
    }
}
