package com.urovo.activity.sell;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;

import com.google.gson.Gson;
import com.urovo.activity.customerlabel.CustomerLabelActivity;
import com.urovo.activity.home.SearchMemberActivity;
import com.urovo.activity.slidemenu.JifenMingXiActivity;
import com.urovo.activity.tabMenu.view.TabMenuActivity;
import com.urovo.wgmf.adapter.MyBaseAdapter;
import com.urovo.wgmf.db.dao.entitys.ProductEntity;
import com.urovo.wgmf.view.PublicPictureDialog;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.constants.AppConstants;
import com.urovo.wugumofang.data.PreferHelper;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.printermodule.PrinterTool;
import com.urovo.wugumofang.printermodule.PrinterTool.OnPrinterTool;
import com.urovo.wugumofang.system.SystemHelper;
import com.wgmf.trade.model.bean.FirstShopGiftBean;
import com.wgmf.trade.model.bean.MemActionDominator;
import com.wgmf.trade.presenter.SaveSuccessPre;
import com.wgmf.trade.ui.fra.index.WXQRCodePayFra;
import com.wgmf.trade.view.SaveSuccessCon;
import com.zsy.libext.widgets.tips.ToastMsg;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * @author ...
 */
public class SaveSuccessActivity extends BaseActivity implements SaveSuccessCon.View {
    //    public static final String NEW_PRICE_PERCENTAGE = "NEW_PRICE_PERCENTAGE";
    public static final String WX_PAY_NO = "wxPayNo";
    private Button btnPrint;
    private double actualPrice;//实付
    private double totalPrice;//总价
    private ArrayList<ProductEntity> bill = new ArrayList<>();
    private ArrayList<ProductEntity> productForPrintTemp = new ArrayList<>();//专门用于打印，是bill的深拷贝
    private ArrayList<String> moreAction;
    private PrinterTool mPrinterTool;
    /**
     * 手机号
     */
    private String huiyuan;
    /**
     * 销售单号
     */
    private String billCode;
    /**
     * 推荐商品
     */
    private TextView recomProduct;
    /**
     * 推荐商品的上面的标题
     */
    private LinearLayout recomProductTitle;
    /**
     * 新价格比例,默认比例为1
     */
//    private double newPricePercentage = 1;
    private String wxPayNo;

    private SaveSuccessPre mSaveSuccessPre;


    @SuppressWarnings("all")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.save_success);
        initTitle();
        back.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                gotoHomeTab(TabMenuActivity.class);
            }
        });

        Intent intent = getIntent();
        huiyuan = intent.getStringExtra("huiyuan");

        // ViewUtils.inject(this);
        recomProduct = (TextView) findViewById(R.id.recomProduct);
        recomProductTitle = (LinearLayout) findViewById(R.id.recomProductTitle);
        ListView lvMore = (ListView) findViewById(R.id.lv_more);
        btnPrint = (Button) findViewById(R.id.btn_print);
        Button btnAddNext = (Button) findViewById(R.id.btn_add_next);
        Button wxPayBtn = (Button) findViewById(R.id.wx_pay_btn);
        moreAction = new ArrayList<>();

        bill = (ArrayList<ProductEntity>) intent.getSerializableExtra("bill");
        productForPrintTemp = (ArrayList<ProductEntity>) intent.getSerializableExtra("bill4Printer");
        actualPrice = intent.getDoubleExtra("actualPrice", 0);
        totalPrice = intent.getDoubleExtra("totalPrice", 0);
//        boolean huodong = intent.getBooleanExtra("huodong", false);

        billCode = intent.getStringExtra("billCode");
        wxPayNo = intent.getStringExtra(WX_PAY_NO);
        //鲜稻研不需要显示打印按钮，五谷磨房才需要显示
//        btnPrint.setVisibility(SystemHelper.isWgmf(intent.getStringExtra("brand")) ? View.VISIBLE : View.GONE);
        btnPrint.setVisibility(MemActionDominator.hasWgmfExist(bill) ? View.VISIBLE : View.GONE);
//        newPricePercentage = intent.getDoubleExtra(NEW_PRICE_PERCENTAGE, 0);
        moreAction.clear();
        moreAction.add("查看详情");
        if (!TextUtils.isEmpty(huiyuan)) {
            moreAction.add("兑换积分");
        }

        // final Bundle detail = intent.getBundleExtra("detail");
        //
        // if (detail == null)
        // {
        // moreAction.clear();
        // moreAction.add("查看详情");
        // }
        // else
        // {
        // moreAction.clear();
        // moreAction.add("查看详情");
        // moreAction.add("修改会员资料");
        // moreAction.add("兑换积分");
        // }
        moreAction.add("顾客标签录入");
        lvMore.setAdapter(new MoreActionAdapter(this, moreAction));

        lvMore.setOnItemClickListener(new OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                switch (position) {
                    case 0:
                        if (bill != null && bill.size() > 0) {//一定要防空啊，如果是从积分优惠兑过来的，那这个bill的size是为0的
                            Intent intent0 = new Intent(SaveSuccessActivity.this, BillDetailActivity.class);
                            intent0.putExtra("bill4Printer", (Serializable) productForPrintTemp);
                            intent0.putExtra("bill", (Serializable) bill);
                            intent0.putExtra("actualPrice", actualPrice);
                            startActivity(intent0);
                        } else {
                            showMsg("无详情");
                        }
                        break;
                    /*
                     * case 1: if(TextUtils.isEmpty(huiyuan)){ Intent intent1=new
                     * Intent(SaveSuccessActivity.this,SaoMaJiaFenActivity.class);
                     * startActivity(intent1); }else{ Intent intent1 = new
                     * Intent(SaveSuccessActivity.this, EditDetailActivity.class);
                     * intent1.putExtra("huiyuan", huiyuan); startActivity(intent1);
                     * } break;
                     */

                    case 1:
                        Intent intent2 = new Intent(SaveSuccessActivity.this, JifenMingXiActivity.class);
                        // Intent intent2 = new Intent(SaveSuccessActivity.this,
                        // JifenMingXiActivity.class);
                        // String huiyuan = detail.getString("mobile");
                        intent2.putExtra("huiyuan", huiyuan);
                        startActivity(intent2);
                        break;
                    case 2:
                        Intent intent3 = new Intent(SaveSuccessActivity.this, CustomerLabelActivity.class);
                        intent3.putExtra(AppConstants.ExtraKeys.PAGE_EDIT_STATUS, true);
                        intent3.putExtra(AppConstants.ExtraKeys.PHONE_NUM, huiyuan);
                        startActivity(intent3);
                        break;
                    default:
                        break;
                }
            }
        });
        btnPrint.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {
                if (productForPrintTemp != null && productForPrintTemp.size() > 0) {
//                    printTemp.clear();
//                    printTemp.addAll(ListDominator.clone(bill));//打印前记得都要做一次深拷贝
                    mPrinterTool.printMsg(productForPrintTemp, actualPrice, totalPrice);
                } else {
                    showMsg("不可打印");
                }
            }
        });

        btnPrint.setOnLongClickListener(new View.OnLongClickListener() {
            @Override
            public boolean onLongClick(View v) {
                PreferHelper.getInstance().remove(AppConstants.PreKeys.PRINT_ADDRESS);
                ToastMsg.showToastMsg(SaveSuccessActivity.this, "已清除蓝牙配对记录");
                return true;
            }
        });

        btnAddNext.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {
                Intent intent = new Intent(SaveSuccessActivity.this, SearchMemberActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
                startActivity(intent);
                finish();
            }
        });
        wxPayBtn.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                if (TextUtils.isEmpty(wxPayNo)) {
                    ToastMsg.showToastMsg(SaveSuccessActivity.this, "订单还未上传到后台，不能微信支付");
                    return;
                }
                WXQRCodePayFra.launch(SaveSuccessActivity.this, wxPayNo);
            }
        });
        //2881开头的门店号判断,是否是虚拟门店
        wxPayBtn.setVisibility(SystemHelper.LoginOrganId.matches("^2881.*") ? View.VISIBLE : View.GONE);

        // 上传数据
        //new UploadXiaoShouTask(SaveSuccessActivity.this, "正在上传销售单", false).execute("");


        mPrinterTool = new PrinterTool(this, new OnPrinterTool() {

            @Override
            public void onFinish() {

                btnPrint.setEnabled(true);
            }

            @Override
            public void onBegin() {

                btnPrint.setEnabled(false);
            }
        });

        setHeight(lvMore);

        //推荐商品的显示
        mSaveSuccessPre = new SaveSuccessPre(this);
        //会员商品推荐
        mSaveSuccessPre.queryRecomProduct(huiyuan);
        //首次回购礼
        requestFirstShopGift();
        //手动录单成功后，给会员发送优惠券（不含补录）
//        2018-08-22先注释掉：商城要做大促，后续优惠券也不会太多，要发的话直接采用微信自动发放。
//        memberCouponsDialog();
    }

    @Override
    protected String getName() {
        return "保存成功";
    }

    @Override
    public void initTitle() {
        super.initTitle();
        titleTextView.setText("保存结果");

    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (event.getAction() == 0) {
            switch (keyCode) {
                case KeyEvent.KEYCODE_BACK:
                    gotoHomeTab(TabMenuActivity.class);
                    return true;
                default:
                    break;
            }
        }
        return super.onKeyDown(keyCode, event);
    }

    /**
     * 发送会员优惠券
     */
    private void requestSendTicket() {
        HashMap<String, String> params = new HashMap<>(1);
        params.put("xsno", billCode);
        params.put("staffId", SystemHelper.LoginUserId);
        params.put("shopId", SystemHelper.LoginOrganId);
        params.put("mobile", huiyuan);
        mSaveSuccessPre.sendTicket(params);
    }

    /**
     * 请求首购礼数据
     */
    private void requestFirstShopGift() {
        HashMap<String, String> params = new HashMap<>(1);
        params.put("shopId", SystemHelper.LoginOrganId);
        params.put("staffId", SystemHelper.LoginUserId);
        params.put("mobile", huiyuan);
        params.put("consAmount", String.valueOf(actualPrice));
        mSaveSuccessPre.queryFirstShopGift(params);
    }

    private void setHeight(ListView view) {
        ListAdapter listAdapter = view.getAdapter();
        if (listAdapter == null) {
            return;
        }

        int totalHeight = 0;
        for (int i = 0; i < listAdapter.getCount(); i++) {
            // View listItem = listAdapter.getView(i, null, view);
            // listItem.measure(0, 0);
            // totalHeight += listItem.getMeasuredHeight();
            totalHeight += getResources().getDimension(R.dimen.edge_60);
        }

        ViewGroup.LayoutParams params = view.getLayoutParams();
        params.height = totalHeight + (view.getDividerHeight() * (listAdapter.getCount() - 1));

        view.setLayoutParams(params);
    }

    /**
     * 推荐商品的显示
     *
     * @param productName ..
     */
    @Override
    public void showRecomProduct(String productName) {
        recomProduct.setVisibility(TextUtils.isEmpty(productName) ? View.GONE : View.VISIBLE);
        recomProductTitle.setVisibility(TextUtils.isEmpty(productName) ? View.GONE : View.VISIBLE);
        recomProduct.setText(productName);
    }

    @Override
    public void firstShopGift(FirstShopGiftBean firstShopGiftBean) {
        String imgUrl = firstShopGiftBean.getUrl();
        if (!TextUtils.isEmpty(imgUrl)) {
            showDialog(imgUrl);
        }
    }

    @Override
    public void commitOrderState(String wxPayNo) {
//        this.wxPayNo = wxPayNo;

    }

    /**
     * 如果 有手机号  && 是从常规销售过来的（销售补录不传）&& 有网，那就弹窗给发会员优惠券
     */
    private void memberCouponsDialog() {
        if (!this.isFinishing() && !TextUtils.isEmpty(huiyuan)
                && !TextUtils.isEmpty(billCode) && NetHelper.IsHaveInternet(this)) {
            new AlertDialog.Builder(this).setTitle("会员福利")
                    .setMessage("给该会员发送会员商城优惠券啦！！引导会员成功购买会员商品，增加个人提成奖金！")
                    .setCancelable(false)
                    .setPositiveButton("确定", new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialogInterface, int i) {
                            requestSendTicket();
                        }
                    }).show();
        }
    }

    /**
     * 显示首购礼弹窗
     * @param url 图片地址
     */
    protected void showDialog(String url) {
        PublicPictureDialog.Builder builder = new PublicPictureDialog.Builder(this);
        builder.setCententLayoutId(R.layout.view_picture_two_dialog);
        builder.setUrl(url);
        builder.setPositiveButton(
                (dialog, which) -> dialog.dismiss());
        if (!isFinishing()) {
            builder.create().show();
        }
    }

    @Override
    public void onShowProgress() {
        //这里不需要
    }

    /**
     * 在线上传订单成功
     */
    @Override
    public void onResponseSuccess() {
        //这里不需要
    }

    /**
     * 在线上传订单失败
     */
    @Override
    public void onFailure() {
        //这里不需要
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (resultCode == 102) {
            mPrinterTool.printMsg();
        }
    }

    private class MoreActionAdapter extends MyBaseAdapter<String, ListView> {

        MoreActionAdapter(Context context, List<String> list) {
            super(list, context);
        }

        @Override
        @SuppressWarnings("all")
        public View getView(int position, View convertView, ViewGroup parent) {
            View view = View.inflate(context, R.layout.listview_slide_item, null);
            TextView tvMore = (TextView) view.findViewById(R.id.tv_slide_item);
            tvMore.setText(moreAction.get(position));
            return view;
        }
    }
}
