//package com.urovo.activity.slidemenu;
//
//import android.app.Activity;
//import android.app.DatePickerDialog;
//import android.app.DatePickerDialog.OnDateSetListener;
//import android.content.Intent;
//import android.os.Bundle;
//import android.support.v4.app.Fragment;
//import android.text.TextUtils;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.view.ViewGroup;
//import android.widget.DatePicker;
//import android.widget.RelativeLayout;
//import android.widget.TextView;
//import android.widget.Toast;
//
//import com.urovo.activity.common.StoreSelectorActivity;
//import com.urovo.activity.home.MemberHomeFragmentActivity;
//import com.urovo.wgmf.db.dao.entitys.Czyda001Db;
//import com.urovo.wgmf.db.dao.entitys.ShopEntity;
//import com.urovo.wugumofang.utils.MyToast;
//import com.urovo.wugumofang.R;
//import com.urovo.wugumofang.system.BaseAppManager;
//import com.urovo.wugumofang.system.SystemHelper;
//
//import java.text.SimpleDateFormat;
//import java.util.Calendar;
//import java.util.Date;
//
//public class BuLuFragment extends Fragment {
//
//	private TextView tv_selected_time;
//	public TextView tv_selected_store;
//	public TextView tv_select_guwen;
//	private String storeid = "";
//	private String buluDate = "";
//	private int choice = -1;
//	public ShopEntity shopEntity; // 选择的门店信息
//
//	@Override
//	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
//
//		View view = View.inflate(getActivity(), R.layout.xiaoshoubulu, null);
//		RelativeLayout rl_select_time = (RelativeLayout) view.findViewById(R.id.rl_select_time);
//		RelativeLayout rl_select_store = (RelativeLayout) view.findViewById(R.id.rl_select_store);
//		RelativeLayout rl_select_guwen = (RelativeLayout) view.findViewById(R.id.rl_select_guwen);
//		View line = (View) view.findViewById(R.id.store_line);
//		View line2 = (View) view.findViewById(R.id.guwen_line);
//		tv_selected_time = (TextView) view.findViewById(R.id.tv_selected_time);
//		tv_selected_store = (TextView) view.findViewById(R.id.tv_select_store);
//		tv_select_guwen = (TextView) view.findViewById(R.id.tv_select_guwen);
//
//		if(SystemHelper.IsAdmin) {
//			rl_select_store.setVisibility(View.VISIBLE);
//			rl_select_guwen.setVisibility(View.VISIBLE);
//			line.setVisibility(View.VISIBLE);
//			line2.setVisibility(View.VISIBLE);
//			tv_selected_store.setText("选择门店");
//			tv_select_guwen.setText("选择营养顾问");
//			rl_select_store.setOnClickListener(new OnClickListener() {
//
//				@Override
//				public void onClick(View v) {
//
//					selectorStore();
//				}
//			});
//			rl_select_guwen.setOnClickListener(new OnClickListener() {
//
//				@Override
//				public void onClick(View v) {
//					if(TextUtils.isEmpty(storeid)) {
//						Activity a = getActivity();
//						if(a instanceof MemberHomeFragmentActivity) {
//							MemberHomeFragmentActivity mhfa = (MemberHomeFragmentActivity) a;
//							mhfa.showMsg("请先选择门店");
//						}
//					}
//					else {
//						Intent intent = new Intent(getActivity(), GuWenSelectorActivity.class);
//						intent.putExtra("storeid", storeid);
//						intent.putExtra("choice", choice);
//						startActivityForResult(intent, 350);
//					}
//				}
//			});
//		}
//		rl_select_time.setOnClickListener(new OnClickListener() {
//
//			@Override
//			public void onClick(View v) {
//				if(SystemHelper.IsAdmin) {
//					if(shopEntity == null) {
//						MyToast.show(getActivity(),"请先选择门店",Toast.LENGTH_LONG);
//						//Toast.makeText(getActivity(), "请先选择门店", Toast.LENGTH_SHORT).show();
//						return;
//					}
//				}
//				Calendar ca = Calendar.getInstance();
//				int day = ca.get(Calendar.DATE);
//				ca.set(Calendar.DATE, day - 1);
//				DatePickerDialog datePicker = new DatePickerDialog(getActivity(), new OnDateSetListener() {
//					@Override
//					public void onDateSet(DatePicker view, int year, int monthOfYear, int dayOfMonth) {
//						String month;
//						String day;
//						if(monthOfYear + 1 < 10) {
//							month = "0" + (monthOfYear + 1);
//						}
//						else {
//							month = "" + (monthOfYear + 1);
//						}
//						if(dayOfMonth < 10) {
//							day = "0" + dayOfMonth;
//						}
//						else {
//							day = "" + dayOfMonth;
//						}
//						String dateString = year + "-" + month + "-" + day;
//						tv_selected_time.setText(dateString);
//						boolean isFuture = false;
//						try {
//							Date date = new Date();
//							Date dateNow = new Date(date.getYear() + 1900, date.getMonth(), date.getDate());
//							Date dateBuLu = new Date(year, monthOfYear, dayOfMonth);
//							if(dateBuLu.compareTo(dateNow) >= 0) {
//								tv_selected_time.setText(dateString + "(您选择的时间不允许补录！)");
//								isFuture = true;
//							}
//						}
//						catch (Exception e) {
//							isFuture = false;
//							BaseAppManager.loger().info(e);
//						}
//						sendDate(dateString, isFuture);
//					}
//				}, ca.get(Calendar.YEAR), ca.get(Calendar.MONTH), ca.get(Calendar.DAY_OF_MONTH));
//				datePicker.show();
//			}
//		});
//		Calendar ca = Calendar.getInstance();
//		int day = ca.get(Calendar.DATE);
//		ca.set(Calendar.DATE, day - 1);
//		Date d = ca.getTime();
//		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
//		sendDate(sdf.format(d), false);
//		tv_selected_time.setText(sdf.format(d));
//		return view;
//	}
//
//	private void sendStoreId(String id) {
//		storeid = id;
//		Activity a = getActivity();
//		if(a instanceof MemberHomeFragmentActivity) {
//			MemberHomeFragmentActivity mhfa = (MemberHomeFragmentActivity) a;
//			mhfa.sendStoreId(id);
//		}
//	}
//
//	private void sendGuWen(String id) {
//		buluDate = id;
//		Activity a = getActivity();
//		if(a instanceof MemberHomeFragmentActivity) {
//			MemberHomeFragmentActivity mhfa = (MemberHomeFragmentActivity) a;
//			mhfa.sendGuWen(id);
//		}
//	}
//
//	private void sendDate(String date, boolean isFuture) {
//		Activity a = getActivity();
//		if(a instanceof MemberHomeFragmentActivity) {
//			MemberHomeFragmentActivity mhfa = (MemberHomeFragmentActivity) a;
//			mhfa.sendDate(date, isFuture);
//		}
//	}
//
//	private void selectorStore() {
//		Intent intent = new Intent(getActivity(), StoreSelectorActivity.class);
//		startActivityForResult(intent, 200);
//	}
//
//	@Override
//	public void onActivityResult(int requestCode, int resultCode, Intent data) {
//
//		super.onActivityResult(requestCode, resultCode, data);
//		switch (resultCode) {
//		case StoreSelectorActivity.RESULTCODE:
//			shopEntity = (ShopEntity) data.getSerializableExtra("store");
//			if(shopEntity != null) {
//				tv_selected_store.setText(shopEntity.getShopName());
//				sendStoreId(shopEntity.getShopId());
//			}
//			break;
//		case 350:
//			Czyda001Db guwen = (Czyda001Db) data.getSerializableExtra("guwen");
//			choice = data.getIntExtra("choice", -1);
//			if(guwen != null) {
//				tv_select_guwen.setText(guwen.getOpername());
//				sendGuWen(guwen.getOperatorID());
//			}
//			break;
//		default:
//			break;
//		}
//	}
//}
