package com.urovo.activity.slidemenu;

import android.app.AlertDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ImageButton;
import android.widget.ListView;
import android.widget.TextView;

import com.urovo.wgmf.AsyncTask.QueryHuoDongJiLuTask;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wgmf.adapter.HuoDongJiLuAdapter;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wgmf.entity.response.HuoDongJiluResponse;
import com.urovo.wgmf.db.dao.entitys.HuoDongJiLuEntity;
import com.urovo.wugumofang.R;

import java.util.List;

public class HuoDongJiLu extends BaseActivity {

	private ListView lv_hdjilu;
	private List<HuoDongJiLuEntity> jiluList;
	private HuoDongJiluResponse hdjlResponse;
	private String huiyuan = "";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.huodongjilu);
		ImageButton goback = (ImageButton) findViewById(R.id.goback);
		goback.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {

				finish();
			}
		});
		titleTextView = (TextView) findViewById(R.id.text_title);
		titleTextView.setText("活动记录");
		lv_hdjilu = (ListView) findViewById(R.id.lv_hdjilu);
		Intent intent = getIntent();
		huiyuan = intent.getStringExtra("huiyuan");
		new QueryHuoDongJiLuTask(this, "正在查询活动记录", true, huiyuan).execute("");
	}

	@Override
    public void displayResult(String tag, BaseResponse response) {
		if(QueryHuoDongJiLuTask.TAG.equals(tag)) {
			if(response != null) {
				hdjlResponse = (HuoDongJiluResponse) response;
				if("0".equals(hdjlResponse.getRet())) {
					if(hdjlResponse.getResult() != null && hdjlResponse.getResult().size() > 0) {
						jiluList = hdjlResponse.getResult();
						// List<HuoDongJiLuEntity> copy=new
						// ArrayList<HuoDongJiLuEntity>();
						// copy.addAll(jiluList);
						// Iterator<HuoDongJiLuEntity> it=jiluList.iterator();
						// while (it.hasNext()) {
						// HuoDongJiLuEntity ent = (HuoDongJiLuEntity)
						// it.next();
						// for(HuoDongJiLuEntity cent:copy){
						// if(cent.getAct_name().equals(ent.getAct_name())){
						// if(Double.parseDouble(ent.getAct_money().substring(0,ent.getAct_money().length()-1))+Double.parseDouble(cent.getAct_money().substring(0,cent.getAct_money().length()-1))==0){
						// it.remove();
						// }
						// }
						// }
						// }
						HuoDongJiLuAdapter adapter = new HuoDongJiLuAdapter(jiluList, this);
						lv_hdjilu.setAdapter(adapter);
						lv_hdjilu.setOnItemClickListener(new OnItemClickListener() {

							@Override
							public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
								HuoDongJiLuEntity ent = jiluList.get(position);
								View v = View.inflate(HuoDongJiLu.this, R.layout.huodongxiangqing, null);
								TextView tv_hd_detail = (TextView) v.findViewById(R.id.tv_hd_detail);
								TextView tv_hd_title = (TextView) v.findViewById(R.id.tv_hd_title);
								tv_hd_title.setText("详情");
								tv_hd_detail.setText("参加门店：" + ent.getAct_store() + "\r\n活动名称：" + ent.getAct_name() + "\r\n购买金额：" + ent.getAct_money() + "元\r\n购买产品：" + ent.getAct_pro() + "\r\n赠送产品：" + ent.getAct_gift() + "\r\n活动积分：" + ent.getAct_points() + "\r\n参加时间：" + ent.getAct_time()
										+ "\r\n经办人：" + ent.getAct_saler());

								AlertDialog.Builder builder = new AlertDialog.Builder(HuoDongJiLu.this);
								builder.setView(v);
								final AlertDialog alert = builder.create();
								alert.show();

								v.findViewById(R.id.tv_btn).setOnClickListener(new OnClickListener() {

									@Override
									public void onClick(View v) {
										alert.dismiss();
									}
								});
							}
						});
					}
				}
				else {
					showMsg(hdjlResponse.getRetInfo());
				}
			}
		}
	}
}