package com.urovo.activity.slidemenu;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.text.Editable;
import android.text.Html;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.viewpager.widget.ViewPager;

import com.google.gson.Gson;
import com.urovo.activity.common.StoreSelectorActivity;
import com.urovo.wgmf.AsyncTask.BaseAppServerTask;
import com.urovo.wgmf.AsyncTask.HuiYuanDetailTask;
import com.urovo.wgmf.adapter.MyBaseAdapter;
import com.urovo.wgmf.adapter.MyPagerAdapter;
import com.urovo.wgmf.db.dao.entitys.JiFenDuiHuanEntity;
import com.urovo.wgmf.db.dao.entitys.JiFenDuiHuanUploadEntity;
import com.urovo.wgmf.db.dao.entitys.JiFenDuiHuanJiLuEntity;
import com.urovo.wgmf.db.dao.entitys.LPItem;
import com.urovo.wgmf.db.dao.entitys.ShopEntity;
import com.urovo.wgmf.entity.response.HuiYuanDetailResponse;
import com.urovo.wgmf.entity.response.JiFenDuiHuanJiLuResponse;
import com.urovo.wgmf.entity.response.JiFenDuiHuanResponse;
import com.urovo.wgmf.entity.response.VipResponse;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.constants.ApiUrls;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.net.OkHttpDominator;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.response.BaseSimpleResponse;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.ui.AnimeUtil;
import com.urovo.wugumofang.ui.DensityUtil;
import com.urovo.wugumofang.ui.ViewUtil;
import com.urovo.wugumofang.utils.CommonTools;
import com.urovo.wugumofang.utils.NumberUtil;

import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;

import okhttp3.Request;

public class JifenActivity extends BaseActivity {

    private ImageButton goback;


    private RadioButton tableft;
    private RadioButton tabright;
    private RadioGroup RadioGroup;
    private ViewPager pager;
    private View pagerItem1;
    private View pagerItem2;
    private ArrayList<View> pagerList = new ArrayList<View>();

    private Button btn_makesure;// 确认按钮
    private TextView tv_jifen_need;// 所需积分
    private TextView tv_jifen_youxiao;// 有效积分
    private TextView tv_up;// 所需积分字
    private TextView tv_down;// 有效积分字
    private TextView tv_jifenbuzu;

    private TextView tv_jifenduihuan_titile;
    private TextView tv_jifenbukeduihuan_titile;
    private TextView tv_select_store;

    private ListView lv_jifen_bukeduihuan_shangpin;
    private ListView lv_jifen_duihuan_shangpin;
    private ListView mListViewJiFenJiLu;
    private int zongjifen;

    private TextView tv_vip_name;
    private TextView tv_vip_point;
    private TextView integral_vouchers_integral_tv;
    private ImageView iv_vip_sex;
    private List<LPItem> jifenProduct;
    private List<LPItem> jifenBuKeProduct;
    private List<LPItem> selectedList;
    private List<JiFenDuiHuanJiLuEntity> mJiFenJiLuList;
    private LinearLayout ll_select_store;

    private VipResponse vipResponse = null;

    private String storeId = "";
    private String vipId;
    /**
     * 是否需要发送验证码
     */
    private boolean needSMS = false;
    /**
     * 提示验证码的弹框的信息
     */
    private String message;


    public ShopEntity shopEntity; // 选择的门店信息
    /**
     * 积分兑换的金额
     */
    public static final String CREDITS_EXCHANGE = "CREDITS_EXCHANGE";
    /**
     * 活动积分,从活动列表过来的
     */
    private int creditsExchange;
    public static final String ACTIVITY_ID = "ACTIVITY_ID";
    /**
     * 积分兑换的活动ID
     */
    private String activityId;
    public static final String CODE_CHECK = "CODE_CHECK";
    /**
     * 兑换记录查询
     */
    public static final String QUERY_DUI_HUAN_JI_LU = "QUERY_DUI_HUAN_JI_LU";
    /**
     * 积分兑换
     */
    public static final String JI_FEN_DUI_HUAN = "JI_FEN_DUI_HUAN";
    /**
     * 积分兑换的校验码
     */
    private String codeCheck;

    /**
     * 输入验证码的对话框
     */
    private AlertDialog dialog;

    private class MyAdapter extends BaseAdapter {

        @Override
        public int getCount() {
            return mJiFenJiLuList.size();
        }

        @Override
        public Object getItem(int position) {
            return position;
        }

        @Override
        public long getItemId(int position) {
            return position;
        }

        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            if (convertView == null) {
                convertView = View.inflate(JifenActivity.this, R.layout.listview_item_jifenduihuanjilu, null);
            }
            TextView name = (TextView) convertView.findViewById(R.id.textViewName);
            TextView jifen = (TextView) convertView.findViewById(R.id.textViewJiFen);
            TextView time = (TextView) convertView.findViewById(R.id.textViewTime);
            JiFenDuiHuanJiLuEntity cell = mJiFenJiLuList.get(position);

            name.setText("兑换的产品:" + cell.productName + "*" + cell.productNum);
            jifen.setText("所耗积分:" + cell.consumePoint);
            time.setText("兑换时间:" + cell.exchageTime);
            return convertView;
        }

    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_jifen_duihuan);
        init();
        initPager();
        initPagerChild();

        goback = (ImageButton) findViewById(R.id.back_tap);
        goback.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
    }

    private void init() {
        tableft = (RadioButton) findViewById(R.id.tap_button_left);
        tabright = (RadioButton) findViewById(R.id.tap_button_right);
        tableft.setText("积分兑换");
        tabright.setText("兑换记录查询");
        tableft.setTextColor(getResources().getColor(R.color.title_yellow_bg));
        RadioGroup = (RadioGroup) findViewById(R.id.tap_radio);
        RadioGroup.setOnCheckedChangeListener(new OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup group, int checkedId) {
                switch (checkedId) {
                    case R.id.tap_button_left:
                        pager.setCurrentItem(0);
                        tableft.setTextColor(getResources().getColor(R.color.title_yellow_bg));
                        tabright.setTextColor(getResources().getColor(R.color.white));
                        break;
                    case R.id.tap_button_right:
                        pager.setCurrentItem(1);
                        tableft.setTextColor(getResources().getColor(R.color.white));
                        tabright.setTextColor(getResources().getColor(R.color.title_yellow_bg));
                        break;
                    default:
                        break;
                }
            }
        });
    }

    private void initPager() {
        pager = (ViewPager) findViewById(R.id.viewpager);
        pagerItem1 = LayoutInflater.from(this).inflate(R.layout.content_jifen_duihuan, null);
        pagerItem2 = LayoutInflater.from(this).inflate(R.layout.content_jifen_duihuanjilu, null);
        pagerList.add(pagerItem1);
        pagerList.add(pagerItem2);
        pager.setAdapter(new MyPagerAdapter(this, pagerList));
        pager.setOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            @Override
            public void onPageSelected(int arg0) {
                switch (arg0) {
                    case 0:
                        tableft.setChecked(true);
                        break;
                    case 1:
                        tabright.setChecked(true);
                        break;
                    default:
                        break;
                }
            }

            @Override
            public void onPageScrollStateChanged(int arg0) {
            }

            @Override
            public void onPageScrolled(int arg0, float arg1, int arg2) {
            }

        });
    }

    private void initPagerChild() {
        mListViewJiFenJiLu = (ListView) pagerItem2.findViewById(R.id.lv_jifen_duihuan_jilu);
        btn_makesure = (Button) pagerItem1.findViewById(R.id.btn_makesure);
        tv_jifen_need = (TextView) pagerItem1.findViewById(R.id.tv_num_up);
        tv_jifen_youxiao = (TextView) pagerItem1.findViewById(R.id.tv_num_down);
        tv_up = (TextView) pagerItem1.findViewById(R.id.tv_up);
        tv_down = (TextView) pagerItem1.findViewById(R.id.tv_down);
        tv_jifenbuzu = (TextView) pagerItem1.findViewById(R.id.tv_jifenbuzu);
        lv_jifen_duihuan_shangpin = (ListView) pagerItem1.findViewById(R.id.lv_jifen_duihuan_shangpin);
        lv_jifen_bukeduihuan_shangpin = (ListView) pagerItem1.findViewById(R.id.lv_jifen_bukeduihuan_shangpin);
        tv_jifenbukeduihuan_titile = (TextView) pagerItem1.findViewById(R.id.tv_jifenbukeduihuan_titile);
        tv_jifenduihuan_titile = (TextView) pagerItem1.findViewById(R.id.tv_jifenduihuan_titile);
        ll_select_store = (LinearLayout) pagerItem1.findViewById(R.id.ll_select_store);

        tv_vip_name = (TextView) pagerItem1.findViewById(R.id.tv_vip_name);
        tv_vip_point = (TextView) pagerItem1.findViewById(R.id.tv_vip_point);
        integral_vouchers_integral_tv = (TextView) pagerItem1.findViewById(R.id.integral_vouchers_integral_tv);
        integral_vouchers_integral_tv.setVisibility(View.GONE);
        iv_vip_sex = (ImageView) pagerItem1.findViewById(R.id.iv_vip_sex);

        tv_select_store = (TextView) pagerItem1.findViewById(R.id.tv_select_store);

        if (SystemHelper.IsAdmin) {
            ll_select_store.setVisibility(View.VISIBLE);
            ll_select_store.setOnClickListener(new OnClickListener() {

                @Override
                public void onClick(View v) {
                    Intent intent = new Intent(JifenActivity.this, StoreSelectorActivity.class);
                    startActivityForResult(intent, 711);
                }
            });
        } else {
            ll_select_store.setVisibility(View.GONE);
            storeId = SystemHelper.LoginOrganId;
        }

        Intent intent = getIntent();
        vipId = intent.getStringExtra("vip");

        codeCheck = intent.getStringExtra(CODE_CHECK);
        if (!TextUtils.isEmpty(codeCheck)) {//表示从积分列表过来的
            creditsExchange = intent.getIntExtra(CREDITS_EXCHANGE, 0);
            activityId = intent.getStringExtra(ACTIVITY_ID);
            integral_vouchers_integral_tv.setVisibility(View.VISIBLE);
            integral_vouchers_integral_tv.setText(Html.fromHtml("积分券积分：" + "<font color=#ffb919 >" + creditsExchange + "</font>"));
        }

        tv_up.setText("兑换所需积分：");
        tv_down.setText("有效积分：");

        btn_makesure.setText("确认");


        btn_makesure.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                /*
                 * 保存数据库，上传
                 */
                if (!TextUtils.isEmpty(storeId)) {
                    List<JiFenDuiHuanUploadEntity> list = saveJiFen(selectedList);
                    if (list != null) {
                        if (needSMS) {
                            showDialogForSMS(message, list);
                        } else {
                            //如果不需要验证码，那就直接上传
                            uploadJiFen(vipId, "", list);
                        }

                    }
                } else {
                    showMsg("请选择门店");
                }
            }
        });

        new HuiYuanDetailTask(this, "正在查询会员积分信息", true, vipId).execute("");
        selectedList = new ArrayList<LPItem>();
        setChanged();
    }


    /**
     * 提醒需要发送验证码的对话框
     *
     * @param msg 后台返回的用于
     */
    private void showDialogForSMS(String msg, final List<JiFenDuiHuanUploadEntity> list) {
        //如果dialog之前已经显示过了，只是把它隐藏了，那再点提交，就只用再显示出来就行，不需要再发验证
        if (dialog != null) {
            dialog.show();
            return;
        }
        new AlertDialog.Builder(JifenActivity.this).setTitle("兑换提醒")
                .setMessage(msg)
                .setCancelable(false)
                .setNegativeButton("取消", null)
                .setPositiveButton("确认", new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        //发送验证码
                        sendSMS(vipId, list);
                    }
                }).show();
    }

    /**
     * 发送验证码
     */
    private void sendSMS(final String mobile, final List<JiFenDuiHuanUploadEntity> list) {
        ViewUtil.showProgress(this, "请稍等", "正在发送短信验证码...");
        HashMap<String, String> params = new HashMap<>(16);
        params.put("mobile", mobile);
        OkHttpDominator.postAsyn(NetParam.YINXIAOBU_SERVER + ApiUrls.APP.POINT_EXCHANGE_SEND_SMS,
                params, new OkHttpDominator.ResultCallback<BaseSimpleResponse>() {
                    @Override
                    public void onError(Request request, Exception e) {
                        ViewUtil.dismissProgress();
                        showMsg(e.getMessage());
                    }

                    @Override
                    public void onResponse(BaseSimpleResponse res) {
                        ViewUtil.dismissProgress();
                        if (res == null) {
                            return;
                        }
                        if (res.msgCode != 0) {
                            showMsg(res.msgInfo);
                            return;
                        }
                        showSMSInputDialog(mobile, list);
                    }
                });
    }

    /**
     * 验证码输入对话框
     */
    private void showSMSInputDialog(final String mobile, final List<JiFenDuiHuanUploadEntity> list) {
        if (dialog == null) {
            View view = getLayoutInflater().inflate(R.layout.jifen_sms_dialog, null);
            final Button reSendSMSBtn = (Button) view.findViewById(R.id.reSMSBtn);
            reSendSMSBtn.setOnClickListener(new OnClickListener() {
                @Override
                public void onClick(View v) {
                    //点击按钮重新发送
                    sendSMS(mobile, list);
                }
            });
            dialog = new AlertDialog.Builder(JifenActivity.this)
                    .setView(view)
                    .setNegativeButton("取消", null)
                    .setPositiveButton("确认", null)
                    .setCancelable(false)
                    .create();
        }
        //如果是关过一次，再重新打开，只用把之前输入的验证码清空就行了，其它的倒计时什么的依旧让它继续跑。
        dialog.show();
        ((EditText) dialog.findViewById(R.id.checkCodeInput)).setText("");
        //据说对Button的操作一定要在show()的后面！否则会崩！！！
        dialog.getButton(AlertDialog.BUTTON_POSITIVE)
                .setOnClickListener(new OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        //防止狂点
                        if (CommonTools.INSTANCE.isOneClick()) {
                            String checkCode = ((EditText) dialog.findViewById(R.id.checkCodeInput)).getText().toString().trim();
                            //发送验证码
//                            checkSMS(mobile,input.getText().toString().trim(),list);
                            if (TextUtils.isEmpty(checkCode)) {//验证码必须输入
                                AnimeUtil.vibrate(dialog.findViewById(R.id.checkCodeInput));
                                return;
                            }
                            uploadJiFen(mobile, checkCode, list);
                        }
                    }
                });
        //客服热线
//        dialog.findViewById(R.id.callTv).setOnClickListener(new OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                Intent intentCall = new Intent(Intent.ACTION_CALL, Uri.parse("tel:" + ((TextView) v).getText().toString()));
//                intentCall.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
//                JifenActivity.this.startActivity(intentCall);
//            }
//        });


        //开始倒计时
        countDownWork((Button) dialog.findViewById(R.id.reSMSBtn));
    }

    /**
     * 重发验证码的倒计时
     */
    private void countDownWork(final Button btn) {
        final WeakReference<Button> refBtn = new WeakReference<>(btn);
        if (refBtn == null || refBtn.get() == null) {
            return;
        }
        refBtn.get().setEnabled(false);
        refBtn.get().setTextColor(getResources().getColor(R.color.text_lv_gray));
        //开始倒计时
        new CountDownTimer(60_000, 1_000) {
            @Override
            public void onTick(long millisUntilFinished) {
                if (refBtn != null && refBtn.get() != null) {
                    refBtn.get().setText(millisUntilFinished / 1000 + "秒后");
                }
            }

            @Override
            public void onFinish() {
                if (refBtn != null && refBtn.get() != null) {
                    refBtn.get().setEnabled(true);
                    refBtn.get().setText("重新获取");
                    refBtn.get().setTextColor(getResources().getColor(R.color.title_pop_query_bg));
                }
            }
        }.start();
    }

    /**
     * 上传积分兑换数据
     */
    private void uploadJiFen(String mobile, String checkCode, List<JiFenDuiHuanUploadEntity> list) {
        btn_makesure.setEnabled(false);
//        btn_makesure.setText("正在上传");
//        Gson gson = new Gson();
//        String content = gson.toJson(list);
//        new UploadJiFenDuiHuanTask(JifenActivity.this, "正在上传积分兑换数据...", true, list).execute("");
        HashMap<String, String> params = new HashMap<>(16);
        params.put("action", NetParam.Action_RequestUpload);
        params.put("method", NetParam.RequestUpload_JiFenDuiHuan);
        params.put("content", new Gson().toJson(list));
        params.put("checkCode", checkCode);

        ViewUtil.showProgress(this, "请稍等", "正在上传...");
        OkHttpDominator.postAsyn(NetParam.YINXIAOBU_SERVER + ApiUrls.APP.UPLOAD_JIFEN_DUIHUAN,
                params,
                new OkHttpDominator.ResultCallback<BaseResponse>() {
                    @Override
                    public void onError(Request request, Exception e) {
                        ViewUtil.dismissProgress();
                        showMsg(e.getMessage());
                    }

                    @Override
                    public void onResponse(BaseResponse response) {
                        ViewUtil.dismissProgress();
                        btn_makesure.setEnabled(true);
                        if (response != null) {
                            if ("0".equals(response.ret)) {
                                showMsg("兑换成功");
                                btn_makesure.setText("兑换成功");
                                selectedList.clear();
//                                if (!TextUtils.isEmpty(codeCheck)) {
//                                    setResult(MemberHomeFragmentActivity.CREDITS_EXCHANGE_RETURN, null);
//                                }
                                finish();
                            } else {
                                showMsg(response.retInfo);
                                if (dialog != null) {
                                    AnimeUtil.vibrate(dialog.getWindow().findViewById(R.id.checkCodeInput));
                                }
                                //现在的需求是失败后弹窗都不消失了，那你清个屁的数据啊。
//                                btn_makesure.setText("兑换失败");
//                                selectedList.clear();
//                                refresh();
                            }
                        } else {
                            showMsg("后台返回null，兑换失败");
//                            btn_makesure.setText("兑换失败");
//                            selectedList.clear();
//                            refresh();
                        }
                    }
                });
    }

    private void refresh() {
        // new DownVipTask(JifenActivity.this, "正在查询会员积分信息", true,
        // vipId).execute("");
        new HuiYuanDetailTask(this, "正在查询会员积分信息", true, vipId).execute("");
        // ViewUtil.showProgress(JifenActivity.this, "提示", "正在查询积分兑换礼品");
        setChanged();
    }

    private void setHeight(ListView view) {
        ListAdapter listAdapter = view.getAdapter();
        if (listAdapter == null) {
            return;
        }

        int totalHeight = 0;
        for (int i = 0; i < listAdapter.getCount(); i++) {
            View listItem = listAdapter.getView(i, null, view);
            listItem.measure(0, 0);
            totalHeight += listItem.getMeasuredHeight();
        }

        ViewGroup.LayoutParams params = view.getLayoutParams();
        params.height = totalHeight + (view.getDividerHeight() * (listAdapter.getCount() - 1));

        view.setLayoutParams(params);
    }

    private void refreshJiFenDuiHuanData() {
        jifenBuKeProduct = new ArrayList<>();
        if (null != jifenProduct) {
            Iterator<LPItem> it = jifenProduct.iterator();
            while (it.hasNext()) {
                LPItem cell = it.next();
                if (cell.getUseJF() > zongjifen) {
                    jifenBuKeProduct.add(cell);
                    it.remove();
                }
            }
        }

        Collections.sort(jifenProduct, (lhs, rhs) -> ((int) (lhs.getUseJF() - rhs.getUseJF())));
        Collections.sort(jifenBuKeProduct, (lhs, rhs) -> ((int) (lhs.getUseJF() - rhs.getUseJF())));

        JifenDuihuanAdapter duihuanAdapter = new JifenDuihuanAdapter(JifenActivity.this, jifenProduct);
        JifenBuKeDuihuanAdapter duihuanBuKeAdapter = new JifenBuKeDuihuanAdapter(JifenActivity.this, jifenBuKeProduct);
        lv_jifen_duihuan_shangpin.setAdapter(duihuanAdapter);
        lv_jifen_bukeduihuan_shangpin.setAdapter(duihuanBuKeAdapter);
        setHeight(lv_jifen_duihuan_shangpin);
        setHeight(lv_jifen_bukeduihuan_shangpin);
        if (jifenProduct.size() <= 0) {
            lv_jifen_duihuan_shangpin.setVisibility(View.GONE);
            tv_jifenbuzu.setVisibility(View.VISIBLE);
        } else {
            lv_jifen_duihuan_shangpin.setVisibility(View.VISIBLE);
            tv_jifenbuzu.setVisibility(View.GONE);
        }
        if (jifenBuKeProduct.size() <= 0) {
            tv_jifenbukeduihuan_titile.setVisibility(View.GONE);
            lv_jifen_bukeduihuan_shangpin.setVisibility(View.GONE);
        } else {
            tv_jifenbukeduihuan_titile.setVisibility(View.VISIBLE);
            lv_jifen_bukeduihuan_shangpin.setVisibility(View.VISIBLE);
        }

        setChanged();
    }

    /**
     * 请求积分兑换
     */
    private void requestJiFenDuiHuan() {
        Map<String, String> p = new HashMap<String, String>();
        p.put("shopId", storeId);
        p.put("mobile", vipId);
        new BaseAppServerTask(JI_FEN_DUI_HUAN, JiFenDuiHuanResponse.class, this,
                "正在获取积分兑换列表...", false, "/user/exchangeGoodsList", p).execute("");
    }

    /**
     * 兑换记录查询
     */
    private void requestJiLu() {
        Map<String, String> p = new HashMap<String, String>();
        p.put("userId", SystemHelper.LoginUserId);
        p.put("storeId", storeId);
        p.put("customerMobile", vipId);
        new BaseAppServerTask(QUERY_DUI_HUAN_JI_LU, JiFenDuiHuanJiLuResponse.class, this,
                "正在获取积分兑换记录...", false, "/information/getCustomerGiftExchangeList", p).execute("");
    }

    @Override
    public void displayResult(String tag, BaseResponse response) {
        if (HuiYuanDetailTask.TAG.equals(tag)) {
            HuiYuanDetailResponse hydResponse = (HuiYuanDetailResponse) response;
            if ("0".equals(hydResponse.getRet())) {
                if (hydResponse.getDatalist() != null && hydResponse.getDatalist().size() > 0) {
                    zongjifen = Integer.decode(hydResponse.getDatalist().get(0).getValidPoints());
                    tv_vip_point.setText(Html.fromHtml("有效积分：" + "<font color=#ffb919>" + zongjifen + "</font>"));
                    if (!TextUtils.isEmpty(codeCheck)) {
                        zongjifen = zongjifen + creditsExchange;
                    }
                    needSMS = hydResponse.getDatalist().get(0).isNeedSMS();
                    message = hydResponse.getDatalist().get(0).getMessage();
                    requestJiLu();
                    requestJiFenDuiHuan();
                }
            } else {
                showMsg(hydResponse.getRetInfo());
            }
        } else if (QUERY_DUI_HUAN_JI_LU.equals(tag)) {
            JiFenDuiHuanJiLuResponse res = (JiFenDuiHuanJiLuResponse) response;
            if (null != res.getList() && res.getList().size() > 0) {
                mJiFenJiLuList = res.getList();
                mListViewJiFenJiLu.setAdapter(new MyAdapter());

            }
        } else if (JI_FEN_DUI_HUAN.equals(tag)) {
            JiFenDuiHuanResponse res = (JiFenDuiHuanResponse) response;
            List<JiFenDuiHuanEntity> jiFenDuiHuanList = res.getList();
            if (null != jiFenDuiHuanList && jiFenDuiHuanList.size() > 0) {
                jifenProduct = new ArrayList<>();
                for (JiFenDuiHuanEntity entity : jiFenDuiHuanList) {
                    jifenProduct.add(entity.toLPItem());
                }
            }
            refreshJiFenDuiHuanData();
        }

        /*else if (UploadJiFenDuiHuanTask.TAG.equals(tag)) {
            btn_makesure.setEnabled(true);
            btn_makesure.setClickable(false);
            if (response != null) {
                if ("0".equals(response.ret)) {
                    showMsg("兑换成功");
                    btn_makesure.setText("兑换成功");
                    selectedList.clear();
                    if (!TextUtils.isEmpty(codeCheck)) {
                        setResult(MemberHomeFragmentActivity.CREDITS_EXCHANGE_RETURN, null);
                    }
                    finish();
                } else {
                    showMsg(response.retInfo);
                    btn_makesure.setText("兑换失败");
                    selectedList.clear();
                    refresh();
                }
            } else {
                showMsg("兑换失败");
                btn_makesure.setText("兑换失败");
                selectedList.clear();
                refresh();
            }
        }*/

    }

    private List<JiFenDuiHuanUploadEntity> saveJiFen(List<LPItem> bill) {
        if (bill != null && bill.size() > 0) {
            ListIterator<LPItem> it = bill.listIterator();
            while (it.hasNext()) {
                LPItem p = it.next();
                if (p.getQuantity() == 0) {
                    it.remove();
                }
            }
            // 保存礼品兑换数据到本地：JFDH001表
            JiFenDuiHuanUploadEntity ent = new JiFenDuiHuanUploadEntity();
            Date date = new Date();
            ent.setBill(storeId + DateUtil.format(date, "yyMMddHHmmss") + NumberUtil.generateRandom(4));
            ent.setStoreId(storeId);
            ent.setSkyId(SystemHelper.LoginUserId);
            ent.setSaleEmpName(SystemHelper.LoginUserName);
            ent.setCUSTID(vipId);
            ent.setDHDate(DateUtil.format(date, "yyyy-MM-dd"));
            // ent.setDHTime(DateUtil.format(date, "HHmmss"));
            ent.setDHTime(DateUtil.format(date, "HH:mm:ss"));
            if (!TextUtils.isEmpty(codeCheck)) { //活动列表过来的
                ent.setPromid(activityId);
                ent.setExchangecode(codeCheck);
                ent.setYXJF(zongjifen - creditsExchange);//还是传递原来的积分
            } else {
                ent.setYXJF(zongjifen);
            }

            if (!SystemHelper.IsAdmin) {
                ent.setPOSID("4");//
            } else {
                ent.setPOSID("5");
            }
            // Jfdh001DbOperate.SaveJiFenDuiHuan(ent, bill);
            LPItem[] lps = new LPItem[bill.size()];
            bill.toArray(lps);
            ent.setLPItemDetails(lps);

            List<JiFenDuiHuanUploadEntity> list = new ArrayList<JiFenDuiHuanUploadEntity>();
            list.add(ent);

            return list;
        } else {
            return null;
        }
    }

    private class JifenDuihuanAdapter extends MyBaseAdapter<LPItem, ListView> {
        public JifenDuihuanAdapter(Context context, List<LPItem> product) {
            super(product, context);
        }

        @Override
        public View getView(final int position, View convertView, final ViewGroup parent) {
            View view;
            final ViewHolder holder;
            if (convertView == null) {
                view = View.inflate(context, R.layout.listview_item_jifen_duihuan, null);
                holder = new ViewHolder();
                holder.rl_item_jifen = (LinearLayout) view.findViewById(R.id.rl_item_jifen);
                holder.cb_jifen_product = (CheckBox) view.findViewById(R.id.cb_jifen_product);
                holder.tv_jifen_product_name = (TextView) view.findViewById(R.id.tv_jifen_product_name);
                holder.tv_jifenshu = (TextView) view.findViewById(R.id.tv_jifenshu);
                holder.tv_stock_num = (TextView) view.findViewById(R.id.tv_stock_num);
                holder.btn_jian_jifen = (Button) view.findViewById(R.id.btn_jian_jifen);
                holder.btn_jia_jifen = (Button) view.findViewById(R.id.btn_jia_jifen);
                holder.et_count_jifen = (EditText) view.findViewById(R.id.et_count_jifen);
                holder.ll_show_count = (LinearLayout) view.findViewById(R.id.ll_show_count);

                view.setTag(holder);
            } else {
                view = convertView;
                holder = (ViewHolder) view.getTag();
            }
            LPItem lpItem = lists.get(position);
            holder.tv_jifen_product_name.setText(lpItem.getLPItemName());
            holder.tv_jifenshu.setText("-" + (int) lpItem.getUseJF() + "分");
            if (lpItem.isShowInv()) {
                holder.tv_stock_num.setText("剩余" + (int) lpItem.getInv() + "份");
                holder.tv_stock_num.setVisibility(View.VISIBLE);

                holder.et_count_jifen.setCursorVisible(false);
                holder.et_count_jifen.setFocusable(false);
                holder.et_count_jifen.setFocusableInTouchMode(false);
            } else {
                holder.tv_stock_num.setVisibility(View.GONE);
            }
            holder.rl_item_jifen.setOnClickListener(new OnClickListener() {

                @Override
                public void onClick(View v) {
                    if (holder.cb_jifen_product.isChecked()) {
                        jifenProduct.get(position).setChecked(false);
                        selectedList.remove(jifenProduct.get(position));
                        changeListViewHeight(parent, false);
                    } else {
                        int sum = 0;
                        if (selectedList != null) {
                            for (LPItem t : selectedList) {
                                if (t.isChecked()) {
                                    sum += (int) t.getTotalUseJF();
                                }
                            }
                        } else {
                            selectedList = new ArrayList<LPItem>();
                        }
                        sum += jifenProduct.get(position).getUseJF();
                        if (sum <= zongjifen) {
                            jifenProduct.get(position).setQuantity(1);
                            jifenProduct.get(position).setChecked(true);
                            selectedList.add(jifenProduct.get(position));
                            //积分足够的时候，才把数量操作栏显示出来，才需要增加高度
                            changeListViewHeight(parent, true);
                            btn_makesure.setEnabled(true);
                            btn_makesure.setText("确认");
                        } else {
                            showMsg("积分不足");
                        }
                    }
                    JifenDuihuanAdapter.this.notifyDataSetChanged();
                    setChanged();
                }
            });

            holder.et_count_jifen.setTag(position);
            holder.et_count_jifen.addTextChangedListener(new TextWatcher() {

                @Override
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {

                }

                @Override
                public void onTextChanged(CharSequence s, int start, int before, int count) {

                }

                @Override
                public void afterTextChanged(Editable s) {
                    if (!jifenProduct.get(position).isChecked()) {
                        return;
                    }
                    int ptn = (Integer) holder.et_count_jifen.getTag();

                    String str = holder.et_count_jifen.getText().toString();

                    int count = 1;
                    if (!TextUtils.isEmpty(str)) {
                        count = Integer.parseInt(str);
                        int maxCount = checkCount(count, ptn);
                        if (maxCount != 1) {
                            if (count < 1) {
                                count = 1;
                                holder.et_count_jifen.setText(count + "");
                                holder.btn_jian_jifen.setEnabled(false);
                                holder.btn_jia_jifen.setEnabled(true);
                            } else if (count == 1) {
                                holder.btn_jian_jifen.setEnabled(false);
                                holder.btn_jia_jifen.setEnabled(true);
                            } else if (count > maxCount) {
                                showMsg("积分不足");
                                count = maxCount;
                                holder.et_count_jifen.setText(count + "");
                                //光标定位到末尾
                                holder.et_count_jifen.setSelection(holder.et_count_jifen.getText().toString().length());
                            } else {
                                holder.btn_jian_jifen.setEnabled(true);
                                holder.btn_jia_jifen.setEnabled(true);
                            }
                        } else {
                            if (count != 1) {
                                showMsg("积分不足");
                                count = 1;
                                holder.et_count_jifen.setText(count + "");
                            }
                            holder.btn_jian_jifen.setEnabled(false);
                            holder.btn_jia_jifen.setEnabled(true);
                        }
                    } else {
                        count = 1;
                        holder.et_count_jifen.setText(1 + "");
                        //光标定位到末尾
//                        holder.et_count_jifen.setSelection(holder.et_count_jifen.getText().toString().length());
                        //全选
                        holder.et_count_jifen.selectAll();
                    }

                    LPItem p = jifenProduct.get(ptn);
                    p.setQuantity(count);
                    p.setTotalUseJF(count * p.getUseJF());
                    holder.tv_jifenshu.setText("-" + (int) p.getTotalUseJF() + "分");
                    jifenProduct.set(ptn, p);
                    if (selectedList != null) {
                        int index = selectedList.indexOf(p);
                        if (index != -1) {
                            selectedList.set(index, p);
                        }
                    }

                    setChanged();
                }
            });
            holder.btn_jian_jifen.setOnClickListener(new OnClickListener() {

                @Override
                public void onClick(View v) {
                    if (!lpItem.isShowInv()) {
                        int i = Integer.parseInt(holder.et_count_jifen.getText().toString());
                        i--;
                        holder.et_count_jifen.setText(i + "");
                        //光标定位到末尾
                        holder.et_count_jifen.setSelection(holder.et_count_jifen.getText().toString().length());
                    } else {
                        showMsg("每次只能兑换1份");
                    }
                }
            });
            holder.btn_jia_jifen.setOnClickListener(new OnClickListener() {

                @Override
                public void onClick(View v) {
                    if (!lpItem.isShowInv()) {
                        int i = Integer.parseInt(holder.et_count_jifen.getText().toString());
                        i++;
                        holder.et_count_jifen.setText(i + "");
                        //光标定位到末尾
                        holder.et_count_jifen.setSelection(holder.et_count_jifen.getText().toString().length());
                    } else {
                        showMsg("每次只能兑换1份");
                    }
                }
            });

            if (lpItem.isShowInv()) {
                holder.et_count_jifen.setCursorVisible(false);
                holder.et_count_jifen.setFocusable(false);
                holder.et_count_jifen.setFocusableInTouchMode(false);
            } else {
                holder.et_count_jifen.setCursorVisible(true);
                holder.et_count_jifen.setFocusable(true);
                holder.et_count_jifen.setFocusableInTouchMode(true);
            }

            holder.et_count_jifen.setText((int) lpItem.getQuantity() + "");
            holder.cb_jifen_product.setChecked(lpItem.isChecked());
            holder.ll_show_count.setVisibility(lpItem.isChecked() ? View.VISIBLE : View.GONE);
            return view;
        }
    }

    /**
     * （优化高度变更时的流畅度）更改增加或减少一行ListView的高度（高度是写死的，只适用于可兑换产品列表
     *
     * @param isAdd 是否添加一行，如果false，就是减少一行
     */
    private void changeListViewHeight(ViewGroup lv, boolean isAdd) {
        ViewGroup.LayoutParams lp = lv.getLayoutParams();
        lp.height += (isAdd ? 1 : -1) * DensityUtil.dip2px(JifenActivity.this, 55);
        lv.setLayoutParams(lp);
    }

    private class JifenBuKeDuihuanAdapter extends MyBaseAdapter<LPItem, ListView> {

        public JifenBuKeDuihuanAdapter(Context context, List<LPItem> product) {
            super(product, context);
        }

        @Override
        public View getView(final int position, View convertView, ViewGroup parent) {
            View view;
            final ViewHolder holder;
            if (convertView == null) {
                view = View.inflate(context, R.layout.listview_item_jifen_duihuan, null);
                holder = new ViewHolder();
                holder.rl_item_jifen = (LinearLayout) view.findViewById(R.id.rl_item_jifen);
                holder.cb_jifen_product = (CheckBox) view.findViewById(R.id.cb_jifen_product);
                holder.tv_jifen_product_name = (TextView) view.findViewById(R.id.tv_jifen_product_name);
                holder.tv_jifenshu = (TextView) view.findViewById(R.id.tv_jifenshu);
                holder.btn_jian_jifen = (Button) view.findViewById(R.id.btn_jian_jifen);
                holder.btn_jia_jifen = (Button) view.findViewById(R.id.btn_jia_jifen);
                holder.et_count_jifen = (EditText) view.findViewById(R.id.et_count_jifen);
                holder.ll_show_count = (LinearLayout) view.findViewById(R.id.ll_show_count);

                view.setTag(holder);
            } else {
                view = convertView;
                holder = (ViewHolder) view.getTag();
            }
            holder.cb_jifen_product.setChecked(false);
            holder.cb_jifen_product.setVisibility(View.INVISIBLE);
            holder.ll_show_count.setVisibility(View.GONE);
            holder.tv_jifen_product_name.setText(lists.get(position).getLPItemName());
            holder.tv_jifenshu.setText("-" + (int) lists.get(position).getUseJF() + "分");
            holder.et_count_jifen.setTag(position);
            return view;
        }
    }

    /**
     * 检查积分兑换所需的积分是否满足，
     */
    private int checkCount(int count, int ptn) {
        int sum = 0;
        if (selectedList != null) {
            for (LPItem t : selectedList) {
                if (t.equals(jifenProduct.get(ptn))) {
                    continue;
                }
                if (t.isChecked()) {
                    sum += t.getTotalUseJF();
                }
            }
        }
        int last = zongjifen - sum;
        int n = last / (int) jifenProduct.get(ptn).getUseJF();
        return n;
    }

    /**
     * 变化后为结果的TextView赋值
     */
    private void setChanged() {
        int sum = 0;
        if (selectedList != null && selectedList.size() > 0) {
            btn_makesure.setEnabled(true);
            for (LPItem t : selectedList) {
                if (t.isChecked()) {
                    sum += (int) t.getTotalUseJF();
                }
            }

        } else {
            btn_makesure.setEnabled(false);
        }
        tv_jifen_need.setText(sum + "");
        tv_jifen_youxiao.setText(zongjifen + "");
    }

    static class ViewHolder {
        public LinearLayout rl_item_jifen;
        public TextView tv_jifenshu;
        public TextView tv_jifen_product_name;
        public TextView tv_stock_num;
        public CheckBox cb_jifen_product;
        public Button btn_jian_jifen;
        public EditText et_count_jifen;
        public Button btn_jia_jifen;
        public LinearLayout ll_show_count;
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        switch (resultCode) {
            case StoreSelectorActivity.RESULTCODE:
                shopEntity = (ShopEntity) data.getSerializableExtra("store");
                if (shopEntity != null) {
                    tv_select_store.setText(shopEntity.getShopName());
                    storeId = shopEntity.getShopId();
                }
                break;
            default:
                break;
        }
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (dialog != null) {
            dialog.dismiss();
        }
    }
}
