package com.urovo.activity.slidemenu.model

import java.io.Serializable

/**
 * 免费送直接兑换记录查询
 * @author LW
 */
data class FreeDeliveryQueryBean(
    val proName: String?,  //兑换产品
    val exchangeNum: Int,  // 兑换数量
    val totalAmount: Double,  //总金额
    val actualPay: Double,  //实际消费
    val isGift: Int, //是否赠品,是-0，否-1
    val storeName: String?,  //门店名称
    val salerName: String?,  //录单员
    val exchageTime: String?,  //兑换时间
    val activityId: Int,  //活动id
    val activityName: String?  //活动名称
): Serializable