package com.urovo.activity.slidemenu.model;


import com.chad.library.adapter.base.entity.AbstractExpandableItem;
import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.urovo.activity.slidemenu.adapter.ExpandableItemAdapter;

/**
 * @author chenji
 * @date 2017/12/19
 */
public class Level0Item extends AbstractExpandableItem<Level1Item> implements MultiItemEntity {
    /**
     * 购买时间
     */
    public String buyTime;
    /**
     * 订单归属
     */
    public String orderBelong;
    /**
     * 快递公司名
     */
    public String deliveryPartyName;
    /**
     * 快递单号
     */
    public String shipmentCode;

    public Level0Item(String buyTime, String orderBelong) {
        this.buyTime = buyTime;
        this.orderBelong = orderBelong;
    }

    @Override
    public int getItemType() {
        return ExpandableItemAdapter.TYPE_LEVEL_0;
    }

    @Override
    public int getLevel() {
        return 0;
    }
}
