package com.urovo.activity.slidemenu.presenter.contract

import com.urovo.activity.slidemenu.model.FreeDeliveryQueryBean
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wugumofang.base.mvp.AbsView

/**
 * 免费送直接兑换记录查询Contract
 * @author LW
 */
interface FreeDeliveryQueryContract {

    interface View : AbsView {

        fun onResponseSuccess(freeDeliveryQueryList: List<FreeDeliveryQueryBean>) {}

        fun onFailure(errorMsg: String) {}
    }


    interface Presenter : BasePresenter {

        /**
         * 请求获取免费送直接兑换记录查询
         * @param mobile:String 手机号
         */
        fun requestActivityExchageDetail(mobile: String?)
    }
}