package com.urovo.activity.tabMenu.home.ent;

import com.urovo.wugumofang.response.Base3Response;

import java.io.Serializable;
import java.util.List;

/**
 * 更多配置界面
 *
 * @author samy
 * @date 16/7/12
 */
public class HomeMenuOnlineBean extends Base3Response implements Serializable {
    private List<List<ResultInfoBean>> resultInfo;

    public List<List<ResultInfoBean>> getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(List<List<ResultInfoBean>> resultInfo) {
        this.resultInfo = resultInfo;
    }

    public static class ResultInfoBean implements Serializable {
        /**
         * typeId : 0
         * typeName : 会员商品
         * typePic : btn_hysp
         * activeType : 0
         * android : {"link":"test","linkType":"test","param":"0","pic":"https://oalxfnrvo.qnssl.com/btn_hysp.png"}
         * iOS : {"link":"WGShareMemberOfGoodsVC","linkType":"native","param":"0","pic":"https://oalxfnrvo.qnssl.com/btn_hysp_ios.png"}
         */

        private int typeId;
        private String typeName;
        private String typePic;
        private int activeType;
        private AndroidBean android;
        private IOSBean iOS;

        public int getTypeId() {
            return typeId;
        }

        public void setTypeId(int typeId) {
            this.typeId = typeId;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getTypePic() {
            return typePic;
        }

        public void setTypePic(String typePic) {
            this.typePic = typePic;
        }

        public int getActiveType() {
            return activeType;
        }

        public void setActiveType(int activeType) {
            this.activeType = activeType;
        }

        public AndroidBean getAndroid() {
            return android;
        }

        public void setAndroid(AndroidBean android) {
            this.android = android;
        }

        public IOSBean getIOS() {
            return iOS;
        }

        public void setIOS(IOSBean iOS) {
            this.iOS = iOS;
        }

        public static class AndroidBean {
            /**
             * link : test
             * linkType : test
             * param : 0
             * pic : https://oalxfnrvo.qnssl.com/btn_hysp.png
             */

            private String link;
            private String linkType;
            private String param;
            private String pic;

            public String getLink() {
                return link;
            }

            public void setLink(String link) {
                this.link = link;
            }

            public String getLinkType() {
                return linkType;
            }

            public void setLinkType(String linkType) {
                this.linkType = linkType;
            }

            public String getParam() {
                return param;
            }

            public void setParam(String param) {
                this.param = param;
            }

            public String getPic() {
                return pic;
            }

            public void setPic(String pic) {
                this.pic = pic;
            }

            @Override
            public String toString() {
                return "AndroidBean{" +
                        "link='" + link + '\'' +
                        ", linkType='" + linkType + '\'' +
                        ", param='" + param + '\'' +
                        ", pic='" + pic + '\'' +
                        '}';
            }
        }

        public static class IOSBean {
            /**
             * link : WGShareMemberOfGoodsVC
             * linkType : native
             * param : 0
             * pic : https://oalxfnrvo.qnssl.com/btn_hysp_ios.png
             */

            private String link;
            private String linkType;
            private String param;
            private String pic;

            public String getLink() {
                return link;
            }

            public void setLink(String link) {
                this.link = link;
            }

            public String getLinkType() {
                return linkType;
            }

            public void setLinkType(String linkType) {
                this.linkType = linkType;
            }

            public String getParam() {
                return param;
            }

            public void setParam(String param) {
                this.param = param;
            }

            public String getPic() {
                return pic;
            }

            public void setPic(String pic) {
                this.pic = pic;
            }

            @Override
            public String toString() {
                return "IOSBean{" +
                        "link='" + link + '\'' +
                        ", linkType='" + linkType + '\'' +
                        ", param='" + param + '\'' +
                        ", pic='" + pic + '\'' +
                        '}';
            }
        }

        @Override
        public String toString() {
            return "ResultInfoBean{" +
                    "typeId=" + typeId +
                    ", typeName='" + typeName + '\'' +
                    ", typePic='" + typePic + '\'' +
                    ", activeType=" + activeType +
                    ", android=" + android +
                    ", iOS=" + iOS +
                    '}';
        }
    }

//    private List<List<ResultInfoBean>> resultInfo;
//
//    public List<List<ResultInfoBean>> getResultInfo() {
//        return resultInfo;
//    }
//
//    public void setResultInfo(List<List<ResultInfoBean>> resultInfo) {
//        this.resultInfo = resultInfo;
//    }
//
//    public static class ResultInfoBean {
//        /**
//         * typeId : 0
//         * typeName : 打卡
//         * typePic : test
//         * activeType : 0
//         * android : {"link":"test","linkType":"native","pic":"https://oalxfnrvo.qnssl.com/btn_checking_in.png"}
//         * iOS : {"link":"test","linkType":"native","pic":"https://oalxfnrvo.qnssl.com/btn_checking_in_ios.png"}
//         */
//
//        private int typeId;
//        private String typeName;
//        private String typePic;
//        private int activeType;
//        private AndroidBean android;
//        private IOSBean iOS;
//
//        public int getTypeId() {
//            return typeId;
//        }
//
//        public void setTypeId(int typeId) {
//            this.typeId = typeId;
//        }
//
//        public String getTypeName() {
//            return typeName;
//        }
//
//        public void setTypeName(String typeName) {
//            this.typeName = typeName;
//        }
//
//        public String getTypePic() {
//            return typePic;
//        }
//
//        public void setTypePic(String typePic) {
//            this.typePic = typePic;
//        }
//
//        public int getActiveType() {
//            return activeType;
//        }
//
//        public void setActiveType(int activeType) {
//            this.activeType = activeType;
//        }
//
//        public AndroidBean getAndroid() {
//            return android;
//        }
//
//        public void setAndroid(AndroidBean android) {
//            this.android = android;
//        }
//
//        public IOSBean getIOS() {
//            return iOS;
//        }
//
//        public void setIOS(IOSBean iOS) {
//            this.iOS = iOS;
//        }
//
//        public static class AndroidBean {
//            /**
//             * link : test
//             * linkType : native
//             * pic : https://oalxfnrvo.qnssl.com/btn_checking_in.png
//             */
//
//            private String link;
//            private String linkType;
//            private String pic;
//
//            public String getLink() {
//                return link;
//            }
//
//            public void setLink(String link) {
//                this.link = link;
//            }
//
//            public String getLinkType() {
//                return linkType;
//            }
//
//            public void setLinkType(String linkType) {
//                this.linkType = linkType;
//            }
//
//            public String getPic() {
//                return pic;
//            }
//
//            public void setPic(String pic) {
//                this.pic = pic;
//            }
//        }
//
//        public static class IOSBean {
//            /**
//             * link : test
//             * linkType : native
//             * pic : https://oalxfnrvo.qnssl.com/btn_checking_in_ios.png
//             */
//
//            private String link;
//            private String linkType;
//            private String pic;
//
//            public String getLink() {
//                return link;
//            }
//
//            public void setLink(String link) {
//                this.link = link;
//            }
//
//            public String getLinkType() {
//                return linkType;
//            }
//
//            public void setLinkType(String linkType) {
//                this.linkType = linkType;
//            }
//
//            public String getPic() {
//                return pic;
//            }
//
//            public void setPic(String pic) {
//                this.pic = pic;
//            }
//        }
//    }
}
