package com.urovo.activity.tabMenu.home.pre;


import com.urovo.activity.tabMenu.home.net.HomeNet;
import com.urovo.wugumofang.net.CommonController;
import com.urovo.wugumofang.response.CommonEntity;

import java.util.Map;

/**
 * @author chenji
 * @date 18/1/12
 */
public class DragMenuPre implements CommonController.BasePre<String> {
    private CommonController.BaseView<String> mDragMenuView;
    private HomeNet mHomeNet;

    public DragMenuPre(CommonController.BaseView<String> dragMenuView) {
        this.mDragMenuView = dragMenuView;
        this.mHomeNet = new HomeNet();
    }

    @Override
    public void onStart2requestData(Map<String, String> params) {
        mHomeNet.start2request4Menu(this, params);
    }

    @Override
    public void onResponseSuccess(CommonEntity<String> resultInfo) {
        mDragMenuView.onResponseSuccess(resultInfo);
    }

    @Override
    public void onFailure(String failInfo) {
        mDragMenuView.onFailure(failInfo);
    }
}
