package com.urovo.activity.tabMenu.home.pre;

import com.urovo.activity.tabMenu.home.ent.HomeAdEntity;
import com.urovo.activity.tabMenu.home.net.HomeNet;
import com.urovo.wugumofang.net.CommonController;
import com.urovo.wugumofang.response.CommonEntity;

import java.util.List;

/**
 * Created by chenji on 2018/03/15.
 * 广告位
 */

public class HomeAdPre implements CommonController.HomeAdPre<List<HomeAdEntity>> {
    private CommonController.HomeAdView<List<HomeAdEntity>> mHomeView;
    private HomeNet mHomeNet;

    public HomeAdPre(CommonController.HomeAdView<List<HomeAdEntity>> view) {
        mHomeView = view;
        this.mHomeNet = new HomeNet();
    }

    @Override
    public void onStart2requestData4Ad() {
        mHomeNet.start2request4Ad(this);
    }

    @Override
    public void onResponseSuccess4Ad(CommonEntity<List<HomeAdEntity>> resultInfo) {
        mHomeView.onResponseSuccess4Ad(resultInfo);
    }

    @Override
    public void onFailure4Ad(String failInfo) {
        mHomeView.onFailure4Ad(failInfo);
    }

}
