package com.urovo.activity.tabMenu.presenter;

import com.urovo.wgmf.CommonController;
import com.urovo.wgmf.net.CommonNet;

import java.util.Map;


/**
 * 一键上传 业务层
 *
 * @author chenji
 * @date 2017/10/13
 */

public class UpLoadOrderPre implements CommonController.UpLoadOrderPre {
    private CommonController.UpLoadOrderView mUpLoadOrderView;
    private CommonNet mCommonNet;

    public UpLoadOrderPre(CommonController.UpLoadOrderView upLoadOrderView, CommonNet commonNet) {
        this.mUpLoadOrderView = upLoadOrderView;
        this.mCommonNet = commonNet;
    }

    @Override
    public void onUpLoad(Map<String, String> params, String bill) {
        mCommonNet.start2requestUpLoadData(this, params,bill);
    }

    @Override
    public void onResponseSuccess(String bill) {
        mUpLoadOrderView.onResponseSuccess(bill);
    }

    @Override
    public void onFailure(String failInfo) {
        mUpLoadOrderView.onFailure(failInfo);
    }
}
