package com.urovo.activity.tabMenu.util;

import android.text.TextUtils;

/**
 * 消息推送时的Extra数据
 * Created by Sasuke on 2016/7/6.
 */
public class ArticleExtraEntity {
    String pid;//文章主键
    //String articleUrl;//文章URL
    String type;//消息类型：1入职信息；2学习中心；3养生文库 4.工作计划；5.个人信息确认；6红包信息；7销售预测；8CRM定时任务
    int mid;//不知道有什么卵用

    public String getpid() {
        return pid;
    }

    public void setpid(String pid) {
        this.pid = pid;
    }

    public int getType() {
        int typeResult = TextUtils.isEmpty(type) ? 0 : Integer.parseInt(type);
        switch (typeResult) {//注：这里品嘉写的标记和原生上的intent跳转传递的标记不同，品嘉也懒得改，所以需要转换一下。
            case 2://如果是学习中心
                return 1;
            case 3://如果是养生文库
                return 2;
//            case 11://营养顾问星级升降
//            case 5://个人信息确认 友好提示：获取后台精确推送type返回值后，需要进一步判断再跳转，
//                return 4;
//            //金钱入袋声音
//            case 10:
//                return 10;
            default:
                break;
        }
        return 2;
    }

    public void setType(String type) {
        this.type = type;
    }
}
