package com.urovo.activity.tabMenu.view;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.ActivityManager;
import android.app.AlarmManager;
import android.app.AlertDialog;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Color;
import android.graphics.drawable.BitmapDrawable;
import android.net.ConnectivityManager;
import android.net.Network;
import android.net.NetworkRequest;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.text.TextUtils;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TabHost;
import android.widget.TextView;
import android.widget.Toast;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.umeng.analytics.MobclickAgent;
import com.urovo.activity.goodsmanager.OrderDeliveryDifferenceQueryActivity;
import com.urovo.activity.goodsmanager.TransferQueryActivity;
import com.urovo.activity.goodsmanager.model.AllotmentNotificationEntity;
import com.urovo.activity.goodsmanager.model.NotificationOrderGoodDiffEntity;
import com.urovo.activity.messagecenter.net.CountRes;
import com.urovo.activity.messagecenter.presenter.ELearningPresenter;
import com.urovo.activity.messagecenter.presenter.NoticePresenter;
import com.urovo.activity.messagecenter.presenter.SaleActivityPresenter;
import com.urovo.activity.messagecenter.presenter.SaleNewsPresenter;
import com.urovo.activity.messagecenter.presenter.SysMsgPresenter;
import com.urovo.activity.messagecenter.presenter.TodayTaskPresenter;
import com.urovo.activity.messagecenter.view.MsgCenterAct;
import com.urovo.activity.nativemanager.UntreatedOrder;
import com.urovo.activity.nativemanager.UpEndBroadcast;
import com.urovo.activity.nativemanager.UpEndNotify;
import com.urovo.activity.saleDatas.view.SaleDataAct;
import com.urovo.activity.tabMenu.home.HomeActivity;
import com.urovo.activity.tabMenu.home.ent.HomePopWindowEntity;
import com.urovo.activity.tabMenu.home.pre.SubmitOrderPre;
import com.urovo.activity.tabMenu.presenter.UpLoadOrderPre;
import com.urovo.activity.tabMenu.util.JPush.JPushBindDominator;
import com.urovo.activity.tabMenu.util.RadioGroupUtils;
import com.urovo.activity.tabMenu.web.MsgCountResponse;
import com.urovo.activity.tabMenu.web.NationalAdRes;
import com.urovo.activity.tabMenu.web.NationalDayAdDataNet;
import com.urovo.wgmf.AsyncTask.BaseAppServerTask;
import com.urovo.wgmf.AsyncTask.uploadcases.KaoqinUploadCase;
import com.urovo.wgmf.CommonController;
import com.urovo.wgmf.MoreIndexAct;
import com.urovo.wgmf.db.dao.bill.DalCommon;
import com.urovo.wgmf.db.dao.dao.CxykqDbOperate;
import com.urovo.wgmf.db.dao.dao.MsgOperate;
import com.urovo.wgmf.db.dao.dao.PrivilegeDbOperate;
import com.urovo.wgmf.db.dao.dao.Table_toposDbOperate;
import com.urovo.wgmf.db.dao.entitys.ActEntity;
import com.urovo.wgmf.db.dao.entitys.BasicDataRes;
import com.urovo.wgmf.db.dao.entitys.MsgDb;
import com.urovo.wgmf.db.dao.entitys.MsgEntity;
import com.urovo.wgmf.entity.response.CheckIsShowDapeiBtn;
import com.urovo.wgmf.entity.response.MsgResponse;
import com.urovo.wgmf.more.pre.MoreIndexPre;
import com.urovo.wgmf.net.CommonNet;
import com.urovo.wgmf.tool.NotificationCenterManager;
import com.urovo.wgmf.view.AdDialog;
import com.urovo.wugumofang.view.dialog.PublicTipDialog;
import com.urovo.wugumofang.R;
import com.urovo.wugumofang.base.BaseTabAct;
import com.urovo.wugumofang.constants.AppConstants;
import com.urovo.wugumofang.constants.ConstantParams;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wugumofang.constants.RouterParams;
import com.urovo.wugumofang.data.DataMonthUtils;
import com.urovo.wugumofang.data.DateUtil;
import com.urovo.wugumofang.data.PrefHistoryUtil;
import com.urovo.wugumofang.data.PreferHelper;
import com.urovo.wugumofang.membermodule.act.MemberAct;
import com.urovo.wugumofang.net.HttpUtil;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.net.OkHttpDominator;
import com.urovo.wugumofang.net.RetrofitHelper;
import com.urovo.wugumofang.notifylibrary.lib.Effects;
import com.urovo.wugumofang.receiver.TrackerService;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.system.BasePackageUtil;
import com.urovo.wugumofang.system.EnvironmentHelper;
import com.urovo.wugumofang.system.RunningUtil;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wugumofang.ui.DensityUtil;
import com.urovo.wugumofang.ui.DialogHelper;
import com.urovo.wugumofang.utils.MyToast;
import com.urovo.wugumofang.view.CustomPopupWindow;
import com.urovo.wugumofang.view.baseWebViewAct.WebViewAct;
import com.urovo.wugumofang.view.webview.FraContainerAct;
import com.wgmf.trade.GlobalApp;
import com.wgmf.trade.model.data.db.BasicDataDownloader;
import com.wgmf.trade.model.data.net.interactor.impl.EnvironmentSwitchIntImpl;
import com.wgmf.trade.presenter.MemberActionListPre;
import com.wgmf.trade.ui.fra.more.reportfeedback.QualityBackResultFra;
import com.wgmf.trade.ui.fra.more.reportfeedback.QualityBackType;
import com.wgmf.trade.view.SaveSuccessCon;
import com.zsy.libcore.common.android.log.SYLoger;
import com.zsy.libcore.event.MsgCount;
import com.zsy.libcore.model.bean.RequestResult;
import com.zsy.libcore.model.bean.ResultCallback;
import com.zsy.libcore.ui.act.SYActManager;
import com.zsy.libcore.ui.fra.FragmentArgs;
import com.zsy.libext.utils.DateTimeUtils;

import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;

import java.text.MessageFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.Unbinder;
import retrofit2.Call;

import static com.urovo.wugumofang.constants.AppConstants.PreKeys.NEW_AD_LAST_OPEN_TIME;


/**
 * 主界面
 *
 * @author ...
 */
@Route(path = RouterParams.ORIGIN.TABMENUACTIVITY)
@SuppressWarnings("all")
public class TabMenuActivity extends BaseTabAct implements UpEndNotify, CommonController.UpLoadOrderView, SaveSuccessCon.View {
    public static final String TAB_HOME = "homepage";
    public static final String TAB_SORT = "SORT";
    public static final String TAB_SEARCH = "Search";
    public static final String TAB_MANNAGE = "Manage";
    public static final String TAB_NEWS = "News";
    public static final String TAB_SETTING = "Setting";

    private static boolean isVisible = false;
    private static final Object LOCK = new Object();
    private boolean isFirstUpload = true;//是否是第一次上传离线打卡
    /**
     * 用来记录底栏消息中心未读数的
     */
    private HashMap<String, Integer> countMap = new HashMap<>();
    private UpLoadOrderPre mUpLoadOrderPre;
    private SubmitOrderPre mSubmitOrderPre;//静默上传订单

    /**
     * 会员按钮
     */
    @BindView(R.id.push_info_tv)
    TextView mPushInfoTv;

    /**
     * 会员按钮
     */
    @BindView(R.id.radio_button1)
    RadioButton mRadioButtonMember;
    /**
     * 业绩按钮
     */
    @BindView(R.id.radio_button2)
    RadioButton mRadioButtonSalesPerformance;
    /**
     * 首页按钮
     */
    @BindView(R.id.radio_button0)
    RadioButton mRadioButtonHome;
    //    /**
//     * 消息按钮
//     */
    @BindView(R.id.radio_button_news)
    RadioButton mRadioButtonNews;

    /**
     * 消息
     */
//    @BindView(R.id.news_tab)
//    RelativeLayout mNewsTab;
    /**
     * 更多
     */
//    @BindView(R.id.more_tab)
//    RelativeLayout mMoreTab;
//    /**
//     * 更多按钮
//     */
    @BindView(R.id.radio_button4)
    RadioButton mRadioButtonMore;
    /**
     * 未上传数量
     */
    @BindView(R.id.un_up_count)
    TextView showCount;
    /**
     * 消息中心的脚标（未读消息总数量）
     */
    @BindView(R.id.count_msg)
    TextView msgCount;

    /**
     * 双击退出函数
     */
    private static Boolean isExit = false;
    //    private final TagAliasCallback mAliasCallback = new TagAliasCallback() {
//        @Override
//        public void gotResult(int responseCode, String alias, Set<String> tags) {
//            switch (responseCode) {
//                //标签or别名 成功
//                case 0:
//                    BaseAppManager.loger().info("JPUSH:Set tag and alias success");
//                    //PrefTool.setBooleanSave(TabMenuActivity.this,"JPushTagSuccess",true);//存一个Prefs下次就不用绑了
//                    PrefTool.setStringsave(TabMenuActivity.this, "JPushTagAccount", SystemHelper.LoginUserId);
//                    break;
//                //绑定标签or别名失败
//                case 6002:
//                    BaseAppManager.loger().info("JPUSH:Failed to set alias and tags due to timeout. Try again after 60s.");
//                    //PrefTool.setBooleanSave(TabMenuActivity.this,"JPushTagSuccess",false);
//                    PrefTool.setStringsave(TabMenuActivity.this, "JPushTagAccount", "");
//                    new Handler().postDelayed(new Runnable() {
//                        @Override
//                        public void run() {
//                            setJPushAliasAndTag(SystemHelper.IsAdmin);
//                        }
//                    }, 60000);//绑定标签or别名失败，60s后重新搞起
//                    break;
//                default:
//                    BaseAppManager.loger().info("JPUSH:Failed with errorCode = " + responseCode);
//            }
//        }
//    };
    //用来暂存周期性连网获取的各个消息的未读数（0 系统消息 1 今日任务 2 促销活动 3 销售动态 4通知公告）
//    public int[] msgCounts = {-1, -1, -1, -1, -1,-1};
    EnvironmentSwitchIntImpl environmentSwitchInt;

    /**
     * 环境标识
     */
    int tempEnv;

    /**
     * 测试环境标识
     */
    ImageView ivTestEnv;

    /**
     * 系统消息
     */
    SysMsgPresenter sysMsgPresenter;
    //在主页用这个只是用来获取未读数，而请求未读数 系统消息和今日任务的接口相同，所以只用一个就行
    //现在换网络框架了，系统消息 和今日任务 的未读数要分开处理了，所以还是要请求两个接口
    /**
     * 今日任务
     */
    TodayTaskPresenter todayTaskPresenter;

    /**
     * 促销活动
     */
    SaleActivityPresenter saleActivityPresenter;

    /**
     * 销售动态
     */
    SaleNewsPresenter saleNewsPresenter;

    /**
     * 通知公告（跟促销活动是一个接口，一次性请求）
     */
    NoticePresenter noticePresenter;

    /**
     * 在线学习
     */
    ELearningPresenter eLearningPresenter;

    /**
     * 专门为合同弹窗弄一个Pre
     */
    MoreIndexPre contractQueryPre;

    /**
     * 周期性下载基础资料Receiver
     */
    private DataAlarmReceiver dataAlarmReceiver;

    /**
     * 全局定时器（下载基础资料用）
     */
    private AlarmManager alarmManager;

    /**
     * JPUSH极光推送的绑定封装
     */
    private JPushBindDominator jPushBindDominator;

    /**
     * 定时器用的PendingIntent
     */
    private PendingIntent alarmIntent;
    private TabHost logTabHost;
    private RadioGroup logRadioGroup;
    private UpEndBroadcast broadcast = new UpEndBroadcast(this);

    //private DoubleClickExitHelper mDoubleClickExitHelper;
//    private TextView showCount;//更多的脚标（未上传的数量）
//    private TextView msgCount;//消息中心的脚标（未读消息总数量）
    //    private CountReceiver countReceiver = new CountReceiver();//各Activity通过网络请求接收到的脚标数，传到这个TabActivity里更新
    @SuppressWarnings("all")
    private Timer timer;
    //    private Timer dataTimer;//周期下载基础资料定时器
    private NationalDayAdDataNet mNationalDayAdDataNet;
    private Unbinder unBinder;

    private int mTabIndex = -1;

    public static boolean isVisible() {
        synchronized (LOCK) {
            return isVisible;
        }
    }

    /**
     * 是否联网
     */
    private boolean isHaveInternet() {
        return NetHelper.IsHaveInternet(this);
    }
//    static {
////        LibCoreConfig.API_URL = "https://app.wgmf.com/";
//        LibCoreConfig.API_URL = "http://test.wgmf.com/";
//    }

    /**
     * 所有初始的网络请求全放在这里，等基础资料下载完成后再开始执行其它的网络请求
     */
    public void webQuestAfterOnCreate() {
        getMsgCount();//开启定时获取消息中心未读数
        checkIsTestShop();//验证是否是 搭配详情 试点门店（提到前面来请求，避免后面请求费时（而且会被主页的请求卡住））
        //获取离线网络请求数据；
        MemberActionListPre memberActionListPre = new MemberActionListPre(true);
        memberActionListPre.getActionList(false, SystemHelper.LoginOrganId, "", "", false);
    }

    /**
     * 一家人就要整整齐齐（一起设置请求头）
     */
    public void initHeaders() {
        OkHttpDominator.setHeaders(NetParam.getNetHeaders());
        RetrofitHelper.setHeaders(NetParam.getNetHeaders());
        HttpUtil.setHeaders(NetParam.getNetHeaders());
    }

    @TargetApi(Build.VERSION_CODES.JELLY_BEAN_MR1)
    @Override
    protected void onCreate(Bundle savedInstanceState) {
//        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT)
//            getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
        super.onCreate(savedInstanceState);
//        requestWindowFeature(1);
//        StatusBarUtils.enableTranslucentStatusBar(this);
        setContentView(R.layout.menu_menu);
        unBinder = ButterKnife.bind(this);
        //权限控制
//        initPrivilege2VisibilityOrGone();

        //解决沉浸式下，有虚拟按键时，虚拟按键会遮挡布局的问题
//        if (AndroidWorkaround.checkDeviceHasNavigationBar(this)) {
//            AndroidWorkaround.assistActivity(findViewById(android.R.id.content));
////            findViewById(R.id.navigationBar).setVisibility(View.VISIBLE);
//        }

        EventBus.getDefault().register(this);
        initHeaders();//批量设置请求头
        //mDoubleClickExitHelper = new DoubleClickExitHelper(this);
        jPushBindDominator = new JPushBindDominator(this, SystemHelper.LoginUserId);
        jPushBindDominator.setJPushAliasAndTag(SystemHelper.IsAdmin);//极光推送 设置别名和标签
//        setJPushAliasAndTag(SystemHelper.IsAdmin);//极光推送 设置别名和标签
        initPresenters();//初始化 刷新消息中心的各Presenters
//        Table_toposDbOperate.downloadBasicData(this, false, false,false);//一进来就下载基础资料
        startAlarm();//初始化周期性下载基础资料（初始化的那一刻好像就会开始下载，之后就是周期轮循）
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                webQuestAfterOnCreate();
            }
        }, 8000);//延时执行请求，避免跟基础资料下载和处理挤在一起，pos机性能被榨干。
//        （上面用AlarmManager的话，会让延时损失3秒，就是说，推迟5秒，实际只推迟了2秒，所以要多设3秒延迟）

        logTabHost = this.getTabHost();
        IntentFilter intentFilter = new IntentFilter("com.urovo.wgmf.upend");
        registerReceiver(broadcast, intentFilter);
//        registerReceiver(countReceiver, new IntentFilter(AppConstants.ExtraKeys.MSG_CENTER_COUNT_RECEIVER));//注册广播for刷新未读消息数脚标
        logRadioGroup = (RadioGroup) this.findViewById(R.id.main_radio);
        //支持RadioGroup 嵌套任意布局的处理
        new RadioGroupUtils(logRadioGroup).supportNest();
        //会员
        addTab(TAB_SORT, MemberAct.class);
        //业绩
        addTab(TAB_SEARCH, SaleDataAct.class);
        //首页
        addTab(TAB_HOME, HomeActivity.class);
        //消息
        addMsgCenterTab();
        //更多
        addTab(TAB_MANNAGE, MoreIndexAct.class);
        //底部Tab切换逻辑
        toggleTabIndexLogic();

        logRadioGroup.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup group, int checkedId) {
                switch (checkedId) {
                    case R.id.radio_button0:
                        logTabHost.setCurrentTabByTag(TAB_HOME);
                        //onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));
                        mTabIndex = ConstantParams.CONSTANT_STARTS_0;
                        break;
                    case R.id.radio_button1:
                        logTabHost.setCurrentTabByTag(TAB_SORT);
                        //onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));// 如果存在多个考勤异常单就需要重复请求
                        mTabIndex = ConstantParams.CONSTANT_STARTS_1;
                        break;
                    case R.id.radio_button2:
                        logTabHost.setCurrentTabByTag(TAB_SEARCH);
                        //onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));
                        // AppContext.dialPhone(MenuActivity.this);
                        mTabIndex = ConstantParams.CONSTANT_STARTS_2;
                        break;
                    case R.id.radio_button_news:
                        logTabHost.setCurrentTabByTag(TAB_NEWS);
                        //onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));
                        mTabIndex = ConstantParams.CONSTANT_STARTS_3;
                        break;
                    case R.id.radio_button4:
                        logTabHost.setCurrentTabByTag(TAB_MANNAGE);
                        contractQueryPre.queryContractDialog(TabMenuActivity.this);
                        //onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));
                        mTabIndex = ConstantParams.CONSTANT_STARTS_4;
                        break;
                    default:
                        break;
                }
            }
        });

        //极光推送点击监听器传来的Intent（序列化），用于在未登陆时点击推送，使其经过登陆验证才打开页面
        Intent jPushIntent = getIntent().getParcelableExtra(AppConstants.ExtraKeys.JPUSH_INTENT);
        if (jPushIntent != null) {
            startActivity(jPushIntent);
        }

        //等基础资料下载完了再开始请求消息中心
        //getMsgCount();//开启定时获取消息中心未读数

        //首页广告弹窗
        mNationalDayAdDataNet = RetrofitHelper.createApi(NationalDayAdDataNet.class);
        requestIsShowNationalDayAd();

        mUpLoadOrderPre = new UpLoadOrderPre(this, new CommonNet());
        //安卓7.0下的网络状态变化监听
        listenConnectivityChange();
    }

    /**
     * 增加消息Tab
     */
    private void addMsgCenterTab() {
        int jpushCenterDefaultLable = getIntent().getIntExtra(
                AppConstants.ExtraKeys.JPUSH_CENTER_DEFAULT_LABEL, -1);
        Intent intent = new Intent(this, MsgCenterAct.class);
        intent.putExtra(AppConstants.ExtraKeys.MSG_COUNT_MAP, countMap); //消息中心的未读数传进去
        if (jpushCenterDefaultLable >= 0) {
            intent.putExtra(AppConstants.ExtraKeys.MSG_CENTER_DEFAULT_LABEL, jpushCenterDefaultLable);
        }
        addTab(TAB_NEWS, intent);
    }

    /**
     * 切换Tab
     */
    private void toggleTabIndexLogic() {
        mTabIndex = getIntent().getIntExtra(
                AppConstants.ExtraKeys.JPUSH_TAB_INDEX, -1);
        if (mTabIndex == ConstantParams.CONSTANT_STARTS_0) {
            logTabHost.setCurrentTabByTag(TAB_SORT);
            logRadioGroup.check(R.id.radio_button1);
        } else if (mTabIndex == ConstantParams.CONSTANT_STARTS_1) {
            logTabHost.setCurrentTabByTag(TAB_SEARCH);
            logRadioGroup.check(R.id.radio_button2);
        } else if (mTabIndex == ConstantParams.CONSTANT_STARTS_3) {
            logTabHost.setCurrentTabByTag(TAB_NEWS);
            logRadioGroup.check(R.id.radio_button_news);
        } else if (mTabIndex == ConstantParams.CONSTANT_STARTS_4) {
            logTabHost.setCurrentTabByTag(TAB_MANNAGE);
            logRadioGroup.check(R.id.radio_button4);
        } else {
            //默认选中主界面(根据权限控制)
            logTabHost.setCurrentTabByTag(TAB_HOME);
            logRadioGroup.check(R.id.radio_button0);
        }
    }

    private void addTab(String tabTag, Class<?> cls) {
        this.logTabHost.addTab(this.logTabHost.newTabSpec(tabTag)
                .setIndicator(tabTag)
                .setContent(new Intent(this, cls)));
    }

    private void addTab(String tabTag, Intent intent) {
        this.logTabHost.addTab(this.logTabHost.newTabSpec(tabTag)
                .setIndicator(tabTag)
                .setContent(intent));
    }

    /**
     * 会员、业绩、首页、消息、更多 权限
     */
    private String[] tabTitlePrivilege = {
            AppConstants.Home.HOME,
            AppConstants.Member.MEMBER,
            AppConstants.SalesPerformance.SALES_PERFORMANCE,
            AppConstants.MsgCenter.MSG_CENTER,
            AppConstants.More.MORE
    };

    /**
     * 权限控制显隐(会员/业绩/首页/消息/更多)
     */
    @SuppressWarnings("unused")
    private void initPrivilege2VisibilityOrGone() {
        for (int i = 0; i < 5; i++) {
            switch (i) {
                //首页
                case 0:
                    if (!PrivilegeDbOperate.checkUserPrivilege(tabTitlePrivilege[i])) {
                        mRadioButtonHome.setVisibility(View.INVISIBLE);
                    }
                    break;
                //会员
                case 1:
                    if (!PrivilegeDbOperate.checkUserPrivilege(tabTitlePrivilege[i])) {
                        mRadioButtonMember.setVisibility(View.INVISIBLE);
                    }
                    break;
                //业绩
                case 2:
                    if (!PrivilegeDbOperate.checkUserPrivilege(tabTitlePrivilege[i])) {
                        mRadioButtonSalesPerformance.setVisibility(View.INVISIBLE);
                    }
                    break;
                //消息
                case 3:
                    if (!PrivilegeDbOperate.checkUserPrivilege(tabTitlePrivilege[i])) {
//                        mNewsTab.setVisibility(View.INVISIBLE);
                        mRadioButtonNews.setVisibility(View.INVISIBLE);
                    }
                    break;
                //更多
                case 4:
                    if (!PrivilegeDbOperate.checkUserPrivilege(tabTitlePrivilege[i])) {
//                        mMoreTab.setVisibility(View.INVISIBLE);
                        mRadioButtonMore.setVisibility(View.INVISIBLE);
                    }
                    break;
                default:
                    break;
            }
        }
    }

    /**
     * 考勤上传
     * <p>
     * 思路：在线并且考勤数量大于0时，查询数据库，并上传，更新考勤状态
     */
    private void onUpLoadSignInOrOutTask(boolean isHaveInternet) {
        KaoqinUploadCase kaoqin = new KaoqinUploadCase(
                this,
                true,
                "",
                SystemHelper.LoginOrganId,
                SystemHelper.LoginUserId,
                null,
                null,
                !isHaveInternet
        );
        kaoqin.dowork();
//        val kaoqinCase = KaoqinUploadCase(data.photoList,
//                mView,
//                false,
//                signType,
//                SystemHelper.LoginOrganId,
//                SystemHelper.LoginUserId,
//                location,
//                isOfflineMode)
//        TaskEnqueueDominator().addPauseCase(kaoqinCase)
//                .addCase(DismissProgressCase()).go()


//        boolean isLoadFlag = PreferHelper.getInstance().getBoolean(AppConstants.PreKeys.KAOQIN_IS_LOAD_FLAG, false);
//        if (CommonTools.INSTANCE.isOneClick() && /*isLoadFlag &&*/ isHaveInternet && CxykqDbOperate.GetUnUploadCount() > 0) {
//            List<CXYKQEntity> list = CxykqDbOperate.GetUnUpload();
//            for (final CXYKQEntity ent : list) {
//                Map<String, String> p = new HashMap<>();
//                p.clear();
//                p.put("userId", ent.SKYID);
//                p.put("storeId", ent.STOREID);
//                p.put("requestType", "2");
//                p.put("lng", ent.LONGITUDE);
//                p.put("lat", ent.LATITUDE);
//                p.put("userType", SystemHelper.IsAdmin ? "3" : "2");
//                p.put("address", ent.Address);
//                p.put("type", ent.KQTYPE);
//                p.put("machine", "1");
//                p.put("signTime", ent.KQDATE);
//                p.put("signImage", ent.MoreImageUrl);// 多张图片json串
//                //离线打卡记录是否需要标注过期标签， "0":不需要  "1":需要
//                p.put("isOfflineData", CxykqDbOperate.upLoadInvalidDate(ent.KQDATE) ? "1" : "0");
//
//                mUpLoadOrderPre.onUpLoad(p, ent.BILL);
//
////                if (!deleteInvalidDate(ent.KQDATE)) {
////                    //不存过期打卡记录，正常上传
////                    mUpLoadOrderPre.onUpLoad(p, ent.BILL);
////                } else {
////                    //删除过期打卡记录后需要同时刷新更多界面考勤异常的小红点状态
////                    if (CxykqDbOperate.GetUnUploadCount() == 0 && MoreIndexAct.mRefreshStatus != null) {
////                        notifyData();//刷新底部tab 更多的小红点状态
////                        MoreIndexAct.mRefreshStatus.notifyUpLoadData();//刷新本机管理的红色状态
////                        PreferHelper.getInstance().setBoolean(AppConstants.PreKeys.KAOQIN_IS_LOAD_FLAG, false);
////                    }
////                }
//            }
//        }
    }

    /**
     * 处理过期的考勤记录，当天考勤记录异常单时间大于等于第二天24点就清除（删除数据库过期考勤记录，并不上传）
     *
     * @param kqdate 数据库中保留的打卡日期
     * @return true: 存在过期的打卡记录，并且删除成功； false：不存在过期打卡记录，原数据都在
     */
    private boolean deleteInvalidDate(String kqdate) {
        boolean flag = false;
        try {
            String[] kqdateStr = kqdate.split(" ");
            if (kqdateStr.length != 0) {
                long invalidDate = DateTimeUtils.getTomorrowTimestamp(kqdateStr[0] + " 24:00:00");
                long currentDate = DateTimeUtils.getTimestamp(DateUtil.getDateByFormat(new Date(), "yyyy-MM-dd HH:mm:ss"));
                SYLoger.print("wgmf--invalidDate str: " + kqdateStr[0] + " 24:00:00");
                SYLoger.print("wgmf--currentDate: " + currentDate);
                SYLoger.print("wgmf--invalidDate: " + invalidDate);
                if (currentDate >= invalidDate) {
                    CxykqDbOperate.deleteRowData(kqdate);
                    SYLoger.print("wgmf--deleteRowData: successful!");
                    flag = true;
                } else {
                    flag = false;
                }
            }
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return flag;
    }

    /**
     * 广播监听系统网络状态
     *
     * @param netMobile ...
     */
//    @Override
//    @SuppressWarnings("all")
//    public void onNetChange(int netMobile) {
//        super.onNetChange(netMobile);
////        Toast.makeText(this, "onNetChange:" + (netMobile != -1 ? "有网络" : "无网络"), Toast.LENGTH_SHORT).show();
//        boolean isTopStackAct;
//        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
////            if (!TextUtils.isEmpty(mClassName)) {
////                isTopStackAct = mClassName.equals(this.getLocalClassName());
////            } else {
////                return;//如果mClassName为空就不处理网络监听的所有执行内容
////            }
//            return;//不处理5.0及以上系统版本的网络监听，改成用户手动操作主界面tab按钮触发考勤上传
//        } else {
//            ActivityManager manager = (ActivityManager) getSystemService(Context.ACTIVITY_SERVICE);
//            ActivityManager.RunningTaskInfo info = manager.getRunningTasks(1).get(0);
//            String shortClassName = info.topActivity.getShortClassName();    //类名
//            isTopStackAct = shortClassName.equals(this.getLocalClassName());
////            SYLoger.print("topAct -- " + shortClassName);
//        }
////        SYLoger.print("sysCode -- " + isTopStackAct);
//        // 该标志是位于当前栈顶的act是否为TabMenuActivity
//        if (isTopStackAct) {
//            //监听有网络到自动静默上传考勤异常单
//            onUpLoadSignInOrOutTask(NetHelper.getInstance(this).isNetConnect(netMobile));
//        }
//    }

    @SuppressWarnings("all")
    private String mClassName;

    @SuppressWarnings("all")
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onTopStackActEvent(TrackerService.ActivityChangedEvent event) {
        mClassName = event.getClassName();
    }

//    /**
//     * 网络状态变化监听
//     * 一旦有网，就自动上传考勤打卡
//     * @param event
//     */
//    @Subscribe(threadMode = ThreadMode.MAIN)
//    public void onNetWorkState2OnLine(NetWorkStateReceiver.NetWorkState2Online event) {
//        //只有在 TabMenuActivity 可见的时候才自动上传 ，因为打卡用了多进程，怕万一还在打卡界面的时候，网络状态改变，然后这两个进程同时上传
//        //而数据库是可以多进程同时读的，这样的话，可能会上传重复打卡单。。。。
////        if (isVisible()){
////            onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));
////        }
//    }

    /**
     * 通用网络状态变化监听
     */
    public void listenConnectivityChange() {
        //只有安卓5.0以上才有NetworkRequest这个类，否则会崩溃并报NoClassFound异常
        //修复安卓6.0下的闪退异常 ......was not granted  either of these permissions: android.permission.CHANGE_NETWORK_STATE, android.permission.WRITE_SETTINGS.
        //真是怂了。。你们都是用的什么神仙手机，改破了头还闪退。。。得得得，7.0以下都不监听了好吗。
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.N) {
            final ConnectivityManager cm = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
            cm.requestNetwork(new NetworkRequest.Builder().build(), new ConnectivityManager.NetworkCallback() {
                @Override
                public void onLost(Network network) {
                    super.onLost(network);
                    ///网络不可用的情况下的方法
                    isFirstUpload = false;
                }

                @Override
                public void onAvailable(Network network) {
                    super.onAvailable(network);
                    ///网络可用的情况下的方法
                    if (/*isVisible()*/ !isFirstUpload) {//TabMenuActivity是否可见
//                    Log.i("SasukeLog", "onUpLoadSignInOrOutTask（）");
                        onUpLoadSignInOrOutTask(NetHelper.IsHaveInternet(TabMenuActivity.this));
                    }
                    isFirstUpload = false;
                }
            });
        }
    }

    /**
     * 从订单上传页面退出到主页时，发送消息到这里进行后台静默上传。
     *
     * @param event
     */
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onSubmitOrder(SubmitOrderPre.SubmitOrderEvent event) {
        mSubmitOrderPre = new SubmitOrderPre(this, "", true) {
            @Override
            public void skipToOrderResult() {
                //成功后不需要跳转
                //不需要手动弹toast，在SubmitOrderPre里成功了会自动弹toast的
//                MyToast.show("订单提交成功");
                refreshUIStatus();
            }
        };
        mSubmitOrderPre.submitOrder(this);
    }

    @Override
    public void onResponseSuccess() {
        mSubmitOrderPre.onSubmitSuccess();
    }

    @Override
    public void onFailure() {
        mSubmitOrderPre.onSubmitFailure();
        refreshUIStatus();
    }

    //==========都是静默上传订单的回调，暂时只用onResponseSuccess()，不用管下面的=========
    @Override
    public void commitOrderState(String wxPayNo) {

    }

    @Override
    public void showRecomProduct(String product) {

    }

    @Override
    public void onShowProgress() {

    }

    //==========都是静默上传订单的回调，暂时只用onResponseSuccess()，不用管上面的=========


    @Override
    public void onResponseSuccess(String bill) {
        CxykqDbOperate.UpdateBillState(bill);//更新上传考勤状态
        if (CxykqDbOperate.GetUnUploadCount() == 0) {
            DialogHelper.onAlertDialog(this, "离线打卡记录已上传成功！", null, new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialog, int which) {
                    notifyData();//刷新底部tab 更多的小红点状态
//                    MoreIndexAct.mRefreshStatus.notifyUpLoadData();//刷新本机管理的红色状态
//                    PreferHelper.getInstance().setBoolean(AppConstants.PreKeys.KAOQIN_IS_LOAD_FLAG, false);
                }
            });
        }
    }

    @Override
    public void onFailure(String failInfo) {
//        MyToast.show(this, failInfo, Toast.LENGTH_SHORT);//  处理多重吐司
        new AlertDialog.Builder(this).setMessage(failInfo).setPositiveButton("我知道了", null).show();
        notifyData();
//        PreferHelper.getInstance().setBoolean(AppConstants.PreKeys.KAOQIN_IS_LOAD_FLAG, false);
    }

    /**
     * 考勤打卡异常通知
     */
    @SuppressWarnings("all")
    private void showSignInOrOutException() {
        int count = CxykqDbOperate.GetUnUploadCount();
        if (NetHelper.IsHaveInternet(this)) {
            if (count > 0) {
                String tickerText = "生意管家提醒您,您有新的消息";
                String title = "生意管家提醒您";
                String msg = "您的打卡信息有异常，请点击查看详情！";
                NotificationCenterManager.setDetailedConfiguration(
                        700, 3000,
                        "#DDBDC3C7", "#FF444444",
                        "#FFFFFF", 5, 50, 2);
                NotificationCenterManager.showNotification(this, tickerText, title, msg, UntreatedOrder.class,
                        AppConstants.PreKeys.KAOQIN_TYPE, Effects.thumbSlider, com.urovo.wugumofang.libutils.R.id.notificationbar,
                        com.urovo.wugumofang.libutils.R.drawable.icon_module, count);
            } else {
                NotificationCenterManager.hideNotification();// 去掉横幅通知，防止多次弹出来
            }
        }
    }

    /**
     * 首页广告弹窗(后台配置)
     * 一天只能弹出一次，按照日期来判断
     *
     * @param title   。。。
     * @param content 。。。
     */
    @SuppressWarnings("all")
    private NationalAdRes dialogInfoCaches;

    private void checkIsNationalDay(NationalAdRes resultInfo) {
        String currentFormat = new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA).format(new Date());
        //获取上次的日期
        String lastOpen = PreferHelper.getInstance().getString(NEW_AD_LAST_OPEN_TIME + SystemHelper.LoginOrganId);
        //如果与上次弹出日期相同，说明是同一天，那就循环把 dialogInfoCaches 里的带”强制每次弹出“标记的项筛选出来，接下来只需要他们弹了。
        if (null != lastOpen && lastOpen.equals(currentFormat)) {
            NationalAdRes.removeByShowSwitch(resultInfo);
        }
        //开始正式弹窗
        dialogInfoCaches = resultInfo;
        if (dialogInfoCaches != null && dialogInfoCaches.size() > 0) {
            PreferHelper.getInstance().setString(NEW_AD_LAST_OPEN_TIME + SystemHelper.LoginOrganId, currentFormat);
            showAdDialog(dialogInfoCaches.get(0));//读取第一个
        } else {
            requestNotificationStoreAllot();
            requestNotificationOrderGoodDiff();
            requestHasUnReadData();
            requestDialogMessageData();
        }
    }

    /**
     * 门店订货与发货差异弹窗
     */
    private void orderGoodDiff(NotificationOrderGoodDiffEntity entity) {
        if (entity != null && entity.getStatus() == ConstantParams.CONSTANT_STARTS_1) {
            mPushInfoTv.postDelayed(new Runnable() {
                @Override
                public void run() {
                    showPushTipDialog(new View.OnClickListener() {
                                          @Override
                                          public void onClick(View v) {
                                              jumpOrderDeliveryDifferenceQueryActivity(entity);
                                          }
                                      },
                            entity.getTitle(),
                            entity.getContent());
                }
            }, 2000);
        }
    }

    /**
     * 调拨门店逻辑处理
     *
     * @param entity
     */
    private void storeAllotLogic(AllotmentNotificationEntity entity) {
        if (entity.getOutNotification() != null) {
            showPushTipDialog(new View.OnClickListener() {
                                  @Override
                                  public void onClick(View v) {
                                      jumpTransferQueryActivity(entity.getOutNotification());
                                  }
                              },
                    getString(R.string.transfer_query_dialog_title_requisition),
                    getString(R.string.transfer_query_dialog_info_out_shop));
            if (entity.getInNotification() != null) {
                mPushInfoTv.postDelayed(new Runnable() {
                    @Override
                    public void run() {
                        showPushTipDialog(
                                new View.OnClickListener() {
                                    @Override
                                    public void onClick(View v) {
                                        jumpTransferQueryActivity(entity.getInNotification());
                                    }
                                },
                                getString(R.string.transfer_query_dialog_title_requisition),
                                getString(R.string.transfer_query_dialog_info_in_shop));
                    }
                }, 5500);
            }
        } else {
            if (entity.getInNotification() != null) {
                showPushTipDialog(
                        new View.OnClickListener() {
                            @Override
                            public void onClick(View v) {
                                jumpTransferQueryActivity(entity.getInNotification());
                            }
                        },
                        getString(R.string.transfer_query_dialog_title_requisition),
                        getString(R.string.transfer_query_dialog_info_in_shop));
            }
        }
    }

    private void showPushTipDialog(View.OnClickListener listener, String title, String message) {
        CustomPopupWindow builder = new CustomPopupWindow.Builder(this)
                .setContentView(R.layout.view_public_info_dialog) //设置布局文件
                .setFouse(false)
                .setOutSideCancel(false)
                .setBackgroundDrawable(new BitmapDrawable())
                .setAnimationStyle(R.style.dropmenu_anim_style)
                .setwidth(ViewGroup.LayoutParams.MATCH_PARENT)
                .setheight(ViewGroup.LayoutParams.WRAP_CONTENT)
                .builder();

        ((TextView) builder.getItemView(R.id.public_tip_dialog_title_tv)).setText(title);
        ((TextView) builder.getItemView(R.id.public_tip_dialog_content_tv)).setText(message);
        builder.getItemView(R.id.public_tip_dialog_ll).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //跳转调拨明细查询页面
                if (listener != null) {
                    listener.onClick(view);
                }
                builder.dismiss();
            }
        });
        final int[] downX = new int[1];
        final int[] downY = new int[1];
        builder.getItemView(R.id.public_tip_dialog_ll).setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View v, MotionEvent event) {
                switch (event.getAction()) {
                    case MotionEvent.ACTION_DOWN:
                        downX[0] = (int) event.getRawX();
                        downY[0] = (int) event.getRawY();
                        break;
                    case MotionEvent.ACTION_MOVE:
                        int currentX = (int) event.getRawX();
                        int currentY = (int) event.getRawY();
                        if (Math.abs(currentX - downX[0]) > 50 || Math.abs(currentY - downY[0]) > 40) {
                            builder.dismiss();
                        }
                        break;
                    default:
                        break;
                }
                return false;
            }
        });
        builder.showAsLocation(mPushInfoTv, Gravity.BOTTOM, 0, 0);

        mPushInfoTv.postDelayed(new Runnable() {

            @Override
            public void run() {
                builder.dismiss();
            }
        }, 5000);
    }

    /**
     * 门店订货与发货差异弹窗
     *
     * @param entity
     */
    private void jumpOrderDeliveryDifferenceQueryActivity(NotificationOrderGoodDiffEntity entity) {
        Intent intent = new Intent();
        intent.setClass(this, OrderDeliveryDifferenceQueryActivity.class);
        intent.putExtra(AppConstants.ExtraKeys.ORDER_DELIVERY_DIFFERENCE_QUERY_BEGIN_DATE, entity.getBeginDate());
        intent.putExtra(AppConstants.ExtraKeys.ORDER_DELIVERY_DIFFERENCE_QUERY_END_DATE, entity.getEndDate());
        startActivity(intent);
    }

    /**
     * 跳转调拨明细查询页面
     *
     * @param entity
     */
    private void jumpTransferQueryActivity(AllotmentNotificationEntity.NotificationBean bean) {
        Intent intent = new Intent();
        intent.setClass(this, TransferQueryActivity.class);
        intent.putExtra(AppConstants.ExtraKeys.TRANSFER_QUERY_START_DATE, bean.getStartDate());
        intent.putExtra(AppConstants.ExtraKeys.TRANSFER_QUERY_END_DATE, bean.getEndDate());
        intent.putExtra(AppConstants.ExtraKeys.TRANSFER_QUERY_STATUS, bean.getStatus());
        startActivity(intent);
    }


    /**
     * 信息反馈确认提示框
     */
    private void showInfoFeedbackDialog(int type, String message) {
        DialogHelper.onAlertDialog(this, message, null, getString(R.string.close_btn_text), getString(R.string.check_result_btn_text),
                new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        dialog.cancel();
                    }
                },
                new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        if (type == ConstantParams.CONSTANT_STARTS_1) {
                            //跳转意见与建议反馈页面
                            jumpQualityBackResultFra(QualityBackType.Suggestion.getIndex());
                        } else if (type == ConstantParams.CONSTANT_STARTS_2) {
                            //跳转到到货误差反馈页面
                            jumpQualityBackResultFra(QualityBackType.ArrivalError.getIndex());
                        }
                        //标记为为已读状态
                        requestUpdateUnReadData(type);
                        //关闭页面
                        dialog.cancel();
                    }
                });
    }

    /**
     * 跳转反馈页面
     */
    private void jumpQualityBackResultFra(int index) {
        FragmentArgs fragmentArgs = new FragmentArgs();
        fragmentArgs.add(AppConstants.ExtraKeys.QBACK_RESULT_TYPE, index);
        FraContainerAct.launch(this, QualityBackResultFra.class, fragmentArgs, false);
    }


    /**
     * 信息提示框
     */
    protected void showPublicTipDialog(HomePopWindowEntity entity, int layoutId) {
        PublicTipDialog.Companion.Builder builder = new PublicTipDialog.Companion.Builder(this);
        builder.setTitle(entity.getPopContentNor());
        builder.setMessage(entity.getPopContentRed());
        builder.setContentLayoutId(layoutId);
        builder.setContentLayoutParams(new LinearLayout.LayoutParams(
                DensityUtil.getScreenW(this) - DensityUtil.sp2px(this, 40f),
                LinearLayout.LayoutParams.WRAP_CONTENT));
        builder.setNegativeButton(-1,
                new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        WebViewAct.launch(TabMenuActivity.this, SystemHelper.LoginUserId, "", entity.getSwitchUrl());
                        dialog.dismiss();
                    }
                });
        if (!isFinishing()) {
            builder.create().show();
        }
    }


    /**
     * 弹出广告弹窗
     *
     * @param adInfo
     */
    private void showAdDialog(NationalAdRes.AdItem adInfo) {
        AdDialog adDialog = new AdDialog(this, adInfo.getAndroidImgUrl());
        //点击空白区域能不能退出
        adDialog.setCanceledOnTouchOutside(false);
        //按返回键能不能退出
        adDialog.setCancelable(false);
        adDialog.setClickLink(adInfo.getUrl());
        adDialog.setLinkType(adInfo.getLinkType());
        adDialog.setShareable(adInfo.getShareable() == 1);
        adDialog.setNameType(adInfo.getNameType());
        adDialog.setDismissCallback(new AdDialog.DismissCallback() {
            @Override
            public void run() {
                dialogInfoCaches.remove(0);//为实现连续弹窗，则需要把刚才刚过的那个给删掉。
                if (dialogInfoCaches != null && dialogInfoCaches.size() > 0) {
                    showAdDialog(dialogInfoCaches.get(0));//读取第一个
                } else {
                    requestNotificationStoreAllot();
                    requestNotificationOrderGoodDiff();
                    requestHasUnReadData();
                    requestDialogMessageData();
                }
            }
        });
        adDialog.setOnContentClickListener(new AdDialog.OnContentClickListener() {

            @Override
            public void click(String nameType) {
                //商城喷雾销售攻略增加埋点数据
                if (AppConstants.AdNameType.SPRAY_SALES_STRATEGY.equals(nameType)) {
                    requestVipBuryPoint(AppConstants.AdThemeType.SPRAY_SALES_STRATEGY_POP,
                            AppConstants.AdType.CLICK_POP);
                }
            }
        });
        adDialog.show();
    }

    /**
     * 网络请求获取广告数据
     */
    private void requestIsShowNationalDayAd() {
        Call<RequestResult<NationalAdRes>> call = mNationalDayAdDataNet.getNationalDayData(
                SystemHelper.LoginOrganId,
                SystemHelper.LoginUserId
        );
        call.enqueue(new ResultCallback<NationalAdRes>() {
            @Override
            protected void onResponseSuccess(RequestResult<NationalAdRes> responseBody) {
                super.onResponseSuccess(responseBody);
                if (responseBody != null &&
                        responseBody.msgCode == AppConstants.Http.RESPONSE_SUCCESS) {
                    if (responseBody.resultInfo != null) {
                        checkIsNationalDay(responseBody.resultInfo);
                    }
                }
            }
        });
    }

    /**
     * 查询消息弹窗
     */
    private void requestDialogMessageData() {
        Call<RequestResult<HomePopWindowEntity>> call = mNationalDayAdDataNet.getPopWindowData(
                SystemHelper.LoginUserId, SystemHelper.LoginOrganId
        );
        call.enqueue(new ResultCallback<HomePopWindowEntity>() {
            @Override
            protected void onResponseSuccess(RequestResult<HomePopWindowEntity> responseBody) {
                super.onResponseSuccess(responseBody);
                if (responseBody != null &&
                        responseBody.msgCode == AppConstants.Http.RESPONSE_SUCCESS) {
                    HomePopWindowEntity resultInfo = responseBody.resultInfo;
                    if (resultInfo != null && resultInfo.getPopFlag()) {
                        showPublicTipDialog(resultInfo, R.layout.view_home_message_dialog);
                    }
                }
            }
        });
    }

    /**
     * 查询是否有未读的已处理意见与建议流程\已处理到货误差流程,返回true就弹窗
     */
    private void requestHasUnReadData() {
        Call<RequestResult<Integer>> call = mNationalDayAdDataNet.getHasUnReadData(
                SystemHelper.LoginUserId
        );
        call.enqueue(new ResultCallback<Integer>() {
            @Override
            protected void onResponseSuccess(RequestResult<Integer> responseBody) {
                super.onResponseSuccess(responseBody);
                if (responseBody != null &&
                        responseBody.msgCode == AppConstants.Http.RESPONSE_SUCCESS) {
                    Integer resultInfo = responseBody.resultInfo;
                    if (resultInfo != null) {
                        int msgType = resultInfo.intValue();
                        String msgInfo = responseBody.msgInfo;
                        if (!TextUtils.isEmpty(msgInfo)) {
                            showInfoFeedbackDialog(msgType, msgInfo);
                        }
                    }
                }
            }
        });
    }

    /**
     * 门店订货与发货差异弹窗
     */
    private void requestNotificationOrderGoodDiff() {
        Call<RequestResult<NotificationOrderGoodDiffEntity>> call = mNationalDayAdDataNet.notificationOrderGoodDiff(
                SystemHelper.LoginOrganId
        );
        call.enqueue(new ResultCallback<NotificationOrderGoodDiffEntity>() {
            @Override
            protected void onResponseSuccess(RequestResult<NotificationOrderGoodDiffEntity> responseBody) {
                super.onResponseSuccess(responseBody);
                if (responseBody != null &&
                        responseBody.msgCode == AppConstants.Http.RESPONSE_SUCCESS) {
                    NotificationOrderGoodDiffEntity resultInfo = responseBody.resultInfo;
                    orderGoodDiff(resultInfo);
                }
            }
        });
    }


    /**
     * 调拨单弹窗
     */
    private void requestNotificationStoreAllot() {
        Call<RequestResult<AllotmentNotificationEntity>> call = mNationalDayAdDataNet.notificationStoreAllot(
                SystemHelper.LoginUserId, SystemHelper.LoginOrganId
        );
        call.enqueue(new ResultCallback<AllotmentNotificationEntity>() {
            @Override
            protected void onResponseSuccess(RequestResult<AllotmentNotificationEntity> responseBody) {
                super.onResponseSuccess(responseBody);
                if (responseBody != null &&
                        responseBody.msgCode == AppConstants.Http.RESPONSE_SUCCESS) {
                    AllotmentNotificationEntity resultInfo = responseBody.resultInfo;
                    storeAllotLogic(resultInfo);
                }
            }
        });
    }

    /**
     * 网络请求广告埋点
     *
     * @param themeType 主题类型（0:会员商品转发，1：商城喷雾销售攻略弹窗）
     * @param type      0:分享到朋友圈,1:发送给朋友,2:企业微信,3: 企业微信积分过期提醒埋点,
     *                  4:企业微信新客三响炮，5：企业微信点击发送视频；6：点击弹窗
     */
    private void requestVipBuryPoint(String themeType, int type) {
        Call<RequestResult<Object>> call = mNationalDayAdDataNet.vipBuryPoint(SystemHelper.LoginUserId,
                SystemHelper.LoginOrganId, themeType, type);
        call.enqueue(new ResultCallback<Object>() {
            @Override
            protected void onResponseSuccess(RequestResult<Object> responseBody) {
                super.onResponseSuccess(responseBody);
            }
        });
    }

    /**
     * 标记未读的已处理意见与建议、到货误差流程数据为已读
     *
     * @param type 0:意见与建议，1：到货误差
     */
    private void requestUpdateUnReadData(int type) {
        Call<RequestResult<Object>> call = mNationalDayAdDataNet.updateUnReadData(SystemHelper.LoginUserId,
                ConstantParams.CONSTANT_PARAMS_1, String.valueOf(type));
        call.enqueue(new ResultCallback<Object>() {
            @Override
            protected void onResponseSuccess(RequestResult<Object> responseBody) {
                super.onResponseSuccess(responseBody);
            }
        });
    }


    @Override
    @SuppressWarnings("deprecation")
    protected void onResume() {
        synchronized (LOCK) {
            isVisible = true;
        }
        super.onResume();

        refreshUIStatus();
    }

    /**
     * 刷新UI状态
     */
    private void refreshUIStatus() {
        //隐藏虚拟按键
        //AndroidWorkaround.hideBottomUIMenu(this);
        int newCount = DalCommon.GetUnUploadCount(false);
        showCount = (TextView) findViewById(R.id.un_up_count);
        if (newCount == 0) {
            showCount.setVisibility(View.GONE);
        } else {
            showCount.setVisibility(View.VISIBLE);
            showCount.setText(String.format(Locale.CHINA, "%d", newCount));
        }
        try {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
            Date nowDate = new Date();
            HashMap<String, String> map = new HashMap<>();
            map.put("store_id", SystemHelper.LoginOrganId);
            map.put("store_name", SystemHelper.LoginOrganName);
            map.put("user_id", SystemHelper.LoginUserId);
            map.put("user_name", SystemHelper.LoginUserName);
            map.put("time", sdf.format(nowDate));
            MobclickAgent.onEvent(this, "id_login", map);
        } catch (Exception e) {
            BaseAppManager.loger().info(e);
        }

        //环境标识
        if (environmentSwitchInt == null) {
            environmentSwitchInt = new EnvironmentSwitchIntImpl();
        }
        if (ivTestEnv == null) {
            ivTestEnv = (ImageView) findViewById(R.id.iv_test_env);
        }
        tempEnv = environmentSwitchInt.getEnvStatus();
        switch (tempEnv) {
            case EnvironmentHelper.ENV_DEFAULT:
                ivTestEnv.setVisibility(View.GONE);
                break;
            case EnvironmentHelper.ENV_RELEASE:
                ivTestEnv.setVisibility(View.VISIBLE);
                ivTestEnv.setImageResource(R.drawable.app_env_icon);
                break;
            case EnvironmentHelper.ENV_BETA:
                ivTestEnv.setVisibility(View.VISIBLE);
                ivTestEnv.setImageResource(R.drawable.beta_env_icon);
                logRadioGroup.setBackgroundColor(Color.TRANSPARENT);
                break;
            case EnvironmentHelper.ENV_TEST:
                ivTestEnv.setVisibility(View.VISIBLE);
                ivTestEnv.setImageResource(R.drawable.test_env_icon);
                break;
            default:
                break;
        }
        //tips_login_tv.setVisibility(tempEnv!=0?View.VISIBLE:View.GONE);

        //退出下单回到主页的时候清空一下这个吧，免得离线的时候还会生效。（需求说离线了就算以前成功过也不让显示环保装）
        PrefHistoryUtil.clear(AppConstants.ExtraKeys.HAS_BUY_NEW_BAZHEN);
        PrefHistoryUtil.clear(AppConstants.ExtraKeys.HAS_BUY_BAZHEN);
    }

    @Override
    protected void onStop() {
        super.onStop();
        synchronized (LOCK) {
            isVisible = false;
        }
    }

    @Override
    protected void onPause() {
        super.onPause();
        synchronized (LOCK) {
            isVisible = false;
        }
    }

    //@Override public boolean onKeyDown(int keyCode, KeyEvent event) {
    //  if (keyCode == KeyEvent.KEYCODE_BACK) {
    //    return mDoubleClickExitHelper.onKeyDown(keyCode, event);
    //  }
    //  return super.onKeyDown(keyCode, event);
    //}
    @Override
    public boolean dispatchKeyEvent(KeyEvent event) {
        if (event.getKeyCode() == KeyEvent.KEYCODE_BACK
                && event.getAction() == KeyEvent.ACTION_DOWN
                && event.getRepeatCount() == 0) {
            exitBy2Click();
            return false;
        }
        return super.dispatchKeyEvent(event);
    }

    @SuppressWarnings("all")
    private void exitBy2Click() {
        Timer tExit = null;
        if (isExit == false) {
            isExit = true; // 准备退出
            MyToast.show(this, "再按一次退出程序", Toast.LENGTH_SHORT);
            //Toast.makeText(this, "再按一次退出程序", Toast.LENGTH_SHORT).show();
            tExit = new Timer();
            tExit.schedule(new TimerTask() {
                @Override
                public void run() {
                    isExit = false; // 取消退出
                }
            }, 2000); // 如果2秒钟内没有按下返回键，则启动定时器取消掉刚才执行的任务

        } else {
            // PollingTool.stopPollingService(TabMenuActivity.this,
            // PollingService.class, PollingService.ACTION);
            //要杀掉第二进程
            ((ActivityManager) getSystemService(ACTIVITY_SERVICE)).killBackgroundProcesses(BasePackageUtil.getAppPackageName(this));
            SYActManager.getInstance().AppExit();
        }
    }

    @Override
    public void notifyData() {
        int count = DalCommon.GetUnUploadCount(false);
        if (count == 0) {
            showCount.setVisibility(View.GONE);
        } else {
            showCount.setVisibility(View.VISIBLE);
            showCount.setText(MessageFormat.format("{0}", count));
        }
    }

    @Override
    @SuppressWarnings("all")
    protected void onDestroy() {
        unregisterReceiver(broadcast);
//        unregisterReceiver(countReceiver);
        unregisterReceiver(dataAlarmReceiver);
        EventBus.getDefault().unregister(this);
        if (alarmManager != null) {
            alarmManager.cancel(alarmIntent);
        }
        if (timer != null) {
            timer.cancel();
        }
        if (unBinder != null) {
            unBinder.unbind();
        }
        super.onDestroy();
    }

    /**
     * 为极光推送的设置别名和标签
     */
//    protected void setJPushAliasAndTag(boolean isAdmin) {
//        //如果已绑定成功 并且存在本地的账号竟然不跟当前登陆账号相同！，就再重新绑定
//        if (!PrefTool.getStringPerferences(TabMenuActivity.this, "JPushTagAccount", "").equals(SystemHelper.LoginUserId)) {
//            //给极光后台绑
//            Set<String> tags = new HashSet<>();
//            //是不是营养顾问模式（目前只给营养顾问发推送）
//            if (isAdmin) {
//                //督导标签
//                tags.add("admin");
//            } else {
//                //营养顾问标签
//                tags.add("staff");
//            }
//            JPushInterface.setAliasAndTags(this, SystemHelper.LoginUserId, tags, mAliasCallback);
//        }
//
//        if (!PrefTool.getStringPerferences(TabMenuActivity.this, "JPushYinXiaoBind", "").equals(SystemHelper.LoginUserId)) {
//            //给公司后台绑
//            Map<String, String> p = new HashMap<>();
//            //是不是营养顾问模式（目前只给营养顾问发推送）
//            if (isAdmin) {
//                p.put("tag", "admin");
//            } else {
//                p.put("tag", "staff");
//            }
//            p.put("staffId", SystemHelper.LoginUserId);
//            p.put("alias", SystemHelper.LoginUserId);
//            p.put("platform", "android");
//            p.put("type", "2");
//            //别名绑完极光服务器再绑到公司服务器（绑定失败后每60秒回调一次JPushYinXiaoBindCallback）
////            new Thread(new JPushYinXiaoBindTask(
////                    this, NetParam.JPUSH_YINXIAO_BIND_PATH, p, new JPushYinXiaoBindCallback(this))).start();
//
////          http://blog.csdn.net/u013851082/article/details/70211943
//
////            ThreadFactory threadFactory = Executors.defaultThreadFactory();
////            ExecutorService singleThreadPool = new ThreadPoolExecutor(1, 1,
////                    0L, TimeUnit.MILLISECONDS,
////                    new LinkedBlockingQueue<Runnable>(1024), threadFactory, new ThreadPoolExecutor.AbortPolicy());
////            singleThreadPool.execute(new JPushYinXiaoBindTask(this, NetParam.JPUSH_YINXIAO_BIND_PATH, p, new JPushYinXiaoBindCallback(this)));
////            singleThreadPool.shutdown();//执行完后计数为0时，就是main 线程的事情了
//
//            ThreadManager.getThreadPool().execute(new JPushYinXiaoBindTask(this, NetParam.JPUSH_YINXIAO_BIND_PATH, p, new JPushYinXiaoBindCallback(this)));
//        }
//    }
    @SuppressWarnings("all")
    public void displayResult(String tag, BaseResponse response) {
        //一次性获取 系统消息 和 今日任务 的未读数
        if ("sys_today_count".equals(tag)) {
            CountRes res = (CountRes) response;
            res.transToList();
            int todayTask = 0;
            int sysMsg = 0;
            for (CountRes.Count count : res.getResultList()) {
                //今日任务
                if ((Integer.parseInt(count.getType()) > 0 && Integer.parseInt(count.getType()) < 4)
                        || Integer.parseInt(count.getType()) == 9) {
                    todayTask += count.getCount();
                    //系统消息
                }
                if (Integer.parseInt(count.getType()) > 3 && Integer.parseInt(count.getType()) < 9) {
                    sysMsg += count.getCount();
                }
            }
//            msgCounts[MsgParam.TODAY_TASK] = todayTask;
//            msgCounts[MsgParam.SYS_MSG] = sysMsg;
            sendMsgCountBroadcast();
            //促销活动  未读数======================================================
        } else if ("DownloadMsgTask_SaleActivity".equals(tag)) {
            MsgResponse res = (MsgResponse) response;
            List<ActEntity> actlist = res.getActList();
            if (null != actlist && actlist.size() > 0) {
                new AsyncTask<List<ActEntity>, Float, String>() {
                    @Override
                    protected void onPostExecute(String s) {
                        sendMsgCountBroadcast();
                    }

                    @Override
                    protected String doInBackground(List<ActEntity>... params) {
                        for (int i = 0; i < params[0].size(); i++) {
                            MsgDb cell = new MsgDb();
                            ActEntity entity = params[0].get(i);
                            if (DataMonthUtils.getCompareDate(entity.END_TIME,
                                    new SimpleDateFormat("yyyy-MM-dd").format(new Date())) < 30) {
                                cell.mNo = entity.ACTIVITY_ID;// 活动id
                                cell.mType = "3";//
                                cell.mTypeId = entity.TYPE_ID;// 活动类型
                                cell.mTitle = entity.NAME;// 活动标题
                                cell.mContent = entity.CONTENT;// 活动内容
                                cell.mActStartTime = entity.START_TIME;// 活动开始时间
                                cell.mActEndTime = entity.END_TIME;// 活动结束时间
                                cell.mDate = entity.UPDATE_TIME.substring(0, 16);// 活动当前时间
                                MsgOperate.Insert(cell);
                                MsgOperate.updateitem(cell);
                            }
                        }
//                        msgCounts[MsgParam.SALE_ACTIVITY] = saleActivityPresenter.getData().loadMsgDbs();//再从数据库里映射出来，同时返回有多少未读
                        return null;
                    }
                }.execute(actlist);
            } else {
                saleActivityPresenter.getData().setMsgAmount(0);
//                msgCounts[MsgParam.SALE_ACTIVITY] = 0;
                sendMsgCountBroadcast();
            }
            //销售动态  未读数======================================================
        } else if ("getSaleNewsCount".equals(tag)) {
            MsgCountResponse res = (MsgCountResponse) response;
//            msgCounts[MsgParam.SALE_NEWS] = res.getReturnBean();
            sendMsgCountBroadcast();
            //通知公告  未读数======================================================
        } else if ("DownloadMsgTask_Notice".equals(tag)) {
            MsgResponse res = (MsgResponse) response;
            List<MsgEntity> msglist = res.getList();
            if (null != msglist && msglist.size() > 0) {
                new AsyncTask<List<MsgEntity>, Float, String>() {
                    @Override
                    protected void onPostExecute(String s) {
                        sendMsgCountBroadcast();
                    }

                    @Override
                    protected String doInBackground(List<MsgEntity>... params) {
                        for (int i = 0; i < params[0].size(); i++) {
                            MsgEntity entity = params[0].get(i);
                            MsgDb cell = new MsgDb();
                            cell.mNo = entity.id;// 消息id
                            cell.mType = entity.type;// 消息类型
                            cell.mTitle = entity.title;// 消息标题
                            cell.mContent = entity.content;// 消息内容
                            cell.mDate = entity.releaseTime;// 消息发布时间
                            MsgOperate.Insert(cell);
                            MsgOperate.updateitem(cell);
                        }
//                        msgCounts[MsgParam.NOTICE] = noticePresenter.getData().loadMsgDbs();//再从数据库里映射出来，同时返回有多少未读
                        return null;
                    }
                }.execute(msglist);
            } else {
                noticePresenter.getData().setMsgAmount(0);
//                msgCounts[MsgParam.NOTICE] = 0;
                sendMsgCountBroadcast();
            }
        } else if ("isShowDapei".equals(tag)) {//验证是否是搭配详情的试点门店
            CheckIsShowDapeiBtn res = (CheckIsShowDapeiBtn) response;
            if (res.isResultInfo()) {//如果是，则存到pref里
                PreferHelper.getInstance().setString(AppConstants.PreKeys.SHOW_DAPEI_BTN_STORE, SystemHelper.LoginOrganId);
            } else {//如果不是，则置空
                PreferHelper.getInstance().setString(AppConstants.PreKeys.SHOW_DAPEI_BTN_STORE, "");
            }

        }
    }

    public void checkIsTestShop() {
        //如果缓存的试点门店号与当前的不符，就重新网络验证
        if (!SystemHelper.LoginOrganId.equals(
                PreferHelper.getInstance().getString(AppConstants.PreKeys.SHOW_DAPEI_BTN_STORE))) {
            Map<String, String> param = new HashMap<>();
            param.put("storeId", SystemHelper.LoginOrganId);
            new BaseAppServerTask("isShowDapei", CheckIsShowDapeiBtn.class, this,
                    "正在校验门店号...", false, "/frontDisplay/match", param).execute("");
        }
    }


    /**
     * 用来让主页的tabmenu和消息中心的msgcenter进行更新未读数
     */
    public void sendMsgCountBroadcast() {
        Intent intent = new Intent(AppConstants.ExtraKeys.MSG_CENTER_COUNT_RECEIVER);
//        intent.putExtra("data", msgCounts);//植入未读数的具体数据
        intent.putExtra("from", AppConstants.ExtraKeys.MSG_FROM_TABMENU);//标记来源
        sendBroadcast(intent);
    }

    /**
     * 初始化 刷新消息中心的各Presenters
     */
    public void initPresenters() {
        //系统消息
        sysMsgPresenter = new SysMsgPresenter(null, null);
        //今日任务
        todayTaskPresenter = new TodayTaskPresenter(null, null);
        //促销活动
        saleActivityPresenter = new SaleActivityPresenter(null, null);
        //销售动态
        saleNewsPresenter = new SaleNewsPresenter(null, null);
        //通知公告
        noticePresenter = new NoticePresenter(null, null);
        eLearningPresenter = new ELearningPresenter(null, null);
        //合同弹窗Pre（其实不想写在首页里，但需求说什么在更多页面跳转别的页面再跳转回来时不弹窗？？？
        // 只有点击底栏切换的时候，切到更多页面才弹？？？好吧那不是只有挪到首页来了？）
        contractQueryPre = new MoreIndexPre(this);
        //用来刷新消息中心的定时循环任务
        /*msgTask = new TimerTask() {
            @Override
            public void run() {
                if (RunningUtil.checkForeground(TabMenuActivity.this)) {//后台时不刷新消息中心，节省流量（新需求）
                    for (int i = 0; i < msgCounts.length; i++) {
                        msgCounts[i] = -1;//重新获取未读数时，把未读数都
                    }
                    sysMsgPresenter.getMsgCount();//一次性获取系统消息和今日任务的未读数
                    //todayTaskPresenter.refreshAll();
                    saleActivityPresenter.refreshAll();
                    saleNewsPresenter.getSaleNewsNum();
                    noticePresenter.refreshAll();
                }
            }
        };*/
    }

    //3分钟联网获取一次底栏  未读消息数
    @SuppressWarnings("all")
    public void getMsgCount() {
        if (timer == null) {
            timer = new Timer();
        }
        timer.schedule(new TimerTask() {
            @Override
            public void run() {
                if (RunningUtil.checkForeground(TabMenuActivity.this)) {//后台时不刷新消息中心，节省流量（新需求）
//                    for (int i = 0; i < msgCounts.length; i++) {
//                        msgCounts[i] = -1;//重新获取未读数时，把未读数都
//                    }
                    sysMsgPresenter.getMsgCount();
                    todayTaskPresenter.getMsgCount();
                    saleActivityPresenter.refreshAll();//这个只能获取全部才能计算出未读数
                    saleNewsPresenter.getSaleNewsNum();
                    noticePresenter.refreshAll();//同todayTask
                    eLearningPresenter.getMsgCount();
                }
            }
        }, 0, 60 * 3 * 1000);//三分钟请求一次，获取新消息脚标

//        timer.schedule(new TimerTask() {//周期性执行基础资料下载
//            @Override
//            public void run() {
//                Table_toposDbOperate.downloadBasicData(TabMenuActivity.this, false, false,false);
//            }
//        },3 * 60 * 60 * 1000,3 * 60 * 60 * 1000);// 3小时后再执行，每隔3小时执行一次。
    }

    /**
     * 周期性自动下载基础资料
     */
    @SuppressWarnings("all")
    public void startAlarm() {
        long timeInterval = 3 * 60 * 60 * 1000;//3小时一次
        alarmManager = (AlarmManager) GlobalApp.getInstance().getSystemService(Context.ALARM_SERVICE);
        Intent intent = new Intent(AppConstants.ExtraKeys.DATA_ALARM_RECEIVER);

        //构造PendingIntent
        alarmIntent = PendingIntent.getBroadcast(getApplicationContext(), 0, intent, PendingIntent.FLAG_UPDATE_CURRENT);
        dataAlarmReceiver = new DataAlarmReceiver(timeInterval, alarmIntent);
        registerReceiver(dataAlarmReceiver, new IntentFilter(AppConstants.ExtraKeys.DATA_ALARM_RECEIVER));

        // 开始执行
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
            alarmManager.setExactAndAllowWhileIdle(AlarmManager.RTC_WAKEUP, SystemClock.currentThreadTimeMillis() + timeInterval, alarmIntent);
        } else if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT) {
            alarmManager.setExact(AlarmManager.RTC_WAKEUP, SystemClock.currentThreadTimeMillis() + timeInterval, alarmIntent);
        } else {
            alarmManager.setRepeating(AlarmManager.RTC_WAKEUP, SystemClock.currentThreadTimeMillis(), timeInterval, alarmIntent);
        }

    }

    public void netError() {

    }

    /**
     * 周期性下载基础资料Receiver
     */
    public class DataAlarmReceiver extends BroadcastReceiver {
        long timeInterval;
        PendingIntent alarmIntent;

        public DataAlarmReceiver(long timeInterval, PendingIntent alarmIntent) {
            this.timeInterval = timeInterval;
            this.alarmIntent = alarmIntent;
        }

        @Override
        public void onReceive(Context context, Intent intent) {
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
                alarmManager.setExactAndAllowWhileIdle(AlarmManager.RTC_WAKEUP, System.currentTimeMillis() + timeInterval, alarmIntent);
            } else if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT) {
                alarmManager.setExact(AlarmManager.RTC_WAKEUP, System.currentTimeMillis() + timeInterval, alarmIntent);
            }
//            Table_toposDbOperate.downloadBasicData(TabMenuActivity.this, false, false, false);
            new BasicDataDownloader(TabMenuActivity.this,
                    SystemHelper.LoginOrganId,
                    new BasicDataDownloader.DatabaseOperate() {
                        @Override
                        public boolean dealBasicDataResult(@NotNull BasicDataRes res) {
                            return Table_toposDbOperate.dealBasicDataResult(res);
                        }
                    })
                    .setTimeJson(Table_toposDbOperate.transToJson(Table_toposDbOperate.selectBy(null)))
                    .download();
        }
    }

    @SuppressLint("all")
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMsgCount(MsgCount msg) {
        if (!TextUtils.isEmpty(msg.getTag())) {
            countMap.put(msg.getTag() + "", msg.getCount());
            //获取完了再遍历累加一下，并记得处理数量为99的分界问题
            int count = 0;
            for (Map.Entry<String, Integer> entry : countMap.entrySet()) {
                count += entry.getValue();
            }
            if (count > 0) {
                msgCount.setVisibility(View.VISIBLE);
                if (count > 99) {
                    msgCount.setText("99+");
                } else {
                    msgCount.setText(MessageFormat.format("{0}", count));
                }
            } else {
                msgCount.setVisibility(View.INVISIBLE);
            }
        }
    }

    /**
     * 用来更新脚标小圆点
     */
    public class CountReceiver extends BroadcastReceiver {
        @SuppressLint("SetTextI18n")
        @Override
        public void onReceive(Context context, Intent intent) {
            //来源
            String from = intent.getStringExtra("from");
            if (from.equals(AppConstants.ExtraKeys.MSG_FROM_TABMENU)
                    || from.equals(AppConstants.ExtraKeys.MSG_FROM_MSG_CENTER)) {
                int[] data = intent.getIntArrayExtra("data");
                int msgAmount = 0;
                //累加处理
                for (int num : data) {
                    //如果有一个值是-1，说明有一个获取失败了，就算整个未读数获取失败
                    if (num == -1) {
                        return;
                    }
                    msgAmount += num;
                }
                //未读数99+处理
                if (msgAmount > 0) {
                    msgCount.setVisibility(View.VISIBLE);
                    if (msgAmount > 99) {
                        msgCount.setText("99+");
                    } else {
                        msgCount.setText(MessageFormat.format("{0}", msgAmount));
                    }
                } else {
                    msgCount.setVisibility(View.INVISIBLE);
                }
            }
        }
    }
}

