//package com.urovo.activity.user;
//
//import android.content.Context;
//import android.content.Intent;
//import android.os.Bundle;
//import android.text.TextUtils;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.view.ViewGroup;
//import android.widget.AbsListView;
//import android.widget.AbsListView.OnScrollListener;
//import android.widget.AdapterView;
//import android.widget.AdapterView.OnItemClickListener;
//import android.widget.ImageView;
//import android.widget.ListView;
//import android.widget.TextView;
//
//import com.squareup.picasso.Picasso;
//import com.urovo.wgmf.AsyncTask.QueryWenTiTask;
//import com.urovo.wgmf.adapter.MyBaseAdapter;
//import com.urovo.wgmf.db.dao.dao.QuOperate;
//import com.urovo.wgmf.db.dao.entitys.ChangJianWenTiEntity;
//import com.urovo.wgmf.db.dao.entitys.QuDb;
//import com.urovo.wugumofang.R;
//import com.urovo.wugumofang.base.BaseActivity;
//import com.urovo.wugumofang.data.PrefTool;
//import com.urovo.wugumofang.data.StringUtils;
//import com.urovo.wugumofang.response.BaseResponse;
//import com.urovo.wugumofang.system.Prefs;
//
//import java.text.SimpleDateFormat;
//import java.util.ArrayList;
//import java.util.Collections;
//import java.util.Comparator;
//import java.util.Date;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Locale;
//import java.util.Map;
//
//import butterknife.BindView;
//import butterknife.ButterKnife;
//import butterknife.Unbinder;
//
///**
// * @author ...
// */
//public class NormalQuestionAct extends BaseActivity implements OnItemClickListener {
//    @BindView(R.id.lv_user_wenti_content)
//    ListView mListView;
//    private GouMaiJiLuAdapter adapter;
//    private List<BaseModel> mBaseModel = new ArrayList<>();
//    private List<ChangJianWenTiEntity.ChangJianWenTiReturnList> tempList = new ArrayList<>();
//    private int mPage = 1;
//    //    private BitmapUtils bitmapUtils;
//    Date date = new Date();
//    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA);
//    private List<QuDb> list = QuOperate.selectBy(null);
//    Unbinder unbinder;
//
//    @Override
//    protected void onCreate(Bundle savedInstanceState) {
//        super.onCreate(savedInstanceState);
//        setContentView(R.layout.activity_user_wenti);
//        unbinder = ButterKnife.bind(this);
//        initTitle();
//        initButton();
//        initContent();
//        // 先从缓存中读取数据并展示
//        String cache = PrefTool.getStringPerferences(this, Prefs.WENTI_FIND_HISTORY, "");
//        if (null != list && list.size() > 0 && cache.equals(sdf.format(date))) {
//            mBaseModel.clear();
//            mPage = 0;
//            for (int i = 0; i < list.size(); i++) {
//                QuDb db = list.get(i);
//                BaseModel cell = new BaseModel();
//                cell.questionId = db.mId;
//                cell.questionTitle = db.mTitle;
//                cell.questionContent = db.mContent;
//                cell.questionImagePath = db.mImagePath;
//                cell.questionReleaseTime = db.mReleaseTime;
//                cell.questionProblemId = db.mProblemId;
//                mBaseModel.add(cell);
//            }
//        } else {
//            showEmpty();
//            requestWentiTask(mPage);
//        }
//    }
//
//    private void requestWentiTask(int page) {
//        Map<String, String> params = new HashMap<>(1);
//        params.put("pageNo", String.valueOf(page));
//        new QueryWenTiTask(this, "正在加载...", true, params).execute("");
//    }
//
//    @Override
//    public void initTitle() {
//        super.initTitle();
//        titleTextView.setText("常见问题解答");
//    }
//
//    /**
//     * //     * @return void 返回类型
//     * //     * @throws
//     * //     * @Title: initButton
//     * //     * @Description: 搜索按钮
//     */
//    private void initButton() {
//        settinButton.setImageResource(R.drawable.wenti_sousuo);
//        settinButton.setVisibility(View.VISIBLE);
//        settinButton.setOnClickListener(new OnClickListener() {
//
//            @Override
//            public void onClick(View v) {
//                Intent intent = new Intent(NormalQuestionAct.this, SearchWenTiAct.class);
//                startActivity(intent);
//            }
//        });
//    }
//
//    private void initContent() {
//        adapter = new GouMaiJiLuAdapter(mBaseModel, this);
//        mListView.setAdapter(adapter);
//        mListView.setOnScrollListener(new OnScrollListener() {
//
//            @Override
//            public void onScrollStateChanged(AbsListView view, int scrollState) {
//                if (scrollState == OnScrollListener.SCROLL_STATE_IDLE) {
//                    if (view.getLastVisiblePosition() == view.getCount() - 1) {
//                        mPage = mPage + 1;
//                        requestWentiTask(mPage);
//                    }
//                }
//            }
//
//            @Override
//            public void onScroll(AbsListView arg0, int arg1, int arg2, int arg3) {
//
//            }
//        });
//        mListView.setOnItemClickListener(this);
//    }
//
//    private void showEmpty() {
//        View v = LayoutInflater.from(this).inflate(R.layout.listview_empty, mListView, false);
//        v.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT));
//        if (null != mListView.getTag()) {
//            View old = (View) mListView.getTag();
//            ((ViewGroup) mListView.getParent()).removeView(old);
//        }
//        ((ViewGroup) mListView.getParent()).addView(v);
//        mListView.setTag(v);
//        mListView.setEmptyView(v);
//        if (null != adapter) {
//            adapter.notifyDataSetChanged();
//        }
//    }
//
//    @Override
//    public void netError() {
//        showNetError();
//    }
//
//    private void showNetError() {
//
//    }
//
//    @Override
//    public void displayResult(String tag, BaseResponse response) {
//        super.displayResult(tag, response);
//
//        if (null != response) {
//            ChangJianWenTiEntity changJianWenTiEntity = (ChangJianWenTiEntity) response;
//            List<ChangJianWenTiEntity.ChangJianWenTiReturnList> entitys = changJianWenTiEntity.resultList;
//            mBaseModel.clear();
//            if (null != entitys && entitys.size() > 0) {
//                tempList.addAll(entitys);
//            }
//            if (null != entitys && entitys.size() < 10) {
//                showMsg("加载完毕,无更多数据");
//            }
//        }
//        processData(tempList);
//        adapter.notifyDataSetChanged();
//    }
//
//    /**
//     * 解析数据
//     */
//    private void processData(List<ChangJianWenTiEntity.ChangJianWenTiReturnList> entity) {
//        for (int j = 0; j < entity.size(); j++) {
//            BaseModel cell = new BaseModel();
//            cell.questionId = entity.get(j).id;
//            cell.questionTitle = entity.get(j).title;
//            cell.questionContent = entity.get(j).content;
//            cell.questionReleaseTime = entity.get(j).releaseTime;
//            cell.questionProblemId = entity.get(j).problemId;
//            cell.questionImagePath = entity.get(j).imagePath;
//            mBaseModel.add(cell);
//            QuDb cells = new QuDb();
//            cells.mId = entity.get(j).id;
//            cells.mTitle = entity.get(j).title;
//            cells.mContent = entity.get(j).content;
//            cells.mReleaseTime = entity.get(j).releaseTime;
//            cells.mProblemId = entity.get(j).problemId;
//            cells.mImagePath = entity.get(j).imagePath;
//            QuOperate.Insert(cells);
//            PrefTool.setStringsave(this, Prefs.WENTI_FIND_HISTORY, sdf.format(date));
//        }
//    }
//
//    private class BaseModel {
//        String questionId;
//        String questionTitle;
//        String questionContent;
//        String questionReleaseTime;
//        String questionProblemId;
//        String questionImagePath;
//    }
//
//    class ViewHolder {
//        TextView tvQuestionTitle;
//        TextView tvQuestionContent;
//        ImageView ivQuestionImagePath;
//        ImageView ivQuestionImagePathGo;
//    }
//
//    private class GouMaiJiLuAdapter extends MyBaseAdapter<BaseModel, ListView> {
//        private int mLastPosition = -1;
//
//        public GouMaiJiLuAdapter(List<BaseModel> lists, Context context) {
//            super(lists, context);
////            bitmapUtils = new BitmapUtils(context);
//            /**
//             * 按照问题录入的时间排序，先录的显示在后面
//             */
//            Collections.sort(lists, new Comparator<BaseModel>() {
//
//                @Override
//                public int compare(BaseModel lhs, BaseModel rhs) {
//
//                    if (StringUtils.toLong(lhs.questionReleaseTime) > StringUtils.toLong(rhs.questionReleaseTime)) {
//                        return -1;
//                    } else if (lhs.questionReleaseTime.equals(rhs.questionReleaseTime)) {
//                        return 0;
//                    } else {
//                        return 1;
//                    }
//                }
//            });
//        }
//
//        @Override
//        public View getView(final int position, View convertView, ViewGroup parent) {
//            final ViewHolder viewHolder;
//            if (convertView == null) {
//                convertView = LayoutInflater.from(context).inflate(R.layout.listview_user_wenti_item, parent, false);
//                viewHolder = new ViewHolder();
//                viewHolder.tvQuestionTitle = (TextView) convertView.findViewById(R.id.textViewTitle);
//                viewHolder.tvQuestionContent = (TextView) convertView.findViewById(R.id.textViewContent);
//                viewHolder.ivQuestionImagePath = (ImageView) convertView.findViewById(R.id.imageViewContent);
//                viewHolder.ivQuestionImagePathGo = (ImageView) convertView.findViewById(R.id.imageViewButton);
//                convertView.setTag(viewHolder);
//            } else {
//                viewHolder = (ViewHolder) convertView.getTag();
//            }
//            final BaseModel cell = mBaseModel.get(position);
//            viewHolder.tvQuestionTitle.setText(cell.questionTitle);
//            viewHolder.tvQuestionContent.setText(cell.questionContent);
//
//            //先统一隐藏起来，再根据位置来判断是否显示
//            viewHolder.tvQuestionContent.setVisibility(View.GONE);
//            viewHolder.ivQuestionImagePath.setVisibility(View.GONE);
//            viewHolder.ivQuestionImagePathGo.setImageResource(R.drawable.list_group_open);
//
//            //如果是当前点击的位置
//            if (position == mLastPosition) {
//                if (null != cell.questionImagePath) {
//                    Picasso.with(context).load(cell.questionImagePath).placeholder(R.drawable.wenti_default_img).into(viewHolder.ivQuestionImagePath);
//                    viewHolder.ivQuestionImagePath.setVisibility(View.VISIBLE);
//                }
//                if (!TextUtils.isEmpty(cell.questionContent)) {
//                    viewHolder.tvQuestionContent.setVisibility(View.VISIBLE);
//                }
//                viewHolder.ivQuestionImagePathGo.setImageResource(R.drawable.list_group_close);
//            }
//            return convertView;
//        }
//
//        void changeImageVisable(int position) {
//            if (position != mLastPosition) {
//                mLastPosition = position;
//            } else {
//                mLastPosition = -1;
//            }
//            notifyDataSetChanged();
//        }
//    }
//
//    @Override
//    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
//        adapter.changeImageVisable(position);
//    }
//
//    @Override
//    protected void onDestroy() {
//        if (unbinder != null) {
//            unbinder.unbind();
//        }
//        super.onDestroy();
//    }
//}
