package com.urovo.activity.user.bean;

import java.io.Serializable;

/**
 * 流动顾问销售完成情况实体类（头部信息）
 * 这是一个对象中的实体类
 *
 * @author chenji
 * @date 2017/11/6
 * ps:测试easymock 接口的时候，需要继承Base3Response
 */

public class FlowSalesPersonCompletionHeadEntity implements Serializable {
    /**
     * ymd : 201710
     * goal : 100000
     * sales : 80000
     * completion : 80%
     * headInfo : 方舒,西安二区,西北大区
     */

    private String ymd = "";
    private String goal = "--";
    private String sales = "--";
    private String completion = "--";
    private String headInfo = "";

    public String getYmd() {
        return ymd;
    }

    public void setYmd(String ymd) {
        this.ymd = ymd;
    }

    public String getGoal() {
        return goal;
    }

    public void setGoal(String goal) {
        this.goal = goal;
    }

    public String getSales() {
        return sales;
    }

    public void setSales(String sales) {
        this.sales = sales;
    }

    public String getCompletion() {
        return completion;
    }

    public void setCompletion(String completion) {
        this.completion = completion;
    }

    public String getHeadInfo() {
        return headInfo;
    }

    public void setHeadInfo(String headInfo) {
        this.headInfo = headInfo;
    }

    @Override
    public String toString() {
        return "FlowSalesPersonCompletionHeadEntity{" +
                "ymd='" + ymd + '\'' +
                ", goal='" + goal + '\'' +
                ", sales='" + sales + '\'' +
                ", completion='" + completion + '\'' +
                ", headInfo='" + headInfo + '\'' +
                '}';
    }
}
