package com.urovo.activity.wechatqrcode.pre

import com.urovo.activity.tabMenu.home.ent.UserQrCodeRes
import com.urovo.wgmf.base.BasePresenter
import com.urovo.wgmf.base.BaseView

/**
 * @author Sasuke on 2020-4-17 0017.
 */
interface WeChatQrcodeContract {
    interface view: BaseView<presenter> {
        fun init()

        fun showAlertMsg(msg: String)

        fun showQrcode(url: UserQrCodeRes.Data?)

        fun updateSuccessed(url: String)
    }

    interface presenter: BasePresenter {

    }
}