package com.urovo.activity.xunjian;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;
import android.widget.TextView;

import com.google.gson.Gson;
import com.urovo.wgmf.AsyncTask.BaseAppSalerServerTask;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.system.SystemHelper;
import com.urovo.wgmf.adapter.MyBaseAdapter;
import com.urovo.wgmf.db.dao.dao.Store001DbOprate;
import com.urovo.wugumofang.response.BaseOldResponse;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wgmf.entity.response.XunJianResponse;
import com.urovo.wgmf.db.dao.entitys.XunJianEntity;
import com.urovo.wugumofang.utils.MyToast;
import com.urovo.wugumofang.R;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class MenDianGaiKuoActivity extends BaseActivity implements OnCheckedChangeListener {
    protected MyAdapter mMyAdapter;
    int VIEW_COUNT = 0;
    private TextView mTextViewInfo, tv_xunchangxiaojie;
    private EditText et_xunchangxiaojie;
    private Button mButtonSubmit;
    private ListView mListView;
    private LinearLayout item_foot;
    private FrameLayout mFrameLayoutSubmit;
    private String mShopName;
    private String mShopId;
    private String mDate;
    private List<XunJianEntity> mList, xuanZeList, tianKongList, tianKongUnitList;
    private List<XunJianUploadEntity> mListUser = new ArrayList<XunJianUploadEntity>();
    private boolean mReported = false;
    private boolean mPageFlag = false;// 是否是下一页的标识
    private boolean nextMenu = false;

    /**
     * 检查数组中是否包含特定值
     *
     * @param arr
     * @param targetValue
     * @return
     */
    public static boolean useLoop(List<String> arr, String targetValue) {
        for (String s : arr) {
            if (s.equals(targetValue))
                return true;
        }
        return false;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mendiangaikuo);
        initTitle();
        Intent intent = getIntent();
        mShopName = intent.getStringExtra("shopName");
        mShopId = intent.getStringExtra("shopId");
        mDate = intent.getStringExtra("date");

        mTextViewInfo = (TextView) findViewById(R.id.textViewInfo);
        mListView = (ListView) findViewById(R.id.listView1);
        View footView = this.getLayoutInflater().inflate(R.layout.xunchang_footview, null);
        mListView.addFooterView(footView);
        item_foot = (LinearLayout) findViewById(R.id.ll_xunchangxiaojie);
        tv_xunchangxiaojie = (TextView) findViewById(R.id.tv_xunchangxiaojie);
        et_xunchangxiaojie = (EditText) findViewById(R.id.et_xunchangxiaojie);
        item_foot.setVisibility(View.GONE);
        mButtonSubmit = (Button) findViewById(R.id.buttonSubmit);
        mButtonSubmit.setText("下一步");
        mFrameLayoutSubmit = (FrameLayout) findViewById(R.id.frameLayoutSubmit);
        mButtonSubmit.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {
                if (!mPageFlag) {
                    mButtonSubmit.setText("提交");
                    titleTextView.setText("巡检记录");
                    item_foot.setVisibility(View.VISIBLE);
                    mList.removeAll(tianKongUnitList);
                    mList.addAll(xuanZeList);
                    mMyAdapter.notifyDataSetChanged();
                    mPageFlag = true;
                } else {
                    mButtonSubmit.setText("下一步");
                    titleTextView.setText("门店概括");
                    item_foot.setVisibility(View.GONE);
                    mMyAdapter.notifyDataSetChanged();
                    mListUser.clear();
                    mList.clear();
                    tianKongList.addAll(tianKongUnitList);
                    tianKongList.addAll(xuanZeList);
                    mList = tianKongList;
                    for (XunJianEntity cell : mList) {
                        XunJianUploadEntity t = new XunJianUploadEntity();

                        t.exam_content = TextUtils.isEmpty(cell.exam_content) ? "" : cell.exam_content;// 评估内容
                        t.exam_norm = TextUtils.isEmpty(cell.exam_norm) ? "" : cell.exam_norm;// 评估指标
                        t.project_name = TextUtils.isEmpty(cell.project_name) ? "" : cell.project_name;
                        t.result_type = TextUtils.isEmpty(cell.result_type) ? "" : cell.result_type;
                        t.type = TextUtils.isEmpty(cell.type) ? "" : cell.type;
                        t.value = TextUtils.isEmpty(cell.value) ? "" : cell.value;// 选择或填空项的值
                        t.unit = TextUtils.isEmpty(cell.unit) ? "" : cell.unit;
                        t.shop_name = TextUtils.isEmpty(mShopName) ? "" : mShopName;
                        t.emp_id = SystemHelper.LoginUserId;
                        t.reporter_name = SystemHelper.LoginUserName;
                        t.report_time = TextUtils.isEmpty(mDate) ? "" : mDate;
                        mListUser.add(t);
                    }
                    // 加入小结条目
                    XunJianUploadEntity x = new XunJianUploadEntity();

                    x.value = et_xunchangxiaojie.getText().toString();
                    x.type = tv_xunchangxiaojie.getText().toString();
                    x.project_name = "";
                    x.exam_content = "";
                    x.exam_norm = "";
                    x.unit = "";
                    x.result_type = "小结项";

                    x.shop_name = TextUtils.isEmpty(mShopName) ? "" : mShopName;
                    x.emp_id = SystemHelper.LoginUserId;
                    x.reporter_name = SystemHelper.LoginUserName;
                    x.report_time = TextUtils.isEmpty(mDate) ? "" : mDate;
                    mListUser.add(x);
                    Map<String, String> params = new HashMap<String, String>();
                    params.put("code1", SystemHelper.LoginOrganId);
                    params.put("json", new Gson().toJson(mListUser));
                    params.put("empNo", SystemHelper.LoginUserId);
                    params.put("name", SystemHelper.LoginUserName);
                    params.put("shopId", mShopId);
                    new BaseAppSalerServerTask("submit", BaseOldResponse.class, MenDianGaiKuoActivity.this, "正在上传报告...", true, "/examdetail/saveInfo", params).execute("");
                }
            }
        });
        showEmpty();
        requestConnectTask();
    }

    @Override
    protected void onResume() {

        super.onResume();
        mListView.setAdapter(mMyAdapter);
    }

    @Override
    public void initTitle() {

        super.initTitle();
        titleTextView.setText("门店概括");

    }

    @Override
    public void displayResult(String tag, BaseResponse response) {

        super.displayResult(tag, response);
        if ("request".equals(tag) && null != response) {
            XunJianResponse res = (XunJianResponse) response;
            if ("0".equals(res.getRet())) {
                mList = res.getList();
                tianKongList = new ArrayList<XunJianEntity>();
                tianKongUnitList = new ArrayList<XunJianEntity>();
                xuanZeList = new ArrayList<XunJianEntity>();
                Set<String> Ptitle = new HashSet<String>();
                Set<String> Ctitle = new HashSet<String>();

                for (XunJianEntity cell : mList) {
                    if ("填空项".equals(cell.result_type)) {
                        if (TextUtils.isEmpty(cell.unit)) {
                            cell.mViewStyle = 1;
                            tianKongList.add(cell);
                        } else {
                            if (Ptitle.add(cell.type)) {// 如果是第一个父标题
                                cell.mViewStyle = 0;
                            } else {
                                cell.mViewStyle = 1;
                            }
                            tianKongUnitList.add(cell);
                        }
                    } else if ("选择项".equals(cell.result_type)) {
                        VIEW_COUNT++;
                        if (Ptitle.add(cell.type)) {// 如果是第一个父标题
                            Ctitle.clear();// 父标题插入成功，将子标题集合清除，新的模型
                            Ctitle.add(cell.project_name);
                            cell.mViewStyle = 2;
                        } else if (Ctitle.add(cell.project_name)) {// 如果是第一个子标题
                            cell.mViewStyle = 3;
                        } else {
                            cell.mViewStyle = 1;
                        }
                        xuanZeList.add(cell);
                    } else if ("小结项".equals(cell.result_type)) {
                        tv_xunchangxiaojie.setText(cell.type);
                    }
                }
                tianKongList.addAll(tianKongUnitList);
                tianKongList.addAll(xuanZeList);
                mList = tianKongList;
                mFrameLayoutSubmit.setVisibility(View.VISIBLE);
                if ("0".equals(res.getRetInfo())) {
                    mTextViewInfo.setText("您需填入门店概况，再填写巡场记录");
                    mReported = false;
                } else {
                    mTextViewInfo.setText("您本月已填写门店概况，请填写巡场记录");
                    mReported = true;

                }
                mMyAdapter = new MyAdapter(mList, this);
                mMyAdapter.notifyDataSetChanged();
                mListView.setAdapter(mMyAdapter);
            }
        }

        if ("submit".equals(tag) && null != response) {
            if ("0".equals(response.getRet()) && "成功".equals(response.getRetInfo())) {
                finish();
                MyToast.show(this, "上传报告成功！", 1000);
                //Toast.makeText(this, "上传报告成功！", 1000).show();
            }
        }
    }

    protected void requestConnectTask() {
        Map<String, String> params = new HashMap<String, String>();
        params.put("empNo", SystemHelper.LoginUserId);
        params.put("shop", Store001DbOprate.GetStoreName(SystemHelper.LoginOrganId));
        new BaseAppSalerServerTask("request", XunJianResponse.class, MenDianGaiKuoActivity.this, "正在查询...", true, "/examdetail/findreleasinginfo", params).execute("");
    }

    private void showEmpty() {
        View v = LayoutInflater.from(this).inflate(R.layout.listview_empty, null);
        v.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.FILL_PARENT));
        // v.setVisibility(View.GONE);
        if (null != mListView.getTag()) {
            View old = (View) mListView.getTag();
            ((ViewGroup) mListView.getParent()).removeView(old);
        }
        ((ViewGroup) mListView.getParent()).addView(v);
        mListView.setTag(v);
        mListView.setEmptyView(v);
        if (null != mMyAdapter)
            mMyAdapter.notifyDataSetChanged();
    }

    private void showNetError() {
        View v = LayoutInflater.from(this).inflate(R.layout.listview_empty_error, null);
        v.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.FILL_PARENT, ViewGroup.LayoutParams.FILL_PARENT));
        // v.setVisibility(View.GONE);
        Button btn = (Button) v.findViewById(R.id.buttonDownload);
        btn.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {

                requestConnectTask();
            }
        });
        if (null != mListView.getTag()) {
            View old = (View) mListView.getTag();
            ((ViewGroup) mListView.getParent()).removeView(old);
        }
        ((ViewGroup) mListView.getParent()).addView(v);
        mListView.setTag(v);
        mListView.setEmptyView(v);
        if (null != mMyAdapter)
            mMyAdapter.notifyDataSetChanged();
    }

    @Override
    public void netError() {

        showNetError();
    }

    @Override
    public void onCheckedChanged(RadioGroup group, int checkedId) {

        XunJianEntity cell = mList.get((Integer) group.getTag());
        if (-1 != checkedId) {
            RadioButton button = (RadioButton) group.findViewById(checkedId);
            String choice = button.getText().toString();
            cell.value = TextUtils.isEmpty(choice) ? "" : choice;
        }
    }

    private class XunJianUploadEntity {

        public String shop_name;// 门店名
        public String report_time;// 上报时间
        public String emp_id;// 员工工号
        public String reporter_name;// 上报人姓名
        public String type;// 类型
        public String project_name;// 项目名称
        public String exam_norm;// 评估指标
        public String unit;// 单位
        public String result_type;// 结果类型
        public String exam_content;// 评估内容
        public String value;// 选择或填空项的值

        @Override
        public String toString() {
            return "XunJianUploadEntity [shop_name=" + shop_name + ", report_time=" + report_time + ", emp_id=" + emp_id + ", reporter_name=" + reporter_name + ", type=" + type + ", project_name=" + project_name + ", exam_norm=" + exam_norm + ", unit=" + unit + ", result_type=" + result_type
                    + ", exam_content=" + exam_content + ", value=" + value + "]";
        }
    }

    private class MyAdapter extends MyBaseAdapter<XunJianEntity, ListView> {
        private int mIndex;
        private List<XunJianEntity> data;

        public MyAdapter(List<XunJianEntity> lists, Context context) {
            super(lists, context);
            data = new ArrayList<XunJianEntity>();
        }

        public int getCount() {
            return lists.size() - VIEW_COUNT;
        }

        @Override
        public View getView(final int position, View convertView, ViewGroup parent) {

            if (mReported) {
                if (null == convertView) {
                    convertView = getLayoutInflater().inflate(R.layout.listview_item_chaxun_kedan, null);
                }
                TextView name = (TextView) convertView.findViewById(R.id.textView1);
                TextView data = (TextView) convertView.findViewById(R.id.textView2);

                XunJianEntity cell = mList.get(position);
                name.setText(cell.project_name);
                data.setText(cell.exam_norm);
                return convertView;
            } else {
                if (null == convertView) {
                    convertView = getLayoutInflater().inflate(R.layout.listview_item_xunjian, null);
                }
                TextView mParents = (TextView) convertView.findViewById(R.id.tv_title);
                TextView mChidren = (TextView) convertView.findViewById(R.id.tv_title_chidren);
                TextView name = (TextView) convertView.findViewById(R.id.textViewName);

                LinearLayout editLinearLayout = (LinearLayout) convertView.findViewById(R.id.linearLayoutEdit);
                EditText editText = (EditText) convertView.findViewById(R.id.editTextContent);
                TextView textUnit = (TextView) convertView.findViewById(R.id.textViewUnit);
                RadioGroup group = (RadioGroup) convertView.findViewById(R.id.radioGroupChoice);
                RadioButton button1 = (RadioButton) convertView.findViewById(R.id.radio00);
                RadioButton button2 = (RadioButton) convertView.findViewById(R.id.radio01);
                RadioButton button3 = (RadioButton) convertView.findViewById(R.id.radio02);
                final XunJianEntity cell = mList.get(position);
                SwtchView(mParents, mChidren, name, cell);

                if (mReported) {// 如已提交过门店概况，则填空项不可输入
                    editText.setEnabled(false);
                } else {
                    editText.setEnabled(true);
                }
                if ("选择项".equals(cell.result_type)) {
                    editLinearLayout.setVisibility(View.INVISIBLE);
                    group.setVisibility(View.VISIBLE);
                    String content = cell.exam_content;
                    if (TextUtils.isEmpty(content)) {
                        group.setVisibility(View.INVISIBLE);
                    } else {
                        String c[] = content.split("，");
                        group.setTag(position);
                        if (c.length > 0 && c.length < 3) {
                            button3.setVisibility(View.GONE);
                        } else {
                            button3.setVisibility(View.VISIBLE);
                        }
                        if (c.length > 0) {
                            button1.setText(c[0]);
                            if (TextUtils.isEmpty(cell.value)) {
                                cell.value = c[0];
                            }
                            if (c[0].equals(cell.value))
                                button1.setChecked(true);
                        }
                        if (c.length > 1) {
                            button2.setText(c[1]);
                            if (c[1].equals(cell.value))
                                button2.setChecked(true);
                        }
                        if (c.length > 2) {
                            button3.setText(c[2]);
                            if (c[2].equals(cell.value))
                                button3.setChecked(true);
                        }
                        group.setOnCheckedChangeListener(MenDianGaiKuoActivity.this);
                        XunJianEntity t = mList.get(position);
                    }
                } else if ("填空项".equals(cell.result_type)) {

                    editLinearLayout.setVisibility(View.VISIBLE);
                    group.setVisibility(View.INVISIBLE);
                    TextWatcher watcher = (TextWatcher) editText.getTag();
                    if (null != watcher) {
                        editText.removeTextChangedListener(watcher);
                    }
                    watcher = new TextWatcher() {
                        @Override
                        public void onTextChanged(CharSequence s, int start, int before, int count) {

                        }

                        @Override
                        public void beforeTextChanged(CharSequence s, int start, int count, int after) {

                        }

                        @Override
                        public void afterTextChanged(Editable s) {

                            cell.value = s.toString();
                        }
                    };
                    editText.addTextChangedListener(watcher);
                    editText.setTag(watcher);

                    editText.setText(TextUtils.isEmpty(cell.value) ? "" : cell.value);
                    textUnit.setText(cell.unit);
                    editText.setOnTouchListener(new OnTouchListener() {
                        @Override
                        public boolean onTouch(View v, MotionEvent event) {

                            if (event.getAction() == MotionEvent.ACTION_UP) {
                                mIndex = position;
                            }
                            return false;
                        }
                    });
                } else {
                    editLinearLayout.setVisibility(View.INVISIBLE);
                    group.setVisibility(View.INVISIBLE);
                }
                editText.clearFocus();
                if (mIndex == position) {
                    editText.requestFocus();
                }
                return convertView;
            }
        }

        /**
         * item显示不同条目
         *
         * @param mParents
         * @param mChidren
         * @param name
         * @param cell
         */
        private void SwtchView(TextView mParents, TextView mChidren, TextView name, final XunJianEntity cell) {

            switch (cell.mViewStyle) {
                case 0:
                    mParents.setText(cell.type);
                    name.setText(cell.exam_norm);
                    mParents.setVisibility(View.VISIBLE);
                    mChidren.setVisibility(View.GONE);
                    name.setVisibility(View.VISIBLE);
                    break;
                case 1:
                    mParents.setVisibility(View.GONE);
                    mChidren.setVisibility(View.GONE);
                    name.setText(cell.exam_norm);
                    name.setVisibility(View.VISIBLE);
                    break;
                case 2:
                    mParents.setText(cell.type);
                    mChidren.setText(cell.project_name);
                    name.setText(cell.exam_norm);
                    mParents.setVisibility(View.VISIBLE);
                    mChidren.setVisibility(View.VISIBLE);
                    name.setVisibility(View.VISIBLE);
                    break;
                case 3:
                    mChidren.setText(cell.project_name);
                    name.setText(cell.exam_norm);
                    mParents.setVisibility(View.GONE);
                    mChidren.setVisibility(View.VISIBLE);
                    name.setVisibility(View.VISIBLE);
                    break;
                case 4:
                    item_foot.setVisibility(View.VISIBLE);
                    break;

                default:
                    break;
            }
        }
    }
}
