package com.urovo.wgmf.AsyncTask;

import com.urovo.activity.tabMenu.view.TabMenuActivity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

/**
 * Created by Sasuke on 2016/4/19.
 * 重写BaseYinXiaoServerTask里的地址拼接，把/crmserver替换为/base-data-service
 */
public class BaseDataServiceTask extends BaseActivityTask {
    private String mResultStr;
    public String mTag = "";
    private BaseResponse mRsponse;
    private Map<String, String> mParams;
    private String mPath;
    private Class clazz;

    public BaseDataServiceTask(String tag, Class cls, BaseActivity context, String message, boolean toShowProgressBar, String path, Map<String, String> param) {
        super(context, message, toShowProgressBar);
        mTag = tag;
        mPath = path;
        mParams = param;
        clazz = cls;
    }

    public BaseDataServiceTask(String tag, Class cls, TabMenuActivity context, String message, boolean toShowProgressBar, String path, Map<String, String> param) {
        super(context, message, toShowProgressBar);
        mTag = tag;
        mPath = path;
        mParams = param;
        clazz = cls;
    }

    @Override
    public void dealTask() throws Exception {
        //super.dealTask();
        mResultStr = ResultTool.access(UrlBaseDataService + mPath, mParams);
        mRsponse = (BaseResponse) checkResult(mResultStr, clazz);
    }

    @Override
    public void afterTask() {
        super.afterTask();
        if (null == mResultStr) {
            if (null != context)
                context.netError();
            if (null != fcontext)
                fcontext.netError();
            if (null != tcontext)
                tcontext.netError();
        } else if (errMsg != null) {
            showMessage(errMsg);
            BaseAppManager.loger().info(mTag + ":" + errMsg);
        } else {
            if (null != context)
                context.displayResult(mTag, mRsponse);
            if (null != fcontext)
                fcontext.displayResult(mTag, mRsponse);
            if (null != tcontext)
                tcontext.displayResult(mTag, mRsponse);
        }
    }
}
