package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.db.dao.entitys.DayTaskListEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.Map;

public class QueryDayTaskListTask extends BaseActivityTask {

	public static final String TAG = QueryDayTaskListTask.class.getName();
	private String resultStr;
	private DayTaskListEntity response;
	private Map<String, String> params;

	public QueryDayTaskListTask(BaseActivity context, String message, boolean toShowProgressBar, Map<String, String> params) {
		super(context, message, toShowProgressBar);
		this.params = params;
	}

	@Override
	public void dealTask() throws Exception {
		super.dealTask();
		resultStr = ResultTool.access(UrlDayTaskList, params);
		response = checkResult(resultStr, DayTaskListEntity.class);
	}

	@Override
	public void afterTask() {
		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else {
			context.displayResult(TAG, response);
		}
	}
}
