package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.entity.response.HuoDongJiluResponse;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.system.BaseAppManager;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class QueryHuoDongJiLuTask extends BaseActivityTask {
	private String resultStr;
	private HuoDongJiluResponse response;
	public static final String TAG = "QueryHuoDongJiLuTask";
	private String vip;

	public QueryHuoDongJiLuTask(BaseActivity context, String message, boolean toShowProgressBar, String vip) {
		super(context, message, toShowProgressBar);
		this.vip = vip;
	}

	public QueryHuoDongJiLuTask(BaseActivity context, String message, boolean toShowProgressBar, List<String> tags, String vip) {
		super(context, message, toShowProgressBar, tags);
		this.vip = vip;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		Map<String, String> params = new HashMap<String, String>();
		params.put("phone", vip);
		Url = UrlBaseAppService + "/user/getacthistory";
		resultStr = ResultTool.access(Url, params);
		// resultStr
		// ="{'ret': '0','retInfo': '成功','result': [{'act_name': '全场买送活动','act_store': '深圳蛇口沃尔玛店',"
		// +
		// "'act_money': '288','act_pro': '益元八珍','act_time': '2015-07-15 12:00:00','act_saler': '陈帅'}]}  ";
		response = checkResult(resultStr, HuoDongJiluResponse.class);
	}

	@Override
	public void afterTask() {

		super.afterTask();
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}
		else
			if(response != null) {
				context.displayResult(TAG, response);
			}
			else {
				showMessage("访问异常");
			}
	}
}
