package com.urovo.wgmf.AsyncTask;

import com.google.gson.Gson;
import com.urovo.wgmf.BaseFragmentActivity;
import com.urovo.wugumofang.constants.NetParam;
import com.urovo.wgmf.db.dao.entitys.JiFenDuiHuanUploadEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseOldResponse;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.ui.ViewUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * 积分兑换上传
 *
 * @author Administrator
 */
public class UploadJiFenDuiHuanTask extends BaseActivityTask {
    private BaseResponse baseResponse;
    private String resultStr;
    private List<JiFenDuiHuanUploadEntity> list = new ArrayList<JiFenDuiHuanUploadEntity>();
    public static final String TAG = "UploadJiFenDuiHuanTask";
    private boolean hasInternet;

    public UploadJiFenDuiHuanTask(BaseActivity context, String message, boolean toShowProgressBar) {
        super(context, message, toShowProgressBar);

    }

    public UploadJiFenDuiHuanTask(BaseActivity context, String message, boolean toShowProgressBar, List<JiFenDuiHuanUploadEntity> list) {
        super(context, message, toShowProgressBar);
        this.list.addAll(list);
    }

    public UploadJiFenDuiHuanTask(BaseFragmentActivity context, String message, boolean toShowProgressBar) {
        super(context, message, toShowProgressBar);

    }

    public UploadJiFenDuiHuanTask(BaseFragmentActivity context, String message, boolean toShowProgressBar, List<JiFenDuiHuanUploadEntity> list) {
        super(context, message, toShowProgressBar);
        this.list.addAll(list);
    }

    @Override
    public void dealTask() throws Exception {

        super.dealTask();
        String action = NetParam.Action_RequestUpload;
        String method = NetParam.RequestUpload_JiFenDuiHuan;

        Gson gson = new Gson();
        String content = gson.toJson(list);
        // resultStr = ResultTool.access(Url, action, method, content);
        resultStr = ResultTool.access(UrlBaseAppService + "/user/pointexchange", action, method, content);
        baseResponse = checkResult(resultStr, BaseOldResponse.class);
        /*
		 * do { if (Jfdh001DbOperate.GetUnUploadCount() > 0) {
		 * 
		 * List<JiFenDuiHuanEntity> list = Jfdh001DbOperate.GetUnUpload(); Gson
		 * gson = new Gson(); String content = gson.toJson(list); resultStr =
		 * ResultTool.access(Url, action, method, content); // baseResponse =
		 * checkResult(resultStr, BaseResponse.class); if ("".equals(resultStr))
		 * { // 如果上传成功，更新单据上传状态字段，同时获取剩余未上传单据记录ccc for (JiFenDuiHuanEntity ent :
		 * list) Jfdh001DbOperate.UpdateBillState(ent.getBill());
		 * 
		 * } else { break; } } } while (Jfdh001DbOperate.GetUnUploadCount() >
		 * 0);
		 */
		/*
		 * if (Jfdh001DbOperate.GetUnUploadCount() > 0) {
		 * 
		 * List<JiFenDuiHuanEntity> newlist = new
		 * ArrayList<JiFenDuiHuanEntity>(); List<JiFenDuiHuanEntity> list =
		 * Jfdh001DbOperate.GetAllUnUpload(); for(JiFenDuiHuanEntity ent:list){
		 * newlist.clear(); newlist.add(ent); Gson gson = new Gson(); String
		 * content = gson.toJson(newlist); resultStr = ResultTool.access(Url,
		 * action, method, content); // baseResponse = checkResult(resultStr,
		 * BaseResponse.class); if ("".equals(resultStr)) { //
		 * 如果上传成功，更新单据上传状态字段，同时获取剩余未上传单据记录ccc // for (JiFenDuiHuanEntity ent :
		 * list) Jfdh001DbOperate.UpdateBillState(ent.getBill());
		 * 
		 * }
		 * 
		 * } }
		 */
    }

    @Override
    public void afterTask() {

        super.afterTask();
        // if (resultStr == null)
        // {
        // showMessage("访问服务异常");
        // }
        // else if (!"".equals(resultStr))
        // {
        // Toast.makeText(context,"兑换失败", 0).show();
        // BaseAppManager.loger().info(TAG + ":" + errMsg);
        // }
        if (resultStr == null) {
            showMessage("访问服务异常");
        } else if (null == baseResponse) {
            BaseAppManager.loger().info(TAG + ":" + errMsg);
        }
        dealResult(resultStr);
    }

    private void dealResult(String result) {
        if (errMsg != null) {
            showMessage(errMsg);
            BaseAppManager.loger().info(TAG + ":" + errMsg);
        }

        if (context != null) {
            context.displayResult(TAG, baseResponse);
        }
        if (fcontext != null) {
            fcontext.displayResult(TAG, baseResponse);
        }
    }

    /**
     * 后台执行任务
     */
    @Override
    protected String doInBackground(String... params) {
        if (context != null) {
            hasInternet = NetHelper.IsHaveInternet(context);
        }
        if (fcontext != null) {
            hasInternet = NetHelper.IsHaveInternet(fcontext);
        }
        try {
            dealTask();
        } catch (Exception e) {

            BaseAppManager.loger().info("UploadJiFenDuiHuanTask.doInBackground" + e);

        }
        return null;
    }

    /**
     * 执行完后，doInBackground返回的结果，作为此方法的参数，在主ui上跟新
     */
    @Override
    protected void onPostExecute(String result) {
        try {
            if (toShowProgressBar)
                ViewUtil.dismissProgress();
            // if (hasInternet) {
            // afterTask();
            // } else {
            // showMessage("网络连接超时，请检查您的网络状态，稍后重试！");
            // afterTask();
            // }
            if (!hasInternet) {
                showMessage("网络连接超时，请检查您的网络状态，稍后重试！");
            }
            afterTask();

        } catch (Exception e) {

            BaseAppManager.loger().info("UploadJiFenDuiHuanTask.onPostExecute" + e);
        }
    }

}
