package com.urovo.wgmf.AsyncTask;

import com.urovo.wgmf.BaseFragmentActivity;
import com.urovo.wgmf.db.dao.entitys.JiFenDuiHuanUploadEntity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.net.NetHelper;
import com.urovo.wugumofang.net.ResultTool;
import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.system.BaseAppManager;
import com.urovo.wugumofang.ui.ViewUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 白送积分上传
 * 
 * @author Administrator
 *
 */
public class UploadSongJiFenTask extends BaseActivityTask {
	private BaseResponse baseResponse;
	private String resultStr;
	private String mobile;
	private String pts;
	private String ptype;
	private String promotionid;
	private String pstoreid;
	private String guwen;
	private String exchangecode;
	private List<JiFenDuiHuanUploadEntity> list = new ArrayList<JiFenDuiHuanUploadEntity>();
	public static final String TAG = "UploadSongJiFenTask";
	private boolean hasInternet;

	public UploadSongJiFenTask(BaseActivity context, String message, boolean toShowProgressBar, String mobile, String pts, String promotionid, String pstoreid, String guwen, String exchangecode) {
		super(context, message, toShowProgressBar);
		
		this.mobile = mobile;
		this.pts = pts;
		this.promotionid = promotionid;
		this.pstoreid = pstoreid;
		this.guwen = guwen;
		this.exchangecode = exchangecode;

	}

	public UploadSongJiFenTask(BaseFragmentActivity context, String message, boolean toShowProgressBar, String mobile, String pts, String promotionid, String pstoreid, String guwen, String exchangecode) {
		super(context, message, toShowProgressBar);
		
		this.mobile = mobile;
		this.pts = pts;
		this.promotionid = promotionid;
		this.pstoreid = pstoreid;
		this.guwen = guwen;
		this.exchangecode = exchangecode;
	}

	@Override
	public void dealTask() throws Exception {

		super.dealTask();
		Map<String, String> params = new HashMap<String, String>();
		params.put("mobile", mobile);
		params.put("pts", pts);
		params.put("ptype", "0");
		params.put("promotionid", promotionid);
		params.put("pstoreid", pstoreid);
		params.put("popno", guwen);
		params.put("exchangecode", exchangecode);

		resultStr = ResultTool.access(UrlBaseAppService + "/activity/activitypoint", params);

	}

	@Override
	public void afterTask() {

		super.afterTask();
		// if (resultStr == null)
		// {
		// showMessage("访问服务异常");
		// }
		// else if (!"".equals(resultStr))
		// {
		// Toast.makeText(context,"兑换失败", 0).show();
		// BaseAppManager.loger().info(TAG + ":" + errMsg);
		// }
		if(resultStr == null) {
			showMessage("访问服务异常");
		}
		else
			if(null != baseResponse && !"0".equals(baseResponse.ret)) {
				showMessage("上传失败");
				BaseAppManager.loger().info(TAG + ":" + errMsg);
			}
		dealResult(resultStr);
	}

	private void dealResult(String result) {
		if(errMsg != null) {
			showMessage(errMsg);
			BaseAppManager.loger().info(TAG + ":" + errMsg);
		}

		if(context != null) {
			context.displayResult(TAG, baseResponse);
		}
		if(fcontext != null) {
			fcontext.displayResult(TAG, baseResponse);
		}
	}

	/**
	 * 后台执行任务
	 */
	@Override
	protected String doInBackground(String... params) {
		if(context != null) {
			hasInternet = NetHelper.IsHaveInternet(context);
		}
		if(fcontext != null) {
			hasInternet = NetHelper.IsHaveInternet(fcontext);
		}
		try {
			dealTask();
		}
		catch (Exception e) {

			BaseAppManager.loger().info("UploadSongJiFenTask.doInBackground" + e);

		}
		return null;
	}

	/**
	 * 执行完后，doInBackground返回的结果，作为此方法的参数，在主ui上跟新
	 */
	@Override
	protected void onPostExecute(String result) {
		try {
			if(toShowProgressBar)
				ViewUtil.dismissProgress();
			// if (hasInternet) {
			// afterTask();
			// } else {
			// showMessage("网络连接超时，请检查您的网络状态，稍后重试！");
			// afterTask();
			// }
			if(!hasInternet) {
				showMessage("网络连接超时，请检查您的网络状态，稍后重试！");
			}
			afterTask();

		}
		catch (Exception e) {

			BaseAppManager.loger().info("UploadSongJiFenTask.onPostExecute" + e);
		}
	}

}
