package com.urovo.wgmf.adapter;

import java.util.List;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wgmf.db.dao.dao.Store001DbOprate;
import com.urovo.wgmf.db.dao.entitys.ZCDB001Entity;
import com.urovo.wugumofang.R;

public class AssetDiaoRuAdapter extends BaseAdapter {
	private List<ZCDB001Entity> list;
	private BaseActivity context;

	public AssetDiaoRuAdapter(List<ZCDB001Entity> list, BaseActivity context) {
		this.list = list;
		this.context = context;

	}

	@Override
	public int getCount() {

		return list == null ? 0 : list.size();
	}

	@Override
	public Object getItem(int position) {

		return list == null ? null : list.get(position);
	}

	@Override
	public long getItemId(int position) {

		return position;
	}

	@Override
	public View getView(final int position, View convertView, ViewGroup parent) {
		ViewHolder viewHolder;
		if(convertView == null) {
			convertView = LayoutInflater.from(context).inflate(R.layout.second_materialstransfer_item, null);
			viewHolder = new ViewHolder();
			viewHolder.text1 = (TextView) convertView.findViewById(R.id.transfer_in_dnum);
			viewHolder.text2 = (TextView) convertView.findViewById(R.id.transfer_in_date);
			viewHolder.text3 = (TextView) convertView.findViewById(R.id.transfer_in_store);
			viewHolder.text4 = (TextView) convertView.findViewById(R.id.transfer_in_factory);
			viewHolder.text5 = (TextView) convertView.findViewById(R.id.transfer_in_maker);
			convertView.setTag(viewHolder);
		}
		else {
			viewHolder = (ViewHolder) convertView.getTag();
		}
		ZCDB001Entity ent = list.get(position);
		viewHolder.text1.setText(ent.BILL);
		viewHolder.text2.setText(ent.WDATE);
		String stroeName = Store001DbOprate.GetStoreName(ent.TSTOREID);
		viewHolder.text3.setText(stroeName);
		viewHolder.text4.setText(ent.STOREName);
		viewHolder.text5.setText(ent.LR_NAME);
		return convertView;
	}

	class ViewHolder {
		TextView text1;
		TextView text2;
		TextView text3;
		TextView text4;
		TextView text5;
		TextView text6;

	}

}
