package com.urovo.wgmf.asset;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

import com.urovo.activity.common.StoreSelectorActivity;
import com.urovo.wugumofang.base.BaseActivity;
import com.urovo.wugumofang.R;

/**
 * 资材配入
 *
 * @author Administrator
 */
public class AssetMatchInActivity extends BaseActivity {

    private TextView store;
    private Button query;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.asset_match_in);
        init();
        initTitle();
        initLisener();
    }

    private void init() {

        store = (TextView) findViewById(R.id.store);
    }

    private void initLisener() {

        store.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {

                Intent intent = new Intent(AssetMatchInActivity.this, StoreSelectorActivity.class);
                intent.putExtra("store", "all");
                startActivityForResult(intent, 30);

            }
        });

    }

    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (resultCode == 200) {
            String stringExtra = data.getStringExtra("store");
            store.setText(stringExtra);
        }
        super.onActivityResult(requestCode, resultCode, data);
    }

}
