package com.urovo.wgmf.entity.response;

import com.urovo.wugumofang.response.Base3Response;

import java.util.List;

public class BaoSunQueryResponse extends Base3Response {


    private List<Bean> resultInfo;

    public List<Bean> getList() {
        return resultInfo;
    }

    public static class Bean {
        /**
         * userName : 刘金女
         * lossId : 23101170
         * proName : 黑大豆
         * proPrice : 6.8
         * lossAmount : 13.6
         * lossQty : 2
         * lossDate : 2017-03-28 00:00:00
         */

        private String userName;//报损人名字
        private int lossId;//报损id
        private String proName;//产品名字
        private double proPrice;//产品单价
        private double lossAmount;//报损金额
        private double lossQty;//报损数量
        private String lossDate;//报损时间
        private String proCode;//产品编码

        public String getProCode() {
            return proCode;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public int getLossId() {
            return lossId;
        }

        public void setLossId(int lossId) {
            this.lossId = lossId;
        }

        public String getProName() {
            return proName;
        }

        public void setProName(String proName) {
            this.proName = proName;
        }

        public double getProPrice() {
            return proPrice;
        }

        public void setProPrice(double proPrice) {
            this.proPrice = proPrice;
        }

        public double getLossAmount() {
            return lossAmount;
        }

        public void setLossAmount(double lossAmount) {
            this.lossAmount = lossAmount;
        }

        public double getLossQty() {
            return lossQty;
        }

        public void setLossQty(double lossQty) {
            this.lossQty = lossQty;
        }

        public String getLossDate() {
            return lossDate;
        }

        public void setLossDate(String lossDate) {
            this.lossDate = lossDate;
        }
    }
}
