package com.urovo.wgmf.view;

import android.content.Context;
import android.graphics.Color;
import android.util.AttributeSet;

import com.urovo.wugumofang.R;

/**
 * 标签类
 *
 * @author admni
 */
public class MyTagView extends androidx.appcompat.widget.AppCompatTextView {

    public MyTagView(Context context) {
        super(context);
        this.setTextColor(Color.rgb(51, 51, 51));
        this.setBackgroundResource(R.drawable.back);

    }

    public MyTagView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);


    }

    public MyTagView(Context context, AttributeSet attrs) {
        super(context, attrs);

    }

    public MyTagView(Context context, String text) {
        super(context);
        this.setText(text);
    }

    private boolean check;

    /**
     * 判断是否被选中
     *
     * @return 选中返回true, 未选中返回false
     */
    public boolean isChecked() {
        return check;
    }

    /**
     * 设置view的状态为选中
     *
     * @param b true为选中，false为未选中
     */
    public void setChecked(boolean b) {
        this.check = b;
        if (b) {
            this.setTextColor(Color.WHITE);
            this.setBackgroundResource(R.drawable.btn_add_up);
        } else {
            this.setTextColor(Color.rgb(51, 51, 51));
            this.setBackgroundResource(R.drawable.btn_add_dw);// R.drawable.back
        }
    }
}
