package com.wgmf.trade.model.bean;

import com.urovo.activity.data.querymyweivip.model.SweepCodeDetailListEntity;
import com.urovo.activity.data.queryproductsales.model.MonthSaleProductEntity;
import com.urovo.activity.data.querysales.model.MonthSaleEntity;
import com.urovo.activity.sanxiangpao.model.SanXiangPaoCountEntity;
import com.urovo.activity.sanxiangpao.model.SanXiangPaoListEntity;
import com.urovo.activity.user.bean.FlowSalesPersonCompletionHeadEntity;
import com.urovo.wgmf.db.dao.entitys.StockGoodsDetailEntity;
import com.urovo.wgmf.entity.response.FirstPageQueryResponse;
import com.zsy.libcore.model.bean.Request2Result;
import com.zsy.libcore.model.bean.RequestResult;

import java.util.List;


/**
 * 统一管理实体类的大boss
 *
 * @author chenji
 * @date 2017/6/12
 */

public class CommonEntity<T> {
    /**
     * 扫码详细实体类
     */
    public SweepCodeDetailListEntity sweepCodeDetailentity;

    /**
     * 首页轮播图实体类
     */
    public FirstPageQueryResponse.InnerClass firstPageEntity;

    /**
     * 销售业绩----产品月销量查询实体类
     */
    public MonthSaleProductEntity monthSaleProductEntity;

    /**
     * 销售业绩----月销量查询实体类
     */
    public MonthSaleEntity monthSaleEntity;

    /**
     * 考勤单上传结果反馈
     */
    public Request2Result request2Result;

    /**
     * 流动顾问销售完成情况头部信息
     */
    public FlowSalesPersonCompletionHeadEntity flowSalesPersonCompletionHeadEntity;

    /**
     * 流动顾问销售完成情况列表
     */
//    public List<FlowSalesPersonCompletionListEntity> flowSalesPersonCompletionListEntity;

    /**
     * 会员关怀人数实体类
     */
    public SanXiangPaoCountEntity mSanXiangPaoCountEntity;

    /**
     * 库存查询
     */
    public StockGoodsDetailEntity stockGoodsDetailEntity;


    public T t;


    /**
     * 会员关怀列表
     */
    public RequestResult<List<SanXiangPaoListEntity>> mSanXiangPaoListEntity;


    public CommonEntity(SweepCodeDetailListEntity sweepCodeDetailentity) {
        this.sweepCodeDetailentity = sweepCodeDetailentity;
    }

    public CommonEntity(FirstPageQueryResponse.InnerClass firstPageEntity) {
        this.firstPageEntity = firstPageEntity;
    }

    public CommonEntity(MonthSaleProductEntity monthSaleProductEntity) {
        this.monthSaleProductEntity = monthSaleProductEntity;
    }

    public CommonEntity(MonthSaleEntity monthSaleEntity) {
        this.monthSaleEntity = monthSaleEntity;
    }

    public CommonEntity(Request2Result result) {
        this.request2Result = result;
    }

    public CommonEntity(FlowSalesPersonCompletionHeadEntity flowSalesPersonCompletionHeadEntity) {
        this.flowSalesPersonCompletionHeadEntity = flowSalesPersonCompletionHeadEntity;
    }

    public CommonEntity(T t) {
        this.t = t;
    }

    public CommonEntity(SanXiangPaoCountEntity sanXiangPaoCountEntity) {
        this.mSanXiangPaoCountEntity = sanXiangPaoCountEntity;
    }

    public CommonEntity(RequestResult<List<SanXiangPaoListEntity>> sanXiangPaoListEntity) {
        this.mSanXiangPaoListEntity = sanXiangPaoListEntity;
    }

    public CommonEntity(StockGoodsDetailEntity stockGoodsDetailEntity) {
        this.stockGoodsDetailEntity = stockGoodsDetailEntity;
    }

//    public CommonEntity(List<FlowSalesPersonCompletionListEntity> flowSalesPersonCompletionListEntity) {
//        this.flowSalesPersonCompletionListEntity = flowSalesPersonCompletionListEntity;
//    }
}
