package com.wgmf.trade.model.bean;

import com.urovo.activity.MemberProfile.model.MemberProfileData;
import com.urovo.wugumofang.response.Base3Response;

import java.io.Serializable;
import java.util.List;

/**
 * @author chenji
 * @date 2018/5/18
 * 预约会员日查询实体类
 */
public class MemberDaySubscribeBean extends Base3Response implements Serializable {
    private List<ResultInfoBean> resultInfo;

    public List<ResultInfoBean> getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(List<ResultInfoBean> resultInfo) {
        this.resultInfo = resultInfo;
    }

    public static class ResultInfoBean {
        /**
         * date : 2018-05-19
         * num : 1
         * bookList : [{"lastBuyDate":"2018-05-15 08:22:00","levelName":"金谷会员","mobile":"13751033134"}]
         */

        private String date;
        private int num;
        private List<BookListBean> bookList;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }

        public List<BookListBean> getBookList() {
            return bookList;
        }

        public void setBookList(List<BookListBean> bookList) {
            this.bookList = bookList;
        }

        public static class BookListBean implements MemberProfileData {
            /**
             * lastBuyDate : 2018-05-15 08:22:00    购买时间
             * levelName : 金谷会员                 会员等级
             * mobile : 13751033134                 手机号
             */

            private String lastBuyDate;
            private String levelName;
            private String mobile;

            @Override
            public String getFeedback() {
                return "";
            }

            public String getLastBuyDate() {
                return lastBuyDate;
            }

            public void setLastBuyDate(String lastBuyDate) {
                this.lastBuyDate = lastBuyDate;
            }

            public String getLevelName() {
                return levelName;
            }

            public void setLevelName(String levelName) {
                this.levelName = levelName;
            }

            public String getMobile() {
                return mobile;
            }

            public void setMobile(String mobile) {
                this.mobile = mobile;
            }

            @Override
            public String toString() {
                return "预约会员日详情: BookListBean{" +
                        "lastBuyDate='" + lastBuyDate + '\'' +
                        ", levelName='" + levelName + '\'' +
                        ", mobile='" + mobile + '\'' +
                        '}';
            }

            @Override
            public String getSmsCare() {
                return null;
            }

            @Override
            public String getPhoneCare() {
                return null;
            }

            @Override
            public String getShareCare() {
                return null;
            }

            @Override
            public String getWechatCare() {
                return null;
            }

            @Override
            public String getCustomerMobile() {
                return null;
            }

            @Override
            public void setSmsCare(String smsCare) {

            }

            @Override
            public void setPhoneCare(String phoneCare) {

            }

            @Override
            public void setShareCare(String shareCare) {

            }

            @Override
            public void setWechatCare(String wechatCare) {

            }

            @Override
            public String getHasCommunication() {
                return null;
            }

            @Override
            public void setHasCommunication(String hasCommunication) {

            }
        }

        @Override
        public String toString() {
            return "预约会员日信息查询: ResultInfoBean{" +
                    "date='" + date + '\'' +
                    ", num=" + num +
                    ", bookList=" + bookList +
                    '}';
        }
    }

    @Override
    public String toString() {
        return "预约会员日接口请求：MemberDaySubscribeBean{" +
                "msgCode=" + msgCode +
                ", resultInfo=" + resultInfo +
                ", msgInfo='" + msgInfo + '\'' +
                '}';
    }
}
