package com.wgmf.trade.model.data.net;

import com.urovo.wugumofang.response.BaseResponse;
import com.urovo.wugumofang.constants.ApiUrls;
import com.wgmf.trade.model.bean.ExchangeUndoBean;
import com.zsy.libcore.model.bean.RequestResult;
import java.util.List;
import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Query;

/**
 * Created by samy on 2017/2/14.
 */

public interface ExchangeUndoDataNet {

  @GET(ApiUrls.APP.GET_CUS_EXCH_HISTORY)
  Call<RequestResult<List<ExchangeUndoBean>>> getExchangeUndoList(
          @Query("mobile") String mobile, @Query("shopId") String shopId, @Query("pageNo") int pageNo, @Query("pageSize") int pageSize
  );

  @GET(ApiUrls.APP.POINT_EXCHANGE_CANCEL)
  Call<BaseResponse> pointExchangeCancel(
          @Query("exchid") String exchid, @Query("opno") String opno, @Query("remark") String remark
  );
}
