package com.wgmf.trade.model.data.net;

import com.urovo.wugumofang.constants.ApiUrls;
import com.wgmf.trade.model.bean.GoodsInOutStockBean;
import com.wgmf.trade.model.bean.GoodsInOutStockItemDetailBean;
import com.zsy.libcore.model.bean.RequestResult;

import java.util.ArrayList;

import retrofit2.Call;
import retrofit2.http.POST;
import retrofit2.http.Query;

/**
 * Created by samy on 16/12/16.
 */
public interface GoodsInoutStockDataNet {

    @POST(ApiUrls.APP.GET_STORE_PRODUCT_IN_OUT)
    Call<RequestResult<GoodsInOutStockBean>> getDataList(
            @Query("storeNo") String storeNo,
            @Query("productNo") String productNo,
            @Query("month") String beginDate
    );

    @POST(ApiUrls.APP.GET_STORE_PRODUCT_IN_OUT_DETAIL)
    Call<RequestResult<ArrayList<GoodsInOutStockItemDetailBean>>> getItemDetail(
            @Query("storeNo") String storeNo,
            @Query("productNo") String productNo,
            @Query("month") String month,
            @Query("inOutType") String inOutType
    );
}
