package com.wgmf.trade.model.data.net.Interceptor;

import java.io.IOException;
import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;

/**
 * Created by samy on 16/11/4.
 */

public class HeaderInterceptor implements Interceptor {
  @Override public Response intercept(Chain chain) throws IOException {
    Request originalRequest = chain.request();
    Request.Builder requestBuilder = originalRequest.newBuilder()
        .header("AppType", "TPOS")
        .header("Content-Type", "application/json")
        .header("Accept", "application/json")
        .method(originalRequest.method(), originalRequest.body());
    Request request = requestBuilder.build();
    return chain.proceed(request);
  }
}


//设置头
//builder.addInterceptor(headerInterceptor );