package com.wgmf.trade.model.data.net.interactor;

/**
 * Created by samy on 16/4/11.
 */
public interface EnvironmentSwitchInt {
    /**
     * 得到当前环境
     * 0:正式环境；
     * 1:生产环境；
     * 2:测试环境
     */
    int getEnvStatus();

    /**
     * 设置保存环境
     */
    void setEnvStatus(int checkEnv);

    /**
     * 接口
     */
    String getEnvServer(int envStatus);

    /**
     * Api 接口
     */
    String getEnvApiServer(int envStatus);

    /**
     * 微信接口
     */
    String getWxServer(int envStatus);

    /**
     * 端口
     */
    String getEnvPort(int envStatus);

    /**
     * 现实环境的名字；对应关系
     * 0:正式环境；
     * 1:生产环境；
     * 2:测试环境
     * @param envStatus 环境状态
     * @param isDefault 是否是当前环境 true：当前；
     */
    String showEnvName(int envStatus, boolean isDefault);

}
