package com.wgmf.trade.ui.fra.more.cases

import android.widget.Button
import com.urovo.wugumofang.utils.TaskEnqueueDominator
import com.wgmf.trade.model.bean.MemberAction
import com.wgmf.trade.model.bean.ProductInfoBean
import com.wgmf.trade.view.MemberSalesCon

/**
 * @author Sasuke on 2019/12/3.
 * 立享优惠请求情况
 */
class EnjoyDiscountCase(val saveOrderBtn: Button,
                        val memberAction: MemberAction,
                        val memberSalesPre: MemberSalesCon.Pre,
                        val phoneNum: String?,
                        val productInfoBeansAll: ArrayList<ProductInfoBean>
                        ): TaskEnqueueDominator.BaseCase() {

    override fun dowork() {
        if (memberAction.giftRule == null && memberAction.checkRuleOrNot == 1) {
            //防止两次点击导致两次请求，使赠品多添加了一次。
            saveOrderBtn.setEnabled(false)
            if (memberSalesPre != null) {
                memberSalesPre.validRuleResult(phoneNum ?:"", memberAction.activityId.toString() , productInfoBeansAll)
            }
        }else{
            enqueDominator?.go()
        }
    }
}