package com.wgmf.trade.utils;


import android.content.Context;
import android.content.Intent;

import com.wgmf.trade.service.KillSelfService;
import com.zsy.libcore.ui.act.SYActManager;

/**
 * Created by chenji on 2017/4/18.
 * <p>
 * 重启整个APP
 */

public class RestartApp {
    /**
     * @param context ...
     * @param Delayed 延迟多少毫秒
     */
    public static void restart(Context context, long Delayed) {

        /**开启一个新的服务，用来重启本APP*/
        Intent intent = new Intent(context, KillSelfService.class);
//        intent.putExtra("PackageName", context.getPackageName());
        intent.putExtra("Delayed", Delayed);
        context.startService(intent);

        /**关闭所有的activity**/
//        android.os.Process.killProcess(android.os.Process.myPid());
        SYActManager.getInstance().finishAllActivity();
    }

    /***
     * 重启整个APP
     */
    public static void restart(Context context) {
        restart(context, 2000);
    }
}
