//package com.wgmf.trade.widgets;
//
//import android.content.Context;
//import android.graphics.Bitmap;
//import android.graphics.Canvas;
//import android.graphics.Color;
//import android.graphics.Paint;
//import android.graphics.PorterDuff;
//import android.graphics.PorterDuffXfermode;
//import android.graphics.Rect;
//import android.graphics.drawable.BitmapDrawable;
//import android.graphics.drawable.Drawable;
//import android.support.v7.widget.AppCompatImageView;
//import android.util.AttributeSet;
//import android.widget.ImageView;
//
///**
// * 自定义圆形控件
// * Created by samy on 16/9/7.
// */
//public class RoundedImageView extends AppCompatImageView {
//    public RoundedImageView(Context context) {
//        super(context);
//    }
//
//    public RoundedImageView(Context context, AttributeSet attrs) {
//        super(context, attrs);
//    }
//
//    public RoundedImageView(Context context, AttributeSet attrs, int defStyle) {
//        super(context, attrs, defStyle);
//    }
//
//    @Override
//    protected void onDraw(Canvas canvas) {
//        Drawable drawable = getDrawable();
//        if (drawable == null) {
//            return;
//        }
//        if (getWidth() == 0 || getHeight() == 0) {
//            return;
//        }
//
//        Bitmap b = ((BitmapDrawable) drawable).getBitmap();
//        Bitmap bitmap = b.copy(Bitmap.Config.ARGB_8888, true);
//
//        int w = getWidth(), h = getHeight();
//        Bitmap roundBitmap = getCroppedBitmap(bitmap, w);
//        canvas.drawBitmap(roundBitmap, 0, 0, null);
//    }
//
//    public static Bitmap getCroppedBitmap(Bitmap bmp, int radius) {
//        Bitmap sbmp;
//        if (bmp.getWidth() != radius || bmp.getHeight() != radius) {
//            sbmp = Bitmap.createScaledBitmap(bmp, radius, radius, false);
//        } else {
//            sbmp = bmp;
//        }
//        Bitmap output = Bitmap.createBitmap(sbmp.getWidth(), sbmp.getHeight(), Bitmap.Config.ARGB_8888);
//        Canvas canvas = new Canvas(output);
//
//        //final int color = 0xffa19774;
//        final Paint paint = new Paint();
//        final Rect rect = new Rect(0, 0, sbmp.getWidth(), sbmp.getHeight());
//
//        paint.setAntiAlias(true);
//        paint.setFilterBitmap(true);
//        paint.setDither(true);
//        canvas.drawARGB(0, 0, 0, 0);
//        paint.setColor(Color.parseColor("#BAB399"));
//        canvas.drawCircle(sbmp.getWidth() / 2 + 0.7f, sbmp.getHeight() / 2 + 0.7f,
//                sbmp.getWidth() / 2 + 0.1f, paint);
//        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC_IN));
//        canvas.drawBitmap(sbmp, rect, rect, paint);
//
//        return output;
//    }
//}